// tcl wrapper for vtkChartParallelCoordinates object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkChartParallelCoordinates.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkChartParallelCoordinatesNewCommand()
{
  vtkChartParallelCoordinates *temp = vtkChartParallelCoordinates::New();
  return static_cast<ClientData>(temp);
}

int vtkChartCppCommand(vtkChart *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkChartParallelCoordinatesCppCommand(vtkChartParallelCoordinates *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkChartParallelCoordinatesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkChartParallelCoordinatesCppCommand(static_cast<vtkChartParallelCoordinates *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkChartParallelCoordinatesCppCommand(vtkChartParallelCoordinates *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkChartParallelCoordinates",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkChartCppCommand(static_cast<vtkChart *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkChart"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkChartParallelCoordinates  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkChartParallelCoordinates");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkChartParallelCoordinates  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkChartParallelCoordinates");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkChartParallelCoordinates  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkChartParallelCoordinates");
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Paint",argv[1]))&&(argc == 3))
    {
    vtkContext2D  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkContext2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContext2D"),interp,error));
    if (!error)
    {
    temp20 = (op)->Paint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddPlot",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPlot  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->AddPlot(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlot");
    return TCL_OK;
    }
    }
  if ((!strcmp("RemovePlot",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->RemovePlot(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearPlots",argv[1]))&&(argc == 2))
    {
    op->ClearPlots();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPlot",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkPlot  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPlot(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlot");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfPlots",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfPlots();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAxis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkAxis  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAxis(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxis");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfAxes",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfAxes();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RecalculateBounds",argv[1]))&&(argc == 2))
    {
    op->RecalculateBounds();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkChartParallelCoordinatesCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkChartCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkChartParallelCoordinates:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  Paint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddPlot\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemovePlot\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ClearPlots\n",NULL);
    Tcl_AppendResult(interp,"  GetPlot\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPlots\n",NULL);
    Tcl_AppendResult(interp,"  GetAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfAxes\n",NULL);
    Tcl_AppendResult(interp,"  RecalculateBounds\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkChartCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    Tcl_DStringAppendElement ( &dString, "AddPlot" );
    Tcl_DStringAppendElement ( &dString, "RemovePlot" );
    Tcl_DStringAppendElement ( &dString, "ClearPlots" );
    Tcl_DStringAppendElement ( &dString, "GetPlot" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPlots" );
    Tcl_DStringAppendElement ( &dString, "GetAxis" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAxes" );
    Tcl_DStringAppendElement ( &dString, "RecalculateBounds" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkChartCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartParallelCoordinates" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartParallelCoordinates" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkChartParallelCoordinates *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartParallelCoordinates" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkChartParallelCoordinates *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartParallelCoordinates" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Creates a parallel coordinates chart\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkChartParallelCoordinates *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartParallelCoordinates" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Perform any updates to the item that may be necessary before rendering.\n The scene should take care of calling this on all items before their\n Paint function is invoked.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Update ();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartParallelCoordinates" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Paint */
    if ( strcmp ( argv[2], "Paint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Paint */
    Tcl_DStringAppendElement ( &dString, " Paint event for the chart, called whenever the chart needs to be drawn\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool Paint (vtkContext2D *painter);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartParallelCoordinates" );
    /* Closing for Paint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddPlot */
    if ( strcmp ( argv[2], "AddPlot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddPlot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddPlot */
    Tcl_DStringAppendElement ( &dString, " Add a plot to the chart, defaults to using the name of the y column\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkPlot *AddPlot (int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartParallelCoordinates" );
    /* Closing for AddPlot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemovePlot */
    if ( strcmp ( argv[2], "RemovePlot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemovePlot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemovePlot */
    Tcl_DStringAppendElement ( &dString, " Remove the plot at the specified index, returns true if successful,\n false if the index was invalid.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool RemovePlot (vtkIdType index);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartParallelCoordinates" );
    /* Closing for RemovePlot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearPlots */
    if ( strcmp ( argv[2], "ClearPlots" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearPlots" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearPlots */
    Tcl_DStringAppendElement ( &dString, " Remove all plots from the chart.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ClearPlots ();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartParallelCoordinates" );
    /* Closing for ClearPlots */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlot */
    if ( strcmp ( argv[2], "GetPlot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlot */
    Tcl_DStringAppendElement ( &dString, " Get the plot at the specified index, returns null if the index is invalid.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkPlot *GetPlot (vtkIdType index);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartParallelCoordinates" );
    /* Closing for GetPlot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPlots */
    if ( strcmp ( argv[2], "GetNumberOfPlots" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPlots" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPlots */
    Tcl_DStringAppendElement ( &dString, " Get the number of plots the chart contains.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfPlots ();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartParallelCoordinates" );
    /* Closing for GetNumberOfPlots */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxis */
    if ( strcmp ( argv[2], "GetAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxis */
    Tcl_DStringAppendElement ( &dString, " Get the axis specified by axisIndex. 0 is x, 1 is y. This should probably\n be improved either using a string or enum to select the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAxis *GetAxis (int axisIndex);" );
    Tcl_DStringAppendElement ( &dString, "vtkChartParallelCoordinates" );
    /* Closing for GetAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfAxes */
    if ( strcmp ( argv[2], "GetNumberOfAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfAxes */
    Tcl_DStringAppendElement ( &dString, " Get the number of axes in the current chart.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfAxes ();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartParallelCoordinates" );
    /* Closing for GetNumberOfAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RecalculateBounds */
    if ( strcmp ( argv[2], "RecalculateBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RecalculateBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RecalculateBounds */
    Tcl_DStringAppendElement ( &dString, " Request that the chart recalculates the range of its axes. Especially\n useful in applications after the parameters of plots have been modified.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RecalculateBounds ();" );
    Tcl_DStringAppendElement ( &dString, "vtkChartParallelCoordinates" );
    /* Closing for RecalculateBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkChartCppCommand(static_cast<vtkChart *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
