#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkAxisCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAxisNewCommand();
int vtkBlockItemCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBlockItemNewCommand();
int vtkBrushCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBrushNewCommand();
int vtkChartLegendCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkChartLegendNewCommand();
int vtkChartParallelCoordinatesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkChartParallelCoordinatesNewCommand();
int vtkChartXYCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkChartXYNewCommand();
int vtkColorSeriesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkColorSeriesNewCommand();
int vtkContext2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkContext2DNewCommand();
int vtkContextActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkContextActorNewCommand();
int vtkContextBufferIdCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkContextBufferIdNewCommand();
int vtkContextSceneCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkContextSceneNewCommand();
int vtkContextViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkContextViewNewCommand();
int vtkImageItemCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageItemNewCommand();
int vtkOpenGLContextDevice2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOpenGLContextDevice2DNewCommand();
int vtkPenCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPenNewCommand();
int vtkPlotBarCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlotBarNewCommand();
int vtkPlotGridCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlotGridNewCommand();
int vtkPlotLineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlotLineNewCommand();
int vtkPlotParallelCoordinatesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlotParallelCoordinatesNewCommand();
int vtkPlotPointsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlotPointsNewCommand();
int vtkTooltipItemCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTooltipItemNewCommand();

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkchartstcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkchartstcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkchartstcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkchartstcl_Init(interp);
}


int VTK_EXPORT Vtkchartstcl_Init(Tcl_Interp *interp)
{

  vtkTclCreateNew(interp,const_cast<char *>("vtkAxis"), vtkAxisNewCommand,
                  vtkAxisCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBlockItem"), vtkBlockItemNewCommand,
                  vtkBlockItemCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBrush"), vtkBrushNewCommand,
                  vtkBrushCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkChartLegend"), vtkChartLegendNewCommand,
                  vtkChartLegendCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkChartParallelCoordinates"), vtkChartParallelCoordinatesNewCommand,
                  vtkChartParallelCoordinatesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkChartXY"), vtkChartXYNewCommand,
                  vtkChartXYCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkColorSeries"), vtkColorSeriesNewCommand,
                  vtkColorSeriesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkContext2D"), vtkContext2DNewCommand,
                  vtkContext2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkContextActor"), vtkContextActorNewCommand,
                  vtkContextActorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkContextBufferId"), vtkContextBufferIdNewCommand,
                  vtkContextBufferIdCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkContextScene"), vtkContextSceneNewCommand,
                  vtkContextSceneCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkContextView"), vtkContextViewNewCommand,
                  vtkContextViewCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageItem"), vtkImageItemNewCommand,
                  vtkImageItemCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLContextDevice2D"), vtkOpenGLContextDevice2DNewCommand,
                  vtkOpenGLContextDevice2DCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPen"), vtkPenNewCommand,
                  vtkPenCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlotBar"), vtkPlotBarNewCommand,
                  vtkPlotBarCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlotGrid"), vtkPlotGridNewCommand,
                  vtkPlotGridCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlotLine"), vtkPlotLineNewCommand,
                  vtkPlotLineCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlotParallelCoordinates"), vtkPlotParallelCoordinatesNewCommand,
                  vtkPlotParallelCoordinatesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlotPoints"), vtkPlotPointsNewCommand,
                  vtkPlotPointsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTooltipItem"), vtkTooltipItemNewCommand,
                  vtkTooltipItemCommand);
  char pkgName[]="vtkChartsTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
