// python wrapper for vtkColorSeries object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkColorSeries.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkColorSeriesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkColorSeriesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkColorSeries_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorSeries *op;

  const char    *temp20;
  op = (vtkColorSeries *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorSeries::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkColorSeries_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorSeries *op;

  char    *temp0;
  int      temp20;
  op = (vtkColorSeries *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorSeries::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorSeries_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorSeries *op;

  vtkColorSeries  *temp20;
  op = (vtkColorSeries *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorSeries::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorSeries_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkColorSeries  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkColorSeries::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkColorSeries_SetColorScheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorSeries *op;

  int      temp0;
  op = (vtkColorSeries *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorSeries::SetColorScheme(temp0);
      }
    else
      {
      op->SetColorScheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorSeries_GetColorScheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorSeries *op;

  int      temp20;
  op = (vtkColorSeries *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorSeries::GetColorScheme();
      }
    else
      {
      temp20 = op->GetColorScheme();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorSeries_GetNumberOfColors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorSeries *op;

  int      temp20;
  op = (vtkColorSeries *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorSeries::GetNumberOfColors();
      }
    else
      {
      temp20 = op->GetNumberOfColors();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorSeries_RemoveColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorSeries *op;

  int      temp0;
  op = (vtkColorSeries *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorSeries::RemoveColor(temp0);
      }
    else
      {
      op->RemoveColor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorSeries_ClearColors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorSeries *op;

  op = (vtkColorSeries *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorSeries::ClearColors();
      }
    else
      {
      op->ClearColors();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorSeries_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorSeries *op;

  vtkColorSeries  *temp0;
  PyObject *tempH0;
  op = (vtkColorSeries *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkColorSeries *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkColorSeries");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkColorSeries::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}

static PyMethodDef PyvtkColorSeriesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkColorSeries_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkColorSeries_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkColorSeries_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkColorSeries\nC++: vtkColorSeries *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkColorSeries_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkColorSeries\nC++: vtkColorSeries *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetColorScheme",                (PyCFunction)PyvtkColorSeries_SetColorScheme, 1,
   (char*)"V.SetColorScheme(int)\nC++: void SetColorScheme (int scheme);\n\n Set the color scheme that should be used from those in the enum.\n"},
  {(char*)"GetColorScheme",                (PyCFunction)PyvtkColorSeries_GetColorScheme, 1,
   (char*)"V.GetColorScheme() -> int\nC++: int GetColorScheme ();\n\n Get the color scheme that is currently being used.\n"},
  {(char*)"GetNumberOfColors",                (PyCFunction)PyvtkColorSeries_GetNumberOfColors, 1,
   (char*)"V.GetNumberOfColors() -> int\nC++: int GetNumberOfColors ();\n\n Get the number of colors available in the current color scheme.\n"},
  {(char*)"RemoveColor",                (PyCFunction)PyvtkColorSeries_RemoveColor, 1,
   (char*)"V.RemoveColor(int)\nC++: void RemoveColor (int index);\n\n Removes the color at the specified index in the list.\n"},
  {(char*)"ClearColors",                (PyCFunction)PyvtkColorSeries_ClearColors, 1,
   (char*)"V.ClearColors()\nC++: void ClearColors ();\n\n Clears the list of colors.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkColorSeries_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkColorSeries)\nC++: void DeepCopy (vtkColorSeries *chartColors);\n\n Make a deep copy of the supplied object.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkColorSeriesDoc[] = {
  (char*)"vtkColorSeries - stores a list of colors.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" The vtkColorSeries stores a list of colors. There are several schemes\n available and functions to control several aspects of what colors are\n returned. In essence a color scheme is set and colors are returned based on\n the index requested.\n\n",
  NULL
};

static vtkObjectBase *vtkColorSeriesStaticNew()
{
  return vtkColorSeries::New();
}

PyObject *PyVTKClass_vtkColorSeriesNew(char *modulename)
{
  return PyVTKClass_New(&vtkColorSeriesStaticNew,
                        PyvtkColorSeriesMethods,
                        (char*)"vtkColorSeries",modulename,
                        (char**)vtkColorSeriesDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

