// python wrapper for vtkContextDevice2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkContextDevice2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkContextDevice2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkContextDevice2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkContextDevice2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextDevice2D *op;

  const char    *temp20;
  op = (vtkContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextDevice2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkContextDevice2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextDevice2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextDevice2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextDevice2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextDevice2D *op;

  vtkContextDevice2D  *temp20;
  op = (vtkContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextDevice2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextDevice2D_DrawEllipseWedge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextDevice2D *op;

  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  float    temp4;
  float    temp5;
  float    temp6;
  float    temp7;
  op = (vtkContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"ffffffff", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->DrawEllipseWedge(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContextDevice2D_DrawEllipticArc(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextDevice2D *op;

  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  float    temp4;
  float    temp5;
  op = (vtkContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"ffffff", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->DrawEllipticArc(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContextDevice2D_SetPointSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextDevice2D *op;

  float    temp0;
  op = (vtkContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetPointSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContextDevice2D_SetLineWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextDevice2D *op;

  float    temp0;
  op = (vtkContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetLineWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContextDevice2D_SetLineType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextDevice2D *op;

  int      temp0;
  op = (vtkContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetLineType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContextDevice2D_GetWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextDevice2D *op;

  int      temp20;
  op = (vtkContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextDevice2D::GetWidth();
      }
    else
      {
      temp20 = op->GetWidth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextDevice2D_GetHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextDevice2D *op;

  int      temp20;
  op = (vtkContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextDevice2D::GetHeight();
      }
    else
      {
      temp20 = op->GetHeight();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextDevice2D_SetMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextDevice2D *op;

  vtkMatrix3x3  *temp0;
  PyObject *tempH0;
  op = (vtkContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMatrix3x3 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix3x3");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkContextDevice2D_MultiplyMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextDevice2D *op;

  vtkMatrix3x3  *temp0;
  PyObject *tempH0;
  op = (vtkContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMatrix3x3 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix3x3");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->MultiplyMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkContextDevice2D_PushMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextDevice2D *op;

  op = (vtkContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->PushMatrix();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContextDevice2D_PopMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextDevice2D *op;

  op = (vtkContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->PopMatrix();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContextDevice2D_DisableClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextDevice2D *op;

  op = (vtkContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->DisableClipping();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContextDevice2D_Begin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextDevice2D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  op = (vtkContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkContextDevice2D::Begin(temp0);
      }
    else
      {
      op->Begin(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkContextDevice2D_End(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextDevice2D *op;

  op = (vtkContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContextDevice2D::End();
      }
    else
      {
      op->End();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContextDevice2D_GetBufferIdMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextDevice2D *op;

  bool   temp20;
  op = (vtkContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextDevice2D::GetBufferIdMode();
      }
    else
      {
      temp20 = op->GetBufferIdMode();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkContextDevice2D_BufferIdModeBegin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextDevice2D *op;

  vtkContextBufferId  *temp0;
  PyObject *tempH0;
  op = (vtkContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContextBufferId *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContextBufferId");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkContextDevice2D::BufferIdModeBegin(temp0);
      }
    else
      {
      op->BufferIdModeBegin(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkContextDevice2D_BufferIdModeEnd(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextDevice2D *op;

  op = (vtkContextDevice2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContextDevice2D::BufferIdModeEnd();
      }
    else
      {
      op->BufferIdModeEnd();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkContextDevice2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkContextDevice2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkContextDevice2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkContextDevice2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkContextDevice2D\nC++: vtkContextDevice2D *NewInstance ();\n\n"},
  {(char*)"DrawEllipseWedge",                (PyCFunction)PyvtkContextDevice2D_DrawEllipseWedge, 1,
   (char*)"V.DrawEllipseWedge(float, float, float, float, float, float, float, float)\nC++: virtual void DrawEllipseWedge (float x, float y, float outRx, float outRy, float inRx, float inRy, float startAngle, float stopAngle) = 0;\n\n Draw an elliptic wedge with center at x, y, outer radii outRx, outRy,\n inner radii inRx, inRy between angles startAngle and stopAngle\n (expressed in degrees).\n \\pre positive_outRx: outRx>=0\n \\pre positive_outRy: outRy>=0\n \\pre positive_inRx: inRx>=0\n \\pre positive_inRy: inRy>=0\n \\pre ordered_rx: inRx<=outRx\n \\pre ordered_ry: inRy<=outRy\n"},
  {(char*)"DrawEllipticArc",                (PyCFunction)PyvtkContextDevice2D_DrawEllipticArc, 1,
   (char*)"V.DrawEllipticArc(float, float, float, float, float, float)\nC++: virtual void DrawEllipticArc (float x, float y, float rX, float rY, float startAngle, float stopAngle) = 0;\n\n Draw an elliptic arc with center at x,y with radii rX and rY between\n angles startAngle and stopAngle (expressed in degrees).\n \\pre positive_rX: rX>=0\n \\pre positive_rY: rY>=0\n"},
  {(char*)"SetPointSize",                (PyCFunction)PyvtkContextDevice2D_SetPointSize, 1,
   (char*)"V.SetPointSize(float)\nC++: virtual void SetPointSize (float size) = 0;\n\n Set the point size for glyphs/sprites.\n"},
  {(char*)"SetLineWidth",                (PyCFunction)PyvtkContextDevice2D_SetLineWidth, 1,
   (char*)"V.SetLineWidth(float)\nC++: virtual void SetLineWidth (float width) = 0;\n\n Set the line width.\n"},
  {(char*)"SetLineType",                (PyCFunction)PyvtkContextDevice2D_SetLineType, 1,
   (char*)"V.SetLineType(int)\nC++: virtual void SetLineType (int type) = 0;\n\n Set the line type type (using anonymous enum in vtkPen).\n"},
  {(char*)"GetWidth",                (PyCFunction)PyvtkContextDevice2D_GetWidth, 1,
   (char*)"V.GetWidth() -> int\nC++: virtual int GetWidth ();return this Geometry \n\n Get the width of the device in pixels.\n"},
  {(char*)"GetHeight",                (PyCFunction)PyvtkContextDevice2D_GetHeight, 1,
   (char*)"V.GetHeight() -> int\nC++: virtual int GetHeight ();return this Geometry \n\n Set the model view matrix for the display\n"},
  {(char*)"SetMatrix",                (PyCFunction)PyvtkContextDevice2D_SetMatrix, 1,
   (char*)"V.SetMatrix(vtkMatrix3x3)\nC++: virtual void SetMatrix (vtkMatrix3x3 *m) = 0;\n\n Set the model view matrix for the display\n"},
  {(char*)"MultiplyMatrix",                (PyCFunction)PyvtkContextDevice2D_MultiplyMatrix, 1,
   (char*)"V.MultiplyMatrix(vtkMatrix3x3)\nC++: virtual void MultiplyMatrix (vtkMatrix3x3 *m) = 0;\n\n Multiply the current model view matrix by the supplied one\n"},
  {(char*)"PushMatrix",                (PyCFunction)PyvtkContextDevice2D_PushMatrix, 1,
   (char*)"V.PushMatrix()\nC++: virtual void PushMatrix () = 0;\n\n Push the current matrix onto the stack.\n"},
  {(char*)"PopMatrix",                (PyCFunction)PyvtkContextDevice2D_PopMatrix, 1,
   (char*)"V.PopMatrix()\nC++: virtual void PopMatrix () = 0;\n\n Pop the current matrix off of the stack.\n"},
  {(char*)"DisableClipping",                (PyCFunction)PyvtkContextDevice2D_DisableClipping, 1,
   (char*)"V.DisableClipping()\nC++: virtual void DisableClipping () = 0;\n\n Disable clipping of the display.\n"},
  {(char*)"Begin",                (PyCFunction)PyvtkContextDevice2D_Begin, 1,
   (char*)"V.Begin(vtkViewport)\nC++: virtual void Begin (vtkViewport *);\n\n End drawing, clean up the view.\n"},
  {(char*)"End",                (PyCFunction)PyvtkContextDevice2D_End, 1,
   (char*)"V.End()\nC++: virtual void End ();\n\n Tell if the device context is in BufferId creation mode.\n Initial value is false.\n"},
  {(char*)"GetBufferIdMode",                (PyCFunction)PyvtkContextDevice2D_GetBufferIdMode, 1,
   (char*)"V.GetBufferIdMode() -> bool\nC++: virtual bool GetBufferIdMode () const;\n\n Tell if the device context is in BufferId creation mode.\n Initial value is false.\n"},
  {(char*)"BufferIdModeBegin",                (PyCFunction)PyvtkContextDevice2D_BufferIdModeBegin, 1,
   (char*)"V.BufferIdModeBegin(vtkContextBufferId)\nC++: virtual void BufferIdModeBegin (vtkContextBufferId *bufferId);\n\n Start BufferId creation Mode.\n The default implementation is empty.\n \\pre not_yet: !GetBufferIdMode()\n \\pre bufferId_exists: bufferId!=0\n \\post started: GetBufferIdMode()\n"},
  {(char*)"BufferIdModeEnd",                (PyCFunction)PyvtkContextDevice2D_BufferIdModeEnd, 1,
   (char*)"V.BufferIdModeEnd()\nC++: virtual void BufferIdModeEnd ();\n\n Finalize BufferId creation Mode. It makes sure that the content of the\n bufferId passed in argument of BufferIdModeBegin() is correctly set.\n The default implementation is empty.\n \\pre started: GetBufferIdMode()\n \\post done: !GetBufferIdMode()\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkContextDevice2DDoc[] = {
  (char*)"vtkContextDevice2D - Abstract class for drawing 2D primitives.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This defines the interface for a vtkContextDevice2D. In this sense a\n ContextDevice is a class used to paint 2D primitives onto a device, such as\n an OpenGL context or a QGraphicsView.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkContextDevice2DNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkContextDevice2DMethods,
                        (char*)"vtkContextDevice2D",modulename,
                        (char**)vtkContextDevice2DDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

