// python wrapper for vtkContextItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkContextItem.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkContextItemNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkContextItemNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkContextItem_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextItem *op;

  const char    *temp20;
  op = (vtkContextItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextItem::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkContextItem_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextItem *op;

  char    *temp0;
  int      temp20;
  op = (vtkContextItem *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextItem::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextItem_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextItem *op;

  vtkContextItem  *temp20;
  op = (vtkContextItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextItem::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextItem_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextItem *op;

  op = (vtkContextItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContextItem::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContextItem_Paint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextItem *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkContextItem *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Paint(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkContextItem_SetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextItem *op;

  vtkTransform2D  *temp0;
  PyObject *tempH0;
  op = (vtkContextItem *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTransform2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTransform2D");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkContextItem::SetTransform(temp0);
      }
    else
      {
      op->SetTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkContextItem_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextItem *op;

  vtkTransform2D  *temp20;
  op = (vtkContextItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextItem::GetTransform();
      }
    else
      {
      temp20 = op->GetTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextItem_GetVisible(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextItem *op;

  bool   temp20;
  op = (vtkContextItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextItem::GetVisible();
      }
    else
      {
      temp20 = op->GetVisible();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkContextItem_SetVisible(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextItem *op;

  bool   temp0;
  op = (vtkContextItem *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContextItem::SetVisible(temp0);
      }
    else
      {
      op->SetVisible(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContextItem_GetOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextItem *op;

  double   temp20;
  op = (vtkContextItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextItem::GetOpacity();
      }
    else
      {
      temp20 = op->GetOpacity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextItem_SetOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextItem *op;

  double   temp0;
  op = (vtkContextItem *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContextItem::SetOpacity(temp0);
      }
    else
      {
      op->SetOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContextItem_Translate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextItem *op;

  float    temp0;
  float    temp1;
  op = (vtkContextItem *)PyArg_VTKParseTuple(self, args, (char*)"ff", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContextItem::Translate(temp0,temp1);
      }
    else
      {
      op->Translate(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContextItem_SetScene(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextItem *op;

  vtkContextScene  *temp0;
  PyObject *tempH0;
  op = (vtkContextItem *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContextScene *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContextScene");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkContextItem::SetScene(temp0);
      }
    else
      {
      op->SetScene(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkContextItem_GetScene(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextItem *op;

  vtkContextScene  *temp20;
  op = (vtkContextItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextItem::GetScene();
      }
    else
      {
      temp20 = op->GetScene();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkContextItemMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkContextItem_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkContextItem_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkContextItem_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkContextItem\nC++: vtkContextItem *NewInstance ();\n\n"},
  {(char*)"Update",                (PyCFunction)PyvtkContextItem_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Perform any updates to the item that may be necessary before rendering.\n The scene should take care of calling this on all items before their\n Paint function is invoked.\n"},
  {(char*)"Paint",                (PyCFunction)PyvtkContextItem_Paint, 1,
   (char*)"V.Paint(vtkContext2D) -> bool\nC++: virtual bool Paint (vtkContext2D *painter) = 0;\n\n Paint event for the item, called whenever the item needs to be drawn,\n"},
  {(char*)"SetTransform",                (PyCFunction)PyvtkContextItem_SetTransform, 1,
   (char*)"V.SetTransform(vtkTransform2D)\nC++: virtual void SetTransform (vtkTransform2D *transform);\n\n Set the transform for the item.\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkContextItem_GetTransform, 1,
   (char*)"V.GetTransform() -> vtkTransform2D\nC++: vtkTransform2D *GetTransform ();\n\n Set the transform for the item.\n"},
  {(char*)"GetVisible",                (PyCFunction)PyvtkContextItem_GetVisible, 1,
   (char*)"V.GetVisible() -> bool\nC++: bool GetVisible ();\n\n Get the visibility of the item (should it be drawn).\n"},
  {(char*)"SetVisible",                (PyCFunction)PyvtkContextItem_SetVisible, 1,
   (char*)"V.SetVisible(bool)\nC++: void SetVisible (bool );\n\n Set the visibility of the item (should it be drawn).\n"},
  {(char*)"GetOpacity",                (PyCFunction)PyvtkContextItem_GetOpacity, 1,
   (char*)"V.GetOpacity() -> float\nC++: double GetOpacity ();\n\n Get the opacity of the item.\n"},
  {(char*)"SetOpacity",                (PyCFunction)PyvtkContextItem_SetOpacity, 1,
   (char*)"V.SetOpacity(float)\nC++: void SetOpacity (double );\n\n Set the opacity of the item.\n"},
  {(char*)"Translate",                (PyCFunction)PyvtkContextItem_Translate, 1,
   (char*)"V.Translate(float, float)\nC++: void Translate (float dx, float dy);\n\n Translate the item by the given dx, dy.\n"},
  {(char*)"SetScene",                (PyCFunction)PyvtkContextItem_SetScene, 1,
   (char*)"V.SetScene(vtkContextScene)\nC++: virtual void SetScene (vtkContextScene *scene);\n\n Set the vtkContextScene for the item, always set for an item in a scene.\n"},
  {(char*)"GetScene",                (PyCFunction)PyvtkContextItem_GetScene, 1,
   (char*)"V.GetScene() -> vtkContextScene\nC++: vtkContextScene *GetScene ();\n\n Get the vtkContextScene for the item, always set for an item in a scene.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkContextItemDoc[] = {
  (char*)"vtkContextItem - base class for items that are part of a vtkContextScene.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" Derive from this class to create custom items that can be added to a\n vtkContextScene.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkContextItemNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkContextItemMethods,
                        (char*)"vtkContextItem",modulename,
                        (char**)vtkContextItemDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

