// python wrapper for vtkContextMapper2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkContextMapper2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkContextMapper2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkContextMapper2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkContextMapper2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextMapper2D *op;

  const char    *temp20;
  op = (vtkContextMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextMapper2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkContextMapper2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextMapper2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkContextMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextMapper2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextMapper2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextMapper2D *op;

  vtkContextMapper2D  *temp20;
  op = (vtkContextMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextMapper2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextMapper2D_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextMapper2D *op;

  vtkTable  *temp0;
  PyObject *tempH0;
  op = (vtkContextMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTable");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkContextMapper2D::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkContextMapper2D_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextMapper2D *op;

  vtkTable  *temp20;
  op = (vtkContextMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextMapper2D::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextMapper2D_GetInputArrayToProcess(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextMapper2D *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  vtkDataArray  *temp20;
  op = (vtkContextMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextMapper2D::GetInputArrayToProcess(temp0,temp1);
      }
    else
      {
      temp20 = op->GetInputArrayToProcess(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkContextMapper2D_GetInputAbstractArrayToProcess(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextMapper2D *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  vtkAbstractArray  *temp20;
  op = (vtkContextMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextMapper2D::GetInputAbstractArrayToProcess(temp0,temp1);
      }
    else
      {
      temp20 = op->GetInputAbstractArrayToProcess(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkContextMapper2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkContextMapper2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkContextMapper2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkContextMapper2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkContextMapper2D\nC++: vtkContextMapper2D *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkContextMapper2D_SetInput, 1,
   (char*)"V.SetInput(vtkTable)\nC++: virtual void SetInput (vtkTable *input);\n\n Set/Get the input for this object - only accepts vtkTable as input.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkContextMapper2D_GetInput, 1,
   (char*)"V.GetInput() -> vtkTable\nC++: virtual vtkTable *GetInput ();\n\n Set/Get the input for this object - only accepts vtkTable as input.\n"},
  {(char*)"GetInputArrayToProcess",                (PyCFunction)PyvtkContextMapper2D_GetInputArrayToProcess, 1,
   (char*)"V.GetInputArrayToProcess(int, vtkDataObject) -> vtkDataArray\nC++: vtkDataArray *GetInputArrayToProcess (int idx, vtkDataObject *input);return this vtkAlgorithm GetInputArrayToProcess idx input \n\n"},
  {(char*)"GetInputAbstractArrayToProcess",                (PyCFunction)PyvtkContextMapper2D_GetInputAbstractArrayToProcess, 1,
   (char*)"V.GetInputAbstractArrayToProcess(int, vtkDataObject) -> vtkAbstractArray\nC++: vtkAbstractArray *GetInputAbstractArrayToProcess (int idx, vtkDataObject *input);return this vtkAlgorithm GetInputAbstractArrayToProcess idx input \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkContextMapper2DDoc[] = {
  (char*)"vtkContextMapper2D - Abstract class for 2D context mappers.\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  (char*)"\n This class provides an abstract base for 2D context mappers. They currently\n only accept vtkTable objects as input.\n\n",
  NULL
};

static vtkObjectBase *vtkContextMapper2DStaticNew()
{
  return vtkContextMapper2D::New();
}

PyObject *PyVTKClass_vtkContextMapper2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkContextMapper2DStaticNew,
                        PyvtkContextMapper2DMethods,
                        (char*)"vtkContextMapper2D",modulename,
                        (char**)vtkContextMapper2DDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

