// python wrapper for vtkContextView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkContextView.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkContextViewNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkContextViewNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderViewNew(char *); }

static PyObject *PyvtkContextView_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextView *op;

  const char    *temp20;
  op = (vtkContextView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextView::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkContextView_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextView *op;

  char    *temp0;
  int      temp20;
  op = (vtkContextView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextView::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextView_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextView *op;

  vtkContextView  *temp20;
  op = (vtkContextView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextView::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextView_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkContextView  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkContextView::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkContextView_SetContext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextView *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  op = (vtkContextView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkContextView::SetContext(temp0);
      }
    else
      {
      op->SetContext(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkContextView_GetContext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextView *op;

  vtkContext2D  *temp20;
  op = (vtkContextView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextView::GetContext();
      }
    else
      {
      temp20 = op->GetContext();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextView_SetInteractionMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextView *op;

  int      temp0;
  op = (vtkContextView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContextView::SetInteractionMode(temp0);
      }
    else
      {
      op->SetInteractionMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContextView_GetScene(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextView *op;

  vtkContextScene  *temp20;
  op = (vtkContextView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextView::GetScene();
      }
    else
      {
      temp20 = op->GetScene();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextView_SetScene(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextView *op;

  vtkContextScene  *temp0;
  PyObject *tempH0;
  op = (vtkContextView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContextScene *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContextScene");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkContextView::SetScene(temp0);
      }
    else
      {
      op->SetScene(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkContextView_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextView *op;

  op = (vtkContextView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContextView::Render();
      }
    else
      {
      op->Render();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkContextViewMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkContextView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkContextView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkContextView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkContextView\nC++: vtkContextView *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkContextView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkContextView\nC++: vtkContextView *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetContext",                (PyCFunction)PyvtkContextView_SetContext, 1,
   (char*)"V.SetContext(vtkContext2D)\nC++: virtual void SetContext (vtkContext2D *context);\n\n Set the vtkContext2D for the view.\n"},
  {(char*)"GetContext",                (PyCFunction)PyvtkContextView_GetContext, 1,
   (char*)"V.GetContext() -> vtkContext2D\nC++: vtkContext2D *GetContext ();\n\n Get the vtkContext2D for the view.\n"},
  {(char*)"SetInteractionMode",                (PyCFunction)PyvtkContextView_SetInteractionMode, 1,
   (char*)"V.SetInteractionMode(int)\nC++: virtual void SetInteractionMode (int mode);\n\n Set the interaction mode, defaults to 2D here.\n"},
  {(char*)"GetScene",                (PyCFunction)PyvtkContextView_GetScene, 1,
   (char*)"V.GetScene() -> vtkContextScene\nC++: vtkContextScene *GetScene ();\n\n Get the scene of the view.\n"},
  {(char*)"SetScene",                (PyCFunction)PyvtkContextView_SetScene, 1,
   (char*)"V.SetScene(vtkContextScene)\nC++: virtual void SetScene (vtkContextScene *scene);\n\n Set the scene object for the view.\n"},
  {(char*)"Render",                (PyCFunction)PyvtkContextView_Render, 1,
   (char*)"V.Render()\nC++: virtual void Render ();\n\n Updates the representations, then calls Render() on the render window\n associated with this view.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkContextViewDoc[] = {
  (char*)"vtkContextView - provides a view of the vtkContextScene.\n\n",
  "Super Class:\n\n vtkRenderView\n\n",
  (char*)" This class is derived from vtkRenderView and provides a view of a\n vtkContextScene, with a default interactor style, renderer etc.\n\n",
  NULL
};

static vtkObjectBase *vtkContextViewStaticNew()
{
  return vtkContextView::New();
}

PyObject *PyVTKClass_vtkContextViewNew(char *modulename)
{
  return PyVTKClass_New(&vtkContextViewStaticNew,
                        PyvtkContextViewMethods,
                        (char*)"vtkContextView",modulename,
                        (char**)vtkContextViewDoc,
                        PyVTKClass_vtkRenderViewNew(modulename));
}

