// python wrapper for vtkPen object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPen.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPenNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPenNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkPen_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPen *op;

  const char    *temp20;
  op = (vtkPen *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPen::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPen_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPen *op;

  char    *temp0;
  int      temp20;
  op = (vtkPen *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPen::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPen_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPen *op;

  vtkPen  *temp20;
  op = (vtkPen *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPen::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPen_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPen  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPen::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPen_SetLineType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPen *op;

  int      temp0;
  op = (vtkPen *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPen::SetLineType(temp0);
      }
    else
      {
      op->SetLineType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPen_GetLineType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPen *op;

  int      temp20;
  op = (vtkPen *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPen::GetLineType();
      }
    else
      {
      temp20 = op->GetLineType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPen_SetColorF(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPen *op;

  double temp0[3];
  op = (vtkPen *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPen::SetColorF(temp0);
      }
    else
      {
      op->SetColorF(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPen *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkPen *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPen::SetColorF(temp0,temp1,temp2);
      }
    else
      {
      op->SetColorF(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPen *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  PyErr_Clear();
  op = (vtkPen *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPen::SetColorF(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetColorF(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPen_SetOpacityF(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPen *op;

  double   temp0;
  op = (vtkPen *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPen::SetOpacityF(temp0);
      }
    else
      {
      op->SetOpacityF(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPen_SetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPen *op;

  unsigned char     temp0;
  unsigned char     temp1;
  unsigned char     temp2;
  op = (vtkPen *)PyArg_VTKParseTuple(self, args, (char*)"bbb", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPen::SetColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPen *op;

  unsigned char     temp0;
  unsigned char     temp1;
  unsigned char     temp2;
  unsigned char     temp3;
  PyErr_Clear();
  op = (vtkPen *)PyArg_VTKParseTuple(self, args, (char*)"bbbb", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPen::SetColor(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetColor(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPen_SetOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPen *op;

  unsigned char     temp0;
  op = (vtkPen *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPen::SetOpacity(temp0);
      }
    else
      {
      op->SetOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPen_GetColorF(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPen *op;

  double temp0[3];
  op = (vtkPen *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPen::GetColorF(temp0);
      }
    else
      {
      op->GetColorF(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPen_GetOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPen *op;

  unsigned char     temp20;
  op = (vtkPen *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPen::GetOpacity();
      }
    else
      {
      temp20 = op->GetOpacity();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPen_SetWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPen *op;

  float    temp0;
  op = (vtkPen *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPen::SetWidth(temp0);
      }
    else
      {
      op->SetWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPen_GetWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPen *op;

  float    temp20;
  op = (vtkPen *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPen::GetWidth();
      }
    else
      {
      temp20 = op->GetWidth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPen_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPen *op;

  vtkPen  *temp0;
  PyObject *tempH0;
  op = (vtkPen *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPen *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPen");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkPen::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}

static PyMethodDef PyvtkPenMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPen_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPen_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPen_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPen\nC++: vtkPen *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPen_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPen\nC++: vtkPen *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLineType",                (PyCFunction)PyvtkPen_SetLineType, 1,
   (char*)"V.SetLineType(int)\nC++: void SetLineType (int type);\n\n Set the type of line that the pen should draw. The default is solid (1).\n"},
  {(char*)"GetLineType",                (PyCFunction)PyvtkPen_GetLineType, 1,
   (char*)"V.GetLineType() -> int\nC++: int GetLineType ();\n\n Get the type of line that the pen will draw.\n"},
  {(char*)"SetColorF",                (PyCFunction)PyvtkPen_SetColorF, 1,
   (char*)"V.SetColorF((float, float, float))\nC++: void SetColorF (double color[3]);\nV.SetColorF(float, float, float)\nC++: void SetColorF (double r, double g, double b);\nV.SetColorF(float, float, float, float)\nC++: void SetColorF (double r, double g, double b, double a);\n\n Set the color of the brush with three component doubles (RGB), ranging from\n 0.0 to 1.0.\n"},
  {(char*)"SetOpacityF",                (PyCFunction)PyvtkPen_SetOpacityF, 1,
   (char*)"V.SetOpacityF(float)\nC++: void SetOpacityF (double a);\n\n Set the opacity with a double, ranging from 0.0 (transparent) to 1.0\n (opaque).\n"},
  {(char*)"SetColor",                (PyCFunction)PyvtkPen_SetColor, 1,
   (char*)"V.SetColor(int, int, int)\nC++: void SetColor (unsigned char r, unsigned char g, unsigned char b);\nV.SetColor(int, int, int, int)\nC++: void SetColor (unsigned char r, unsigned char g, unsigned char b, unsigned char a);\n\n Set the color of the brush with three component unsigned chars (RGB),\n ranging from 0 to 255.\n"},
  {(char*)"SetOpacity",                (PyCFunction)PyvtkPen_SetOpacity, 1,
   (char*)"V.SetOpacity(int)\nC++: void SetOpacity (unsigned char a);\n\n Set the opacity with an unsigned char, ranging from 0 (transparent) to 255\n (opaque).\n"},
  {(char*)"GetColorF",                (PyCFunction)PyvtkPen_GetColorF, 1,
   (char*)"V.GetColorF((float, float, float))\nC++: void GetColorF (double color[3]);\n\n Get the color of the brush - expects a double of length 3 to copy into.\n"},
  {(char*)"GetOpacity",                (PyCFunction)PyvtkPen_GetOpacity, 1,
   (char*)"V.GetOpacity() -> int\nC++: unsigned char GetOpacity ();\n\n Get the opacity (unsigned char), ranging from 0 (transparent) to 255\n (opaque).\n"},
  {(char*)"SetWidth",                (PyCFunction)PyvtkPen_SetWidth, 1,
   (char*)"V.SetWidth(float)\nC++: void SetWidth (float );\n\n Set/Get the width of the pen.\n"},
  {(char*)"GetWidth",                (PyCFunction)PyvtkPen_GetWidth, 1,
   (char*)"V.GetWidth() -> float\nC++: float GetWidth ();\n\n Set/Get the width of the pen.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkPen_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkPen)\nC++: void DeepCopy (vtkPen *pen);\n\n Make a deep copy of the supplied pen.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPenDoc[] = {
  (char*)"vtkPen - provides a pen that draws the outlines of shapes drawn\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" The vtkPen defines the outline of shapes that are drawn by vtkContext2D.\n The color is stored as four unsigned chars (RGBA), where the\n opacity defaults to 255, but can be modified separately to the other\n components. Ideally we would use a lightweight color class to store and pass\n around colors.\n\n",
  NULL
};

static vtkObjectBase *vtkPenStaticNew()
{
  return vtkPen::New();
}

PyObject *PyVTKClass_vtkPenNew(char *modulename)
{
  return PyVTKClass_New(&vtkPenStaticNew,
                        PyvtkPenMethods,
                        (char*)"vtkPen",modulename,
                        (char**)vtkPenDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

