// python wrapper for vtkPlotGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPlotGrid.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPlotGridNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPlotGridNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkContextItemNew(char *); }

static PyObject *PyvtkPlotGrid_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotGrid *op;

  const char    *temp20;
  op = (vtkPlotGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotGrid::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotGrid_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotGrid *op;

  char    *temp0;
  int      temp20;
  op = (vtkPlotGrid *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotGrid::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotGrid_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotGrid *op;

  vtkPlotGrid  *temp20;
  op = (vtkPlotGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotGrid::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotGrid_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPlotGrid  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPlotGrid::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPlotGrid_SetXAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotGrid *op;

  vtkAxis  *temp0;
  PyObject *tempH0;
  op = (vtkPlotGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAxis *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAxis");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlotGrid::SetXAxis(temp0);
      }
    else
      {
      op->SetXAxis(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPlotGrid_SetYAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotGrid *op;

  vtkAxis  *temp0;
  PyObject *tempH0;
  op = (vtkPlotGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAxis *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAxis");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlotGrid::SetYAxis(temp0);
      }
    else
      {
      op->SetYAxis(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkPlotGrid_Paint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotGrid *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkPlotGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotGrid::Paint(temp0);
      }
    else
      {
      temp20 = op->Paint(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkPlotGridMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPlotGrid_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPlotGrid_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPlotGrid_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPlotGrid\nC++: vtkPlotGrid *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPlotGrid_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPlotGrid\nC++: vtkPlotGrid *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetXAxis",                (PyCFunction)PyvtkPlotGrid_SetXAxis, 1,
   (char*)"V.SetXAxis(vtkAxis)\nC++: virtual void SetXAxis (vtkAxis *axis);\n\n Set the X axis of the grid.\n"},
  {(char*)"SetYAxis",                (PyCFunction)PyvtkPlotGrid_SetYAxis, 1,
   (char*)"V.SetYAxis(vtkAxis)\nC++: virtual void SetYAxis (vtkAxis *axis);\n\n Set the X axis of the grid.\n"},
  {(char*)"Paint",                (PyCFunction)PyvtkPlotGrid_Paint, 1,
   (char*)"V.Paint(vtkContext2D) -> bool\nC++: virtual bool Paint (vtkContext2D *painter);\n\n Paint event for the axis, called whenever the axis needs to be drawn\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPlotGridDoc[] = {
  (char*)"vtkPlotGrid - takes care of drawing the plot grid\n\n",
  "Super Class:\n\n vtkContextItem\n\n",
  (char*)" The vtkPlotGrid is drawn in screen coordinates. It is usually one of the\n first elements of a chart to be drawn, and will generally be obscured\n by all other elements of the chart. It builds up its own plot locations\n from the parameters of the x and y axis of the plot.\n\n",
  NULL
};

static vtkObjectBase *vtkPlotGridStaticNew()
{
  return vtkPlotGrid::New();
}

PyObject *PyVTKClass_vtkPlotGridNew(char *modulename)
{
  return PyVTKClass_New(&vtkPlotGridStaticNew,
                        PyvtkPlotGridMethods,
                        (char*)"vtkPlotGrid",modulename,
                        (char**)vtkPlotGridDoc,
                        PyVTKClass_vtkContextItemNew(modulename));
}

