// java wrapper for vtkPlot object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPlot.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkContextItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPlot_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPlot",dType)) { return me; }
  if ((res= vtkContextItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPlot_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  const char    *temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlot_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPlot *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPlot_PaintLegend_12(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1)
{
  vtkPlot *op;
  vtkContext2D  *temp0;
  float  temp1[4];
  void *tempArray1;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PaintLegend(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetColor_13(JNIEnv *env, jobject obj,jchar id0,jchar id1,jchar id2,jchar id3)
{
  vtkPlot *op;
   unsigned char     temp0;
   unsigned char     temp1;
   unsigned char     temp2;
   unsigned char     temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColor(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetColor_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkPlot *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_GetColor_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPlot *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->GetColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetWidth_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPlot *op;
  float    temp0;
  temp0 = id0;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWidth(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPlot_GetWidth_17(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  float    temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWidth();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPlot_GetPen_18(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  vtkPen  *temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPen();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPlot_GetBrush_19(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  vtkBrush  *temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBrush();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetLabel_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPlot *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabel(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPlot_GetLabel_111(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  const char    *temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabel();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPlot_GetData_112(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  vtkContextMapper2D  *temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPlot_GetUseIndexForXSeries_113(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  bool   temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseIndexForXSeries();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetUseIndexForXSeries_114(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkPlot *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseIndexForXSeries(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetInput_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlot *op;
  vtkTable  *temp0;
  temp0 = (vtkTable *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetInput_116(JNIEnv *env, jobject obj,jobject id0,jstring id1,jstring id2)
{
  vtkPlot *op;
  vtkTable  *temp0;
  char    *temp1;
  char    *temp2;
  temp0 = (vtkTable *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = vtkJavaUTFToChar(env,id2);

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0,temp1,temp2);
  if (temp1) delete[] temp1;
  if (temp2) delete[] temp2;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetInput_117(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkPlot *op;
  vtkTable  *temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  temp0 = (vtkTable *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetInputArray_118(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkPlot *op;
  int      temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputArray(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetSelection_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlot *op;
  vtkIdTypeArray  *temp0;
  temp0 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelection(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPlot_GetXAxis_120(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  vtkAxis  *temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXAxis();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetXAxis_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlot *op;
  vtkAxis  *temp0;
  temp0 = (vtkAxis *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXAxis(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPlot_GetYAxis_122(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  vtkAxis  *temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYAxis();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetYAxis_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlot *op;
  vtkAxis  *temp0;
  temp0 = (vtkAxis *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYAxis(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_GetBounds_124(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPlot *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}
