// python wrapper for vtkPlotPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPlotPoints.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPlotPointsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPlotPointsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPlotNew(char *); }

static PyObject *PyvtkPlotPoints_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotPoints *op;

  const char    *temp20;
  op = (vtkPlotPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotPoints::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotPoints_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotPoints *op;

  char    *temp0;
  int      temp20;
  op = (vtkPlotPoints *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotPoints::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotPoints_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotPoints *op;

  vtkPlotPoints  *temp20;
  op = (vtkPlotPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotPoints::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlotPoints_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPlotPoints  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPlotPoints::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPlotPoints_Paint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotPoints *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkPlotPoints *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlotPoints::Paint(temp0);
      }
    else
      {
      temp20 = op->Paint(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPlotPoints_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlotPoints *op;

  double temp0[4];
  op = (vtkPlotPoints *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlotPoints::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPlotPointsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPlotPoints_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPlotPoints_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPlotPoints_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPlotPoints\nC++: vtkPlotPoints *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPlotPoints_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPlotPoints\nC++: vtkPlotPoints *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Paint",                (PyCFunction)PyvtkPlotPoints_Paint, 1,
   (char*)"V.Paint(vtkContext2D) -> bool\nC++: virtual bool Paint (vtkContext2D *painter);\n\n Paint event for the XY plot, called whenever the chart needs to be drawn\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkPlotPoints_GetBounds, 1,
   (char*)"V.GetBounds((float, float, float, float))\nC++: virtual void GetBounds (double bounds[4]);\n\n Get the bounds for this mapper as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPlotPointsDoc[] = {
  (char*)"vtkPlotPoints - Class for drawing an XY plot given two columns from a\n\n",
  "Super Class:\n\n vtkPlot\n\n",
  (char*)"\n\n",
  NULL
};

static vtkObjectBase *vtkPlotPointsStaticNew()
{
  return vtkPlotPoints::New();
}

PyObject *PyVTKClass_vtkPlotPointsNew(char *modulename)
{
  return PyVTKClass_New(&vtkPlotPointsStaticNew,
                        PyvtkPlotPointsMethods,
                        (char*)"vtkPlotPoints",modulename,
                        (char**)vtkPlotPointsDoc,
                        PyVTKClass_vtkPlotNew(modulename));
}

