// python wrapper for vtkTooltipItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTooltipItem.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTooltipItemNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTooltipItemNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkContextItemNew(char *); }

static PyObject *PyvtkTooltipItem_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTooltipItem *op;

  const char    *temp20;
  op = (vtkTooltipItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTooltipItem::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTooltipItem_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTooltipItem *op;

  char    *temp0;
  int      temp20;
  op = (vtkTooltipItem *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTooltipItem::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTooltipItem_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTooltipItem *op;

  vtkTooltipItem  *temp20;
  op = (vtkTooltipItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTooltipItem::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTooltipItem_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTooltipItem  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTooltipItem::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTooltipItem_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTooltipItem *op;

  float    temp0;
  float    temp1;
  op = (vtkTooltipItem *)PyArg_VTKParseTuple(self, args, (char*)"ff", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTooltipItem::SetPosition(temp0,temp1);
      }
    else
      {
      op->SetPosition(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTooltipItem *op;

  float  temp0[2];
  PyErr_Clear();
  op = (vtkTooltipItem *)PyArg_VTKParseTuple(self, args, (char*)"(ff)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTooltipItem::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTooltipItem_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTooltipItem *op;

  float   *temp20;
  op = (vtkTooltipItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTooltipItem::GetPosition();
      }
    else
      {
      temp20 = op->GetPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ff",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTooltipItem_SetText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTooltipItem *op;

  char    *temp0;
  op = (vtkTooltipItem *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTooltipItem::SetText(temp0);
      }
    else
      {
      op->SetText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTooltipItem_GetText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTooltipItem *op;

  char    *temp20;
  op = (vtkTooltipItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTooltipItem::GetText();
      }
    else
      {
      temp20 = op->GetText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTooltipItem_GetPen(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTooltipItem *op;

  vtkPen  *temp20;
  op = (vtkTooltipItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTooltipItem::GetPen();
      }
    else
      {
      temp20 = op->GetPen();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTooltipItem_GetBrush(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTooltipItem *op;

  vtkBrush  *temp20;
  op = (vtkTooltipItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTooltipItem::GetBrush();
      }
    else
      {
      temp20 = op->GetBrush();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTooltipItem_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTooltipItem *op;

  op = (vtkTooltipItem *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTooltipItem::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTooltipItem_Paint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTooltipItem *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkTooltipItem *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTooltipItem::Paint(temp0);
      }
    else
      {
      temp20 = op->Paint(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break12:
  return NULL;
}

static PyMethodDef PyvtkTooltipItemMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTooltipItem_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTooltipItem_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTooltipItem_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTooltipItem\nC++: vtkTooltipItem *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTooltipItem_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTooltipItem\nC++: vtkTooltipItem *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkTooltipItem_SetPosition, 1,
   (char*)"V.SetPosition(float, float)\nC++: void SetPosition (float , float );\nV.SetPosition((float, float))\nC++: void SetPosition (float  a[2]);\n\n Set the position of the tooltip (in pixels).\n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkTooltipItem_GetPosition, 1,
   (char*)"V.GetPosition() -> (float, float)\nC++: float  *GetPosition ();\n\n Get position of the axis (in pixels).\n"},
  {(char*)"SetText",                (PyCFunction)PyvtkTooltipItem_SetText, 1,
   (char*)"V.SetText(string)\nC++: void SetText (char *);\n\n Get/set the text of the item.\n"},
  {(char*)"GetText",                (PyCFunction)PyvtkTooltipItem_GetText, 1,
   (char*)"V.GetText() -> string\nC++: char *GetText ();\n\n Get/set the text of the item.\n"},
  {(char*)"GetPen",                (PyCFunction)PyvtkTooltipItem_GetPen, 1,
   (char*)"V.GetPen() -> vtkPen\nC++: vtkPen *GetPen ();\n\n Get a pointer to the vtkTextProperty object that controls the way the\n text is rendered.\n"},
  {(char*)"GetBrush",                (PyCFunction)PyvtkTooltipItem_GetBrush, 1,
   (char*)"V.GetBrush() -> vtkBrush\nC++: vtkBrush *GetBrush ();\n\n Get a pointer to the vtkPen object.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkTooltipItem_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Update the geometry of the tooltip.\n"},
  {(char*)"Paint",                (PyCFunction)PyvtkTooltipItem_Paint, 1,
   (char*)"V.Paint(vtkContext2D) -> bool\nC++: virtual bool Paint (vtkContext2D *painter);\n\n Paint event for the tooltip.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTooltipItemDoc[] = {
  (char*)"vtkTooltipItem - takes care of drawing 2D axes\n\n",
  "Super Class:\n\n vtkContextItem\n\n",
  (char*)" The vtkTooltipItem is drawn in screen coordinates. It is used to display a\n tooltip on a scene, giving additional information about an element on the\n scene, such as in vtkChartXY. It takes care of ensuring that it draws itself\n within the bounds of the screen.\n\n",
  NULL
};

static vtkObjectBase *vtkTooltipItemStaticNew()
{
  return vtkTooltipItem::New();
}

PyObject *PyVTKClass_vtkTooltipItemNew(char *modulename)
{
  return PyVTKClass_New(&vtkTooltipItemStaticNew,
                        PyvtkTooltipItemMethods,
                        (char*)"vtkTooltipItem",modulename,
                        (char**)vtkTooltipItemDoc,
                        PyVTKClass_vtkContextItemNew(modulename));
}

