// python wrapper for vtkArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArray *op;

  const char    *temp20;
  op = (vtkArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArray *op;

  char    *temp0;
  int      temp20;
  op = (vtkArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArray *op;

  vtkArray  *temp20;
  op = (vtkArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArray_CreateArray(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  int      temp1;
  vtkArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"ii", &temp0, &temp1)))
    {
      {
      temp20 = vtkArray::CreateArray(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArray_IsDense(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArray *op;

  bool   temp20;
  op = (vtkArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->IsDense();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkArray_Resize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArray *op;

  vtkIdType   temp0;
  op = (vtkArray *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArray::Resize(temp0);
      }
    else
      {
      op->Resize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  PyErr_Clear();
  op = (vtkArray *)PyArg_VTKParseTuple(self, args, (char*)"LL", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArray::Resize(temp0,temp1);
      }
    else
      {
      op->Resize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  PyErr_Clear();
  op = (vtkArray *)PyArg_VTKParseTuple(self, args, (char*)"LLL", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArray::Resize(temp0,temp1,temp2);
      }
    else
      {
      op->Resize(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArray_GetDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArray *op;

  vtkIdType   temp20;
  op = (vtkArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArray::GetDimensions();
      }
    else
      {
      temp20 = op->GetDimensions();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArray_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArray *op;

  vtkIdType   temp20;
  op = (vtkArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArray::GetSize();
      }
    else
      {
      temp20 = op->GetSize();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArray_GetNonNullSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArray *op;

  vtkIdType   temp20;
  op = (vtkArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNonNullSize();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArray_SetName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArray *op;

  char    *temp0;
  op = (vtkArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArray::SetName(temp0);
      }
    else
      {
      op->SetName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArray_GetName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArray *op;

  const char    *temp20;
  op = (vtkArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArray::GetName();
      }
    else
      {
      temp20 = op->GetName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArray_SetDimensionLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArray *op;

  vtkIdType   temp0;
  char    *temp1;
  op = (vtkArray *)PyArg_VTKParseTuple(self, args, (char*)"Lz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArray::SetDimensionLabel(temp0,temp1);
      }
    else
      {
      op->SetDimensionLabel(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArray_GetDimensionLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArray *op;

  vtkIdType   temp0;
  const char    *temp20;
  op = (vtkArray *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArray::GetDimensionLabel(temp0);
      }
    else
      {
      temp20 = op->GetDimensionLabel(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArray_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArray *op;

  vtkArray  *temp20;
  op = (vtkArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->DeepCopy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkArray\nC++: vtkArray *NewInstance ();\n\n"},
  {(char*)"CreateArray",                (PyCFunction)PyvtkArray_CreateArray, 1,
   (char*)"V.CreateArray(int, int) -> vtkArray\nC++: static vtkArray *CreateArray (int StorageType, int ValueType);\n\n Creates a new array where StorageType is one of vtkArray::DENSE or vtkArray::SPARSE, and\n ValueType is one of VTK_CHAR, VTK_UNSIGNED_CHAR, VTK_SHORT, VTK_UNSIGNED_SHORT,\n VTK_INT, VTK_UNSIGNED_INT, VTK_LONG, VTK_UNSIGNED_LONG, VTK_DOUBLE, VTK_ID_TYPE,\n or VTK_STRING.  The caller is responsible for the lifetime of the returned object.\n"},
  {(char*)"IsDense",                (PyCFunction)PyvtkArray_IsDense, 1,
   (char*)"V.IsDense() -> bool\nC++: virtual bool IsDense () = 0;\n\n Returns true iff the underlying array storage is \"dense\", i.e. that GetSize() and\n GetNonNullSize() will always return the same value.  If not, the array is \"sparse\".\n"},
  {(char*)"Resize",                (PyCFunction)PyvtkArray_Resize, 1,
   (char*)"V.Resize(int)\nC++: void Resize (const vtkIdType i);\nV.Resize(int, int)\nC++: void Resize (const vtkIdType i, const vtkIdType j);\nV.Resize(int, int, int)\nC++: void Resize (const vtkIdType i, const vtkIdType j, const vtkIdType k);\n\n Resizes the array to the given extents (number of dimensions and size of each dimension).\n Note that concrete implementations of vtkArray may place constraints on the the extents\n that they will store, so you cannot assume that GetExtents() will always return the same\n value passed to Resize().\n\n The contents of the array are undefined after calling Resize() - you should\n initialize its contents accordingly.  In particular, dimension-labels will be\n undefined, dense array values will be undefined, and sparse arrays will be\n empty.\n"},
  {(char*)"GetDimensions",                (PyCFunction)PyvtkArray_GetDimensions, 1,
   (char*)"V.GetDimensions() -> int\nC++: vtkIdType GetDimensions ();\n\n Returns the number of dimensions stored in the array.  Note that this is the same as\n calling GetExtents().GetDimensions().\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkArray_GetSize, 1,
   (char*)"V.GetSize() -> int\nC++: vtkIdType GetSize ();\n\n Returns the number of values stored in the array.  Note that this is the same as calling\n GetExtents().GetSize(), and represents the maximum number of values that could ever\n be stored using the current extents.  This is equal to the number of values stored in a\n dense array, but may be larger than the number of values stored in a sparse array.\n"},
  {(char*)"GetNonNullSize",                (PyCFunction)PyvtkArray_GetNonNullSize, 1,
   (char*)"V.GetNonNullSize() -> int\nC++: virtual vtkIdType GetNonNullSize () = 0;\n\n Returns the number of non-null values stored in the array.  Note that this\n value will equal GetSize() for dense arrays, and will be less-than-or-equal\n to GetSize() for sparse arrays.\n"},
  {(char*)"SetName",                (PyCFunction)PyvtkArray_SetName, 1,
   (char*)"V.SetName(string)\nC++: void SetName (const vtkStdString &name);\n\n Sets the array name.\n"},
  {(char*)"GetName",                (PyCFunction)PyvtkArray_GetName, 1,
   (char*)"V.GetName() -> string\nC++: vtkStdString GetName ();\n\n Returns the array name.\n"},
  {(char*)"SetDimensionLabel",                (PyCFunction)PyvtkArray_SetDimensionLabel, 1,
   (char*)"V.SetDimensionLabel(int, string)\nC++: void SetDimensionLabel (vtkIdType i, const vtkStdString &label);\n\n Sets the label for the i-th array dimension.\n"},
  {(char*)"GetDimensionLabel",                (PyCFunction)PyvtkArray_GetDimensionLabel, 1,
   (char*)"V.GetDimensionLabel(int) -> string\nC++: vtkStdString GetDimensionLabel (vtkIdType i);\n\n Returns the label for the i-th array dimension.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkArray_DeepCopy, 1,
   (char*)"V.DeepCopy() -> vtkArray\nC++: virtual vtkArray *DeepCopy () = 0;\n\n Returns a new array that is a deep copy of this array.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkArrayDoc[] = {
  (char*)"vtkArray - Abstract interface for N-dimensional arrays.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkArray is the root of a hierarchy of arrays that can be used to store data with\n any number of dimensions.  It provides an abstract interface for retrieving and\n setting array attributes that are independent of the type of values stored in the\n array - such as the number of dimensions, extents along each dimension, and number\n of values stored in the array.\n\n To get and set array values, the vt",
  (char*)"kTypedArray template class derives from vtkArray\n and provides type-specific methods for retrieval and update.\n\n Two concrete derivatives of vtkTypedArray are provided at the moment: vtkDenseArray\n and vtkSparseArray, which provide dense and sparse storage for arbitrary-dimension\n data, respectively.  Toolkit users can create their own concrete derivatives that\n implement alternative storage strat",
  (char*)"egies, such as compressed-sparse-row, etc.  You\n could also create an array that provided read-only access to 'virtual' data, such\n as an array that returned a Fibonacci sequence, etc.\n\n\n",
  "See Also:\n\n vtkTypedArray, vtkDenseArray, vtkSparseArray\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkArrayNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkArrayMethods,
                        (char*)"vtkArray",modulename,
                        (char**)vtkArrayDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

