// python wrapper for vtkLookupTableWithEnabling object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLookupTableWithEnabling.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLookupTableWithEnablingNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLookupTableWithEnablingNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLookupTableNew(char *); }

static PyObject *PyvtkLookupTableWithEnabling_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTableWithEnabling *op;

  const char    *temp20;
  op = (vtkLookupTableWithEnabling *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTableWithEnabling::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTableWithEnabling_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTableWithEnabling *op;

  char    *temp0;
  int      temp20;
  op = (vtkLookupTableWithEnabling *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTableWithEnabling::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTableWithEnabling_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTableWithEnabling *op;

  vtkLookupTableWithEnabling  *temp20;
  op = (vtkLookupTableWithEnabling *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTableWithEnabling::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTableWithEnabling_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLookupTableWithEnabling  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLookupTableWithEnabling::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLookupTableWithEnabling_GetEnabledArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTableWithEnabling *op;

  vtkDataArray  *temp20;
  op = (vtkLookupTableWithEnabling *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTableWithEnabling::GetEnabledArray();
      }
    else
      {
      temp20 = op->GetEnabledArray();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTableWithEnabling_SetEnabledArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTableWithEnabling *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  op = (vtkLookupTableWithEnabling *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTableWithEnabling::SetEnabledArray(temp0);
      }
    else
      {
      op->SetEnabledArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkLookupTableWithEnablingMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLookupTableWithEnabling_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLookupTableWithEnabling_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLookupTableWithEnabling_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLookupTableWithEnabling\nC++: vtkLookupTableWithEnabling *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLookupTableWithEnabling_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLookupTableWithEnabling\nC++: vtkLookupTableWithEnabling *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetEnabledArray",                (PyCFunction)PyvtkLookupTableWithEnabling_GetEnabledArray, 1,
   (char*)"V.GetEnabledArray() -> vtkDataArray\nC++: vtkDataArray *GetEnabledArray ();\n\n This must be set before MapScalars() is called.\n Indices of this array must map directly to those in the scalars array\n passed to MapScalars(). \n Values of 0 in the array indicate the color should be desaturatated. \n"},
  {(char*)"SetEnabledArray",                (PyCFunction)PyvtkLookupTableWithEnabling_SetEnabledArray, 1,
   (char*)"V.SetEnabledArray(vtkDataArray)\nC++: virtual void SetEnabledArray (vtkDataArray *enabledArray);\n\n This must be set before MapScalars() is called.\n Indices of this array must map directly to those in the scalars array\n passed to MapScalars(). \n Values of 0 in the array indicate the color should be desaturatated. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLookupTableWithEnablingDoc[] = {
  (char*)"vtkLookupTableWithEnabling - A lookup table that allows for an\n\n",
  "Super Class:\n\n vtkLookupTable\n\n",
  (char*)" vtkLookupTableWithEnabling \"disables\" or \"grays out\" output colors\n based on whether the given value in EnabledArray is \"0\" or not. \n\n\n\n",
  "Caveats:\n\n You must set the EnabledArray before MapScalars() is called.\n Indices of EnabledArray must map directly to those of the array passed\n to MapScalars().\n\n\n",
  NULL
};

static vtkObjectBase *vtkLookupTableWithEnablingStaticNew()
{
  return vtkLookupTableWithEnabling::New();
}

PyObject *PyVTKClass_vtkLookupTableWithEnablingNew(char *modulename)
{
  return PyVTKClass_New(&vtkLookupTableWithEnablingStaticNew,
                        PyvtkLookupTableWithEnablingMethods,
                        (char*)"vtkLookupTableWithEnabling",modulename,
                        (char**)vtkLookupTableWithEnablingDoc,
                        PyVTKClass_vtkLookupTableNew(modulename));
}

