// python wrapper for vtkMath object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMath.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMathNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMathNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkMath_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMath *op;

  const char    *temp20;
  op = (vtkMath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMath::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMath *op;

  char    *temp0;
  int      temp20;
  op = (vtkMath *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMath::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMath *op;

  vtkMath  *temp20;
  op = (vtkMath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMath::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMath  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMath::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMath_Pi(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float    temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMath::Pi();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_DoubleTwoPi(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMath::DoubleTwoPi();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_DoublePi(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMath::DoublePi();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_RadiansFromDegrees(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float    temp0;
  float    temp20;
  if ((PyArg_ParseTuple(args, (char*)"f", &temp0)))
    {
      {
      temp20 = vtkMath::RadiansFromDegrees(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  double   temp0;
  double   temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"d", &temp0)))
    {
      {
      temp20 = vtkMath::RadiansFromDegrees(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_DegreesFromRadians(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float    temp0;
  float    temp20;
  if ((PyArg_ParseTuple(args, (char*)"f", &temp0)))
    {
      {
      temp20 = vtkMath::DegreesFromRadians(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  double   temp0;
  double   temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"d", &temp0)))
    {
      {
      temp20 = vtkMath::DegreesFromRadians(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkMath_DegreesToRadians(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float    temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMath::DegreesToRadians();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkMath_DoubleDegreesToRadians(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMath::DoubleDegreesToRadians();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkMath_RadiansToDegrees(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float    temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMath::RadiansToDegrees();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkMath_DoubleRadiansToDegrees(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMath::DoubleRadiansToDegrees();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}
#endif


static PyObject *PyvtkMath_Round(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float    temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"f", &temp0)))
    {
      {
      temp20 = vtkMath::Round(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  double   temp0;
  int      temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"d", &temp0)))
    {
      {
      temp20 = vtkMath::Round(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_Floor(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"d", &temp0)))
    {
      {
      temp20 = vtkMath::Floor(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_Factorial(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  long long   temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkMath::Factorial(temp0);
      }
    return PyLong_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_Binomial(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  int      temp1;
  long long   temp20;
  if ((PyArg_ParseTuple(args, (char*)"ii", &temp0, &temp1)))
    {
      {
      temp20 = vtkMath::Binomial(temp0,temp1);
      }
    return PyLong_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_RandomSeed(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      vtkMath::RandomSeed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_GetSeed(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMath::GetSeed();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_Random(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMath::Random();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  double   temp0;
  double   temp1;
  double   temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"dd", &temp0, &temp1)))
    {
      {
      temp20 = vtkMath::Random(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_Gaussian(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMath::Gaussian();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  double   temp0;
  double   temp1;
  double   temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"dd", &temp0, &temp1)))
    {
      {
      temp20 = vtkMath::Gaussian(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_Add(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float  temp0[3];
  float  temp1[3];
  float  temp2[3];
  if ((PyArg_ParseTuple(args, (char*)"(fff)(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2)))
    {
      {
      vtkMath::Add(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2)))
    {
      {
      vtkMath::Add(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_Subtract(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float  temp0[3];
  float  temp1[3];
  float  temp2[3];
  if ((PyArg_ParseTuple(args, (char*)"(fff)(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2)))
    {
      {
      vtkMath::Subtract(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2)))
    {
      {
      vtkMath::Subtract(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_MultiplyScalar(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float  temp0[3];
  float    temp1;
  if ((PyArg_ParseTuple(args, (char*)"(fff)f", temp0 + 0, temp0 + 1, temp0 + 2, &temp1)))
    {
      {
      vtkMath::MultiplyScalar(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  double temp0[3];
  double   temp1;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"(ddd)d", temp0 + 0, temp0 + 1, temp0 + 2, &temp1)))
    {
      {
      vtkMath::MultiplyScalar(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_Dot(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float  temp0[3];
  float  temp1[3];
  float    temp20;
  if ((PyArg_ParseTuple(args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      temp20 = vtkMath::Dot(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double   temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      temp20 = vtkMath::Dot(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_Cross(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float  temp0[3];
  float  temp1[3];
  float  temp2[3];
  if ((PyArg_ParseTuple(args, (char*)"(fff)(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2)))
    {
      {
      vtkMath::Cross(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2)))
    {
      {
      vtkMath::Cross(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_Norm(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float  temp0[3];
  float    temp20;
  if ((PyArg_ParseTuple(args, (char*)"(fff)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
      {
      temp20 = vtkMath::Norm(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  double temp0[3];
  double   temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
      {
      temp20 = vtkMath::Norm(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_Normalize(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float  temp0[3];
  float    temp20;
  if ((PyArg_ParseTuple(args, (char*)"(fff)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
      {
      temp20 = vtkMath::Normalize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  double temp0[3];
  double   temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
      {
      temp20 = vtkMath::Normalize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_Perpendiculars(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double   temp3;
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)d", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, &temp3)))
    {
      {
      vtkMath::Perpendiculars(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  float  temp0[3];
  float  temp1[3];
  float  temp2[3];
  double   temp3;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"(fff)(fff)(fff)d", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, &temp3)))
    {
      {
      vtkMath::Perpendiculars(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_Distance2BetweenPoints(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float  temp0[3];
  float  temp1[3];
  float    temp20;
  if ((PyArg_ParseTuple(args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      temp20 = vtkMath::Distance2BetweenPoints(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double   temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      temp20 = vtkMath::Distance2BetweenPoints(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_Dot2D(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float  temp0[2];
  float  temp1[2];
  float    temp20;
  if ((PyArg_ParseTuple(args, (char*)"(ff)(ff)", temp0 + 0, temp0 + 1, temp1 + 0, temp1 + 1)))
    {
      {
      temp20 = vtkMath::Dot2D(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  double temp0[2];
  double temp1[2];
  double   temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"(dd)(dd)", temp0 + 0, temp0 + 1, temp1 + 0, temp1 + 1)))
    {
      {
      temp20 = vtkMath::Dot2D(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_Norm2D(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float  temp0[2];
  float    temp20;
  if ((PyArg_ParseTuple(args, (char*)"(ff)", temp0 + 0, temp0 + 1)))
    {
      {
      temp20 = vtkMath::Norm2D(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  double temp0[2];
  double   temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
      {
      temp20 = vtkMath::Norm2D(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_Normalize2D(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float  temp0[2];
  float    temp20;
  if ((PyArg_ParseTuple(args, (char*)"(ff)", temp0 + 0, temp0 + 1)))
    {
      {
      temp20 = vtkMath::Normalize2D(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  double temp0[2];
  double   temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
      {
      temp20 = vtkMath::Normalize2D(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_Determinant2x2(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float  temp0[2];
  float  temp1[2];
  float    temp20;
  if ((PyArg_ParseTuple(args, (char*)"(ff)(ff)", temp0 + 0, temp0 + 1, temp1 + 0, temp1 + 1)))
    {
      {
      temp20 = vtkMath::Determinant2x2(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3)))
    {
      {
      temp20 = vtkMath::Determinant2x2(temp0,temp1,temp2,temp3);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  double temp0[2];
  double temp1[2];
  double   temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"(dd)(dd)", temp0 + 0, temp0 + 1, temp1 + 0, temp1 + 1)))
    {
      {
      temp20 = vtkMath::Determinant2x2(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_Determinant3x3(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float  temp0[3];
  float  temp1[3];
  float  temp2[3];
  float    temp20;
  if ((PyArg_ParseTuple(args, (char*)"(fff)(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2)))
    {
      {
      temp20 = vtkMath::Determinant3x3(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double   temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2)))
    {
      {
      temp20 = vtkMath::Determinant3x3(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  double   temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"ddddddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7, &temp8)))
    {
      {
      temp20 = vtkMath::Determinant3x3(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_SolveCubic(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3)))
    {
      {
      temp20 = vtkMath::SolveCubic(temp0,temp1,temp2,temp3);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_SolveQuadratic(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
      {
      temp20 = vtkMath::SolveQuadratic(temp0,temp1,temp2);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_SolveLinear(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp0;
  double   temp1;
  double  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"dd", &temp0, &temp1)))
    {
      {
      temp20 = vtkMath::SolveLinear(temp0,temp1);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_RGBToHSV(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float  temp0[3];
  float  temp1[3];
  if ((PyArg_ParseTuple(args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      vtkMath::RGBToHSV(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  double temp0[3];
  double  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
      {
      temp20 = vtkMath::RGBToHSV(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
      {
      temp20 = vtkMath::RGBToHSV(temp0,temp1,temp2);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      vtkMath::RGBToHSV(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_HSVToRGB(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float  temp0[3];
  float  temp1[3];
  if ((PyArg_ParseTuple(args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      vtkMath::HSVToRGB(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  double temp0[3];
  double  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
      {
      temp20 = vtkMath::HSVToRGB(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
      {
      temp20 = vtkMath::HSVToRGB(temp0,temp1,temp2);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      vtkMath::HSVToRGB(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_LabToXYZ(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      vtkMath::LabToXYZ(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_XYZToLab(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      vtkMath::XYZToLab(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_XYZToRGB(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      vtkMath::XYZToRGB(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_RGBToXYZ(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      vtkMath::RGBToXYZ(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_RGBToLab(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      vtkMath::RGBToLab(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_LabToRGB(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      vtkMath::LabToRGB(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_UninitializeBounds(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[6];
  if ((PyArg_ParseTuple(args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
      {
      vtkMath::UninitializeBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_AreBoundsInitialized(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[6];
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
      {
      temp20 = vtkMath::AreBoundsInitialized(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_ClampAndNormalizeValue(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp0;
  double temp1[2];
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"d(dd)", &temp0, temp1 + 0, temp1 + 1)))
    {
      {
      temp20 = vtkMath::ClampAndNormalizeValue(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_GetScalarTypeFittingRange(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3)))
    {
      {
      temp20 = vtkMath::GetScalarTypeFittingRange(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_GetAdjustedScalarRange(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  double temp2[2];
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"Oi(dd)", &tempH0, &temp1, temp2 + 0, temp2 + 1)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break77;
      {
      temp20 = vtkMath::GetAdjustedScalarRange(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break77:
  return NULL;
}


static PyObject *PyvtkMath_ExtentIsWithinOtherExtent(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int    temp0[6];
  int    temp1[6];
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"(iiiiii)(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5)))
    {
      {
      temp20 = vtkMath::ExtentIsWithinOtherExtent(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_BoundsIsWithinOtherBounds(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[6];
  double temp1[6];
  double temp2[3];
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"(dddddd)(dddddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp2 + 0, temp2 + 1, temp2 + 2)))
    {
      {
      temp20 = vtkMath::BoundsIsWithinOtherBounds(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_PointIsWithinBounds(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[6];
  double temp2[3];
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(dddddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp2 + 0, temp2 + 1, temp2 + 2)))
    {
      {
      temp20 = vtkMath::PointIsWithinBounds(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_SpiralPoints(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdType   temp0;
  vtkPoints  *temp1;
  PyObject *tempH1;
  if ((PyArg_ParseTuple(args, (char*)"LO", &temp0, &tempH1)))
    {
    temp1 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPoints");
    if (!temp1 && tempH1 != Py_None) goto break81;
      {
      vtkMath::SpiralPoints(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break81:
  return NULL;
}


static PyObject *PyvtkMath_Solve3PointCircle(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[3];
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2)))
    {
      {
      temp20 = vtkMath::Solve3PointCircle(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_Inf(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMath::Inf();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_NegInf(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMath::NegInf();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_Nan(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMath::Nan();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_IsInf(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"d", &temp0)))
    {
      {
      temp20 = vtkMath::IsInf(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMath_IsNan(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"d", &temp0)))
    {
      {
      temp20 = vtkMath::IsNan(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMathMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMath_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMath_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMath_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMath\nC++: vtkMath *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMath_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMath\nC++: vtkMath *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Pi",                (PyCFunction)PyvtkMath_Pi, 1,
   (char*)"V.Pi() -> float\nC++: static float Pi ();return f \n\n A mathematical constant. This version is 3.14159265358979f.\n"},
  {(char*)"DoubleTwoPi",                (PyCFunction)PyvtkMath_DoubleTwoPi, 1,
   (char*)"V.DoubleTwoPi() -> float\nC++: static double DoubleTwoPi ();return \n\n A mathematical constant (double-precision version). This version \n is 6.283185307179586.\n"},
  {(char*)"DoublePi",                (PyCFunction)PyvtkMath_DoublePi, 1,
   (char*)"V.DoublePi() -> float\nC++: static double DoublePi ();return \n\n A mathematical constant (double-precision version). This version\n is 3.1415926535897932384626.\n"},
  {(char*)"RadiansFromDegrees",                (PyCFunction)PyvtkMath_RadiansFromDegrees, 1,
   (char*)"V.RadiansFromDegrees(float) -> float\nC++: static float RadiansFromDegrees (float degrees);\nV.RadiansFromDegrees(float) -> float\nC++: static double RadiansFromDegrees (double degrees);\n\n Convert degrees into radians\n"},
  {(char*)"DegreesFromRadians",                (PyCFunction)PyvtkMath_DegreesFromRadians, 1,
   (char*)"V.DegreesFromRadians(float) -> float\nC++: static float DegreesFromRadians (float radians);\nV.DegreesFromRadians(float) -> float\nC++: static double DegreesFromRadians (double radians);\n\n Convert radians into degrees\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"DegreesToRadians",                (PyCFunction)PyvtkMath_DegreesToRadians, 1,
   (char*)"V.DegreesToRadians() -> float\nC++: static float DegreesToRadians ();\n\n @deprecated Replaced by vtkMath::RadiansFromDegrees() as of VTK 5.4.\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"DoubleDegreesToRadians",                (PyCFunction)PyvtkMath_DoubleDegreesToRadians, 1,
   (char*)"V.DoubleDegreesToRadians() -> float\nC++: static double DoubleDegreesToRadians ();\n\n @deprecated Replaced by vtkMath::RadiansFromDegrees() as of VTK 5.4.\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"RadiansToDegrees",                (PyCFunction)PyvtkMath_RadiansToDegrees, 1,
   (char*)"V.RadiansToDegrees() -> float\nC++: static float RadiansToDegrees ();\n\n @deprecated Replaced by vtkMath::DegreesFromRadians() as of VTK 5.4.\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"DoubleRadiansToDegrees",                (PyCFunction)PyvtkMath_DoubleRadiansToDegrees, 1,
   (char*)"V.DoubleRadiansToDegrees() -> float\nC++: static double DoubleRadiansToDegrees ();\n\n @deprecated Replaced by vtkMath::DegreesFromRadians() as of VTK 5.4.\n"},
#endif
  {(char*)"Round",                (PyCFunction)PyvtkMath_Round, 1,
   (char*)"V.Round(float) -> int\nC++: static int Round (float f);return static_cast int f f \nV.Round(float) -> int\nC++: static int Round (double f);return static_cast int f f \n\n Rounds a float to the nearest integer.\n"},
  {(char*)"Floor",                (PyCFunction)PyvtkMath_Floor, 1,
   (char*)"V.Floor(float) -> int\nC++: static int Floor (double x);\n\n Rounds a double to the nearest integer less than itself.\n"},
  {(char*)"Factorial",                (PyCFunction)PyvtkMath_Factorial, 1,
   (char*)"V.Factorial(int) -> int\nC++: static vtkTypeInt64 Factorial (int N);\n\n Compute N factorial, N! = N*(N-1) * (N-2)...*3*2*1.\n 0! is taken to be 1.\n"},
  {(char*)"Binomial",                (PyCFunction)PyvtkMath_Binomial, 1,
   (char*)"V.Binomial(int, int) -> int\nC++: static vtkTypeInt64 Binomial (int m, int n);\n\n The number of combinations of n objects from a pool of m objects (m>n).\n This is commonly known as \"m choose n\" and sometimes denoted \\f$_mC_n\\f$\n or \\f$\\left(\\begin{array}{c}m \\\\ n\\end{array}\\right)\\f$.\n"},
  {(char*)"RandomSeed",                (PyCFunction)PyvtkMath_RandomSeed, 1,
   (char*)"V.RandomSeed(int)\nC++: static void RandomSeed (int s);\n\n Initialize seed value. NOTE: Random() has the bad property that \n the first random number returned after RandomSeed() is called \n is proportional to the seed value! To help solve this, call \n RandomSeed() a few times inside seed. This doesn't ruin the \n repeatability of Random().\n\n DON'T USE Random(), RandomSeed(), GetSeed(), Gaussian()\n THIS IS STATIC SO THIS IS PRONE TO ERRORS (SPECIALLY FOR REGRESSION TESTS)\n THIS IS HERE FOR BACKWARD COMPATIBILITY ONLY.\n Instead, for a sequence of random numbers with a uniform distribution\n create a vtkMinimalStandardRandomSequence object.\n For a sequence of random numbers with a gaussian/normal distribution\n create a vtkBoxMuellerRandomSequence object.\n"},
  {(char*)"GetSeed",                (PyCFunction)PyvtkMath_GetSeed, 1,
   (char*)"V.GetSeed() -> int\nC++: static int GetSeed ();\n\n Return the current seed used by the random number generator.\n\n DON'T USE Random(), RandomSeed(), GetSeed(), Gaussian()\n THIS IS STATIC SO THIS IS PRONE TO ERRORS (SPECIALLY FOR REGRESSION TESTS)\n THIS IS HERE FOR BACKWARD COMPATIBILITY ONLY.\n Instead, for a sequence of random numbers with a uniform distribution\n create a vtkMinimalStandardRandomSequence object.\n For a sequence of random numbers with a gaussian/normal distribution\n create a vtkBoxMuellerRandomSequence object.\n"},
  {(char*)"Random",                (PyCFunction)PyvtkMath_Random, 1,
   (char*)"V.Random() -> float\nC++: static double Random ();\nV.Random(float, float) -> float\nC++: static double Random (double min, double max);\n\n Generate pseudo-random numbers distributed according to the uniform \n distribution between 0.0 and 1.0.\n This is used to provide portability across different systems.\n\n DON'T USE Random(), RandomSeed(), GetSeed(), Gaussian()\n THIS IS STATIC SO THIS IS PRONE TO ERRORS (SPECIALLY FOR REGRESSION TESTS)\n THIS IS HERE FOR BACKWARD COMPATIBILITY ONLY.\n Instead, for a sequence of random numbers with a uniform distribution\n create a vtkMinimalStandardRandomSequence object.\n For a sequence of random numbers with a gaussian/normal distribution\n create a vtkBoxMuellerRandomSequence object.\n"},
  {(char*)"Gaussian",                (PyCFunction)PyvtkMath_Gaussian, 1,
   (char*)"V.Gaussian() -> float\nC++: static double Gaussian ();\nV.Gaussian(float, float) -> float\nC++: static double Gaussian (double mean, double std);\n\n Generate pseudo-random numbers distributed according to the standard\n normal distribution.\n\n DON'T USE Random(), RandomSeed(), GetSeed(), Gaussian()\n THIS IS STATIC SO THIS IS PRONE TO ERRORS (SPECIALLY FOR REGRESSION TESTS)\n THIS IS HERE FOR BACKWARD COMPATIBILITY ONLY.\n Instead, for a sequence of random numbers with a uniform distribution\n create a vtkMinimalStandardRandomSequence object.\n For a sequence of random numbers with a gaussian/normal distribution\n create a vtkBoxMuellerRandomSequence object.\n"},
  {(char*)"Add",                (PyCFunction)PyvtkMath_Add, 1,
   (char*)"V.Add((float, float, float), (float, float, float), (float, float, float))\nC++: static void Add (const float a[3], const float b[3], float c[3]);for int i i i c i a i b i \nV.Add((float, float, float), (float, float, float), (float, float, float))\nC++: static void Add (const double a[3], const double b[3], double c[3]);for int i i i c i a i b i \n\n Addition of two 3-vectors (double version). Result is stored in c.\n"},
  {(char*)"Subtract",                (PyCFunction)PyvtkMath_Subtract, 1,
   (char*)"V.Subtract((float, float, float), (float, float, float), (float, float, float))\nC++: static void Subtract (const float a[3], const float b[3], float c[3]);for int i i i c i a i b i \nV.Subtract((float, float, float), (float, float, float), (float, float, float))\nC++: static void Subtract (const double a[3], const double b[3], double c[3]);for int i i i c i a i b i \n\n Subtraction of two 3-vectors (double version). Result is stored in c according to c = a - b.\n"},
  {(char*)"MultiplyScalar",                (PyCFunction)PyvtkMath_MultiplyScalar, 1,
   (char*)"V.MultiplyScalar((float, float, float), float)\nC++: static void MultiplyScalar (float a[3], float s);for int i i i a i s \nV.MultiplyScalar((float, float, float), float)\nC++: static void MultiplyScalar (double a[3], double s);for int i i i a i s \n\n Multiplies a 3-vector by a scalar (double version).\n This modifies the input 3-vector.\n"},
  {(char*)"Dot",                (PyCFunction)PyvtkMath_Dot, 1,
   (char*)"V.Dot((float, float, float), (float, float, float)) -> float\nC++: static float Dot (const float x[3], const float y[3]);return x y x y x y \nV.Dot((float, float, float), (float, float, float)) -> float\nC++: static double Dot (const double x[3], const double y[3]);return x y x y x y \n\n Dot product of two 3-vectors (float version).\n"},
  {(char*)"Cross",                (PyCFunction)PyvtkMath_Cross, 1,
   (char*)"V.Cross((float, float, float), (float, float, float), (float, float, float))\nC++: static void Cross (const float x[3], const float y[3], float z[3]);\nV.Cross((float, float, float), (float, float, float), (float, float, float))\nC++: static void Cross (const double x[3], const double y[3], double z[3]);\n\n Cross product of two 3-vectors. Result (a x b) is stored in z.\n"},
  {(char*)"Norm",                (PyCFunction)PyvtkMath_Norm, 1,
   (char*)"V.Norm((float, float, float)) -> float\nC++: static float Norm (const float x[3]);return static_cast float sqrt x x x x x x \nV.Norm((float, float, float)) -> float\nC++: static double Norm (const double x[3]);return sqrt x x x x x x \n\n Compute the norm of 3-vector.\n"},
  {(char*)"Normalize",                (PyCFunction)PyvtkMath_Normalize, 1,
   (char*)"V.Normalize((float, float, float)) -> float\nC++: static float Normalize (float x[3]);\nV.Normalize((float, float, float)) -> float\nC++: static double Normalize (double x[3]);\n\n Normalize (in place) a 3-vector. Returns norm of vector.\n"},
  {(char*)"Perpendiculars",                (PyCFunction)PyvtkMath_Perpendiculars, 1,
   (char*)"V.Perpendiculars((float, float, float), (float, float, float), (float, float, float), float)\nC++: static void Perpendiculars (const double x[3], double y[3], double z[3], double theta);\nV.Perpendiculars((float, float, float), (float, float, float), (float, float, float), float)\nC++: static void Perpendiculars (const float x[3], float y[3], float z[3], double theta);\n\n Given a unit vector x, find two unit vectors y and z such that \n x cross y = z (i.e. the vectors are perpendicular to each other).\n There is an infinite number of such vectors, specify an angle theta \n to choose one set.  If you want only one perpendicular vector, \n specify NULL for z.\n"},
  {(char*)"Distance2BetweenPoints",                (PyCFunction)PyvtkMath_Distance2BetweenPoints, 1,
   (char*)"V.Distance2BetweenPoints((float, float, float), (float, float, float)) -> float\nC++: static float Distance2BetweenPoints (const float x[3], const float y[3]);\nV.Distance2BetweenPoints((float, float, float), (float, float, float)) -> float\nC++: static double Distance2BetweenPoints (const double x[3], const double y[3]);\n\n Compute distance squared between two points x and y.\n"},
  {(char*)"Dot2D",                (PyCFunction)PyvtkMath_Dot2D, 1,
   (char*)"V.Dot2D((float, float), (float, float)) -> float\nC++: static float Dot2D (const float x[2], const float y[2]);return x y x y \nV.Dot2D((float, float), (float, float)) -> float\nC++: static double Dot2D (const double x[2], const double y[2]);return x y x y \n\n Dot product of two 2-vectors.\n"},
  {(char*)"Norm2D",                (PyCFunction)PyvtkMath_Norm2D, 1,
   (char*)"V.Norm2D((float, float)) -> float\nC++: static float Norm2D (const float x[2]);return static_cast float sqrt x x x x \nV.Norm2D((float, float)) -> float\nC++: static double Norm2D (const double x[2]);return sqrt x x x x \n\n Compute the norm of a 2-vector.\n"},
  {(char*)"Normalize2D",                (PyCFunction)PyvtkMath_Normalize2D, 1,
   (char*)"V.Normalize2D((float, float)) -> float\nC++: static float Normalize2D (float x[2]);\nV.Normalize2D((float, float)) -> float\nC++: static double Normalize2D (double x[2]);\n\n Normalize (in place) a 2-vector. Returns norm of vector.\n"},
  {(char*)"Determinant2x2",                (PyCFunction)PyvtkMath_Determinant2x2, 1,
   (char*)"V.Determinant2x2((float, float), (float, float)) -> float\nC++: static float Determinant2x2 (const float c1[2], const float c2[2]);return c1 c2 c2 c1 \nV.Determinant2x2(float, float, float, float) -> float\nC++: static double Determinant2x2 (double a, double b, double c, double d);return a d b c \nV.Determinant2x2((float, float), (float, float)) -> float\nC++: static double Determinant2x2 (const double c1[2], const double c2[2]);return c1 c2 c2 c1 \n\n Compute determinant of 2x2 matrix. Two columns of matrix are input.\n"},
  {(char*)"Determinant3x3",                (PyCFunction)PyvtkMath_Determinant3x3, 1,
   (char*)"V.Determinant3x3((float, float, float), (float, float, float), (float, float, float)) -> float\nC++: static float Determinant3x3 (const float c1[3], const float c2[3], const float c3[3]);\nV.Determinant3x3((float, float, float), (float, float, float), (float, float, float)) -> float\nC++: static double Determinant3x3 (const double c1[3], const double c2[3], const double c3[3]);\nV.Determinant3x3(float, float, float, float, float, float, float, float, float) -> float\nC++: static double Determinant3x3 (double a1, double a2, double a3, double b1, double b2, double b3, double c1, double c2, double c3);\n\n Compute determinant of 3x3 matrix. Three columns of matrix are input.\n"},
  {(char*)"SolveCubic",                (PyCFunction)PyvtkMath_SolveCubic, 1,
   (char*)"V.SolveCubic(float, float, float, float) -> (float, float, float, float, float)\nC++: static double *SolveCubic (double c0, double c1, double c2, double c3);\n\n Solves a cubic equation c0*t^3 + c1*t^2 + c2*t + c3 = 0 when c0, c1, c2,\n and c3 are REAL.  Solution is motivated by Numerical Recipes In C 2nd\n Ed.  Return array contains number of (real) roots (counting multiple\n roots as one) followed by roots themselves. The value in roots[4] is a\n integer giving further information about the roots (see return codes for\n int SolveCubic() ).\n"},
  {(char*)"SolveQuadratic",                (PyCFunction)PyvtkMath_SolveQuadratic, 1,
   (char*)"V.SolveQuadratic(float, float, float) -> (float, float, float, float)\nC++: static double *SolveQuadratic (double c0, double c1, double c2);\n\n Solves a quadratic equation c1*t^2 + c2*t + c3 = 0 when c1, c2, and c3\n are REAL.  Solution is motivated by Numerical Recipes In C 2nd Ed.\n Return array contains number of (real) roots (counting multiple roots as\n one) followed by roots themselves. Note that roots[3] contains a return\n code further describing solution - see documentation for SolveCubic()\n for meaning of return codes.\n"},
  {(char*)"SolveLinear",                (PyCFunction)PyvtkMath_SolveLinear, 1,
   (char*)"V.SolveLinear(float, float) -> (float, float, float)\nC++: static double *SolveLinear (double c0, double c1);\n\n Solves a linear equation c2*t  + c3 = 0 when c2 and c3 are REAL.\n Solution is motivated by Numerical Recipes In C 2nd Ed.\n Return array contains number of roots followed by roots themselves.\n"},
  {(char*)"RGBToHSV",                (PyCFunction)PyvtkMath_RGBToHSV, 1,
   (char*)"V.RGBToHSV((float, float, float), (float, float, float))\nC++: static void RGBToHSV (const float rgb[3], float hsv[3]);RGBToHSV rgb rgb rgb hsv hsv hsv \nV.RGBToHSV((float, float, float)) -> (float, float, float)\nC++: static double *RGBToHSV (const double rgb[3]);\nV.RGBToHSV(float, float, float) -> (float, float, float)\nC++: static double *RGBToHSV (double r, double g, double b);\nV.RGBToHSV((float, float, float), (float, float, float))\nC++: static void RGBToHSV (const double rgb[3], double hsv[3]);RGBToHSV rgb rgb rgb hsv hsv hsv \n\n Convert color in RGB format (Red, Green, Blue) to HSV format\n (Hue, Saturation, Value). The input color is not modified.\n"},
  {(char*)"HSVToRGB",                (PyCFunction)PyvtkMath_HSVToRGB, 1,
   (char*)"V.HSVToRGB((float, float, float), (float, float, float))\nC++: static void HSVToRGB (const float hsv[3], float rgb[3]);HSVToRGB hsv hsv hsv rgb rgb rgb \nV.HSVToRGB((float, float, float)) -> (float, float, float)\nC++: static double *HSVToRGB (const double hsv[3]);\nV.HSVToRGB(float, float, float) -> (float, float, float)\nC++: static double *HSVToRGB (double h, double s, double v);\nV.HSVToRGB((float, float, float), (float, float, float))\nC++: static void HSVToRGB (const double hsv[3], double rgb[3]);HSVToRGB hsv hsv hsv rgb rgb rgb \n\n Convert color in HSV format (Hue, Saturation, Value) to RGB\n format (Red, Green, Blue). The input color is not modified.\n"},
  {(char*)"LabToXYZ",                (PyCFunction)PyvtkMath_LabToXYZ, 1,
   (char*)"V.LabToXYZ((float, float, float), (float, float, float))\nC++: static void LabToXYZ (const double lab[3], double xyz[3]);LabToXYZ lab lab lab xyz xyz xyz \n\n Convert color from the CIE-L*ab system to CIE XYZ.\n"},
  {(char*)"XYZToLab",                (PyCFunction)PyvtkMath_XYZToLab, 1,
   (char*)"V.XYZToLab((float, float, float), (float, float, float))\nC++: static void XYZToLab (const double xyz[3], double lab[3]);XYZToLab xyz xyz xyz lab lab lab \n\n Convert Color from the CIE XYZ system to CIE-L*ab.\n"},
  {(char*)"XYZToRGB",                (PyCFunction)PyvtkMath_XYZToRGB, 1,
   (char*)"V.XYZToRGB((float, float, float), (float, float, float))\nC++: static void XYZToRGB (const double xyz[3], double rgb[3]);XYZToRGB xyz xyz xyz rgb rgb rgb \n\n Convert color from the CIE XYZ system to RGB.\n"},
  {(char*)"RGBToXYZ",                (PyCFunction)PyvtkMath_RGBToXYZ, 1,
   (char*)"V.RGBToXYZ((float, float, float), (float, float, float))\nC++: static void RGBToXYZ (const double rgb[3], double xyz[3]);RGBToXYZ rgb rgb rgb xyz xyz xyz \n\n Convert color from the RGB system to CIE XYZ.\n"},
  {(char*)"RGBToLab",                (PyCFunction)PyvtkMath_RGBToLab, 1,
   (char*)"V.RGBToLab((float, float, float), (float, float, float))\nC++: static void RGBToLab (const double rgb[3], double lab[3]);RGBToLab rgb rgb rgb lab lab lab \n\n Convert color from the RGB system to CIE-L*ab.\n"},
  {(char*)"LabToRGB",                (PyCFunction)PyvtkMath_LabToRGB, 1,
   (char*)"V.LabToRGB((float, float, float), (float, float, float))\nC++: static void LabToRGB (const double lab[3], double rgb[3]);LabToRGB lab lab lab rgb rgb rgb \n\n Convert color from the CIE-L*ab system to RGB.\n"},
  {(char*)"UninitializeBounds",                (PyCFunction)PyvtkMath_UninitializeBounds, 1,
   (char*)"V.UninitializeBounds((float, float, float, float, float, float))\nC++: static void UninitializeBounds (double bounds[6]);bounds bounds bounds bounds bounds bounds \n\n Are the bounds initialized?\n"},
  {(char*)"AreBoundsInitialized",                (PyCFunction)PyvtkMath_AreBoundsInitialized, 1,
   (char*)"V.AreBoundsInitialized((float, float, float, float, float, float)) -> int\nC++: static int AreBoundsInitialized (double bounds[6]);if bounds bounds return return \n\n Clamp some values against a range\n The method without 'clamped_values' will perform in-place clamping.\n"},
  {(char*)"ClampAndNormalizeValue",                (PyCFunction)PyvtkMath_ClampAndNormalizeValue, 1,
   (char*)"V.ClampAndNormalizeValue(float, (float, float)) -> float\nC++: static double ClampAndNormalizeValue (double value, const double range[2]);\n\n Clamp a value against a range and then normalized it between 0 and 1.\n If range[0]==range[1], the result is 0.\n \\pre valid_range: range[0]<=range[1]\n \\post valid_result: result>=0.0 && result<=1.0\n"},
  {(char*)"GetScalarTypeFittingRange",                (PyCFunction)PyvtkMath_GetScalarTypeFittingRange, 1,
   (char*)"V.GetScalarTypeFittingRange(float, float, float, float) -> int\nC++: static int GetScalarTypeFittingRange (double range_min, double range_max, double scale, double shift);\n\n Return the scalar type that is most likely to have enough precision \n to store a given range of data once it has been scaled and shifted \n (i.e. [range_min * scale + shift, range_max * scale + shift]. \n If any one of the parameters is not an integer number (decimal part != 0),\n the search will default to float types only (float or double)\n Return -1 on error or no scalar type found.\n"},
  {(char*)"GetAdjustedScalarRange",                (PyCFunction)PyvtkMath_GetAdjustedScalarRange, 1,
   (char*)"V.GetAdjustedScalarRange(vtkDataArray, int, (float, float)) -> int\nC++: static int GetAdjustedScalarRange (vtkDataArray *array, int comp, double range[2]);\n\n Get a vtkDataArray's scalar range for a given component. \n If the vtkDataArray's data type is unsigned char (VTK_UNSIGNED_CHAR)\n the range is adjusted to the whole data type range [0, 255.0]. \n Same goes for unsigned short (VTK_UNSIGNED_SHORT) but the upper bound \n is also adjusted down to 4095.0 if was between ]255, 4095.0].\n Return 1 on success, 0 otherwise.\n"},
  {(char*)"ExtentIsWithinOtherExtent",                (PyCFunction)PyvtkMath_ExtentIsWithinOtherExtent, 1,
   (char*)"V.ExtentIsWithinOtherExtent((int, int, int, int, int, int), (int, int, int, int, int, int)) -> int\nC++: static int ExtentIsWithinOtherExtent (int extent1[6], int extent2[6]);\n\n Return true if first 3D extent is within second 3D extent\n Extent is x-min, x-max, y-min, y-max, z-min, z-max\n"},
  {(char*)"BoundsIsWithinOtherBounds",                (PyCFunction)PyvtkMath_BoundsIsWithinOtherBounds, 1,
   (char*)"V.BoundsIsWithinOtherBounds((float, float, float, float, float, float), (float, float, float, float, float, float), (float, float, float)) -> int\nC++: static int BoundsIsWithinOtherBounds (double bounds1[6], double bounds2[6], double delta[3]);\n\n Return true if first 3D bounds is within the second 3D bounds\n Bounds is x-min, x-max, y-min, y-max, z-min, z-max\n Delta is the error margin along each axis (usually a small number)\n"},
  {(char*)"PointIsWithinBounds",                (PyCFunction)PyvtkMath_PointIsWithinBounds, 1,
   (char*)"V.PointIsWithinBounds((float, float, float), (float, float, float, float, float, float), (float, float, float)) -> int\nC++: static int PointIsWithinBounds (double point[3], double bounds[6], double delta[3]);\n\n Return true if point is within the given 3D bounds\n Bounds is x-min, x-max, y-min, y-max, z-min, z-max\n Delta is the error margin along each axis (usually a small number)\n"},
  {(char*)"SpiralPoints",                (PyCFunction)PyvtkMath_SpiralPoints, 1,
   (char*)"V.SpiralPoints(int, vtkPoints)\nC++: static void SpiralPoints (vtkIdType num, vtkPoints *offsets);\n\n Calculate \\a num points, at a regular interval, along a parametric \n spiral. Note this spiral is only in two dimensions having a constant\n z value.\n"},
  {(char*)"Solve3PointCircle",                (PyCFunction)PyvtkMath_Solve3PointCircle, 1,
   (char*)"V.Solve3PointCircle((float, float, float), (float, float, float), (float, float, float), (float, float, float)) -> float\nC++: static double Solve3PointCircle (const double p1[3], const double p2[3], const double p3[3], double center[3]);\n\n In Euclidean space, there is a unique circle passing through any given \n three non-collinear points P1, P2, and P3. Using Cartesian coordinates \n to represent these points as spatial vectors, it is possible to use the \n dot product and cross product to calculate the radius and center of the \n circle. See: http://en.wikipedia.org/wiki/Circumcircle and more\n specifically the section Barycentric coordinates from cross- and \n dot-products\n"},
  {(char*)"Inf",                (PyCFunction)PyvtkMath_Inf, 1,
   (char*)"V.Inf() -> float\nC++: static double Inf ();\n\n Special IEEE-754 number used to represent positive infinity.\n"},
  {(char*)"NegInf",                (PyCFunction)PyvtkMath_NegInf, 1,
   (char*)"V.NegInf() -> float\nC++: static double NegInf ();\n\n Special IEEE-754 number used to represent negative infinity.\n"},
  {(char*)"Nan",                (PyCFunction)PyvtkMath_Nan, 1,
   (char*)"V.Nan() -> float\nC++: static double Nan ();\n\n Special IEEE-754 number used to represent Not-A-Number (Nan).\n"},
  {(char*)"IsInf",                (PyCFunction)PyvtkMath_IsInf, 1,
   (char*)"V.IsInf(float) -> int\nC++: static int IsInf (double x);\n\n Test if a number is equal to the special floating point value infinity.\n"},
  {(char*)"IsNan",                (PyCFunction)PyvtkMath_IsNan, 1,
   (char*)"V.IsNan(float) -> int\nC++: static int IsNan (double x);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMathDoc[] = {
  (char*)"vtkMath - performs common math operations\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkMath provides methods to perform common math operations. These \n include providing constants such as Pi; conversion from degrees to \n radians; vector operations such as dot and cross products and vector \n norm; matrix determinant for 2x2 and 3x3 matrices; univariate polynomial\n solvers; and for random number generation (for backward compatibility only).\n\n",
  "See Also:\n\n vtkMinimalStandardRandomSequence, vtkBoxMuellerRandomSequence\n\n",
  NULL
};

static vtkObjectBase *vtkMathStaticNew()
{
  return vtkMath::New();
}

PyObject *PyVTKClass_vtkMathNew(char *modulename)
{
  return PyVTKClass_New(&vtkMathStaticNew,
                        PyvtkMathMethods,
                        (char*)"vtkMath",modulename,
                        (char**)vtkMathDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

