// python wrapper for vtkAbstractCellLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAbstractCellLocator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAbstractCellLocatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAbstractCellLocatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLocatorNew(char *); }

static PyObject *PyvtkAbstractCellLocator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  const char    *temp20;
  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractCellLocator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  char    *temp0;
  int      temp20;
  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractCellLocator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  vtkAbstractCellLocator  *temp20;
  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractCellLocator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_SetNumberOfCellsPerNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  int      temp0;
  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractCellLocator::SetNumberOfCellsPerNode(temp0);
      }
    else
      {
      op->SetNumberOfCellsPerNode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_GetNumberOfCellsPerNodeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  int      temp20;
  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractCellLocator::GetNumberOfCellsPerNodeMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfCellsPerNodeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_GetNumberOfCellsPerNodeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  int      temp20;
  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractCellLocator::GetNumberOfCellsPerNodeMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfCellsPerNodeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_GetNumberOfCellsPerNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  int      temp20;
  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractCellLocator::GetNumberOfCellsPerNode();
      }
    else
      {
      temp20 = op->GetNumberOfCellsPerNode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_SetCacheCellBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  int      temp0;
  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractCellLocator::SetCacheCellBounds(temp0);
      }
    else
      {
      op->SetCacheCellBounds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_GetCacheCellBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  int      temp20;
  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractCellLocator::GetCacheCellBounds();
      }
    else
      {
      temp20 = op->GetCacheCellBounds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_CacheCellBoundsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractCellLocator::CacheCellBoundsOn();
      }
    else
      {
      op->CacheCellBoundsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_CacheCellBoundsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractCellLocator::CacheCellBoundsOff();
      }
    else
      {
      op->CacheCellBoundsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_SetRetainCellLists(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  int      temp0;
  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractCellLocator::SetRetainCellLists(temp0);
      }
    else
      {
      op->SetRetainCellLists(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_GetRetainCellLists(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  int      temp20;
  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractCellLocator::GetRetainCellLists();
      }
    else
      {
      temp20 = op->GetRetainCellLists();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_RetainCellListsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractCellLocator::RetainCellListsOn();
      }
    else
      {
      op->RetainCellListsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_RetainCellListsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractCellLocator::RetainCellListsOff();
      }
    else
      {
      op->RetainCellListsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_SetLazyEvaluation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  int      temp0;
  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractCellLocator::SetLazyEvaluation(temp0);
      }
    else
      {
      op->SetLazyEvaluation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_GetLazyEvaluation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  int      temp20;
  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractCellLocator::GetLazyEvaluation();
      }
    else
      {
      temp20 = op->GetLazyEvaluation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_LazyEvaluationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractCellLocator::LazyEvaluationOn();
      }
    else
      {
      op->LazyEvaluationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_LazyEvaluationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractCellLocator::LazyEvaluationOff();
      }
    else
      {
      op->LazyEvaluationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_SetUseExistingSearchStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  int      temp0;
  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractCellLocator::SetUseExistingSearchStructure(temp0);
      }
    else
      {
      op->SetUseExistingSearchStructure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_GetUseExistingSearchStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  int      temp20;
  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractCellLocator::GetUseExistingSearchStructure();
      }
    else
      {
      temp20 = op->GetUseExistingSearchStructure();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_UseExistingSearchStructureOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractCellLocator::UseExistingSearchStructureOn();
      }
    else
      {
      op->UseExistingSearchStructureOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_UseExistingSearchStructureOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractCellLocator::UseExistingSearchStructureOff();
      }
    else
      {
      op->UseExistingSearchStructureOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_IntersectWithLine(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  double temp0[3];
  double temp1[3];
  vtkPoints  *temp2;
  PyObject *tempH2;
  vtkIdList  *temp3;
  PyObject *tempH3;
  int      temp20;
  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)OO", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2, &tempH3);
  if (op)
    {
    temp2 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPoints");
    if (!temp2 && tempH2 != Py_None) goto break23;
    temp3 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkIdList");
    if (!temp3 && tempH3 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractCellLocator::IntersectWithLine(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->IntersectWithLine(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_FindCellsAlongLine(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  double temp0[3];
  double temp1[3];
  double   temp2;
  vtkIdList  *temp3;
  PyObject *tempH3;
  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)dO", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, &temp2, &tempH3);
  if (op)
    {
    temp3 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkIdList");
    if (!temp3 && tempH3 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractCellLocator::FindCellsAlongLine(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->FindCellsAlongLine(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_FindCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  double temp0[3];
  vtkIdType   temp20;
  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractCellLocator::FindCell(temp0);
      }
    else
      {
      temp20 = op->FindCell(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractCellLocator_InsideCellBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractCellLocator *op;

  double temp0[3];
  vtkIdType   temp1;
  bool   temp20;
  op = (vtkAbstractCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)L", temp0 + 0, temp0 + 1, temp0 + 2, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractCellLocator::InsideCellBounds(temp0,temp1);
      }
    else
      {
      temp20 = op->InsideCellBounds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAbstractCellLocatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAbstractCellLocator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAbstractCellLocator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAbstractCellLocator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAbstractCellLocator\nC++: vtkAbstractCellLocator *NewInstance ();\n\n"},
  {(char*)"SetNumberOfCellsPerNode",                (PyCFunction)PyvtkAbstractCellLocator_SetNumberOfCellsPerNode, 1,
   (char*)"V.SetNumberOfCellsPerNode(int)\nC++: void SetNumberOfCellsPerNode (int );\n\n Specify the preferred/maximum number of cells in each node/bucket. \n Default 32. Locators generally operate by subdividing space into \n smaller regions until the number of cells in each region (or node) \n reaches the desired level.\n"},
  {(char*)"GetNumberOfCellsPerNodeMinValue",                (PyCFunction)PyvtkAbstractCellLocator_GetNumberOfCellsPerNodeMinValue, 1,
   (char*)"V.GetNumberOfCellsPerNodeMinValue() -> int\nC++: int GetNumberOfCellsPerNodeMinValue ();\n\n Specify the preferred/maximum number of cells in each node/bucket. \n Default 32. Locators generally operate by subdividing space into \n smaller regions until the number of cells in each region (or node) \n reaches the desired level.\n"},
  {(char*)"GetNumberOfCellsPerNodeMaxValue",                (PyCFunction)PyvtkAbstractCellLocator_GetNumberOfCellsPerNodeMaxValue, 1,
   (char*)"V.GetNumberOfCellsPerNodeMaxValue() -> int\nC++: int GetNumberOfCellsPerNodeMaxValue ();\n\n Specify the preferred/maximum number of cells in each node/bucket. \n Default 32. Locators generally operate by subdividing space into \n smaller regions until the number of cells in each region (or node) \n reaches the desired level.\n"},
  {(char*)"GetNumberOfCellsPerNode",                (PyCFunction)PyvtkAbstractCellLocator_GetNumberOfCellsPerNode, 1,
   (char*)"V.GetNumberOfCellsPerNode() -> int\nC++: int GetNumberOfCellsPerNode ();\n\n Specify the preferred/maximum number of cells in each node/bucket. \n Default 32. Locators generally operate by subdividing space into \n smaller regions until the number of cells in each region (or node) \n reaches the desired level.\n"},
  {(char*)"SetCacheCellBounds",                (PyCFunction)PyvtkAbstractCellLocator_SetCacheCellBounds, 1,
   (char*)"V.SetCacheCellBounds(int)\nC++: void SetCacheCellBounds (int );\n\n Boolean controls whether the bounds of each cell are computed only\n once and then saved.  Should be 10 to 20% faster if repeatedly \n calling any of the Intersect/Find routines and the extra memory\n won't cause disk caching (24 extra bytes per cell are required to\n save the bounds).\n"},
  {(char*)"GetCacheCellBounds",                (PyCFunction)PyvtkAbstractCellLocator_GetCacheCellBounds, 1,
   (char*)"V.GetCacheCellBounds() -> int\nC++: int GetCacheCellBounds ();\n\n Boolean controls whether the bounds of each cell are computed only\n once and then saved.  Should be 10 to 20% faster if repeatedly \n calling any of the Intersect/Find routines and the extra memory\n won't cause disk caching (24 extra bytes per cell are required to\n save the bounds).\n"},
  {(char*)"CacheCellBoundsOn",                (PyCFunction)PyvtkAbstractCellLocator_CacheCellBoundsOn, 1,
   (char*)"V.CacheCellBoundsOn()\nC++: void CacheCellBoundsOn ();\n\n Boolean controls whether the bounds of each cell are computed only\n once and then saved.  Should be 10 to 20% faster if repeatedly \n calling any of the Intersect/Find routines and the extra memory\n won't cause disk caching (24 extra bytes per cell are required to\n save the bounds).\n"},
  {(char*)"CacheCellBoundsOff",                (PyCFunction)PyvtkAbstractCellLocator_CacheCellBoundsOff, 1,
   (char*)"V.CacheCellBoundsOff()\nC++: void CacheCellBoundsOff ();\n\n Boolean controls whether the bounds of each cell are computed only\n once and then saved.  Should be 10 to 20% faster if repeatedly \n calling any of the Intersect/Find routines and the extra memory\n won't cause disk caching (24 extra bytes per cell are required to\n save the bounds).\n"},
  {(char*)"SetRetainCellLists",                (PyCFunction)PyvtkAbstractCellLocator_SetRetainCellLists, 1,
   (char*)"V.SetRetainCellLists(int)\nC++: void SetRetainCellLists (int );\n\n Boolean controls whether to maintain list of cells in each node.\n not applicable to all implementations, but if the locator is being used\n as a geometry simplification technique, there is no need to keep them.\n"},
  {(char*)"GetRetainCellLists",                (PyCFunction)PyvtkAbstractCellLocator_GetRetainCellLists, 1,
   (char*)"V.GetRetainCellLists() -> int\nC++: int GetRetainCellLists ();\n\n Boolean controls whether to maintain list of cells in each node.\n not applicable to all implementations, but if the locator is being used\n as a geometry simplification technique, there is no need to keep them.\n"},
  {(char*)"RetainCellListsOn",                (PyCFunction)PyvtkAbstractCellLocator_RetainCellListsOn, 1,
   (char*)"V.RetainCellListsOn()\nC++: void RetainCellListsOn ();\n\n Boolean controls whether to maintain list of cells in each node.\n not applicable to all implementations, but if the locator is being used\n as a geometry simplification technique, there is no need to keep them.\n"},
  {(char*)"RetainCellListsOff",                (PyCFunction)PyvtkAbstractCellLocator_RetainCellListsOff, 1,
   (char*)"V.RetainCellListsOff()\nC++: void RetainCellListsOff ();\n\n Boolean controls whether to maintain list of cells in each node.\n not applicable to all implementations, but if the locator is being used\n as a geometry simplification technique, there is no need to keep them.\n"},
  {(char*)"SetLazyEvaluation",                (PyCFunction)PyvtkAbstractCellLocator_SetLazyEvaluation, 1,
   (char*)"V.SetLazyEvaluation(int)\nC++: void SetLazyEvaluation (int );\n\n Most Locators build their search structures during BuildLocator\n but some may delay construction until it is actually needed.\n If LazyEvaluation is supported, this turns on/off the feature.\n if not supported, it is ignored.\n"},
  {(char*)"GetLazyEvaluation",                (PyCFunction)PyvtkAbstractCellLocator_GetLazyEvaluation, 1,
   (char*)"V.GetLazyEvaluation() -> int\nC++: int GetLazyEvaluation ();\n\n Most Locators build their search structures during BuildLocator\n but some may delay construction until it is actually needed.\n If LazyEvaluation is supported, this turns on/off the feature.\n if not supported, it is ignored.\n"},
  {(char*)"LazyEvaluationOn",                (PyCFunction)PyvtkAbstractCellLocator_LazyEvaluationOn, 1,
   (char*)"V.LazyEvaluationOn()\nC++: void LazyEvaluationOn ();\n\n Most Locators build their search structures during BuildLocator\n but some may delay construction until it is actually needed.\n If LazyEvaluation is supported, this turns on/off the feature.\n if not supported, it is ignored.\n"},
  {(char*)"LazyEvaluationOff",                (PyCFunction)PyvtkAbstractCellLocator_LazyEvaluationOff, 1,
   (char*)"V.LazyEvaluationOff()\nC++: void LazyEvaluationOff ();\n\n Most Locators build their search structures during BuildLocator\n but some may delay construction until it is actually needed.\n If LazyEvaluation is supported, this turns on/off the feature.\n if not supported, it is ignored.\n"},
  {(char*)"SetUseExistingSearchStructure",                (PyCFunction)PyvtkAbstractCellLocator_SetUseExistingSearchStructure, 1,
   (char*)"V.SetUseExistingSearchStructure(int)\nC++: void SetUseExistingSearchStructure (int );\n\n Some locators support querying a new dataset without rebuilding\n the search structure (typically this may occur when a dataset\n changes due to a time update, but is actually the same topology)\n Turning on this flag enables some locators to skip the rebuilding \n phase\n"},
  {(char*)"GetUseExistingSearchStructure",                (PyCFunction)PyvtkAbstractCellLocator_GetUseExistingSearchStructure, 1,
   (char*)"V.GetUseExistingSearchStructure() -> int\nC++: int GetUseExistingSearchStructure ();\n\n Some locators support querying a new dataset without rebuilding\n the search structure (typically this may occur when a dataset\n changes due to a time update, but is actually the same topology)\n Turning on this flag enables some locators to skip the rebuilding \n phase\n"},
  {(char*)"UseExistingSearchStructureOn",                (PyCFunction)PyvtkAbstractCellLocator_UseExistingSearchStructureOn, 1,
   (char*)"V.UseExistingSearchStructureOn()\nC++: void UseExistingSearchStructureOn ();\n\n Some locators support querying a new dataset without rebuilding\n the search structure (typically this may occur when a dataset\n changes due to a time update, but is actually the same topology)\n Turning on this flag enables some locators to skip the rebuilding \n phase\n"},
  {(char*)"UseExistingSearchStructureOff",                (PyCFunction)PyvtkAbstractCellLocator_UseExistingSearchStructureOff, 1,
   (char*)"V.UseExistingSearchStructureOff()\nC++: void UseExistingSearchStructureOff ();\n\n Some locators support querying a new dataset without rebuilding\n the search structure (typically this may occur when a dataset\n changes due to a time update, but is actually the same topology)\n Turning on this flag enables some locators to skip the rebuilding \n phase\n"},
  {(char*)"IntersectWithLine",                (PyCFunction)PyvtkAbstractCellLocator_IntersectWithLine, 1,
   (char*)"V.IntersectWithLine((float, float, float), (float, float, float), vtkPoints, vtkIdList) -> int\nC++: virtual int IntersectWithLine (const double p1[3], const double p2[3], vtkPoints *points, vtkIdList *cellIds);\n\n Take the passed line segment and intersect it with the data set.\n This method assumes that the data set is a vtkPolyData that describes\n a closed surface, and the intersection points that are returned in\n 'points' alternate between entrance points and exit points.\n The return value of the function is 0 if no intersections were found,\n -1 if point 'a0' lies inside the closed surface, or +1 if point 'a0'\n lies outside the closed surface.\n Either 'points' or 'cellIds' can be set to NULL if you don't want\n to receive that information. This method is currently only implemented\n in vtkOBBTree\n"},
  {(char*)"FindCellsAlongLine",                (PyCFunction)PyvtkAbstractCellLocator_FindCellsAlongLine, 1,
   (char*)"V.FindCellsAlongLine((float, float, float), (float, float, float), float, vtkIdList)\nC++: virtual void FindCellsAlongLine (double p1[3], double p2[3], double tolerance, vtkIdList *cells);\n\n Given a finite line defined by the two points (p1,p2), return the list\n of unique cell ids in the buckets containing the line. It is possible\n that an empty cell list is returned. The user must provide the vtkIdList\n to populate. This method returns data only after the locator has been\n built.\n"},
  {(char*)"FindCell",                (PyCFunction)PyvtkAbstractCellLocator_FindCell, 1,
   (char*)"V.FindCell((float, float, float)) -> int\nC++: virtual vtkIdType FindCell (double x[3]);\n\n Returns the Id of the cell containing the point, \n returns -1 if no cell found. This interface uses a tolerance of zero\n"},
  {(char*)"InsideCellBounds",                (PyCFunction)PyvtkAbstractCellLocator_InsideCellBounds, 1,
   (char*)"V.InsideCellBounds((float, float, float), int) -> bool\nC++: virtual bool InsideCellBounds (double x[3], vtkIdType cell_ID);\n\n Quickly test if a point is inside the bounds of a particular cell.\n Some locators cache cell bounds and this function can make use\n of fast access to the data.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAbstractCellLocatorDoc[] = {
  (char*)"vtkAbstractCellLocator - an abstract base class for locators which find cells\n\n",
  "Super Class:\n\n vtkLocator\n\n",
  (char*)" vtkAbstractCellLocator is a spatial search object to quickly locate cells in 3D.\n vtkAbstractCellLocator supplies a basic interface which concrete subclasses\n should implement.\n\n .SECTION Warning\n When deriving a class from vtkAbstractCellLocator, one should include the \n 'hidden' member functions by the following construct in the derived class \n \\verbatim\n //BTX\n  using vtkAbstractCellLocator::I",
  (char*)"ntersectWithLine;\n  using vtkAbstractCellLocator::FindClosestPoint;\n  using vtkAbstractCellLocator::FindClosestPointWithinRadius;\n //ETX\n \\endverbatim\n\n",
  "See Also:\n\n vtkLocator vtkPointLocator vtkOBBTree vtkCellLocator\n\n",
  NULL
};

PyObject *PyVTKClass_vtkAbstractCellLocatorNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkAbstractCellLocatorMethods,
                        (char*)"vtkAbstractCellLocator",modulename,
                        (char**)vtkAbstractCellLocatorDoc,
                        PyVTKClass_vtkLocatorNew(modulename));
}

