// python wrapper for vtkAbstractInterpolatedVelocityField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAbstractInterpolatedVelocityField.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAbstractInterpolatedVelocityFieldNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAbstractInterpolatedVelocityFieldNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkFunctionSetNew(char *); }

static PyObject *PyvtkAbstractInterpolatedVelocityField_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractInterpolatedVelocityField *op;

  const char    *temp20;
  op = (vtkAbstractInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractInterpolatedVelocityField::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractInterpolatedVelocityField_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractInterpolatedVelocityField *op;

  char    *temp0;
  int      temp20;
  op = (vtkAbstractInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractInterpolatedVelocityField::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractInterpolatedVelocityField_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractInterpolatedVelocityField *op;

  vtkAbstractInterpolatedVelocityField  *temp20;
  op = (vtkAbstractInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractInterpolatedVelocityField::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractInterpolatedVelocityField_SetCaching(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractInterpolatedVelocityField *op;

  bool   temp0;
  op = (vtkAbstractInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractInterpolatedVelocityField::SetCaching(temp0);
      }
    else
      {
      op->SetCaching(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractInterpolatedVelocityField_GetCaching(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractInterpolatedVelocityField *op;

  bool   temp20;
  op = (vtkAbstractInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractInterpolatedVelocityField::GetCaching();
      }
    else
      {
      temp20 = op->GetCaching();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractInterpolatedVelocityField_GetCacheHit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractInterpolatedVelocityField *op;

  int      temp20;
  op = (vtkAbstractInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractInterpolatedVelocityField::GetCacheHit();
      }
    else
      {
      temp20 = op->GetCacheHit();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractInterpolatedVelocityField_GetCacheMiss(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractInterpolatedVelocityField *op;

  int      temp20;
  op = (vtkAbstractInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractInterpolatedVelocityField::GetCacheMiss();
      }
    else
      {
      temp20 = op->GetCacheMiss();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractInterpolatedVelocityField_GetLastDataSetIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractInterpolatedVelocityField *op;

  int      temp20;
  op = (vtkAbstractInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractInterpolatedVelocityField::GetLastDataSetIndex();
      }
    else
      {
      temp20 = op->GetLastDataSetIndex();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractInterpolatedVelocityField_GetLastDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractInterpolatedVelocityField *op;

  vtkDataSet  *temp20;
  op = (vtkAbstractInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractInterpolatedVelocityField::GetLastDataSet();
      }
    else
      {
      temp20 = op->GetLastDataSet();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractInterpolatedVelocityField_GetLastCellId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractInterpolatedVelocityField *op;

  vtkIdType   temp20;
  op = (vtkAbstractInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractInterpolatedVelocityField::GetLastCellId();
      }
    else
      {
      temp20 = op->GetLastCellId();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractInterpolatedVelocityField_SetLastCellId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractInterpolatedVelocityField *op;

  vtkIdType   temp0;
  op = (vtkAbstractInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractInterpolatedVelocityField::SetLastCellId(temp0);
      }
    else
      {
      op->SetLastCellId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAbstractInterpolatedVelocityField *op;

  vtkIdType   temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkAbstractInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"Li", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetLastCellId(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractInterpolatedVelocityField_GetVectorsSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractInterpolatedVelocityField *op;

  char    *temp20;
  op = (vtkAbstractInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractInterpolatedVelocityField::GetVectorsSelection();
      }
    else
      {
      temp20 = op->GetVectorsSelection();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractInterpolatedVelocityField_SelectVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractInterpolatedVelocityField *op;

  char    *temp0;
  op = (vtkAbstractInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractInterpolatedVelocityField::SelectVectors(temp0);
      }
    else
      {
      op->SelectVectors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractInterpolatedVelocityField_SetNormalizeVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractInterpolatedVelocityField *op;

  bool   temp0;
  op = (vtkAbstractInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractInterpolatedVelocityField::SetNormalizeVector(temp0);
      }
    else
      {
      op->SetNormalizeVector(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractInterpolatedVelocityField_GetNormalizeVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractInterpolatedVelocityField *op;

  bool   temp20;
  op = (vtkAbstractInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractInterpolatedVelocityField::GetNormalizeVector();
      }
    else
      {
      temp20 = op->GetNormalizeVector();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractInterpolatedVelocityField_CopyParameters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractInterpolatedVelocityField *op;

  vtkAbstractInterpolatedVelocityField  *temp0;
  PyObject *tempH0;
  op = (vtkAbstractInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractInterpolatedVelocityField *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractInterpolatedVelocityField");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractInterpolatedVelocityField::CopyParameters(temp0);
      }
    else
      {
      op->CopyParameters(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkAbstractInterpolatedVelocityField_AddDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractInterpolatedVelocityField *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkAbstractInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->AddDataSet(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkAbstractInterpolatedVelocityField_ClearLastCellId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractInterpolatedVelocityField *op;

  op = (vtkAbstractInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractInterpolatedVelocityField::ClearLastCellId();
      }
    else
      {
      op->ClearLastCellId();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractInterpolatedVelocityField_GetLastLocalCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractInterpolatedVelocityField *op;

  double temp0[3];
  int      temp20;
  op = (vtkAbstractInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractInterpolatedVelocityField::GetLastLocalCoordinates(temp0);
      }
    else
      {
      temp20 = op->GetLastLocalCoordinates(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAbstractInterpolatedVelocityFieldMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAbstractInterpolatedVelocityField_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAbstractInterpolatedVelocityField_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAbstractInterpolatedVelocityField_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAbstractInterpolatedVelocityField\nC++: vtkAbstractInterpolatedVelocityField *NewInstance ();\n\n"},
  {(char*)"SetCaching",                (PyCFunction)PyvtkAbstractInterpolatedVelocityField_SetCaching, 1,
   (char*)"V.SetCaching(bool)\nC++: void SetCaching (bool );\n\n Set/Get the caching flag. If this flag is turned ON, there are two levels\n of caching for derived concrete class vtkInterpolatedVelocityField and one\n level of caching for derived concrete class vtkCellLocatorInterpolatedVelocityField.\n Otherwise a global cell location is always invoked for evaluating the \n function values at any point.\n"},
  {(char*)"GetCaching",                (PyCFunction)PyvtkAbstractInterpolatedVelocityField_GetCaching, 1,
   (char*)"V.GetCaching() -> bool\nC++: bool GetCaching ();\n\n Set/Get the caching flag. If this flag is turned ON, there are two levels\n of caching for derived concrete class vtkInterpolatedVelocityField and one\n level of caching for derived concrete class vtkCellLocatorInterpolatedVelocityField.\n Otherwise a global cell location is always invoked for evaluating the \n function values at any point.\n"},
  {(char*)"GetCacheHit",                (PyCFunction)PyvtkAbstractInterpolatedVelocityField_GetCacheHit, 1,
   (char*)"V.GetCacheHit() -> int\nC++: int GetCacheHit ();\n\n Get the caching statistics. CacheHit refers to the number of level #0 cache\n hits while CacheMiss is the number of level #0 cache misses.\n"},
  {(char*)"GetCacheMiss",                (PyCFunction)PyvtkAbstractInterpolatedVelocityField_GetCacheMiss, 1,
   (char*)"V.GetCacheMiss() -> int\nC++: int GetCacheMiss ();\n\n Get the caching statistics. CacheHit refers to the number of level #0 cache\n hits while CacheMiss is the number of level #0 cache misses.\n"},
  {(char*)"GetLastDataSetIndex",                (PyCFunction)PyvtkAbstractInterpolatedVelocityField_GetLastDataSetIndex, 1,
   (char*)"V.GetLastDataSetIndex() -> int\nC++: int GetLastDataSetIndex ();\n\n Get the most recently visited dataset and it id. The dataset is used \n for a guess regarding where the next point will be, without searching\n through all datasets. When setting the last dataset, care is needed as\n no reference counting or checks are performed. This feature is intended\n for custom interpolators only that cache datasets independently.\n"},
  {(char*)"GetLastDataSet",                (PyCFunction)PyvtkAbstractInterpolatedVelocityField_GetLastDataSet, 1,
   (char*)"V.GetLastDataSet() -> vtkDataSet\nC++: vtkDataSet *GetLastDataSet ();\n\n Get the most recently visited dataset and it id. The dataset is used \n for a guess regarding where the next point will be, without searching\n through all datasets. When setting the last dataset, care is needed as\n no reference counting or checks are performed. This feature is intended\n for custom interpolators only that cache datasets independently.\n"},
  {(char*)"GetLastCellId",                (PyCFunction)PyvtkAbstractInterpolatedVelocityField_GetLastCellId, 1,
   (char*)"V.GetLastCellId() -> int\nC++: vtkIdType GetLastCellId ();\n\n Get/Set the id of the cell cached from last evaluation.\n"},
  {(char*)"SetLastCellId",                (PyCFunction)PyvtkAbstractInterpolatedVelocityField_SetLastCellId, 1,
   (char*)"V.SetLastCellId(int)\nC++: virtual void SetLastCellId (vtkIdType c);this LastCellId c \nV.SetLastCellId(int, int)\nC++: virtual void SetLastCellId (vtkIdType c, int dataindex) = 0;\n\n Set the id of the most recently visited cell of a dataset.\n"},
  {(char*)"GetVectorsSelection",                (PyCFunction)PyvtkAbstractInterpolatedVelocityField_GetVectorsSelection, 1,
   (char*)"V.GetVectorsSelection() -> string\nC++: char *GetVectorsSelection ();\n\n Get/Set the name of a spcified vector array. By default it is NULL, with\n the active vector array for use.\n"},
  {(char*)"SelectVectors",                (PyCFunction)PyvtkAbstractInterpolatedVelocityField_SelectVectors, 1,
   (char*)"V.SelectVectors(string)\nC++: void SelectVectors (const char *fieldName);this SetVectorsSelection fieldName \n\n Set/Get the flag indicating vector post-normalization (following vector\n interpolation). Vector post-normalization is required to avoid the \n 'curve-overshooting' problem (caused by high velocity magnitude) that\n occurs when Cell-Length is used as the step size unit (particularly the\n Minimum step size unit). Furthermore, it is required by RK45 to achieve,\n as expected, high numerical accuracy (or high smoothness of flow lines)\n through adaptive step sizing. Note this operation is performed (when\n NormalizeVector TRUE) right after vector interpolation such that the\n differing amount of contribution of each node (of a cell) to the\n resulting direction of the interpolated vector, due to the possibly\n significantly-differing velocity magnitude values at the nodes (which is\n the case with large cells), can be reflected as is. Also note that this\n flag needs to be turned to FALSE after vtkInitialValueProblemSolver::\n ComputeNextStep() as subsequent operati ...\n [Truncated]\n"},
  {(char*)"SetNormalizeVector",                (PyCFunction)PyvtkAbstractInterpolatedVelocityField_SetNormalizeVector, 1,
   (char*)"V.SetNormalizeVector(bool)\nC++: void SetNormalizeVector (bool );\n\n Set/Get the flag indicating vector post-normalization (following vector\n interpolation). Vector post-normalization is required to avoid the \n 'curve-overshooting' problem (caused by high velocity magnitude) that\n occurs when Cell-Length is used as the step size unit (particularly the\n Minimum step size unit). Furthermore, it is required by RK45 to achieve,\n as expected, high numerical accuracy (or high smoothness of flow lines)\n through adaptive step sizing. Note this operation is performed (when\n NormalizeVector TRUE) right after vector interpolation such that the\n differing amount of contribution of each node (of a cell) to the\n resulting direction of the interpolated vector, due to the possibly\n significantly-differing velocity magnitude values at the nodes (which is\n the case with large cells), can be reflected as is. Also note that this\n flag needs to be turned to FALSE after vtkInitialValueProblemSolver::\n ComputeNextStep() as subsequent operati ...\n [Truncated]\n"},
  {(char*)"GetNormalizeVector",                (PyCFunction)PyvtkAbstractInterpolatedVelocityField_GetNormalizeVector, 1,
   (char*)"V.GetNormalizeVector() -> bool\nC++: bool GetNormalizeVector ();\n\n Set/Get the flag indicating vector post-normalization (following vector\n interpolation). Vector post-normalization is required to avoid the \n 'curve-overshooting' problem (caused by high velocity magnitude) that\n occurs when Cell-Length is used as the step size unit (particularly the\n Minimum step size unit). Furthermore, it is required by RK45 to achieve,\n as expected, high numerical accuracy (or high smoothness of flow lines)\n through adaptive step sizing. Note this operation is performed (when\n NormalizeVector TRUE) right after vector interpolation such that the\n differing amount of contribution of each node (of a cell) to the\n resulting direction of the interpolated vector, due to the possibly\n significantly-differing velocity magnitude values at the nodes (which is\n the case with large cells), can be reflected as is. Also note that this\n flag needs to be turned to FALSE after vtkInitialValueProblemSolver::\n ComputeNextStep() as subsequent operati ...\n [Truncated]\n"},
  {(char*)"CopyParameters",                (PyCFunction)PyvtkAbstractInterpolatedVelocityField_CopyParameters, 1,
   (char*)"V.CopyParameters(vtkAbstractInterpolatedVelocityField)\nC++: virtual void CopyParameters (vtkAbstractInterpolatedVelocityField *from);this Caching from Caching \n\n Add a dataset for implicit velocity function evaluation. If more than \n one dataset is added, the evaluation point is searched in all until a\n match is found. THIS FUNCTION DOES NOT CHANGE THE REFERENCE COUNT OF \n dataset FOR THREAD SAFETY REASONS.\n"},
  {(char*)"AddDataSet",                (PyCFunction)PyvtkAbstractInterpolatedVelocityField_AddDataSet, 1,
   (char*)"V.AddDataSet(vtkDataSet)\nC++: virtual void AddDataSet (vtkDataSet *dataset) = 0;\n\n Add a dataset for implicit velocity function evaluation. If more than \n one dataset is added, the evaluation point is searched in all until a\n match is found. THIS FUNCTION DOES NOT CHANGE THE REFERENCE COUNT OF \n dataset FOR THREAD SAFETY REASONS.\n"},
  {(char*)"ClearLastCellId",                (PyCFunction)PyvtkAbstractInterpolatedVelocityField_ClearLastCellId, 1,
   (char*)"V.ClearLastCellId()\nC++: void ClearLastCellId ();this LastCellId \n\n Get the interpolation weights cached from last evaluation. Return 1 if the\n cached cell is valid and 0 otherwise.\n"},
  {(char*)"GetLastLocalCoordinates",                (PyCFunction)PyvtkAbstractInterpolatedVelocityField_GetLastLocalCoordinates, 1,
   (char*)"V.GetLastLocalCoordinates((float, float, float)) -> int\nC++: int GetLastLocalCoordinates (double pcoords[3]);\n\n Get the interpolation weights cached from last evaluation. Return 1 if the\n cached cell is valid and 0 otherwise.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAbstractInterpolatedVelocityFieldDoc[] = {
  (char*)"vtkAbstractInterpolatedVelocityField - An abstract class for \n\n",
  "Super Class:\n\n vtkFunctionSet\n\n",
  (char*)"  vtkAbstractInterpolatedVelocityField acts as a continuous velocity field\n  by performing cell interpolation on the underlying vtkDataSet. This is an\n  abstract sub-class of vtkFunctionSet, NumberOfIndependentVariables = 4\n  (x,y,z,t) and NumberOfFunctions = 3 (u,v,w). With a brute-force scheme,\n  every time an evaluation is performed, the target cell containing point \n  (x,y,z) needs to be found",
  (char*)" by calling FindCell(), via either vtkDataSet or\n  vtkAbstractCelllocator's sub-classes (vtkCellLocator & vtkModifiedBSPTree). \n  As it incurs a large cost, one (for vtkCellLocatorInterpolatedVelocityField\n  via vtkAbstractCellLocator) or two (for vtkInterpolatedVelocityField via \n  vtkDataSet that involves vtkPointLocator in addressing vtkPointSet) levels\n  of cell caching may be exploited to inc",
  (char*)"rease the performance.\n\n  For vtkInterpolatedVelocityField, level #0 begins with intra-cell caching. \n  Specifically if the previous cell is valid and the next point is still in\n  it ( i.e., vtkCell::EvaluatePosition() returns 1, coupled with newly created \n  parametric coordinates & weights ), the function values can be interpolated\n  and only vtkCell::EvaluatePosition() is invoked. If this fails",
  (char*)", then level #1 \n  follows by inter-cell search for the target cell that contains the next point. \n  By an inter-cell search, the previous cell provides an important clue or serves \n  as an immediate neighbor to aid in locating the target cell via vtkPointSet::\n  FindCell(). If this still fails, a global cell location / search is invoked via\n  vtkPointSet::FindCell(). Here regardless of either int",
  (char*)"er-cell or global search, \n  vtkPointLocator is in fact employed (for datasets of type vtkPointSet only, note\n  vtkImageData and vtkRectilinearGrid are able to provide rapid and robust cell \n  location due to the simple mesh topology) as a crucial tool underlying the cell \n  locator. However, the use of vtkPointLocator makes vtkInterpolatedVelocityField \n  non-robust in cell location for vtkPointS",
  (char*)"et.\n  \n  For vtkCellLocatorInterpolatedVelocityField, the only caching (level #0) works\n  by intra-cell trial. In case of failure, a global search for the target cell is \n  invoked via vtkAbstractCellLocator::FindCell() and the actual work is done by \n  either vtkCellLocator or vtkModifiedBSPTree (for datasets of type vtkPointSet \n  only, while vtkImageData and vtkRectilinearGrid themselves are ab",
  (char*)"le to provide \n  fast robust cell location). Without the involvement of vtkPointLocator, robust \n  cell location is achieved for vtkPointSet. \n\n\n",
  "Caveats:\n\n  vtkAbstractInterpolatedVelocityField is not thread safe. A new instance \n  should be created by each thread.\n\n",
  "See Also:\n\n vtkInterpolatedVelocityField vtkCellLocatorInterpolatedVelocityField \n vtkGenericInterpolatedVelocityField vtkCachingInterpolatedVelocityField\n vtkTemporalInterpolatedVelocityField vtkFunctionSet vtkStreamer vtkStreamTracer\n\n",
  NULL
};

PyObject *PyVTKClass_vtkAbstractInterpolatedVelocityFieldNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkAbstractInterpolatedVelocityFieldMethods,
                        (char*)"vtkAbstractInterpolatedVelocityField",modulename,
                        (char**)vtkAbstractInterpolatedVelocityFieldDoc,
                        PyVTKClass_vtkFunctionSetNew(modulename));
}

