// python wrapper for vtkAbstractPointLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAbstractPointLocator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAbstractPointLocatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAbstractPointLocatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLocatorNew(char *); }

static PyObject *PyvtkAbstractPointLocator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPointLocator *op;

  const char    *temp20;
  op = (vtkAbstractPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPointLocator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPointLocator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPointLocator *op;

  char    *temp0;
  int      temp20;
  op = (vtkAbstractPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPointLocator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPointLocator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPointLocator *op;

  vtkAbstractPointLocator  *temp20;
  op = (vtkAbstractPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPointLocator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPointLocator_FindClosestPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPointLocator *op;

  double temp0[3];
  vtkIdType   temp20;
  op = (vtkAbstractPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->FindClosestPoint(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkAbstractPointLocator *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkAbstractPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPointLocator::FindClosestPoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->FindClosestPoint(temp0,temp1,temp2);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPointLocator_FindClosestNPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPointLocator *op;

  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  op = (vtkAbstractPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2);
  if (op)
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->FindClosestNPoints(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  /* handle an occurrence */
  {
  vtkAbstractPointLocator *op;

  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  vtkIdList  *temp4;
  PyObject *tempH4;
  PyErr_Clear();
  op = (vtkAbstractPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"idddO", &temp0, &temp1, &temp2, &temp3, &tempH4);
  if (op)
    {
    temp4 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkIdList");
    if (!temp4 && tempH4 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPointLocator::FindClosestNPoints(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->FindClosestNPoints(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkAbstractPointLocator_FindPointsWithinRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPointLocator *op;

  double   temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  op = (vtkAbstractPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"d(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2);
  if (op)
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->FindPointsWithinRadius(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  /* handle an occurrence */
  {
  vtkAbstractPointLocator *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  vtkIdList  *temp4;
  PyObject *tempH4;
  PyErr_Clear();
  op = (vtkAbstractPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"ddddO", &temp0, &temp1, &temp2, &temp3, &tempH4);
  if (op)
    {
    temp4 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkIdList");
    if (!temp4 && tempH4 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPointLocator::FindPointsWithinRadius(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->FindPointsWithinRadius(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkAbstractPointLocator_FreeSearchStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPointLocator *op;

  op = (vtkAbstractPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->FreeSearchStructure();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPointLocator_BuildLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPointLocator *op;

  op = (vtkAbstractPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->BuildLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPointLocator_GenerateRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPointLocator *op;

  int      temp0;
  vtkPolyData  *temp1;
  PyObject *tempH1;
  op = (vtkAbstractPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPolyData");
    if (!temp1 && tempH1 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GenerateRepresentation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}

static PyMethodDef PyvtkAbstractPointLocatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAbstractPointLocator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAbstractPointLocator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAbstractPointLocator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAbstractPointLocator\nC++: vtkAbstractPointLocator *NewInstance ();\n\n"},
  {(char*)"FindClosestPoint",                (PyCFunction)PyvtkAbstractPointLocator_FindClosestPoint, 1,
   (char*)"V.FindClosestPoint((float, float, float)) -> int\nC++: virtual vtkIdType FindClosestPoint (const double x[3]) = 0;\nV.FindClosestPoint(float, float, float) -> int\nC++: vtkIdType FindClosestPoint (double x, double y, double z);\n\n Given a position x, return the id of the point closest to it. Alternative\n method requires separate x-y-z values.\n These methods are thread safe if BuildLocator() is directly or\n indirectly called from a single thread first.\n"},
  {(char*)"FindClosestNPoints",                (PyCFunction)PyvtkAbstractPointLocator_FindClosestNPoints, 1,
   (char*)"V.FindClosestNPoints(int, (float, float, float), vtkIdList)\nC++: virtual void FindClosestNPoints (int N, const double x[3], vtkIdList *result) = 0;\nV.FindClosestNPoints(int, float, float, float, vtkIdList)\nC++: void FindClosestNPoints (int N, double x, double y, double z, vtkIdList *result);\n\n Find the closest N points to a position. This returns the closest\n N points to a position. A faster method could be created that returned\n N close points to a position, but necessarily the exact N closest.\n The returned points are sorted from closest to farthest.\n These methods are thread safe if BuildLocator() is directly or\n indirectly called from a single thread first.\n"},
  {(char*)"FindPointsWithinRadius",                (PyCFunction)PyvtkAbstractPointLocator_FindPointsWithinRadius, 1,
   (char*)"V.FindPointsWithinRadius(float, (float, float, float), vtkIdList)\nC++: virtual void FindPointsWithinRadius (double R, const double x[3], vtkIdList *result) = 0;\nV.FindPointsWithinRadius(float, float, float, float, vtkIdList)\nC++: void FindPointsWithinRadius (double R, double x, double y, double z, vtkIdList *result);\n\n Find all points within a specified radius R of position x.\n The result is not sorted in any specific manner.\n These methods are thread safe if BuildLocator() is directly or\n indirectly called from a single thread first.\n"},
  {(char*)"FreeSearchStructure",                (PyCFunction)PyvtkAbstractPointLocator_FreeSearchStructure, 1,
   (char*)"V.FreeSearchStructure()\nC++: virtual void FreeSearchStructure () = 0;\n\n See vtkLocator interface documentation.\n These methods are not thread safe.\n"},
  {(char*)"BuildLocator",                (PyCFunction)PyvtkAbstractPointLocator_BuildLocator, 1,
   (char*)"V.BuildLocator()\nC++: virtual void BuildLocator () = 0;\n\n See vtkLocator interface documentation.\n These methods are not thread safe.\n"},
  {(char*)"GenerateRepresentation",                (PyCFunction)PyvtkAbstractPointLocator_GenerateRepresentation, 1,
   (char*)"V.GenerateRepresentation(int, vtkPolyData)\nC++: virtual void GenerateRepresentation (int level, vtkPolyData *pd) = 0;\n\n See vtkLocator interface documentation.\n These methods are not thread safe.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAbstractPointLocatorDoc[] = {
  (char*)"vtkAbstractPointLocator - abstract class to quickly locate points in 3-space\n\n",
  "Super Class:\n\n vtkLocator\n\n",
  (char*)" vtkAbstractPointLocator is an abstract spatial search object to quickly locate points\n in 3D. vtkAbstractPointLocator works by dividing a specified region of space into \n \"rectangular\" buckets, and then keeping a list of points that \n lie in each bucket. Typical operation involves giving a position in 3D \n and finding the closest point.  The points are provided from the specified \n dataset input.",
  (char*)"\n\n",
  NULL
};

PyObject *PyVTKClass_vtkAbstractPointLocatorNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkAbstractPointLocatorMethods,
                        (char*)"vtkAbstractPointLocator",modulename,
                        (char**)vtkAbstractPointLocatorDoc,
                        PyVTKClass_vtkLocatorNew(modulename));
}

