// python wrapper for vtkDiscretizableColorTransferFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDiscretizableColorTransferFunction.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDiscretizableColorTransferFunctionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDiscretizableColorTransferFunctionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkColorTransferFunctionNew(char *); }

static PyObject *PyvtkDiscretizableColorTransferFunction_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiscretizableColorTransferFunction *op;

  const char    *temp20;
  op = (vtkDiscretizableColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiscretizableColorTransferFunction::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDiscretizableColorTransferFunction_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiscretizableColorTransferFunction *op;

  char    *temp0;
  int      temp20;
  op = (vtkDiscretizableColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiscretizableColorTransferFunction::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiscretizableColorTransferFunction_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiscretizableColorTransferFunction *op;

  vtkDiscretizableColorTransferFunction  *temp20;
  op = (vtkDiscretizableColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiscretizableColorTransferFunction::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiscretizableColorTransferFunction_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDiscretizableColorTransferFunction  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDiscretizableColorTransferFunction::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDiscretizableColorTransferFunction_Build(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiscretizableColorTransferFunction *op;

  op = (vtkDiscretizableColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDiscretizableColorTransferFunction::Build();
      }
    else
      {
      op->Build();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDiscretizableColorTransferFunction_SetDiscretize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiscretizableColorTransferFunction *op;

  int      temp0;
  op = (vtkDiscretizableColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDiscretizableColorTransferFunction::SetDiscretize(temp0);
      }
    else
      {
      op->SetDiscretize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDiscretizableColorTransferFunction_GetDiscretize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiscretizableColorTransferFunction *op;

  int      temp20;
  op = (vtkDiscretizableColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiscretizableColorTransferFunction::GetDiscretize();
      }
    else
      {
      temp20 = op->GetDiscretize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiscretizableColorTransferFunction_DiscretizeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiscretizableColorTransferFunction *op;

  op = (vtkDiscretizableColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDiscretizableColorTransferFunction::DiscretizeOn();
      }
    else
      {
      op->DiscretizeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDiscretizableColorTransferFunction_DiscretizeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiscretizableColorTransferFunction *op;

  op = (vtkDiscretizableColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDiscretizableColorTransferFunction::DiscretizeOff();
      }
    else
      {
      op->DiscretizeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDiscretizableColorTransferFunction_SetUseLogScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiscretizableColorTransferFunction *op;

  int      temp0;
  op = (vtkDiscretizableColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDiscretizableColorTransferFunction::SetUseLogScale(temp0);
      }
    else
      {
      op->SetUseLogScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDiscretizableColorTransferFunction_GetUseLogScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiscretizableColorTransferFunction *op;

  int      temp20;
  op = (vtkDiscretizableColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiscretizableColorTransferFunction::GetUseLogScale();
      }
    else
      {
      temp20 = op->GetUseLogScale();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiscretizableColorTransferFunction_SetNumberOfValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiscretizableColorTransferFunction *op;

  vtkIdType   temp0;
  op = (vtkDiscretizableColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDiscretizableColorTransferFunction::SetNumberOfValues(temp0);
      }
    else
      {
      op->SetNumberOfValues(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDiscretizableColorTransferFunction_GetNumberOfValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiscretizableColorTransferFunction *op;

  vtkIdType   temp20;
  op = (vtkDiscretizableColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiscretizableColorTransferFunction::GetNumberOfValues();
      }
    else
      {
      temp20 = op->GetNumberOfValues();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiscretizableColorTransferFunction_GetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiscretizableColorTransferFunction *op;

  double   temp0;
  double temp1[3];
  op = (vtkDiscretizableColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"d(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDiscretizableColorTransferFunction::GetColor(temp0,temp1);
      }
    else
      {
      op->GetColor(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDiscretizableColorTransferFunction_MapScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiscretizableColorTransferFunction *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  vtkUnsignedCharArray  *temp20;
  op = (vtkDiscretizableColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiscretizableColorTransferFunction::MapScalars(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->MapScalars(temp0,temp1,temp2);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkDiscretizableColorTransferFunction_SetAlpha(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiscretizableColorTransferFunction *op;

  double   temp0;
  op = (vtkDiscretizableColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDiscretizableColorTransferFunction::SetAlpha(temp0);
      }
    else
      {
      op->SetAlpha(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDiscretizableColorTransferFunction_UsingLogScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiscretizableColorTransferFunction *op;

  int      temp20;
  op = (vtkDiscretizableColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiscretizableColorTransferFunction::UsingLogScale();
      }
    else
      {
      temp20 = op->UsingLogScale();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDiscretizableColorTransferFunctionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDiscretizableColorTransferFunction_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDiscretizableColorTransferFunction_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDiscretizableColorTransferFunction_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDiscretizableColorTransferFunction\nC++: vtkDiscretizableColorTransferFunction *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDiscretizableColorTransferFunction_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDiscretizableColorTransferFunction\nC++: vtkDiscretizableColorTransferFunction *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Build",                (PyCFunction)PyvtkDiscretizableColorTransferFunction_Build, 1,
   (char*)"V.Build()\nC++: virtual void Build ();\n\n Generate discretized lookup table, if applicable.\n This method must be called after changes to the ColorTransferFunction\n otherwise the discretized version will be inconsitent with the \n non-discretized one.\n"},
  {(char*)"SetDiscretize",                (PyCFunction)PyvtkDiscretizableColorTransferFunction_SetDiscretize, 1,
   (char*)"V.SetDiscretize(int)\nC++: void SetDiscretize (int );\n\n Set if the values are to mapped after discretization. The\n number of discrete values is set by using SetNumberOfValues().\n Not set by default, i.e. color value is determined by\n interpolating at the scalar value.\n"},
  {(char*)"GetDiscretize",                (PyCFunction)PyvtkDiscretizableColorTransferFunction_GetDiscretize, 1,
   (char*)"V.GetDiscretize() -> int\nC++: int GetDiscretize ();\n\n Set if the values are to mapped after discretization. The\n number of discrete values is set by using SetNumberOfValues().\n Not set by default, i.e. color value is determined by\n interpolating at the scalar value.\n"},
  {(char*)"DiscretizeOn",                (PyCFunction)PyvtkDiscretizableColorTransferFunction_DiscretizeOn, 1,
   (char*)"V.DiscretizeOn()\nC++: void DiscretizeOn ();\n\n Set if the values are to mapped after discretization. The\n number of discrete values is set by using SetNumberOfValues().\n Not set by default, i.e. color value is determined by\n interpolating at the scalar value.\n"},
  {(char*)"DiscretizeOff",                (PyCFunction)PyvtkDiscretizableColorTransferFunction_DiscretizeOff, 1,
   (char*)"V.DiscretizeOff()\nC++: void DiscretizeOff ();\n\n Set if the values are to mapped after discretization. The\n number of discrete values is set by using SetNumberOfValues().\n Not set by default, i.e. color value is determined by\n interpolating at the scalar value.\n"},
  {(char*)"SetUseLogScale",                (PyCFunction)PyvtkDiscretizableColorTransferFunction_SetUseLogScale, 1,
   (char*)"V.SetUseLogScale(int)\nC++: virtual void SetUseLogScale (int useLogScale);\n\n Get/Set if log scale must be used while mapping scalars\n to colors. The default is 0.\n"},
  {(char*)"GetUseLogScale",                (PyCFunction)PyvtkDiscretizableColorTransferFunction_GetUseLogScale, 1,
   (char*)"V.GetUseLogScale() -> int\nC++: int GetUseLogScale ();\n\n Get/Set if log scale must be used while mapping scalars\n to colors. The default is 0.\n"},
  {(char*)"SetNumberOfValues",                (PyCFunction)PyvtkDiscretizableColorTransferFunction_SetNumberOfValues, 1,
   (char*)"V.SetNumberOfValues(int)\nC++: void SetNumberOfValues (vtkIdType number);\n\n Set the number of values i.e. colors to be generated in the\n discrete lookup table. This has no effect if Discretize is off.\n The default is 256.\n"},
  {(char*)"GetNumberOfValues",                (PyCFunction)PyvtkDiscretizableColorTransferFunction_GetNumberOfValues, 1,
   (char*)"V.GetNumberOfValues() -> int\nC++: vtkIdType GetNumberOfValues ();\n\n Set the number of values i.e. colors to be generated in the\n discrete lookup table. This has no effect if Discretize is off.\n The default is 256.\n"},
  {(char*)"GetColor",                (PyCFunction)PyvtkDiscretizableColorTransferFunction_GetColor, 1,
   (char*)"V.GetColor(float, (float, float, float))\nC++: virtual void GetColor (double v, double rgb[3]);\n\n Map one value through the lookup table and return the color as\n an RGB array of doubles between 0 and 1.\n"},
  {(char*)"MapScalars",                (PyCFunction)PyvtkDiscretizableColorTransferFunction_MapScalars, 1,
   (char*)"V.MapScalars(vtkDataArray, int, int) -> vtkUnsignedCharArray\nC++: virtual vtkUnsignedCharArray *MapScalars (vtkDataArray *scalars, int colorMode, int component);\n\n An internal method maps a data array into a 4-component, unsigned char\n RGBA array. The color mode determines the behavior of mapping. If \n VTK_COLOR_MODE_DEFAULT is set, then unsigned char data arrays are\n treated as colors (and converted to RGBA if necessary); otherwise, \n the data is mapped through this instance of ScalarsToColors. The offset\n is used for data arrays with more than one component; it indicates \n which component to use to do the blending.\n When the component argument is -1, then the this object uses its\n own selected technique to change a vector into a scalar to map.\n"},
  {(char*)"SetAlpha",                (PyCFunction)PyvtkDiscretizableColorTransferFunction_SetAlpha, 1,
   (char*)"V.SetAlpha(float)\nC++: virtual void SetAlpha (double alpha);\n\n Specify an additional opacity (alpha) value to blend with. Values\n != 1 modify the resulting color consistent with the requested\n form of the output. This is typically used by an actor in order to\n blend its opacity.\n Overridden to pass the alpha to the internal vtkLookupTable.\n"},
  {(char*)"UsingLogScale",                (PyCFunction)PyvtkDiscretizableColorTransferFunction_UsingLogScale, 1,
   (char*)"V.UsingLogScale() -> int\nC++: virtual int UsingLogScale ();return this UseLogScale \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDiscretizableColorTransferFunctionDoc[] = {
  (char*)"vtkDiscretizableColorTransferFunction - a combination of vtkColorTransferFunction and\n\n",
  "Super Class:\n\n vtkColorTransferFunction\n\n",
  (char*)" This is a cross between a vtkColorTransferFunction and a vtkLookupTable\n selectively combiniting the functionality of both.\n NOTE: One must call Build() after making any changes to the points\n in the ColorTransferFunction to ensure that the discrete and non-discrete\n version match up.\n\n",
  NULL
};

static vtkObjectBase *vtkDiscretizableColorTransferFunctionStaticNew()
{
  return vtkDiscretizableColorTransferFunction::New();
}

PyObject *PyVTKClass_vtkDiscretizableColorTransferFunctionNew(char *modulename)
{
  return PyVTKClass_New(&vtkDiscretizableColorTransferFunctionStaticNew,
                        PyvtkDiscretizableColorTransferFunctionMethods,
                        (char*)"vtkDiscretizableColorTransferFunction",modulename,
                        (char**)vtkDiscretizableColorTransferFunctionDoc,
                        PyVTKClass_vtkColorTransferFunctionNew(modulename));
}

