// python wrapper for vtkIncrementalOctreePointLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkIncrementalOctreePointLocator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkIncrementalOctreePointLocatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkIncrementalOctreePointLocatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkIncrementalPointLocatorNew(char *); }

static PyObject *PyvtkIncrementalOctreePointLocator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  const char    *temp20;
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreePointLocator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  char    *temp0;
  int      temp20;
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreePointLocator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  vtkIncrementalOctreePointLocator  *temp20;
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreePointLocator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkIncrementalOctreePointLocator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkIncrementalOctreePointLocator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_SetMaxPointsPerLeaf(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  int      temp0;
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIncrementalOctreePointLocator::SetMaxPointsPerLeaf(temp0);
      }
    else
      {
      op->SetMaxPointsPerLeaf(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_GetMaxPointsPerLeafMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  int      temp20;
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreePointLocator::GetMaxPointsPerLeafMinValue();
      }
    else
      {
      temp20 = op->GetMaxPointsPerLeafMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_GetMaxPointsPerLeafMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  int      temp20;
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreePointLocator::GetMaxPointsPerLeafMaxValue();
      }
    else
      {
      temp20 = op->GetMaxPointsPerLeafMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_GetMaxPointsPerLeaf(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  int      temp20;
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreePointLocator::GetMaxPointsPerLeaf();
      }
    else
      {
      temp20 = op->GetMaxPointsPerLeaf();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_SetBuildCubicOctree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  int      temp0;
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIncrementalOctreePointLocator::SetBuildCubicOctree(temp0);
      }
    else
      {
      op->SetBuildCubicOctree(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_GetBuildCubicOctree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  int      temp20;
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreePointLocator::GetBuildCubicOctree();
      }
    else
      {
      temp20 = op->GetBuildCubicOctree();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_BuildCubicOctreeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIncrementalOctreePointLocator::BuildCubicOctreeOn();
      }
    else
      {
      op->BuildCubicOctreeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_BuildCubicOctreeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIncrementalOctreePointLocator::BuildCubicOctreeOff();
      }
    else
      {
      op->BuildCubicOctreeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_GetLocatorPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  vtkPoints  *temp20;
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreePointLocator::GetLocatorPoints();
      }
    else
      {
      temp20 = op->GetLocatorPoints();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIncrementalOctreePointLocator::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_FreeSearchStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIncrementalOctreePointLocator::FreeSearchStructure();
      }
    else
      {
      op->FreeSearchStructure();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  int      temp20;
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreePointLocator::GetNumberOfPoints();
      }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_FindClosestInsertedPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  double temp0[3];
  vtkIdType   temp20;
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreePointLocator::FindClosestInsertedPoint(temp0);
      }
    else
      {
      temp20 = op->FindClosestInsertedPoint(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_GenerateRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  int      temp0;
  vtkPolyData  *temp1;
  PyObject *tempH1;
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPolyData");
    if (!temp1 && tempH1 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkIncrementalOctreePointLocator::GenerateRepresentation(temp0,temp1);
      }
    else
      {
      op->GenerateRepresentation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_BuildLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIncrementalOctreePointLocator::BuildLocator();
      }
    else
      {
      op->BuildLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_FindClosestPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  double temp0[3];
  vtkIdType   temp20;
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreePointLocator::FindClosestPoint(temp0);
      }
    else
      {
      temp20 = op->FindClosestPoint(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreePointLocator::FindClosestPoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->FindClosestPoint(temp0,temp1,temp2);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_FindPointsWithinRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  double   temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"d(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2);
  if (op)
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkIncrementalOctreePointLocator::FindPointsWithinRadius(temp0,temp1,temp2);
      }
    else
      {
      op->FindPointsWithinRadius(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_FindPointsWithinSquaredRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  double   temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"d(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2);
  if (op)
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkIncrementalOctreePointLocator::FindPointsWithinSquaredRadius(temp0,temp1,temp2);
      }
    else
      {
      op->FindPointsWithinSquaredRadius(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_FindClosestNPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2);
  if (op)
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkIncrementalOctreePointLocator::FindClosestNPoints(temp0,temp1,temp2);
      }
    else
      {
      op->FindClosestNPoints(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_InitPointInsertion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  double temp1[6];
  int      temp20;
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"O(dddddd)", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreePointLocator::InitPointInsertion(temp0,temp1);
      }
    else
      {
      temp20 = op->InitPointInsertion(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break24:
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  double temp1[6];
  vtkIdType   temp2;
  int      temp20;
  PyErr_Clear();
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"O(dddddd)L", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, &temp2);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreePointLocator::InitPointInsertion(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->InitPointInsertion(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_IsInsertedPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  double temp0[3];
  vtkIdType   temp20;
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreePointLocator::IsInsertedPoint(temp0);
      }
    else
      {
      temp20 = op->IsInsertedPoint(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreePointLocator::IsInsertedPoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->IsInsertedPoint(temp0,temp1,temp2);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_InsertPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  vtkIdType   temp0;
  double temp1[3];
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"L(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIncrementalOctreePointLocator::InsertPoint(temp0,temp1);
      }
    else
      {
      op->InsertPoint(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIncrementalOctreePointLocator_InsertNextPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIncrementalOctreePointLocator *op;

  double temp0[3];
  vtkIdType   temp20;
  op = (vtkIncrementalOctreePointLocator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIncrementalOctreePointLocator::InsertNextPoint(temp0);
      }
    else
      {
      temp20 = op->InsertNextPoint(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkIncrementalOctreePointLocatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkIncrementalOctreePointLocator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkIncrementalOctreePointLocator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkIncrementalOctreePointLocator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkIncrementalOctreePointLocator\nC++: vtkIncrementalOctreePointLocator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkIncrementalOctreePointLocator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkIncrementalOctreePointLocator\nC++: vtkIncrementalOctreePointLocator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMaxPointsPerLeaf",                (PyCFunction)PyvtkIncrementalOctreePointLocator_SetMaxPointsPerLeaf, 1,
   (char*)"V.SetMaxPointsPerLeaf(int)\nC++: void SetMaxPointsPerLeaf (int );\n\n Set/Get the maximum number of points that a leaf node may maintain.\n Note that the actual number of points maintained by a leaf node might\n exceed this threshold if there is a large number (equal to or greater\n than the threshold) of exactly duplicate points (with zero distance)\n to be inserted (e.g., to construct an octree for subsequent point \n location) in extreme cases. Respecting this threshold in such scenarios\n would cause endless node sub-division. Thus this threshold is broken, but\n only in case of such situations.\n"},
  {(char*)"GetMaxPointsPerLeafMinValue",                (PyCFunction)PyvtkIncrementalOctreePointLocator_GetMaxPointsPerLeafMinValue, 1,
   (char*)"V.GetMaxPointsPerLeafMinValue() -> int\nC++: int GetMaxPointsPerLeafMinValue ();\n\n Set/Get the maximum number of points that a leaf node may maintain.\n Note that the actual number of points maintained by a leaf node might\n exceed this threshold if there is a large number (equal to or greater\n than the threshold) of exactly duplicate points (with zero distance)\n to be inserted (e.g., to construct an octree for subsequent point \n location) in extreme cases. Respecting this threshold in such scenarios\n would cause endless node sub-division. Thus this threshold is broken, but\n only in case of such situations.\n"},
  {(char*)"GetMaxPointsPerLeafMaxValue",                (PyCFunction)PyvtkIncrementalOctreePointLocator_GetMaxPointsPerLeafMaxValue, 1,
   (char*)"V.GetMaxPointsPerLeafMaxValue() -> int\nC++: int GetMaxPointsPerLeafMaxValue ();\n\n Set/Get the maximum number of points that a leaf node may maintain.\n Note that the actual number of points maintained by a leaf node might\n exceed this threshold if there is a large number (equal to or greater\n than the threshold) of exactly duplicate points (with zero distance)\n to be inserted (e.g., to construct an octree for subsequent point \n location) in extreme cases. Respecting this threshold in such scenarios\n would cause endless node sub-division. Thus this threshold is broken, but\n only in case of such situations.\n"},
  {(char*)"GetMaxPointsPerLeaf",                (PyCFunction)PyvtkIncrementalOctreePointLocator_GetMaxPointsPerLeaf, 1,
   (char*)"V.GetMaxPointsPerLeaf() -> int\nC++: int GetMaxPointsPerLeaf ();\n\n Set/Get the maximum number of points that a leaf node may maintain.\n Note that the actual number of points maintained by a leaf node might\n exceed this threshold if there is a large number (equal to or greater\n than the threshold) of exactly duplicate points (with zero distance)\n to be inserted (e.g., to construct an octree for subsequent point \n location) in extreme cases. Respecting this threshold in such scenarios\n would cause endless node sub-division. Thus this threshold is broken, but\n only in case of such situations.\n"},
  {(char*)"SetBuildCubicOctree",                (PyCFunction)PyvtkIncrementalOctreePointLocator_SetBuildCubicOctree, 1,
   (char*)"V.SetBuildCubicOctree(int)\nC++: void SetBuildCubicOctree (int );\n\n Set/Get whether the search octree is built as a cubic shape or not.\n"},
  {(char*)"GetBuildCubicOctree",                (PyCFunction)PyvtkIncrementalOctreePointLocator_GetBuildCubicOctree, 1,
   (char*)"V.GetBuildCubicOctree() -> int\nC++: int GetBuildCubicOctree ();\n\n Set/Get whether the search octree is built as a cubic shape or not.\n"},
  {(char*)"BuildCubicOctreeOn",                (PyCFunction)PyvtkIncrementalOctreePointLocator_BuildCubicOctreeOn, 1,
   (char*)"V.BuildCubicOctreeOn()\nC++: void BuildCubicOctreeOn ();\n\n Set/Get whether the search octree is built as a cubic shape or not.\n"},
  {(char*)"BuildCubicOctreeOff",                (PyCFunction)PyvtkIncrementalOctreePointLocator_BuildCubicOctreeOff, 1,
   (char*)"V.BuildCubicOctreeOff()\nC++: void BuildCubicOctreeOff ();\n\n Set/Get whether the search octree is built as a cubic shape or not.\n"},
  {(char*)"GetLocatorPoints",                (PyCFunction)PyvtkIncrementalOctreePointLocator_GetLocatorPoints, 1,
   (char*)"V.GetLocatorPoints() -> vtkPoints\nC++: vtkPoints *GetLocatorPoints ();\n\n Get access to the vtkPoints object in which point coordinates are stored\n for either point location or point insertion.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkIncrementalOctreePointLocator_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();this FreeSearchStructure \n\n Delete the octree search structure. \n"},
  {(char*)"FreeSearchStructure",                (PyCFunction)PyvtkIncrementalOctreePointLocator_FreeSearchStructure, 1,
   (char*)"V.FreeSearchStructure()\nC++: virtual void FreeSearchStructure ();\n\n Delete the octree search structure. \n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkIncrementalOctreePointLocator_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: int GetNumberOfPoints ();\n\n Get the number of points maintained by the octree.\n"},
  {(char*)"FindClosestInsertedPoint",                (PyCFunction)PyvtkIncrementalOctreePointLocator_FindClosestInsertedPoint, 1,
   (char*)"V.FindClosestInsertedPoint((float, float, float)) -> int\nC++: virtual vtkIdType FindClosestInsertedPoint (const double x[3]);\n\n Given a point x assumed to be covered by the octree, return the index of\n the closest in-octree point regardless of the associated minimum squared\n distance relative to the squared insertion-tolerance distance. This method\n is used when performing incremental point insertion. Note -1 indicates that\n no point is found. InitPointInsertion() should have been called in advance.\n"},
  {(char*)"GenerateRepresentation",                (PyCFunction)PyvtkIncrementalOctreePointLocator_GenerateRepresentation, 1,
   (char*)"V.GenerateRepresentation(int, vtkPolyData)\nC++: virtual void GenerateRepresentation (int nodeLevel, vtkPolyData *polysData);\n\n Create a polygonal representation of the octree boundary (from the root\n node to a specified level).\n"},
  {(char*)"BuildLocator",                (PyCFunction)PyvtkIncrementalOctreePointLocator_BuildLocator, 1,
   (char*)"V.BuildLocator()\nC++: virtual void BuildLocator ();\n\n Load points from a dataset to construct an octree for point location. \n This function resorts to InitPointInsertion() to fulfill some of the work.\n"},
  {(char*)"FindClosestPoint",                (PyCFunction)PyvtkIncrementalOctreePointLocator_FindClosestPoint, 1,
   (char*)"V.FindClosestPoint((float, float, float)) -> int\nC++: virtual vtkIdType FindClosestPoint (const double x[3]);\nV.FindClosestPoint(float, float, float) -> int\nC++: virtual vtkIdType FindClosestPoint (double x, double y, double z);\n\n Given a point x, return the id of the closest point. BuildLocator() should\n have been called prior to this function. This method is thread safe if \n BuildLocator() is directly or indirectly called from a single thread first.\n"},
  {(char*)"FindPointsWithinRadius",                (PyCFunction)PyvtkIncrementalOctreePointLocator_FindPointsWithinRadius, 1,
   (char*)"V.FindPointsWithinRadius(float, (float, float, float), vtkIdList)\nC++: virtual void FindPointsWithinRadius (double R, const double x[3], vtkIdList *result);\n\n Find all points within a radius R relative to a given point x. The returned\n point ids (stored in result) are not sorted in any way. BuildLocator() should\n have been called prior to this function. This method is thread safe if \n BuildLocator() is directly or indirectly called from a single thread first.\n"},
  {(char*)"FindPointsWithinSquaredRadius",                (PyCFunction)PyvtkIncrementalOctreePointLocator_FindPointsWithinSquaredRadius, 1,
   (char*)"V.FindPointsWithinSquaredRadius(float, (float, float, float), vtkIdList)\nC++: void FindPointsWithinSquaredRadius (double R2, const double x[3], vtkIdList *result);\n\n Find all points within a squared radius R2 relative to a given point x. The\n returned point ids (stored in result) are not sorted in any way. BuildLocator()\n should have been called prior to this function. This method is thread safe if \n BuildLocator() is directly or indirectly called from a single thread first.\n"},
  {(char*)"FindClosestNPoints",                (PyCFunction)PyvtkIncrementalOctreePointLocator_FindClosestNPoints, 1,
   (char*)"V.FindClosestNPoints(int, (float, float, float), vtkIdList)\nC++: virtual void FindClosestNPoints (int N, const double x[3], vtkIdList *result);\n\n Find the closest N points to a given point. The returned point ids (via \n result) are sorted from closest to farthest. BuildLocator() should have \n been called prior to this function. This method is thread safe if \n BuildLocator() is directly or indirectly called from a single thread first.\n"},
  {(char*)"InitPointInsertion",                (PyCFunction)PyvtkIncrementalOctreePointLocator_InitPointInsertion, 1,
   (char*)"V.InitPointInsertion(vtkPoints, (float, float, float, float, float, float)) -> int\nC++: virtual int InitPointInsertion (vtkPoints *points, const double bounds[6]);\nV.InitPointInsertion(vtkPoints, (float, float, float, float, float, float), int) -> int\nC++: virtual int InitPointInsertion (vtkPoints *points, const double bounds[6], vtkIdType estSize);\n\n Initialize the point insertion process. points is an object, storing 3D\n point coordinates, to which incremental point insertion put coordinates.\n It is created and provided by an external VTK class. Argument bounds\n represents the spatial bounding box, into which the points fall. In fact, \n an adjusted version of the bounding box is used to build the octree to \n make sure no any point (to be inserted) falls outside the octree. This\n function is not thread safe.\n"},
  {(char*)"IsInsertedPoint",                (PyCFunction)PyvtkIncrementalOctreePointLocator_IsInsertedPoint, 1,
   (char*)"V.IsInsertedPoint((float, float, float)) -> int\nC++: virtual vtkIdType IsInsertedPoint (const double x[3]);\nV.IsInsertedPoint(float, float, float) -> int\nC++: virtual vtkIdType IsInsertedPoint (double x, double y, double z);\n\n Determine whether or not a given point has been inserted into the octree.\n Return the id of the already inserted point if true, otherwise return -1.\n InitPointInsertion() should have been called in advance.\n"},
  {(char*)"InsertPoint",                (PyCFunction)PyvtkIncrementalOctreePointLocator_InsertPoint, 1,
   (char*)"V.InsertPoint(int, (float, float, float))\nC++: virtual void InsertPoint (vtkIdType ptId, const double x[3]);\n\n Insert a given point into the octree with a specified point index ptId.\n InitPointInsertion() should have been called prior to this function. In \n addition, IsInsertedPoint() should have been called in advance to ensure\n that the given point has not been inserted unless point duplication is \n allowed (Note that in this case, this function involves a repeated leaf \n container location). vtkPoints::InsertPoint() is invoked.\n"},
  {(char*)"InsertNextPoint",                (PyCFunction)PyvtkIncrementalOctreePointLocator_InsertNextPoint, 1,
   (char*)"V.InsertNextPoint((float, float, float)) -> int\nC++: virtual vtkIdType InsertNextPoint (const double x[3]);\n\n Insert a given point into the octree and return the point index. Note that\n InitPointInsertion() should have been called prior to this function. In \n addition, IsInsertedPoint() should have been called in advance to ensure \n that the given point has not been inserted unless point duplication is \n allowed (in this case, this function invovles a repeated leaf container \n location). vtkPoints::InsertNextPoint() is invoked.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkIncrementalOctreePointLocatorDoc[] = {
  (char*)"vtkIncrementalOctreePointLocator - Incremental octree in support\n\n",
  "Super Class:\n\n vtkIncrementalPointLocator\n\n",
  (char*)"  As opposed to the uniform bin-based search structure (adopted in class\n  vtkPointLocator) with a fixed spatial resolution, an octree mechanism \n  employs a hierarchy of tree-like sub-division of the 3D data domain. Thus\n  it enables data-aware multi-resolution and accordingly accelerated point\n  location as well as insertion, particularly when handling a radically \n  imbalanced layout of points ",
  (char*)"as not uncommon in datasets defined on \n  adaptive meshes. Compared to a static point locator supporting pure\n  location functionalities through some search structure established from\n  a fixed set of points, an incremental point locator allows for, in addition,\n  point insertion capabilities, with the search structure maintaining a \n  dynamically increasing number of points.\n  Class vtkIncrementa",
  (char*)"lOctreePointLocator is an octree-based accelerated\n  implementation of the functionalities of the uniform bin-based incremental\n  point locator vtkPointLocator. For point location, an octree is built by\n  accessing a vtkDataSet, specifically a vtkPointSet. For point insertion,\n  an empty octree is inited and then incrementally populated as points are\n  inserted. Three increasingly complex point in",
  (char*)"sertion modes, i.e., direct\n  check-free insertion, zero tolerance insertion, and non-zero tolerance \n  insertion, are supported. In fact, the octree used in the point location\n  mode is actually constructed via direct check-free point insertion. This\n  class also provides a polygonal representation of the octree boundary.\n  \n\n",
  "See Also:\n\n vtkAbstractPointLocator, vtkIncrementalPointLocator, vtkPointLocator,\n vtkMergePoints\n\n",
  NULL
};

static vtkObjectBase *vtkIncrementalOctreePointLocatorStaticNew()
{
  return vtkIncrementalOctreePointLocator::New();
}

PyObject *PyVTKClass_vtkIncrementalOctreePointLocatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkIncrementalOctreePointLocatorStaticNew,
                        PyvtkIncrementalOctreePointLocatorMethods,
                        (char*)"vtkIncrementalOctreePointLocator",modulename,
                        (char**)vtkIncrementalOctreePointLocatorDoc,
                        PyVTKClass_vtkIncrementalPointLocatorNew(modulename));
}

