// python wrapper for vtkModifiedBSPTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkModifiedBSPTree.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkModifiedBSPTreeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkModifiedBSPTreeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractCellLocatorNew(char *); }

static PyObject *PyvtkModifiedBSPTree_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModifiedBSPTree *op;

  const char    *temp20;
  op = (vtkModifiedBSPTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkModifiedBSPTree::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkModifiedBSPTree_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModifiedBSPTree *op;

  char    *temp0;
  int      temp20;
  op = (vtkModifiedBSPTree *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkModifiedBSPTree::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkModifiedBSPTree_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModifiedBSPTree *op;

  vtkModifiedBSPTree  *temp20;
  op = (vtkModifiedBSPTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkModifiedBSPTree::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkModifiedBSPTree_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkModifiedBSPTree  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkModifiedBSPTree::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkModifiedBSPTree_FreeSearchStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModifiedBSPTree *op;

  op = (vtkModifiedBSPTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModifiedBSPTree::FreeSearchStructure();
      }
    else
      {
      op->FreeSearchStructure();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModifiedBSPTree_BuildLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModifiedBSPTree *op;

  op = (vtkModifiedBSPTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModifiedBSPTree::BuildLocator();
      }
    else
      {
      op->BuildLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkModifiedBSPTreeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkModifiedBSPTree_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard Type-Macro\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkModifiedBSPTree_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard Type-Macro\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkModifiedBSPTree_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkModifiedBSPTree\nC++: vtkModifiedBSPTree *NewInstance ();\n\n Standard Type-Macro\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkModifiedBSPTree_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkModifiedBSPTree\nC++: vtkModifiedBSPTree *SafeDownCast (vtkObject* o);\n\n Standard Type-Macro\n"},
  {(char*)"FreeSearchStructure",                (PyCFunction)PyvtkModifiedBSPTree_FreeSearchStructure, 1,
   (char*)"V.FreeSearchStructure()\nC++: void FreeSearchStructure ();\n\n Free tree memory\n"},
  {(char*)"BuildLocator",                (PyCFunction)PyvtkModifiedBSPTree_BuildLocator, 1,
   (char*)"V.BuildLocator()\nC++: void BuildLocator ();\n\n Build Tree\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkModifiedBSPTreeDoc[] = {
  (char*)"vtkModifiedBSPTree - Generate axis aligned BBox tree for raycasting and other Locator based searches\n\n",
  "Super Class:\n\n vtkAbstractCellLocator\n\n",
  (char*)" vtkModifiedBSPTree creates an evenly balanced BSP tree using a top down\n implementation. Axis aligned split planes are found which evenly divide\n cells into two buckets. Generally a split plane will intersect some cells\n and these are usually stored in both child nodes of the current parent.\n (Or split into separate cells which we cannot consider in this case).\n Storing cells in multiple buckets ",
  (char*)"creates problems associated with multiple\n tests against rays and increases the required storage as complex meshes\n will have many cells straddling a split plane (and further splits may\n cause multiple copies of these).\n\n During a discussion with Arno Formella in 1998 he suggested using\n a third child node to store objects which straddle split planes. I've not\n seen this published (Yes! - see belo",
  (char*)"w), but thought it worth trying. This\n implementation of the BSP tree creates a third child node for storing cells\n lying across split planes, the third cell may overlap the other two, but the\n two 'proper' nodes otherwise conform to usual BSP rules.\n\n The advantage of this implementation is cells only ever lie in one node\n and mailbox testing is avoided. All BBoxes are axis aligned and a ray cast",
  (char*)"\n uses an efficient search strategy based on near/far nodes and rejects\n all BBoxes using simple tests.\n\n For fast raytracing, 6 copies of cell lists are stored in each leaf node\n each list is in axis sorted order +/- x,y,z and cells are always tested\n in the direction of the ray dominant axis. Once an intersection is found\n any cell or BBox with a closest point further than the I-point can be\n in",
  (char*)"stantly rejected and raytracing stops as soon as no nodes can be closer\n than the current best intersection point.\n\n The addition of the 'middle' node upsets the optimal balance of the tree,\n but is a minor overhead during the raytrace. Each child node is contracted\n such that it tightly fits all cells inside it, enabling further ray/box\n rejections.\n\n This class is intented for persons requiring ",
  (char*)"many ray tests and is optimized\n for this purpose. As no cell ever lies in more than one leaf node, and parent\n nodes do not maintain cell lists, the memory overhead of the sorted cell\n lists is 6*num_cells*4 for 6 lists of ints, each num_cells in length.\n The memory requirement of the nodes themselves is usually of minor\n significance.\n\n Subdividision is controlled by MaxCellsPerNode - any node w",
  (char*)"ith more than\n this number will be subdivided providing a good split plane can be found and\n the max depth is not exceeded.\n\n The average cells per leaf will usually be around half the MaxCellsPerNode,\n though the middle node is usually sparsely populated and lowers the average\n slightly. The middle node will not be created when not needed.\n Subdividing down to very small cells per node is not gen",
  (char*)"erally suggested\n as then the 6 stored cell lists are effectively redundant.\n\n Values of MaxcellsPerNode of around 16->128 depending on dataset size will\n usually give good results.\n\n Cells are only sorted into 6 lists once - before tree creation, each node\n segments the lists and passes them down to the new child nodes whilst\n maintaining sorted order. This makes for an efficient subdivision stra",
  (char*)"tegy.\n\n NB. The following reference has been sent to me\n   @Article{formella-1995-ray,\n     author =     \"Arno Formella and Christian Gill\",\n     title =      \"{Ray Tracing: A Quantitative Analysis and a New\n                   Practical Algorithm}\",\n     journal =    \"{The Visual Computer}\",\n     year =       \"{1995}\",\n     month =       dec,\n     pages =      \"{465--476}\",\n     volume =     \"{11}",
  (char*)"\",\n     number =     \"{9}\",\n     publisher =  \"{Springer}\",\n     keywords =   \"{ray tracing, space subdivision, plane traversal,\n                    octree, clustering, benchmark scenes}\",\n     annote =     \"{We present a new method to accelerate the process of\n                    finding nearest ray--object intersections in ray\n                    tracing. The algorithm consumes an amount of memo",
  (char*)"ry\n                    more or less linear in the number of objects. The basic\n                    ideas can be characterized with a modified BSP--tree\n                    and plane traversal. Plane traversal is a fast linear\n                    time algorithm to find the closest intersection point\n                    in a list of bounding volumes hit by a ray. We use\n                    plane tra",
  (char*)"versal at every node of the high outdegree\n                    BSP--tree. Our implementation is competitive to fast\n                    ray tracing programs. We present a benchmark suite\n                    which allows for an extensive comparison of ray tracing\n                    algorithms.}\",\n   }\n\n .SECTION Thanks\n  John Biddiscombe for developing and contributing this class\n\n .SECTION ToDo\n ",
  (char*)"-------------\n Implement intersection heap for testing rays against transparent objects\n\n .SECTION Style\n --------------\n This class is currently maintained by J. Biddiscombe who has specially\n requested that the code style not be modified to the kitware standard.\n Please respect the contribution of this class by keeping the style\n as close as possible to the author's original.\n\n\n",
  NULL
};

static vtkObjectBase *vtkModifiedBSPTreeStaticNew()
{
  return vtkModifiedBSPTree::New();
}

PyObject *PyVTKClass_vtkModifiedBSPTreeNew(char *modulename)
{
  return PyVTKClass_New(&vtkModifiedBSPTreeStaticNew,
                        PyvtkModifiedBSPTreeMethods,
                        (char*)"vtkModifiedBSPTree",modulename,
                        (char**)vtkModifiedBSPTreeDoc,
                        PyVTKClass_vtkAbstractCellLocatorNew(modulename));
}

