// python wrapper for vtkMutableDirectedGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMutableDirectedGraph.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMutableDirectedGraphNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMutableDirectedGraphNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDirectedGraphNew(char *); }

static PyObject *PyvtkMutableDirectedGraph_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  const char    *temp20;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  char    *temp0;
  int      temp20;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkMutableDirectedGraph  *temp20;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMutableDirectedGraph  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMutableDirectedGraph::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_AddVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkIdType   temp20;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::AddVertex();
      }
    else
      {
      temp20 = op->AddVertex();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkVariantArray  *temp0;
  PyObject *tempH0;
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkVariantArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVariantArray");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::AddVertex(temp0);
      }
    else
      {
      temp20 = op->AddVertex(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_LazyAddVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableDirectedGraph::LazyAddVertex();
      }
    else
      {
      op->LazyAddVertex();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkVariantArray  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkVariantArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVariantArray");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableDirectedGraph::LazyAddVertex(temp0);
      }
    else
      {
      op->LazyAddVertex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_AddGraphEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkGraphEdge  *temp20;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"LL", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::AddGraphEdge(temp0,temp1);
      }
    else
      {
      temp20 = op->AddGraphEdge(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_AddChild(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkIdType   temp0;
  vtkVariantArray  *temp1;
  PyObject *tempH1;
  vtkIdType   temp20;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"LO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkVariantArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkVariantArray");
    if (!temp1 && tempH1 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::AddChild(temp0,temp1);
      }
    else
      {
      temp20 = op->AddChild(temp0,temp1);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
 break9:
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::AddChild(temp0);
      }
    else
      {
      temp20 = op->AddChild(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_RemoveVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkIdType   temp0;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableDirectedGraph::RemoveVertex(temp0);
      }
    else
      {
      op->RemoveVertex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_RemoveEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkIdType   temp0;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableDirectedGraph::RemoveEdge(temp0);
      }
    else
      {
      op->RemoveEdge(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_RemoveVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkIdTypeArray  *temp0;
  PyObject *tempH0;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdTypeArray");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableDirectedGraph::RemoveVertices(temp0);
      }
    else
      {
      op->RemoveVertices(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_RemoveEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkIdTypeArray  *temp0;
  PyObject *tempH0;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdTypeArray");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableDirectedGraph::RemoveEdges(temp0);
      }
    else
      {
      op->RemoveEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}

static PyMethodDef PyvtkMutableDirectedGraphMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMutableDirectedGraph_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMutableDirectedGraph_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMutableDirectedGraph_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMutableDirectedGraph\nC++: vtkMutableDirectedGraph *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMutableDirectedGraph_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMutableDirectedGraph\nC++: vtkMutableDirectedGraph *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddVertex",                (PyCFunction)PyvtkMutableDirectedGraph_AddVertex, 1,
   (char*)"V.AddVertex() -> int\nC++: vtkIdType AddVertex ();\nV.AddVertex(vtkVariantArray) -> int\nC++: vtkIdType AddVertex (vtkVariantArray *propertyArr);\n\n Adds a vertex to the graph and returns the index of the new vertex.\n\n \\note In a distributed graph (i.e. a graph whose DistributedHelper\n is non-null), this routine cannot be used to add a vertex\n if the vertices in the graph have pedigree IDs, because this routine\n will always add the vertex locally, which may conflict with the\n proper location of the vertex based on the distribution of the\n pedigree IDs.\n"},
  {(char*)"LazyAddVertex",                (PyCFunction)PyvtkMutableDirectedGraph_LazyAddVertex, 1,
   (char*)"V.LazyAddVertex()\nC++: void LazyAddVertex ();\nV.LazyAddVertex(vtkVariantArray)\nC++: void LazyAddVertex (vtkVariantArray *propertyArr);\n\n Adds a vertex to the graph.\n \n This method is lazily evaluated for distributed graphs (i.e. graphs\n whose DistributedHelper is non-null) the next time Synchronize is\n called on the helper.\n"},
  {(char*)"AddGraphEdge",                (PyCFunction)PyvtkMutableDirectedGraph_AddGraphEdge, 1,
   (char*)"V.AddGraphEdge(int, int) -> vtkGraphEdge\nC++: vtkGraphEdge *AddGraphEdge (vtkIdType u, vtkIdType v);\n\n Variant of AddEdge() that returns a heavyweight \\p vtkGraphEdge object.\n The graph owns the reference of the edge and will replace\n its contents on the next call to AddGraphEdge().\n \n \\note This is a less efficient method for use with wrappers.\n In C++ you should use the faster AddEdge().\n"},
  {(char*)"AddChild",                (PyCFunction)PyvtkMutableDirectedGraph_AddChild, 1,
   (char*)"V.AddChild(int, vtkVariantArray) -> int\nC++: vtkIdType AddChild (vtkIdType parent, vtkVariantArray *propertyArr);\nV.AddChild(int) -> int\nC++: vtkIdType AddChild (vtkIdType parent);return this AddChild parent \n\n Convenience method for creating trees.\n Returns the newly created vertex id.\n Shortcut for\n \\code\n vtkIdType v = g->AddVertex();\n g->AddEdge(parent, v);\n \\endcode\n If non-null, \\p propertyArr provides edge properties\n for the newly-created edge. The values in \\p propertyArr must match\n up with the arrays in the edge data returned by GetEdgeData().\n"},
  {(char*)"RemoveVertex",                (PyCFunction)PyvtkMutableDirectedGraph_RemoveVertex, 1,
   (char*)"V.RemoveVertex(int)\nC++: void RemoveVertex (vtkIdType v);\n\n Removes the vertex from the graph along with any connected edges.\n Note: This invalidates the last vertex index, which is reassigned to v.\n"},
  {(char*)"RemoveEdge",                (PyCFunction)PyvtkMutableDirectedGraph_RemoveEdge, 1,
   (char*)"V.RemoveEdge(int)\nC++: void RemoveEdge (vtkIdType e);\n\n Removes the edge from the graph.\n Note: This invalidates the last edge index, which is reassigned to e.\n"},
  {(char*)"RemoveVertices",                (PyCFunction)PyvtkMutableDirectedGraph_RemoveVertices, 1,
   (char*)"V.RemoveVertices(vtkIdTypeArray)\nC++: void RemoveVertices (vtkIdTypeArray *arr);\n\n Removes a collection of vertices from the graph along with any connected edges.\n"},
  {(char*)"RemoveEdges",                (PyCFunction)PyvtkMutableDirectedGraph_RemoveEdges, 1,
   (char*)"V.RemoveEdges(vtkIdTypeArray)\nC++: void RemoveEdges (vtkIdTypeArray *arr);\n\n Removes a collection of edges from the graph.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMutableDirectedGraphDoc[] = {
  (char*)"vtkMutableDirectedGraph - An editable directed graph.\n\n",
  "Super Class:\n\n vtkDirectedGraph\n\n",
  (char*)" vtkMutableDirectedGraph is a directed graph which has additional methods\n for adding edges and vertices. AddChild() is a convenience method for\n constructing trees. ShallowCopy(), DeepCopy(), CheckedShallowCopy() and\n CheckedDeepCopy() will succeed for instances of vtkDirectedGraph,\n vtkMutableDirectedGraph and vtkTree.\n\n\n",
  "See Also:\n\n vtkDirectedGraph vtkGraph vtkTree\n\n",
  NULL
};

static vtkObjectBase *vtkMutableDirectedGraphStaticNew()
{
  return vtkMutableDirectedGraph::New();
}

PyObject *PyVTKClass_vtkMutableDirectedGraphNew(char *modulename)
{
  return PyVTKClass_New(&vtkMutableDirectedGraphStaticNew,
                        PyvtkMutableDirectedGraphMethods,
                        (char*)"vtkMutableDirectedGraph",modulename,
                        (char**)vtkMutableDirectedGraphDoc,
                        PyVTKClass_vtkDirectedGraphNew(modulename));
}

