// python wrapper for vtkOctreePointLocatorNode object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOctreePointLocatorNode.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOctreePointLocatorNodeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOctreePointLocatorNodeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkOctreePointLocatorNode_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  const char    *temp20;
  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocatorNode::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocatorNode_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  char    *temp0;
  int      temp20;
  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocatorNode::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocatorNode_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  vtkOctreePointLocatorNode  *temp20;
  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocatorNode::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocatorNode_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOctreePointLocatorNode  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOctreePointLocatorNode::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOctreePointLocatorNode_SetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  int      temp0;
  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOctreePointLocatorNode::SetNumberOfPoints(temp0);
      }
    else
      {
      op->SetNumberOfPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocatorNode_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  int      temp20;
  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocatorNode::GetNumberOfPoints();
      }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocatorNode_SetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOctreePointLocatorNode::SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOctreePointLocatorNode::SetBounds(temp0);
      }
    else
      {
      op->SetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocatorNode_SetDataBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOctreePointLocatorNode::SetDataBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetDataBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocatorNode_SetMinBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  double temp0[3];
  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOctreePointLocatorNode::SetMinBounds(temp0);
      }
    else
      {
      op->SetMinBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocatorNode_SetMaxBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  double temp0[3];
  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOctreePointLocatorNode::SetMaxBounds(temp0);
      }
    else
      {
      op->SetMaxBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocatorNode_SetMinDataBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  double temp0[3];
  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOctreePointLocatorNode::SetMinDataBounds(temp0);
      }
    else
      {
      op->SetMinDataBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocatorNode_SetMaxDataBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  double temp0[3];
  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOctreePointLocatorNode::SetMaxDataBounds(temp0);
      }
    else
      {
      op->SetMaxDataBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocatorNode_GetID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  int      temp20;
  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocatorNode::GetID();
      }
    else
      {
      temp20 = op->GetID();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocatorNode_GetMinID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  int      temp20;
  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocatorNode::GetMinID();
      }
    else
      {
      temp20 = op->GetMinID();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocatorNode_CreateChildNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOctreePointLocatorNode::CreateChildNodes();
      }
    else
      {
      op->CreateChildNodes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocatorNode_DeleteChildNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOctreePointLocatorNode::DeleteChildNodes();
      }
    else
      {
      op->DeleteChildNodes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocatorNode_GetChild(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  int      temp0;
  vtkOctreePointLocatorNode  *temp20;
  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocatorNode::GetChild(temp0);
      }
    else
      {
      temp20 = op->GetChild(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocatorNode_IntersectsRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  vtkPlanesIntersection  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkPlanesIntersection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlanesIntersection");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocatorNode::IntersectsRegion(temp0,temp1);
      }
    else
      {
      temp20 = op->IntersectsRegion(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkOctreePointLocatorNode_ContainsPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  double   temp0;
  double   temp1;
  double   temp2;
  int      temp3;
  int      temp20;
  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"dddi", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocatorNode::ContainsPoint(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->ContainsPoint(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOctreePointLocatorNode_GetDistance2ToBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkOctreePointLocatorNode  *temp3;
  PyObject *tempH3;
  int      temp4;
  double   temp20;
  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"dddOi", &temp0, &temp1, &temp2, &tempH3, &temp4);
  if (op)
    {
    temp3 = (vtkOctreePointLocatorNode *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkOctreePointLocatorNode");
    if (!temp3 && tempH3 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocatorNode::GetDistance2ToBoundary(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->GetDistance2ToBoundary(temp0,temp1,temp2,temp3,temp4);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkOctreePointLocatorNode_GetDistance2ToInnerBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOctreePointLocatorNode *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkOctreePointLocatorNode  *temp3;
  PyObject *tempH3;
  double   temp20;
  op = (vtkOctreePointLocatorNode *)PyArg_VTKParseTuple(self, args, (char*)"dddO", &temp0, &temp1, &temp2, &tempH3);
  if (op)
    {
    temp3 = (vtkOctreePointLocatorNode *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkOctreePointLocatorNode");
    if (!temp3 && tempH3 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOctreePointLocatorNode::GetDistance2ToInnerBoundary(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->GetDistance2ToInnerBoundary(temp0,temp1,temp2,temp3);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break21:
  return NULL;
}

static PyMethodDef PyvtkOctreePointLocatorNodeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOctreePointLocatorNode_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOctreePointLocatorNode_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOctreePointLocatorNode_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOctreePointLocatorNode\nC++: vtkOctreePointLocatorNode *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOctreePointLocatorNode_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOctreePointLocatorNode\nC++: vtkOctreePointLocatorNode *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetNumberOfPoints",                (PyCFunction)PyvtkOctreePointLocatorNode_SetNumberOfPoints, 1,
   (char*)"V.SetNumberOfPoints(int)\nC++: void SetNumberOfPoints (int numberOfPoints);this NumberOfPoints numberOfPoints \n\n Set/Get the number of points contained in this region.\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkOctreePointLocatorNode_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: int GetNumberOfPoints ();\n\n Set/Get the number of points contained in this region.\n"},
  {(char*)"SetBounds",                (PyCFunction)PyvtkOctreePointLocatorNode_SetBounds, 1,
   (char*)"V.SetBounds(float, float, float, float, float, float)\nC++: void SetBounds (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax);\nV.SetBounds((float, float, float, float, float, float))\nC++: void SetBounds (double b[6]);this SetBounds b b b b b b \n\n   Set/Get the bounds of the spatial region represented by this node.\n   Caller allocates storage for 6-vector in GetBounds.\n"},
  {(char*)"SetDataBounds",                (PyCFunction)PyvtkOctreePointLocatorNode_SetDataBounds, 1,
   (char*)"V.SetDataBounds(float, float, float, float, float, float)\nC++: void SetDataBounds (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax);\n\n   Set/Get the bounds of the points contained in this spatial region.\n   This may be smaller than the bounds of the region itself.\n   Caller allocates storage for 6-vector in GetDataBounds.\n"},
  {(char*)"SetMinBounds",                (PyCFunction)PyvtkOctreePointLocatorNode_SetMinBounds, 1,
   (char*)"V.SetMinBounds((float, float, float))\nC++: void SetMinBounds (double minBounds[3]);this MinBounds minBounds this MinBounds minBounds this MinBounds minBounds \n\n   Set the xmax, ymax and zmax value of the bounds of this region\n"},
  {(char*)"SetMaxBounds",                (PyCFunction)PyvtkOctreePointLocatorNode_SetMaxBounds, 1,
   (char*)"V.SetMaxBounds((float, float, float))\nC++: void SetMaxBounds (double maxBounds[3]);this MaxBounds maxBounds this MaxBounds maxBounds this MaxBounds maxBounds \n\n   Set the xmin, ymin and zmin value of the bounds of this \n   data within this region.\n"},
  {(char*)"SetMinDataBounds",                (PyCFunction)PyvtkOctreePointLocatorNode_SetMinDataBounds, 1,
   (char*)"V.SetMinDataBounds((float, float, float))\nC++: void SetMinDataBounds (double minDataBounds[3]);this MinDataBounds minDataBounds this MinDataBounds minDataBounds this MinDataBounds minDataBounds \n\n   Set the xmax, ymax and zmax value of the bounds of this \n   data within this region.\n"},
  {(char*)"SetMaxDataBounds",                (PyCFunction)PyvtkOctreePointLocatorNode_SetMaxDataBounds, 1,
   (char*)"V.SetMaxDataBounds((float, float, float))\nC++: void SetMaxDataBounds (double maxDataBounds[3]);this MaxDataBounds maxDataBounds this MaxDataBounds maxDataBounds this MaxDataBounds maxDataBounds \n\n   Get the ID associated with the region described by this node.  If\n   this is not a leaf node, this value should be -1.\n"},
  {(char*)"GetID",                (PyCFunction)PyvtkOctreePointLocatorNode_GetID, 1,
   (char*)"V.GetID() -> int\nC++: int GetID ();\n\n   Get the ID associated with the region described by this node.  If\n   this is not a leaf node, this value should be -1.\n"},
  {(char*)"GetMinID",                (PyCFunction)PyvtkOctreePointLocatorNode_GetMinID, 1,
   (char*)"V.GetMinID() -> int\nC++: int GetMinID ();\n\n   If this node is not a leaf node, there are leaf nodes below it whose\n   regions represent a partitioning of this region.  The IDs of these\n   leaf nodes form a contigous set.  Get the first of the first point's\n   ID that is contained in this node.  \n"},
  {(char*)"CreateChildNodes",                (PyCFunction)PyvtkOctreePointLocatorNode_CreateChildNodes, 1,
   (char*)"V.CreateChildNodes()\nC++: void CreateChildNodes ();\n\n   Add the 8 children.\n"},
  {(char*)"DeleteChildNodes",                (PyCFunction)PyvtkOctreePointLocatorNode_DeleteChildNodes, 1,
   (char*)"V.DeleteChildNodes()\nC++: void DeleteChildNodes ();\n\n   Delete the 8 children.\n"},
  {(char*)"GetChild",                (PyCFunction)PyvtkOctreePointLocatorNode_GetChild, 1,
   (char*)"V.GetChild(int) -> vtkOctreePointLocatorNode\nC++: vtkOctreePointLocatorNode *GetChild (int i);\n\n   Get a pointer to the ith child of this node.\n"},
  {(char*)"IntersectsRegion",                (PyCFunction)PyvtkOctreePointLocatorNode_IntersectsRegion, 1,
   (char*)"V.IntersectsRegion(vtkPlanesIntersection, int) -> int\nC++: int IntersectsRegion (vtkPlanesIntersection *pi, int useDataBounds);\n\n   A vtkPlanesIntersection object represents a convex 3D region bounded\n   by planes, and it is capable of computing intersections of\n   boxes with itself.  Return 1 if this spatial region intersects\n   the spatial region described by the vtkPlanesIntersection object.\n   Use the possibly smaller bounds of the points within the region \n   if useDataBounds is non-zero.\n"},
  {(char*)"ContainsPoint",                (PyCFunction)PyvtkOctreePointLocatorNode_ContainsPoint, 1,
   (char*)"V.ContainsPoint(float, float, float, int) -> int\nC++: int ContainsPoint (double x, double y, double z, int useDataBounds);\n\n   Return 1 if this spatial region entirely contains the given point.\n   Use the possibly smaller bounds of the points within the region \n   if useDataBounds is non-zero.\n"},
  {(char*)"GetDistance2ToBoundary",                (PyCFunction)PyvtkOctreePointLocatorNode_GetDistance2ToBoundary, 1,
   (char*)"V.GetDistance2ToBoundary(float, float, float, vtkOctreePointLocatorNode, int) -> float\nC++: double GetDistance2ToBoundary (double x, double y, double z, vtkOctreePointLocatorNode *top, int useDataBounds);\n\n   Calculate the distance squared from any point to the boundary of this\n   region.  Use the boundary of the points within the region if useDataBounds\n   is non-zero.\n"},
  {(char*)"GetDistance2ToInnerBoundary",                (PyCFunction)PyvtkOctreePointLocatorNode_GetDistance2ToInnerBoundary, 1,
   (char*)"V.GetDistance2ToInnerBoundary(float, float, float, vtkOctreePointLocatorNode) -> float\nC++: double GetDistance2ToInnerBoundary (double x, double y, double z, vtkOctreePointLocatorNode *top);\n\n   Calculate the distance from the specified point (which is required to\n   be inside this spatial region) to an interior boundary.  An interior\n   boundary is one that is not also an boundary of the entire space\n   partitioned by the tree of vtkOctreePointLocatorNode's.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOctreePointLocatorNodeDoc[] = {
  (char*)"vtkOctreePointLocatorNode - Octree node that has 8 children each of equal size\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This class represents a single spatial region in a 3D axis octant \n partitioning.  It is intended to work efficiently with the \n vtkOctreePointLocator and is not meant for general use.  It is assumed \n the region bounds some set of points.  The ordering of the children is \n (-x,-y,-z),(+x,-y,-z),(-x,+y,-z),(+x,+y,-z),(-x,-y,+z),(+x,-y,+z),\n (-x,+y,+z),(+x,+y,+z).  The portion of the domain assign",
  (char*)"ed to an \n octant is Min < x <= Max.  \n    \n\n",
  "See Also:\n\n vtkOctreePointLocator\n\n",
  NULL
};

static vtkObjectBase *vtkOctreePointLocatorNodeStaticNew()
{
  return vtkOctreePointLocatorNode::New();
}

PyObject *PyVTKClass_vtkOctreePointLocatorNodeNew(char *modulename)
{
  return PyVTKClass_New(&vtkOctreePointLocatorNodeStaticNew,
                        PyvtkOctreePointLocatorNodeMethods,
                        (char*)"vtkOctreePointLocatorNode",modulename,
                        (char**)vtkOctreePointLocatorNodeDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

