// python wrapper for vtkCompassWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCompassWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCompassWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCompassWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractWidgetNew(char *); }

static PyObject *PyvtkCompassWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassWidget *op;

  const char    *temp20;
  op = (vtkCompassWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompassWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkCompassWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompassWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassWidget *op;

  vtkCompassWidget  *temp20;
  op = (vtkCompassWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompassWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCompassWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCompassWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCompassWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassWidget *op;

  vtkCompassRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkCompassWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCompassRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCompassRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCompassWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassWidget *op;

  op = (vtkCompassWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassWidget_GetHeading(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassWidget *op;

  double   temp20;
  op = (vtkCompassWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompassWidget::GetHeading();
      }
    else
      {
      temp20 = op->GetHeading();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassWidget_SetHeading(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassWidget *op;

  double   temp0;
  op = (vtkCompassWidget *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassWidget::SetHeading(temp0);
      }
    else
      {
      op->SetHeading(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassWidget_GetTilt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassWidget *op;

  double   temp20;
  op = (vtkCompassWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompassWidget::GetTilt();
      }
    else
      {
      temp20 = op->GetTilt();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassWidget_SetTilt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassWidget *op;

  double   temp0;
  op = (vtkCompassWidget *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassWidget::SetTilt(temp0);
      }
    else
      {
      op->SetTilt(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassWidget_GetDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassWidget *op;

  double   temp20;
  op = (vtkCompassWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompassWidget::GetDistance();
      }
    else
      {
      temp20 = op->GetDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassWidget_SetDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassWidget *op;

  double   temp0;
  op = (vtkCompassWidget *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassWidget::SetDistance(temp0);
      }
    else
      {
      op->SetDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCompassWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCompassWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard macros.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCompassWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard macros.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCompassWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCompassWidget\nC++: vtkCompassWidget *NewInstance ();\n\n Standard macros.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCompassWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCompassWidget\nC++: vtkCompassWidget *SafeDownCast (vtkObject* o);\n\n Standard macros.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkCompassWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkCompassRepresentation)\nC++: void SetRepresentation (vtkCompassRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Create the default widget representation if one is not set. \n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkCompassWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. \n"},
  {(char*)"GetHeading",                (PyCFunction)PyvtkCompassWidget_GetHeading, 1,
   (char*)"V.GetHeading() -> float\nC++: double GetHeading ();\n\n Get the value for this widget. \n"},
  {(char*)"SetHeading",                (PyCFunction)PyvtkCompassWidget_SetHeading, 1,
   (char*)"V.SetHeading(float)\nC++: void SetHeading (double v);\n\n Get the value for this widget. \n"},
  {(char*)"GetTilt",                (PyCFunction)PyvtkCompassWidget_GetTilt, 1,
   (char*)"V.GetTilt() -> float\nC++: double GetTilt ();\n\n Get the value for this widget. \n"},
  {(char*)"SetTilt",                (PyCFunction)PyvtkCompassWidget_SetTilt, 1,
   (char*)"V.SetTilt(float)\nC++: void SetTilt (double t);\n\n Get the value for this widget. \n"},
  {(char*)"GetDistance",                (PyCFunction)PyvtkCompassWidget_GetDistance, 1,
   (char*)"V.GetDistance() -> float\nC++: double GetDistance ();\n\n Get the value for this widget. \n"},
  {(char*)"SetDistance",                (PyCFunction)PyvtkCompassWidget_SetDistance, 1,
   (char*)"V.SetDistance(float)\nC++: void SetDistance (double t);\n\n Get the value for this widget. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCompassWidgetDoc[] = {
  (char*)"vtkCompassWidget - set a value by manipulating something\n\n",
  "Super Class:\n\n vtkAbstractWidget\n\n",
  (char*)" The vtkCompassWidget is used to adjust a scalar value in an \n application. Note that the actual appearance of the widget depends on\n the specific representation for the widget.\n \n To use this widget, set the widget representation. (the details may\n vary depending on the particulars of the representation). \n\n\n .SECTION Event Bindings\n By default, the widget responds to the following VTK events (i.",
  (char*)"e., it\n watches the vtkRenderWindowInteractor for these events):\n <pre>\n If the slider bead is selected:\n   LeftButtonPressEvent - select slider \n   LeftButtonReleaseEvent - release slider \n   MouseMoveEvent - move slider\n </pre>\n\n Note that the event bindings described above can be changed using this\n class's vtkWidgetEventTranslator. This class translates VTK events \n into the vtkCompassWidget's",
  (char*)" widget events:\n <pre>\n   vtkWidgetEvent::Select -- some part of the widget has been selected\n   vtkWidgetEvent::EndSelect -- the selection process has completed\n   vtkWidgetEvent::Move -- a request for slider motion has been invoked\n </pre>\n\n In turn, when these widget events are processed, the vtkCompassWidget\n invokes the following VTK events on itself (which observers can listen for):\n <pre>\n ",
  (char*)"  vtkCommand::StartInteractionEvent (on vtkWidgetEvent::Select)\n   vtkCommand::EndInteractionEvent (on vtkWidgetEvent::EndSelect)\n   vtkCommand::InteractionEvent (on vtkWidgetEvent::Move)\n </pre>\n\n\n",
  NULL
};

static vtkObjectBase *vtkCompassWidgetStaticNew()
{
  return vtkCompassWidget::New();
}

PyObject *PyVTKClass_vtkCompassWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkCompassWidgetStaticNew,
                        PyvtkCompassWidgetMethods,
                        (char*)"vtkCompassWidget",modulename,
                        (char**)vtkCompassWidgetDoc,
                        PyVTKClass_vtkAbstractWidgetNew(modulename));
}

