// python wrapper for vtkGeoGraticule object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoGraticule.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoGraticuleNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoGraticuleNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkGeoGraticule_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraticule *op;

  const char    *temp20;
  op = (vtkGeoGraticule *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraticule::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraticule_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraticule *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoGraticule *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraticule::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraticule_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraticule *op;

  vtkGeoGraticule  *temp20;
  op = (vtkGeoGraticule *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraticule::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraticule_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoGraticule  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoGraticule::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoGraticule_SetLatitudeBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraticule *op;

  double   temp0;
  double   temp1;
  op = (vtkGeoGraticule *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraticule::SetLatitudeBounds(temp0,temp1);
      }
    else
      {
      op->SetLatitudeBounds(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGeoGraticule *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkGeoGraticule *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraticule::SetLatitudeBounds(temp0);
      }
    else
      {
      op->SetLatitudeBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraticule_GetLatitudeBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraticule *op;

  double  *temp20;
  op = (vtkGeoGraticule *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraticule::GetLatitudeBounds();
      }
    else
      {
      temp20 = op->GetLatitudeBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraticule_SetLongitudeBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraticule *op;

  double   temp0;
  double   temp1;
  op = (vtkGeoGraticule *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraticule::SetLongitudeBounds(temp0,temp1);
      }
    else
      {
      op->SetLongitudeBounds(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGeoGraticule *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkGeoGraticule *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraticule::SetLongitudeBounds(temp0);
      }
    else
      {
      op->SetLongitudeBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraticule_GetLongitudeBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraticule *op;

  double  *temp20;
  op = (vtkGeoGraticule *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraticule::GetLongitudeBounds();
      }
    else
      {
      temp20 = op->GetLongitudeBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraticule_SetLatitudeLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraticule *op;

  int      temp0;
  op = (vtkGeoGraticule *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraticule::SetLatitudeLevel(temp0);
      }
    else
      {
      op->SetLatitudeLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraticule_GetLatitudeLevelMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraticule *op;

  int      temp20;
  op = (vtkGeoGraticule *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraticule::GetLatitudeLevelMinValue();
      }
    else
      {
      temp20 = op->GetLatitudeLevelMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraticule_GetLatitudeLevelMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraticule *op;

  int      temp20;
  op = (vtkGeoGraticule *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraticule::GetLatitudeLevelMaxValue();
      }
    else
      {
      temp20 = op->GetLatitudeLevelMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraticule_GetLatitudeLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraticule *op;

  int      temp20;
  op = (vtkGeoGraticule *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraticule::GetLatitudeLevel();
      }
    else
      {
      temp20 = op->GetLatitudeLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraticule_SetLongitudeLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraticule *op;

  int      temp0;
  op = (vtkGeoGraticule *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraticule::SetLongitudeLevel(temp0);
      }
    else
      {
      op->SetLongitudeLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraticule_GetLongitudeLevelMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraticule *op;

  int      temp20;
  op = (vtkGeoGraticule *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraticule::GetLongitudeLevelMinValue();
      }
    else
      {
      temp20 = op->GetLongitudeLevelMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraticule_GetLongitudeLevelMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraticule *op;

  int      temp20;
  op = (vtkGeoGraticule *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraticule::GetLongitudeLevelMaxValue();
      }
    else
      {
      temp20 = op->GetLongitudeLevelMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraticule_GetLongitudeLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraticule *op;

  int      temp20;
  op = (vtkGeoGraticule *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraticule::GetLongitudeLevel();
      }
    else
      {
      temp20 = op->GetLongitudeLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraticule_GetLatitudeDelta(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkGeoGraticule::GetLatitudeDelta(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraticule_GetLongitudeDelta(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkGeoGraticule::GetLongitudeDelta(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraticule_SetGeometryType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraticule *op;

  int      temp0;
  op = (vtkGeoGraticule *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraticule::SetGeometryType(temp0);
      }
    else
      {
      op->SetGeometryType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraticule_GetGeometryType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraticule *op;

  int      temp20;
  op = (vtkGeoGraticule *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraticule::GetGeometryType();
      }
    else
      {
      temp20 = op->GetGeometryType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoGraticuleMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoGraticule_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoGraticule_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoGraticule_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoGraticule\nC++: vtkGeoGraticule *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoGraticule_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoGraticule\nC++: vtkGeoGraticule *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLatitudeBounds",                (PyCFunction)PyvtkGeoGraticule_SetLatitudeBounds, 1,
   (char*)"V.SetLatitudeBounds(float, float)\nC++: void SetLatitudeBounds (double , double );\nV.SetLatitudeBounds((float, float))\nC++: void SetLatitudeBounds (double  a[2]);\n\n The latitude bounds of the graticule.\n"},
  {(char*)"GetLatitudeBounds",                (PyCFunction)PyvtkGeoGraticule_GetLatitudeBounds, 1,
   (char*)"V.GetLatitudeBounds() -> (float, float)\nC++: double  *GetLatitudeBounds ();\n\n The latitude bounds of the graticule.\n"},
  {(char*)"SetLongitudeBounds",                (PyCFunction)PyvtkGeoGraticule_SetLongitudeBounds, 1,
   (char*)"V.SetLongitudeBounds(float, float)\nC++: void SetLongitudeBounds (double , double );\nV.SetLongitudeBounds((float, float))\nC++: void SetLongitudeBounds (double  a[2]);\n\n The longitude bounds of the graticule.\n"},
  {(char*)"GetLongitudeBounds",                (PyCFunction)PyvtkGeoGraticule_GetLongitudeBounds, 1,
   (char*)"V.GetLongitudeBounds() -> (float, float)\nC++: double  *GetLongitudeBounds ();\n\n The longitude bounds of the graticule.\n"},
  {(char*)"SetLatitudeLevel",                (PyCFunction)PyvtkGeoGraticule_SetLatitudeLevel, 1,
   (char*)"V.SetLatitudeLevel(int)\nC++: void SetLatitudeLevel (int );\n\n The frequency level of latitude lines.\n"},
  {(char*)"GetLatitudeLevelMinValue",                (PyCFunction)PyvtkGeoGraticule_GetLatitudeLevelMinValue, 1,
   (char*)"V.GetLatitudeLevelMinValue() -> int\nC++: int GetLatitudeLevelMinValue ();\n\n The frequency level of latitude lines.\n"},
  {(char*)"GetLatitudeLevelMaxValue",                (PyCFunction)PyvtkGeoGraticule_GetLatitudeLevelMaxValue, 1,
   (char*)"V.GetLatitudeLevelMaxValue() -> int\nC++: int GetLatitudeLevelMaxValue ();\n\n The frequency level of latitude lines.\n"},
  {(char*)"GetLatitudeLevel",                (PyCFunction)PyvtkGeoGraticule_GetLatitudeLevel, 1,
   (char*)"V.GetLatitudeLevel() -> int\nC++: int GetLatitudeLevel ();\n\n The frequency level of latitude lines.\n"},
  {(char*)"SetLongitudeLevel",                (PyCFunction)PyvtkGeoGraticule_SetLongitudeLevel, 1,
   (char*)"V.SetLongitudeLevel(int)\nC++: void SetLongitudeLevel (int );\n\n The frequency level of longitude lines.\n"},
  {(char*)"GetLongitudeLevelMinValue",                (PyCFunction)PyvtkGeoGraticule_GetLongitudeLevelMinValue, 1,
   (char*)"V.GetLongitudeLevelMinValue() -> int\nC++: int GetLongitudeLevelMinValue ();\n\n The frequency level of longitude lines.\n"},
  {(char*)"GetLongitudeLevelMaxValue",                (PyCFunction)PyvtkGeoGraticule_GetLongitudeLevelMaxValue, 1,
   (char*)"V.GetLongitudeLevelMaxValue() -> int\nC++: int GetLongitudeLevelMaxValue ();\n\n The frequency level of longitude lines.\n"},
  {(char*)"GetLongitudeLevel",                (PyCFunction)PyvtkGeoGraticule_GetLongitudeLevel, 1,
   (char*)"V.GetLongitudeLevel() -> int\nC++: int GetLongitudeLevel ();\n\n The frequency level of longitude lines.\n"},
  {(char*)"GetLatitudeDelta",                (PyCFunction)PyvtkGeoGraticule_GetLatitudeDelta, 1,
   (char*)"V.GetLatitudeDelta(int) -> float\nC++: static double GetLatitudeDelta (int level);return LatitudeLevelTics level \n\n The longitude delta at a certain frequency level.\n"},
  {(char*)"GetLongitudeDelta",                (PyCFunction)PyvtkGeoGraticule_GetLongitudeDelta, 1,
   (char*)"V.GetLongitudeDelta(int) -> float\nC++: static double GetLongitudeDelta (int level);return LongitudeLevelTics level \n\n Set//get the type(s) of cells that will be\n output by the filter. By default, polylines\n are output. You may also request quadrilaterals. \n This is a bit vector of GeometryType enums.\n"},
  {(char*)"SetGeometryType",                (PyCFunction)PyvtkGeoGraticule_SetGeometryType, 1,
   (char*)"V.SetGeometryType(int)\nC++: void SetGeometryType (int );\n\n Set//get the type(s) of cells that will be\n output by the filter. By default, polylines\n are output. You may also request quadrilaterals. \n This is a bit vector of GeometryType enums.\n"},
  {(char*)"GetGeometryType",                (PyCFunction)PyvtkGeoGraticule_GetGeometryType, 1,
   (char*)"V.GetGeometryType() -> int\nC++: int GetGeometryType ();\n\n Set//get the type(s) of cells that will be\n output by the filter. By default, polylines\n are output. You may also request quadrilaterals. \n This is a bit vector of GeometryType enums.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoGraticuleDoc[] = {
  (char*)"vtkGeoGraticule - Create a polygonal lat-long grid\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" This filter generates polydata to illustrate the distortions introduced\n by a map projection. The level parameter specifies the number of lines\n to be drawn. Poles are treated differently than other regions; hence the\n use of a Level parameter instead of a NumberOfLines parameter.\n The latitude and longitude are specified as half-open intervals with units\n of degrees. By default the latitude boun",
  (char*)"ds are [-90,90[ and the longitude\n bounds are [0,180[.\n\n",
  NULL
};

static vtkObjectBase *vtkGeoGraticuleStaticNew()
{
  return vtkGeoGraticule::New();
}

PyObject *PyVTKClass_vtkGeoGraticuleNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoGraticuleStaticNew,
                        PyvtkGeoGraticuleMethods,
                        (char*)"vtkGeoGraticule",modulename,
                        (char**)vtkGeoGraticuleDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

