// python wrapper for vtkGeoProjection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoProjection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoProjectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoProjectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGeoProjection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoProjection *op;

  const char    *temp20;
  op = (vtkGeoProjection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoProjection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoProjection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoProjection *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoProjection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoProjection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoProjection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoProjection *op;

  vtkGeoProjection  *temp20;
  op = (vtkGeoProjection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoProjection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoProjection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoProjection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoProjection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoProjection_GetNumberOfProjections(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkGeoProjection::GetNumberOfProjections();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoProjection_GetProjectionName(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkGeoProjection::GetProjectionName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoProjection_GetProjectionDescription(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkGeoProjection::GetProjectionDescription(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoProjection_SetName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoProjection *op;

  char    *temp0;
  op = (vtkGeoProjection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoProjection::SetName(temp0);
      }
    else
      {
      op->SetName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoProjection_GetName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoProjection *op;

  char    *temp20;
  op = (vtkGeoProjection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoProjection::GetName();
      }
    else
      {
      temp20 = op->GetName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoProjection_GetIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoProjection *op;

  int      temp20;
  op = (vtkGeoProjection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoProjection::GetIndex();
      }
    else
      {
      temp20 = op->GetIndex();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoProjection_GetDescription(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoProjection *op;

  const char    *temp20;
  op = (vtkGeoProjection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoProjection::GetDescription();
      }
    else
      {
      temp20 = op->GetDescription();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoProjection_SetCentralMeridian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoProjection *op;

  double   temp0;
  op = (vtkGeoProjection *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoProjection::SetCentralMeridian(temp0);
      }
    else
      {
      op->SetCentralMeridian(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoProjection_GetCentralMeridian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoProjection *op;

  double   temp20;
  op = (vtkGeoProjection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoProjection::GetCentralMeridian();
      }
    else
      {
      temp20 = op->GetCentralMeridian();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoProjectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoProjection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoProjection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoProjection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoProjection\nC++: vtkGeoProjection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoProjection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoProjection\nC++: vtkGeoProjection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetNumberOfProjections",                (PyCFunction)PyvtkGeoProjection_GetNumberOfProjections, 1,
   (char*)"V.GetNumberOfProjections() -> int\nC++: static int GetNumberOfProjections ();\n\n Returns the number of projections that this class offers.\n"},
  {(char*)"GetProjectionName",                (PyCFunction)PyvtkGeoProjection_GetProjectionName, 1,
   (char*)"V.GetProjectionName(int) -> string\nC++: static const char *GetProjectionName (int projection);\n\n Returns the name of one of the projections supported by this class.\n You can pass these strings to SetName(char*).\n @param projection the index of a projection, must be in [0,GetNumberOfProjections()[.\n"},
  {(char*)"GetProjectionDescription",                (PyCFunction)PyvtkGeoProjection_GetProjectionDescription, 1,
   (char*)"V.GetProjectionDescription(int) -> string\nC++: static const char *GetProjectionDescription (int projection);\n\n Returns a description of one of the projections supported by this class.\n @param projection the index of a projection, must be in [0,GetNumberOfProjections()[.\n"},
  {(char*)"SetName",                (PyCFunction)PyvtkGeoProjection_SetName, 1,
   (char*)"V.SetName(string)\nC++: void SetName (char *);\n\n Set/get the short name describing the projection you wish to use.\n This defaults to \"rpoly\" for no reason other than I like it.\n To get a list of valid values, use the GetNumberOfProjections() and\n GetProjectionName(int) static methods.\n"},
  {(char*)"GetName",                (PyCFunction)PyvtkGeoProjection_GetName, 1,
   (char*)"V.GetName() -> string\nC++: char *GetName ();\n\n Set/get the short name describing the projection you wish to use.\n This defaults to \"rpoly\" for no reason other than I like it.\n To get a list of valid values, use the GetNumberOfProjections() and\n GetProjectionName(int) static methods.\n"},
  {(char*)"GetIndex",                (PyCFunction)PyvtkGeoProjection_GetIndex, 1,
   (char*)"V.GetIndex() -> int\nC++: int GetIndex ();\n\n Return the index of the current projection's type in the list of all projection types.\n On error, this will return -1. On success, it returns a number in [0,GetNumberOfProjections()[.\n"},
  {(char*)"GetDescription",                (PyCFunction)PyvtkGeoProjection_GetDescription, 1,
   (char*)"V.GetDescription() -> string\nC++: const char *GetDescription ();\n\n Get the description of a projection.\n This will return NULL if the projection name is invalid.\n"},
  {(char*)"SetCentralMeridian",                (PyCFunction)PyvtkGeoProjection_SetCentralMeridian, 1,
   (char*)"V.SetCentralMeridian(float)\nC++: void SetCentralMeridian (double );\n\n Set/get the longitude which corresponds to the central meridian of the projection.\n This defaults to 0, the Greenwich Meridian.\n"},
  {(char*)"GetCentralMeridian",                (PyCFunction)PyvtkGeoProjection_GetCentralMeridian, 1,
   (char*)"V.GetCentralMeridian() -> float\nC++: double GetCentralMeridian ();\n\n Set/get the longitude which corresponds to the central meridian of the projection.\n This defaults to 0, the Greenwich Meridian.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoProjectionDoc[] = {
  (char*)"vtkGeoProjection - Represent a projection from a sphere to a plane\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This class uses the PROJ.4 library to represent geographic coordinate\n projections.\n\n",
  NULL
};

static vtkObjectBase *vtkGeoProjectionStaticNew()
{
  return vtkGeoProjection::New();
}

PyObject *PyVTKClass_vtkGeoProjectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoProjectionStaticNew,
                        PyvtkGeoProjectionMethods,
                        (char*)"vtkGeoProjection",modulename,
                        (char**)vtkGeoProjectionDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

