// python wrapper for vtkGeoProjectionSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoProjectionSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoProjectionSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoProjectionSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGeoSourceNew(char *); }

static PyObject *PyvtkGeoProjectionSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoProjectionSource *op;

  const char    *temp20;
  op = (vtkGeoProjectionSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoProjectionSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoProjectionSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoProjectionSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoProjectionSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoProjectionSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoProjectionSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoProjectionSource *op;

  vtkGeoProjectionSource  *temp20;
  op = (vtkGeoProjectionSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoProjectionSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoProjectionSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoProjectionSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoProjectionSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoProjectionSource_FetchRoot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoProjectionSource *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkGeoProjectionSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoProjectionSource::FetchRoot(temp0);
      }
    else
      {
      temp20 = op->FetchRoot(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkGeoProjectionSource_FetchChild(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoProjectionSource *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  int      temp1;
  vtkGeoTreeNode  *temp2;
  PyObject *tempH2;
  bool   temp20;
  op = (vtkGeoProjectionSource *)PyArg_VTKParseTuple(self, args, (char*)"OiO", &tempH0, &temp1, &tempH2);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp2 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkGeoTreeNode");
    if (!temp2 && tempH2 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoProjectionSource::FetchChild(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->FetchChild(temp0,temp1,temp2);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkGeoProjectionSource_GetProjection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoProjectionSource *op;

  int      temp20;
  op = (vtkGeoProjectionSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoProjectionSource::GetProjection();
      }
    else
      {
      temp20 = op->GetProjection();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoProjectionSource_SetProjection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoProjectionSource *op;

  int      temp0;
  op = (vtkGeoProjectionSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoProjectionSource::SetProjection(temp0);
      }
    else
      {
      op->SetProjection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoProjectionSource_GetMinCellsPerNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoProjectionSource *op;

  int      temp20;
  op = (vtkGeoProjectionSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoProjectionSource::GetMinCellsPerNode();
      }
    else
      {
      temp20 = op->GetMinCellsPerNode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoProjectionSource_SetMinCellsPerNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoProjectionSource *op;

  int      temp0;
  op = (vtkGeoProjectionSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoProjectionSource::SetMinCellsPerNode(temp0);
      }
    else
      {
      op->SetMinCellsPerNode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoProjectionSource_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoProjectionSource *op;

  vtkAbstractTransform  *temp20;
  op = (vtkGeoProjectionSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoProjectionSource::GetTransform();
      }
    else
      {
      temp20 = op->GetTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoProjectionSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoProjectionSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoProjectionSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoProjectionSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoProjectionSource\nC++: vtkGeoProjectionSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoProjectionSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoProjectionSource\nC++: vtkGeoProjectionSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"FetchRoot",                (PyCFunction)PyvtkGeoProjectionSource_FetchRoot, 1,
   (char*)"V.FetchRoot(vtkGeoTreeNode) -> bool\nC++: virtual bool FetchRoot (vtkGeoTreeNode *root);\n\n Blocking methods for sources with low latency.\n"},
  {(char*)"FetchChild",                (PyCFunction)PyvtkGeoProjectionSource_FetchChild, 1,
   (char*)"V.FetchChild(vtkGeoTreeNode, int, vtkGeoTreeNode) -> bool\nC++: virtual bool FetchChild (vtkGeoTreeNode *node, int index, vtkGeoTreeNode *child);\n\n Blocking methods for sources with low latency.\n"},
  {(char*)"GetProjection",                (PyCFunction)PyvtkGeoProjectionSource_GetProjection, 1,
   (char*)"V.GetProjection() -> int\nC++: int GetProjection ();\n\n The projection ID defining the projection. Initial value is 0.\n"},
  {(char*)"SetProjection",                (PyCFunction)PyvtkGeoProjectionSource_SetProjection, 1,
   (char*)"V.SetProjection(int)\nC++: virtual void SetProjection (int projection);\n\n The projection ID defining the projection. Initial value is 0.\n"},
  {(char*)"GetMinCellsPerNode",                (PyCFunction)PyvtkGeoProjectionSource_GetMinCellsPerNode, 1,
   (char*)"V.GetMinCellsPerNode() -> int\nC++: int GetMinCellsPerNode ();\n\n The minimum number of cells per node.\n"},
  {(char*)"SetMinCellsPerNode",                (PyCFunction)PyvtkGeoProjectionSource_SetMinCellsPerNode, 1,
   (char*)"V.SetMinCellsPerNode(int)\nC++: void SetMinCellsPerNode (int );\n\n The minimum number of cells per node.\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkGeoProjectionSource_GetTransform, 1,
   (char*)"V.GetTransform() -> vtkAbstractTransform\nC++: virtual vtkAbstractTransform *GetTransform ();\n\n Return the projection transformation used by this 2D terrain.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoProjectionSourceDoc[] = {
  (char*)"vtkGeoProjectionSource - A 2D geographic geometry source\n\n",
  "Super Class:\n\n vtkGeoSource\n\n",
  (char*)" vtkGeoProjectionSource is a vtkGeoSource suitable for use in vtkTerrain2D.\n This source uses the libproj4 library to produce geometry patches at\n multiple resolutions. Each patch covers a specific region in projected\n space.\n\n",
  NULL
};

static vtkObjectBase *vtkGeoProjectionSourceStaticNew()
{
  return vtkGeoProjectionSource::New();
}

PyObject *PyVTKClass_vtkGeoProjectionSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoProjectionSourceStaticNew,
                        PyvtkGeoProjectionSourceMethods,
                        (char*)"vtkGeoProjectionSource",modulename,
                        (char**)vtkGeoProjectionSourceDoc,
                        PyVTKClass_vtkGeoSourceNew(modulename));
}

