// python wrapper for vtkGeoTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoTransform.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoTransformNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoTransformNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractTransformNew(char *); }

static PyObject *PyvtkGeoTransform_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTransform *op;

  const char    *temp20;
  op = (vtkGeoTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTransform::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTransform_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTransform *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoTransform *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTransform::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTransform_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTransform *op;

  vtkGeoTransform  *temp20;
  op = (vtkGeoTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTransform::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTransform_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoTransform  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoTransform::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoTransform_SetSourceProjection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTransform *op;

  vtkGeoProjection  *temp0;
  PyObject *tempH0;
  op = (vtkGeoTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoProjection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoProjection");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTransform::SetSourceProjection(temp0);
      }
    else
      {
      op->SetSourceProjection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkGeoTransform_GetSourceProjection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTransform *op;

  vtkGeoProjection  *temp20;
  op = (vtkGeoTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTransform::GetSourceProjection();
      }
    else
      {
      temp20 = op->GetSourceProjection();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTransform_SetDestinationProjection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTransform *op;

  vtkGeoProjection  *temp0;
  PyObject *tempH0;
  op = (vtkGeoTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoProjection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoProjection");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTransform::SetDestinationProjection(temp0);
      }
    else
      {
      op->SetDestinationProjection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkGeoTransform_GetDestinationProjection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTransform *op;

  vtkGeoProjection  *temp20;
  op = (vtkGeoTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTransform::GetDestinationProjection();
      }
    else
      {
      temp20 = op->GetDestinationProjection();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTransform_TransformPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTransform *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  vtkPoints  *temp1;
  PyObject *tempH1;
  op = (vtkGeoTransform *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break8;
    temp1 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPoints");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTransform::TransformPoints(temp0,temp1);
      }
    else
      {
      op->TransformPoints(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkGeoTransform_Inverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTransform *op;

  op = (vtkGeoTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTransform::Inverse();
      }
    else
      {
      op->Inverse();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTransform_InternalTransformPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTransform *op;

  float  temp0[3];
  float  temp1[3];
  op = (vtkGeoTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTransform::InternalTransformPoint(temp0,temp1);
      }
    else
      {
      op->InternalTransformPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGeoTransform *op;

  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  op = (vtkGeoTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTransform::InternalTransformPoint(temp0,temp1);
      }
    else
      {
      op->InternalTransformPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTransform_MakeTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTransform *op;

  vtkAbstractTransform  *temp20;
  op = (vtkGeoTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTransform::MakeTransform();
      }
    else
      {
      temp20 = op->MakeTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoTransformMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoTransform_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoTransform_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoTransform_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoTransform\nC++: vtkGeoTransform *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoTransform_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoTransform\nC++: vtkGeoTransform *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSourceProjection",                (PyCFunction)PyvtkGeoTransform_SetSourceProjection, 1,
   (char*)"V.SetSourceProjection(vtkGeoProjection)\nC++: void SetSourceProjection (vtkGeoProjection *source);\n\n The source geographic projection.\n"},
  {(char*)"GetSourceProjection",                (PyCFunction)PyvtkGeoTransform_GetSourceProjection, 1,
   (char*)"V.GetSourceProjection() -> vtkGeoProjection\nC++: vtkGeoProjection *GetSourceProjection ();\n\n The source geographic projection.\n"},
  {(char*)"SetDestinationProjection",                (PyCFunction)PyvtkGeoTransform_SetDestinationProjection, 1,
   (char*)"V.SetDestinationProjection(vtkGeoProjection)\nC++: void SetDestinationProjection (vtkGeoProjection *dest);\n\n The target geographic projection.\n"},
  {(char*)"GetDestinationProjection",                (PyCFunction)PyvtkGeoTransform_GetDestinationProjection, 1,
   (char*)"V.GetDestinationProjection() -> vtkGeoProjection\nC++: vtkGeoProjection *GetDestinationProjection ();\n\n The target geographic projection.\n"},
  {(char*)"TransformPoints",                (PyCFunction)PyvtkGeoTransform_TransformPoints, 1,
   (char*)"V.TransformPoints(vtkPoints, vtkPoints)\nC++: virtual void TransformPoints (vtkPoints *src, vtkPoints *dst);\n\n Transform many points at once.\n"},
  {(char*)"Inverse",                (PyCFunction)PyvtkGeoTransform_Inverse, 1,
   (char*)"V.Inverse()\nC++: virtual void Inverse ();\n\n Invert the transformation.\n"},
  {(char*)"InternalTransformPoint",                (PyCFunction)PyvtkGeoTransform_InternalTransformPoint, 1,
   (char*)"V.InternalTransformPoint((float, float, float), (float, float, float))\nC++: virtual void InternalTransformPoint (const float in[3], float out[3]);\nV.InternalTransformPoint((float, float, float), (float, float, float))\nC++: virtual void InternalTransformPoint (const double in[3], double out[3]);\n\n This will calculate the transformation without calling Update.\n Meant for use only within other VTK classes.\n"},
  {(char*)"MakeTransform",                (PyCFunction)PyvtkGeoTransform_MakeTransform, 1,
   (char*)"V.MakeTransform() -> vtkAbstractTransform\nC++: virtual vtkAbstractTransform *MakeTransform ();\n\n Make another transform of the same type.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoTransformDoc[] = {
  (char*)"vtkGeoTransform - A transformation between two geographic coordinate systems\n\n",
  "Super Class:\n\n vtkAbstractTransform\n\n",
  (char*)" This class takes two geographic projections and transforms point\n coordinates between them.\n\n",
  NULL
};

static vtkObjectBase *vtkGeoTransformStaticNew()
{
  return vtkGeoTransform::New();
}

PyObject *PyVTKClass_vtkGeoTransformNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoTransformStaticNew,
                        PyvtkGeoTransformMethods,
                        (char*)"vtkGeoTransform",modulename,
                        (char**)vtkGeoTransformDoc,
                        PyVTKClass_vtkAbstractTransformNew(modulename));
}

