// python wrapper for vtkGeoTreeNodeCache object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoTreeNodeCache.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoTreeNodeCacheNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoTreeNodeCacheNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGeoTreeNodeCache_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNodeCache *op;

  const char    *temp20;
  op = (vtkGeoTreeNodeCache *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNodeCache::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNodeCache_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNodeCache *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoTreeNodeCache *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNodeCache::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNodeCache_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNodeCache *op;

  vtkGeoTreeNodeCache  *temp20;
  op = (vtkGeoTreeNodeCache *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNodeCache::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNodeCache_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoTreeNodeCache  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoTreeNodeCache::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoTreeNodeCache_SetCacheMaximumLimit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNodeCache *op;

  int      temp0;
  op = (vtkGeoTreeNodeCache *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTreeNodeCache::SetCacheMaximumLimit(temp0);
      }
    else
      {
      op->SetCacheMaximumLimit(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNodeCache_GetCacheMaximumLimit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNodeCache *op;

  int      temp20;
  op = (vtkGeoTreeNodeCache *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNodeCache::GetCacheMaximumLimit();
      }
    else
      {
      temp20 = op->GetCacheMaximumLimit();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNodeCache_SetCacheMinimumLimit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNodeCache *op;

  int      temp0;
  op = (vtkGeoTreeNodeCache *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTreeNodeCache::SetCacheMinimumLimit(temp0);
      }
    else
      {
      op->SetCacheMinimumLimit(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNodeCache_GetCacheMinimumLimit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNodeCache *op;

  int      temp20;
  op = (vtkGeoTreeNodeCache *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNodeCache::GetCacheMinimumLimit();
      }
    else
      {
      temp20 = op->GetCacheMinimumLimit();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoTreeNodeCache_SendToFront(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNodeCache *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  op = (vtkGeoTreeNodeCache *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTreeNodeCache::SendToFront(temp0);
      }
    else
      {
      op->SendToFront(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkGeoTreeNodeCache_RemoveNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNodeCache *op;

  vtkGeoTreeNode  *temp0;
  PyObject *tempH0;
  op = (vtkGeoTreeNodeCache *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGeoTreeNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGeoTreeNode");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoTreeNodeCache::RemoveNode(temp0);
      }
    else
      {
      op->RemoveNode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkGeoTreeNodeCache_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoTreeNodeCache *op;

  int      temp20;
  op = (vtkGeoTreeNodeCache *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoTreeNodeCache::GetSize();
      }
    else
      {
      temp20 = op->GetSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoTreeNodeCacheMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoTreeNodeCache_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoTreeNodeCache_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoTreeNodeCache_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoTreeNodeCache\nC++: vtkGeoTreeNodeCache *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoTreeNodeCache_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoTreeNodeCache\nC++: vtkGeoTreeNodeCache *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCacheMaximumLimit",                (PyCFunction)PyvtkGeoTreeNodeCache_SetCacheMaximumLimit, 1,
   (char*)"V.SetCacheMaximumLimit(int)\nC++: void SetCacheMaximumLimit (int );\n\n The size of the cache of geospatial nodes.\n When the size reaches this limit, the list of non-empty\n nodes will be shortened to CacheMinimumLimit.\n"},
  {(char*)"GetCacheMaximumLimit",                (PyCFunction)PyvtkGeoTreeNodeCache_GetCacheMaximumLimit, 1,
   (char*)"V.GetCacheMaximumLimit() -> int\nC++: int GetCacheMaximumLimit ();\n\n The size of the cache of geospatial nodes.\n When the size reaches this limit, the list of non-empty\n nodes will be shortened to CacheMinimumLimit.\n"},
  {(char*)"SetCacheMinimumLimit",                (PyCFunction)PyvtkGeoTreeNodeCache_SetCacheMinimumLimit, 1,
   (char*)"V.SetCacheMinimumLimit(int)\nC++: void SetCacheMinimumLimit (int );\n\n The cache is reduced to this size when the maximum limit is reached.\n"},
  {(char*)"GetCacheMinimumLimit",                (PyCFunction)PyvtkGeoTreeNodeCache_GetCacheMinimumLimit, 1,
   (char*)"V.GetCacheMinimumLimit() -> int\nC++: int GetCacheMinimumLimit ();\n\n The cache is reduced to this size when the maximum limit is reached.\n"},
  {(char*)"SendToFront",                (PyCFunction)PyvtkGeoTreeNodeCache_SendToFront, 1,
   (char*)"V.SendToFront(vtkGeoTreeNode)\nC++: void SendToFront (vtkGeoTreeNode *node);\n\n Send a node to the front of the list.\n Perform this whenever a node is accessed, so that the most\n recently accessed nodes' data are not deleted.\n"},
  {(char*)"RemoveNode",                (PyCFunction)PyvtkGeoTreeNodeCache_RemoveNode, 1,
   (char*)"V.RemoveNode(vtkGeoTreeNode)\nC++: void RemoveNode (vtkGeoTreeNode *node);\n\n Remove the node from the list.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkGeoTreeNodeCache_GetSize, 1,
   (char*)"V.GetSize() -> int\nC++: int GetSize ();\n\n The current size of the list.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoTreeNodeCacheDoc[] = {
  (char*)"vtkGeoTreeNodeCache - Manages a list of vtkGeoTreeNodes.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkGeoTreeNodeCache keeps track of a linked list of vtkGeoTreeNodes,\n and has operations to move nodes to the front of the list and to\n delete data from the least used nodes. This is used to recover memory\n from nodes that store data that hasn't been used in a while.\n\n",
  NULL
};

static vtkObjectBase *vtkGeoTreeNodeCacheStaticNew()
{
  return vtkGeoTreeNodeCache::New();
}

PyObject *PyVTKClass_vtkGeoTreeNodeCacheNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoTreeNodeCacheStaticNew,
                        PyvtkGeoTreeNodeCacheMethods,
                        (char*)"vtkGeoTreeNodeCache",modulename,
                        (char**)vtkGeoTreeNodeCacheDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

