// python wrapper for vtkGlobeSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGlobeSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGlobeSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGlobeSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkGlobeSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  const char    *temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  vtkGlobeSource  *temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGlobeSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGlobeSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGlobeSource_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlobeSource::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlobeSource::SetOrigin(temp0);
      }
    else
      {
      op->SetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_SetStartLongitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp0;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlobeSource::SetStartLongitude(temp0);
      }
    else
      {
      op->SetStartLongitude(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetStartLongitudeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetStartLongitudeMinValue();
      }
    else
      {
      temp20 = op->GetStartLongitudeMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetStartLongitudeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetStartLongitudeMaxValue();
      }
    else
      {
      temp20 = op->GetStartLongitudeMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_SetEndLongitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp0;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlobeSource::SetEndLongitude(temp0);
      }
    else
      {
      op->SetEndLongitude(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetEndLongitudeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetEndLongitudeMinValue();
      }
    else
      {
      temp20 = op->GetEndLongitudeMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetEndLongitudeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetEndLongitudeMaxValue();
      }
    else
      {
      temp20 = op->GetEndLongitudeMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_SetStartLatitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp0;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlobeSource::SetStartLatitude(temp0);
      }
    else
      {
      op->SetStartLatitude(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetStartLatitudeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetStartLatitudeMinValue();
      }
    else
      {
      temp20 = op->GetStartLatitudeMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetStartLatitudeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetStartLatitudeMaxValue();
      }
    else
      {
      temp20 = op->GetStartLatitudeMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_SetEndLatitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp0;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlobeSource::SetEndLatitude(temp0);
      }
    else
      {
      op->SetEndLatitude(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetEndLatitudeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetEndLatitudeMinValue();
      }
    else
      {
      temp20 = op->GetEndLatitudeMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetEndLatitudeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetEndLatitudeMaxValue();
      }
    else
      {
      temp20 = op->GetEndLatitudeMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_SetLongitudeResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  int      temp0;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlobeSource::SetLongitudeResolution(temp0);
      }
    else
      {
      op->SetLongitudeResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetLongitudeResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  int      temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetLongitudeResolutionMinValue();
      }
    else
      {
      temp20 = op->GetLongitudeResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetLongitudeResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  int      temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetLongitudeResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetLongitudeResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetLongitudeResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  int      temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetLongitudeResolution();
      }
    else
      {
      temp20 = op->GetLongitudeResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_SetLatitudeResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  int      temp0;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlobeSource::SetLatitudeResolution(temp0);
      }
    else
      {
      op->SetLatitudeResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetLatitudeResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  int      temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetLatitudeResolutionMinValue();
      }
    else
      {
      temp20 = op->GetLatitudeResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetLatitudeResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  int      temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetLatitudeResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetLatitudeResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetLatitudeResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  int      temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetLatitudeResolution();
      }
    else
      {
      temp20 = op->GetLatitudeResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp0;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlobeSource::SetRadius(temp0);
      }
    else
      {
      op->SetRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetRadiusMinValue();
      }
    else
      {
      temp20 = op->GetRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_SetCurtainHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp0;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlobeSource::SetCurtainHeight(temp0);
      }
    else
      {
      op->SetCurtainHeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetCurtainHeightMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetCurtainHeightMinValue();
      }
    else
      {
      temp20 = op->GetCurtainHeightMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetCurtainHeightMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetCurtainHeightMaxValue();
      }
    else
      {
      temp20 = op->GetCurtainHeightMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetCurtainHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  double   temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetCurtainHeight();
      }
    else
      {
      temp20 = op->GetCurtainHeight();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_SetQuadrilateralTessellation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  int      temp0;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlobeSource::SetQuadrilateralTessellation(temp0);
      }
    else
      {
      op->SetQuadrilateralTessellation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_GetQuadrilateralTessellation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  int      temp20;
  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlobeSource::GetQuadrilateralTessellation();
      }
    else
      {
      temp20 = op->GetQuadrilateralTessellation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_QuadrilateralTessellationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlobeSource::QuadrilateralTessellationOn();
      }
    else
      {
      op->QuadrilateralTessellationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlobeSource_QuadrilateralTessellationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlobeSource *op;

  op = (vtkGlobeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlobeSource::QuadrilateralTessellationOff();
      }
    else
      {
      op->QuadrilateralTessellationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGlobeSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGlobeSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGlobeSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGlobeSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGlobeSource\nC++: vtkGlobeSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGlobeSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGlobeSource\nC++: vtkGlobeSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkGlobeSource_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: void SetOrigin (double , double , double );\nV.SetOrigin((float, float, float))\nC++: void SetOrigin (double  a[3]);\n\n"},
  {(char*)"SetStartLongitude",                (PyCFunction)PyvtkGlobeSource_SetStartLongitude, 1,
   (char*)"V.SetStartLongitude(float)\nC++: void SetStartLongitude (double );\n\n Longitude Latitude clamps.\n"},
  {(char*)"GetStartLongitudeMinValue",                (PyCFunction)PyvtkGlobeSource_GetStartLongitudeMinValue, 1,
   (char*)"V.GetStartLongitudeMinValue() -> float\nC++: double GetStartLongitudeMinValue ();\n\n Longitude Latitude clamps.\n"},
  {(char*)"GetStartLongitudeMaxValue",                (PyCFunction)PyvtkGlobeSource_GetStartLongitudeMaxValue, 1,
   (char*)"V.GetStartLongitudeMaxValue() -> float\nC++: double GetStartLongitudeMaxValue ();\n\n Longitude Latitude clamps.\n"},
  {(char*)"SetEndLongitude",                (PyCFunction)PyvtkGlobeSource_SetEndLongitude, 1,
   (char*)"V.SetEndLongitude(float)\nC++: void SetEndLongitude (double );\n\n Longitude Latitude clamps.\n"},
  {(char*)"GetEndLongitudeMinValue",                (PyCFunction)PyvtkGlobeSource_GetEndLongitudeMinValue, 1,
   (char*)"V.GetEndLongitudeMinValue() -> float\nC++: double GetEndLongitudeMinValue ();\n\n Longitude Latitude clamps.\n"},
  {(char*)"GetEndLongitudeMaxValue",                (PyCFunction)PyvtkGlobeSource_GetEndLongitudeMaxValue, 1,
   (char*)"V.GetEndLongitudeMaxValue() -> float\nC++: double GetEndLongitudeMaxValue ();\n\n Longitude Latitude clamps.\n"},
  {(char*)"SetStartLatitude",                (PyCFunction)PyvtkGlobeSource_SetStartLatitude, 1,
   (char*)"V.SetStartLatitude(float)\nC++: void SetStartLatitude (double );\n\n Longitude Latitude clamps.\n"},
  {(char*)"GetStartLatitudeMinValue",                (PyCFunction)PyvtkGlobeSource_GetStartLatitudeMinValue, 1,
   (char*)"V.GetStartLatitudeMinValue() -> float\nC++: double GetStartLatitudeMinValue ();\n\n Longitude Latitude clamps.\n"},
  {(char*)"GetStartLatitudeMaxValue",                (PyCFunction)PyvtkGlobeSource_GetStartLatitudeMaxValue, 1,
   (char*)"V.GetStartLatitudeMaxValue() -> float\nC++: double GetStartLatitudeMaxValue ();\n\n Longitude Latitude clamps.\n"},
  {(char*)"SetEndLatitude",                (PyCFunction)PyvtkGlobeSource_SetEndLatitude, 1,
   (char*)"V.SetEndLatitude(float)\nC++: void SetEndLatitude (double );\n\n Longitude Latitude clamps.\n"},
  {(char*)"GetEndLatitudeMinValue",                (PyCFunction)PyvtkGlobeSource_GetEndLatitudeMinValue, 1,
   (char*)"V.GetEndLatitudeMinValue() -> float\nC++: double GetEndLatitudeMinValue ();\n\n Longitude Latitude clamps.\n"},
  {(char*)"GetEndLatitudeMaxValue",                (PyCFunction)PyvtkGlobeSource_GetEndLatitudeMaxValue, 1,
   (char*)"V.GetEndLatitudeMaxValue() -> float\nC++: double GetEndLatitudeMaxValue ();\n\n Longitude Latitude clamps.\n"},
  {(char*)"SetLongitudeResolution",                (PyCFunction)PyvtkGlobeSource_SetLongitudeResolution, 1,
   (char*)"V.SetLongitudeResolution(int)\nC++: void SetLongitudeResolution (int );\n\n Set the number of points in the longitude direction (ranging from\n StartLongitude to EndLongitude).\n"},
  {(char*)"GetLongitudeResolutionMinValue",                (PyCFunction)PyvtkGlobeSource_GetLongitudeResolutionMinValue, 1,
   (char*)"V.GetLongitudeResolutionMinValue() -> int\nC++: int GetLongitudeResolutionMinValue ();\n\n Set the number of points in the longitude direction (ranging from\n StartLongitude to EndLongitude).\n"},
  {(char*)"GetLongitudeResolutionMaxValue",                (PyCFunction)PyvtkGlobeSource_GetLongitudeResolutionMaxValue, 1,
   (char*)"V.GetLongitudeResolutionMaxValue() -> int\nC++: int GetLongitudeResolutionMaxValue ();\n\n Set the number of points in the longitude direction (ranging from\n StartLongitude to EndLongitude).\n"},
  {(char*)"GetLongitudeResolution",                (PyCFunction)PyvtkGlobeSource_GetLongitudeResolution, 1,
   (char*)"V.GetLongitudeResolution() -> int\nC++: int GetLongitudeResolution ();\n\n Set the number of points in the longitude direction (ranging from\n StartLongitude to EndLongitude).\n"},
  {(char*)"SetLatitudeResolution",                (PyCFunction)PyvtkGlobeSource_SetLatitudeResolution, 1,
   (char*)"V.SetLatitudeResolution(int)\nC++: void SetLatitudeResolution (int );\n\n Set the number of points in the latitude direction (ranging\n from StartLatitude to EndLatitude).\n"},
  {(char*)"GetLatitudeResolutionMinValue",                (PyCFunction)PyvtkGlobeSource_GetLatitudeResolutionMinValue, 1,
   (char*)"V.GetLatitudeResolutionMinValue() -> int\nC++: int GetLatitudeResolutionMinValue ();\n\n Set the number of points in the latitude direction (ranging\n from StartLatitude to EndLatitude).\n"},
  {(char*)"GetLatitudeResolutionMaxValue",                (PyCFunction)PyvtkGlobeSource_GetLatitudeResolutionMaxValue, 1,
   (char*)"V.GetLatitudeResolutionMaxValue() -> int\nC++: int GetLatitudeResolutionMaxValue ();\n\n Set the number of points in the latitude direction (ranging\n from StartLatitude to EndLatitude).\n"},
  {(char*)"GetLatitudeResolution",                (PyCFunction)PyvtkGlobeSource_GetLatitudeResolution, 1,
   (char*)"V.GetLatitudeResolution() -> int\nC++: int GetLatitudeResolution ();\n\n Set the number of points in the latitude direction (ranging\n from StartLatitude to EndLatitude).\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkGlobeSource_SetRadius, 1,
   (char*)"V.SetRadius(float)\nC++: void SetRadius (double );\n\n Set radius of sphere. Default is 6356750.0\n"},
  {(char*)"GetRadiusMinValue",                (PyCFunction)PyvtkGlobeSource_GetRadiusMinValue, 1,
   (char*)"V.GetRadiusMinValue() -> float\nC++: double GetRadiusMinValue ();\n\n Set radius of sphere. Default is 6356750.0\n"},
  {(char*)"GetRadiusMaxValue",                (PyCFunction)PyvtkGlobeSource_GetRadiusMaxValue, 1,
   (char*)"V.GetRadiusMaxValue() -> float\nC++: double GetRadiusMaxValue ();\n\n Set radius of sphere. Default is 6356750.0\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkGlobeSource_GetRadius, 1,
   (char*)"V.GetRadius() -> float\nC++: double GetRadius ();\n\n Set radius of sphere. Default is 6356750.0\n"},
  {(char*)"SetCurtainHeight",                (PyCFunction)PyvtkGlobeSource_SetCurtainHeight, 1,
   (char*)"V.SetCurtainHeight(float)\nC++: void SetCurtainHeight (double );\n\n"},
  {(char*)"GetCurtainHeightMinValue",                (PyCFunction)PyvtkGlobeSource_GetCurtainHeightMinValue, 1,
   (char*)"V.GetCurtainHeightMinValue() -> float\nC++: double GetCurtainHeightMinValue ();\n\n"},
  {(char*)"GetCurtainHeightMaxValue",                (PyCFunction)PyvtkGlobeSource_GetCurtainHeightMaxValue, 1,
   (char*)"V.GetCurtainHeightMaxValue() -> float\nC++: double GetCurtainHeightMaxValue ();\n\n"},
  {(char*)"GetCurtainHeight",                (PyCFunction)PyvtkGlobeSource_GetCurtainHeight, 1,
   (char*)"V.GetCurtainHeight() -> float\nC++: double GetCurtainHeight ();\n\n"},
  {(char*)"SetQuadrilateralTessellation",                (PyCFunction)PyvtkGlobeSource_SetQuadrilateralTessellation, 1,
   (char*)"V.SetQuadrilateralTessellation(int)\nC++: void SetQuadrilateralTessellation (int );\n\n Cause the sphere to be tessellated with edges along the latitude\n and longitude lines. If off, triangles are generated at non-polar\n regions, which results in edges that are not parallel to latitude and\n longitude lines. If on, quadrilaterals are generated everywhere\n except at the poles. This can be useful for generating a wireframe\n sphere with natural latitude and longitude lines.\n"},
  {(char*)"GetQuadrilateralTessellation",                (PyCFunction)PyvtkGlobeSource_GetQuadrilateralTessellation, 1,
   (char*)"V.GetQuadrilateralTessellation() -> int\nC++: int GetQuadrilateralTessellation ();\n\n Cause the sphere to be tessellated with edges along the latitude\n and longitude lines. If off, triangles are generated at non-polar\n regions, which results in edges that are not parallel to latitude and\n longitude lines. If on, quadrilaterals are generated everywhere\n except at the poles. This can be useful for generating a wireframe\n sphere with natural latitude and longitude lines.\n"},
  {(char*)"QuadrilateralTessellationOn",                (PyCFunction)PyvtkGlobeSource_QuadrilateralTessellationOn, 1,
   (char*)"V.QuadrilateralTessellationOn()\nC++: void QuadrilateralTessellationOn ();\n\n Cause the sphere to be tessellated with edges along the latitude\n and longitude lines. If off, triangles are generated at non-polar\n regions, which results in edges that are not parallel to latitude and\n longitude lines. If on, quadrilaterals are generated everywhere\n except at the poles. This can be useful for generating a wireframe\n sphere with natural latitude and longitude lines.\n"},
  {(char*)"QuadrilateralTessellationOff",                (PyCFunction)PyvtkGlobeSource_QuadrilateralTessellationOff, 1,
   (char*)"V.QuadrilateralTessellationOff()\nC++: void QuadrilateralTessellationOff ();\n\n Cause the sphere to be tessellated with edges along the latitude\n and longitude lines. If off, triangles are generated at non-polar\n regions, which results in edges that are not parallel to latitude and\n longitude lines. If on, quadrilaterals are generated everywhere\n except at the poles. This can be useful for generating a wireframe\n sphere with natural latitude and longitude lines.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGlobeSourceDoc[] = {
  (char*)"vtkGlobeSource - Sphere patch with Lat/Long scalar array.\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkGlobeSource will generate any \"rectangular\" patch of the globe\n given its Longitude-Latitude extent.  It adds two point scalar arrays\n Longitude and Latitude to the output.  These arrays can be transformed\n to generate texture coordinates for any texture map.  This source is \n imperfect near the poles as implmented.  It should really reduce the\n longitude resolution as the triangles become sli",
  (char*)"vers.\n\n \\image html vtkGlobeSourceSphericalToCartesianFigure.png\n \\image latex vtkGlobeSourceSphericalToCartesianFigure.eps\n\n",
  NULL
};

static vtkObjectBase *vtkGlobeSourceStaticNew()
{
  return vtkGlobeSource::New();
}

PyObject *PyVTKClass_vtkGlobeSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkGlobeSourceStaticNew,
                        PyvtkGlobeSourceMethods,
                        (char*)"vtkGlobeSource",modulename,
                        (char**)vtkGlobeSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

