// python wrapper for vtkAnnotationLink object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAnnotationLink.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAnnotationLinkNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAnnotationLinkNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAnnotationLayersAlgorithmNew(char *); }

static PyObject *PyvtkAnnotationLink_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLink *op;

  const char    *temp20;
  op = (vtkAnnotationLink *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLink::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotationLink_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLink *op;

  char    *temp0;
  int      temp20;
  op = (vtkAnnotationLink *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLink::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotationLink_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLink *op;

  vtkAnnotationLink  *temp20;
  op = (vtkAnnotationLink *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLink::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotationLink_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAnnotationLink  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAnnotationLink::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAnnotationLink_GetAnnotationLayers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLink *op;

  vtkAnnotationLayers  *temp20;
  op = (vtkAnnotationLink *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLink::GetAnnotationLayers();
      }
    else
      {
      temp20 = op->GetAnnotationLayers();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotationLink_SetAnnotationLayers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLink *op;

  vtkAnnotationLayers  *temp0;
  PyObject *tempH0;
  op = (vtkAnnotationLink *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAnnotationLayers *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAnnotationLayers");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotationLink::SetAnnotationLayers(temp0);
      }
    else
      {
      op->SetAnnotationLayers(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkAnnotationLink_SetCurrentSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLink *op;

  vtkSelection  *temp0;
  PyObject *tempH0;
  op = (vtkAnnotationLink *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotationLink::SetCurrentSelection(temp0);
      }
    else
      {
      op->SetCurrentSelection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkAnnotationLink_GetCurrentSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLink *op;

  vtkSelection  *temp20;
  op = (vtkAnnotationLink *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLink::GetCurrentSelection();
      }
    else
      {
      temp20 = op->GetCurrentSelection();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotationLink_AddDomainMap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLink *op;

  vtkTable  *temp0;
  PyObject *tempH0;
  op = (vtkAnnotationLink *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTable");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotationLink::AddDomainMap(temp0);
      }
    else
      {
      op->AddDomainMap(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkAnnotationLink_RemoveDomainMap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLink *op;

  vtkTable  *temp0;
  PyObject *tempH0;
  op = (vtkAnnotationLink *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTable");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotationLink::RemoveDomainMap(temp0);
      }
    else
      {
      op->RemoveDomainMap(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkAnnotationLink_RemoveAllDomainMaps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLink *op;

  op = (vtkAnnotationLink *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotationLink::RemoveAllDomainMaps();
      }
    else
      {
      op->RemoveAllDomainMaps();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotationLink_GetNumberOfDomainMaps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLink *op;

  int      temp20;
  op = (vtkAnnotationLink *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLink::GetNumberOfDomainMaps();
      }
    else
      {
      temp20 = op->GetNumberOfDomainMaps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotationLink_GetDomainMap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLink *op;

  int      temp0;
  vtkTable  *temp20;
  op = (vtkAnnotationLink *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLink::GetDomainMap(temp0);
      }
    else
      {
      temp20 = op->GetDomainMap(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotationLink_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotationLink *op;

  unsigned long     temp20;
  op = (vtkAnnotationLink *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotationLink::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAnnotationLinkMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAnnotationLink_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAnnotationLink_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAnnotationLink_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAnnotationLink\nC++: vtkAnnotationLink *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAnnotationLink_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAnnotationLink\nC++: vtkAnnotationLink *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetAnnotationLayers",                (PyCFunction)PyvtkAnnotationLink_GetAnnotationLayers, 1,
   (char*)"V.GetAnnotationLayers() -> vtkAnnotationLayers\nC++: vtkAnnotationLayers *GetAnnotationLayers ();\n\n The annotations to be shared.\n"},
  {(char*)"SetAnnotationLayers",                (PyCFunction)PyvtkAnnotationLink_SetAnnotationLayers, 1,
   (char*)"V.SetAnnotationLayers(vtkAnnotationLayers)\nC++: virtual void SetAnnotationLayers (vtkAnnotationLayers *layers);\n\n The annotations to be shared.\n"},
  {(char*)"SetCurrentSelection",                (PyCFunction)PyvtkAnnotationLink_SetCurrentSelection, 1,
   (char*)"V.SetCurrentSelection(vtkSelection)\nC++: virtual void SetCurrentSelection (vtkSelection *sel);\n\n Set or get the current selection in the annotation layers.\n"},
  {(char*)"GetCurrentSelection",                (PyCFunction)PyvtkAnnotationLink_GetCurrentSelection, 1,
   (char*)"V.GetCurrentSelection() -> vtkSelection\nC++: virtual vtkSelection *GetCurrentSelection ();\n\n Set or get the current selection in the annotation layers.\n"},
  {(char*)"AddDomainMap",                (PyCFunction)PyvtkAnnotationLink_AddDomainMap, 1,
   (char*)"V.AddDomainMap(vtkTable)\nC++: void AddDomainMap (vtkTable *map);\n\n The domain mappings.\n"},
  {(char*)"RemoveDomainMap",                (PyCFunction)PyvtkAnnotationLink_RemoveDomainMap, 1,
   (char*)"V.RemoveDomainMap(vtkTable)\nC++: void RemoveDomainMap (vtkTable *map);\n\n The domain mappings.\n"},
  {(char*)"RemoveAllDomainMaps",                (PyCFunction)PyvtkAnnotationLink_RemoveAllDomainMaps, 1,
   (char*)"V.RemoveAllDomainMaps()\nC++: void RemoveAllDomainMaps ();\n\n The domain mappings.\n"},
  {(char*)"GetNumberOfDomainMaps",                (PyCFunction)PyvtkAnnotationLink_GetNumberOfDomainMaps, 1,
   (char*)"V.GetNumberOfDomainMaps() -> int\nC++: int GetNumberOfDomainMaps ();\n\n The domain mappings.\n"},
  {(char*)"GetDomainMap",                (PyCFunction)PyvtkAnnotationLink_GetDomainMap, 1,
   (char*)"V.GetDomainMap(int) -> vtkTable\nC++: vtkTable *GetDomainMap (int i);\n\n The domain mappings.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkAnnotationLink_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Get the mtime of this object.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAnnotationLinkDoc[] = {
  (char*)"vtkAnnotationLink - An algorithm for linking annotations among objects\n\n",
  "Super Class:\n\n vtkAnnotationLayersAlgorithm\n\n",
  (char*)" vtkAnnotationLink is a simple source filter which outputs the\n vtkAnnotationLayers object stored internally.  Multiple objects may share\n the same annotation link filter and connect it to an internal pipeline so\n that if one object changes the annotation set, it will be pulled into all\n the other objects when their pipelines update.\n\n The shared vtkAnnotationLayers object (a collection of annotat",
  (char*)"ions) is\n shallow copied to output port 0.\n\n vtkAnnotationLink can also store a set of domain maps. A domain map is\n simply a table associating values between domains. The domain of each\n column is defined by the array name of the column. The domain maps are\n sent to a multi-block dataset in output port 1.\n\n Output ports 0 and 1 can be set as input ports 0 and 1 to\n vtkConvertSelectionDomain, whic",
  (char*)"h can use the domain maps to convert the\n domains of selections in the vtkAnnotationLayers to match a particular\n data object (set as port 2 on vtkConvertSelectionDomain).\n\n The shared vtkAnnotationLayers object also stores a \"current selection\"\n normally interpreted as the interactive selection of an application.\n As a convenience, this selection is sent to output port 2 so that it\n can be connec",
  (char*)"ted to pipelines requiring a vtkSelection.\n\n",
  NULL
};

static vtkObjectBase *vtkAnnotationLinkStaticNew()
{
  return vtkAnnotationLink::New();
}

PyObject *PyVTKClass_vtkAnnotationLinkNew(char *modulename)
{
  return PyVTKClass_New(&vtkAnnotationLinkStaticNew,
                        PyvtkAnnotationLinkMethods,
                        (char*)"vtkAnnotationLink",modulename,
                        (char**)vtkAnnotationLinkDoc,
                        PyVTKClass_vtkAnnotationLayersAlgorithmNew(modulename));
}

