// python wrapper for vtkArcSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkArcSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkArcSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkArcSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkArcSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcSource *op;

  const char    *temp20;
  op = (vtkArcSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArcSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkArcSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcSource *op;

  vtkArcSource  *temp20;
  op = (vtkArcSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkArcSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkArcSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkArcSource_SetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkArcSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcSource::SetPoint1(temp0,temp1,temp2);
      }
    else
      {
      op->SetPoint1(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkArcSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkArcSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcSource::SetPoint1(temp0);
      }
    else
      {
      op->SetPoint1(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcSource_GetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcSource *op;

  double  *temp20;
  op = (vtkArcSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcSource::GetPoint1();
      }
    else
      {
      temp20 = op->GetPoint1();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArcSource_SetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkArcSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcSource::SetPoint2(temp0,temp1,temp2);
      }
    else
      {
      op->SetPoint2(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkArcSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkArcSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcSource::SetPoint2(temp0);
      }
    else
      {
      op->SetPoint2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcSource_GetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcSource *op;

  double  *temp20;
  op = (vtkArcSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcSource::GetPoint2();
      }
    else
      {
      temp20 = op->GetPoint2();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArcSource_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkArcSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcSource::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkArcSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkArcSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcSource::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcSource_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcSource *op;

  double  *temp20;
  op = (vtkArcSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcSource::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArcSource_SetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcSource *op;

  int      temp0;
  op = (vtkArcSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcSource::SetResolution(temp0);
      }
    else
      {
      op->SetResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcSource_GetResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcSource *op;

  int      temp20;
  op = (vtkArcSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcSource::GetResolutionMinValue();
      }
    else
      {
      temp20 = op->GetResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcSource_GetResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcSource *op;

  int      temp20;
  op = (vtkArcSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcSource::GetResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcSource_GetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcSource *op;

  int      temp20;
  op = (vtkArcSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcSource::GetResolution();
      }
    else
      {
      temp20 = op->GetResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcSource_SetNegative(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcSource *op;

  bool   temp0;
  op = (vtkArcSource *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcSource::SetNegative(temp0);
      }
    else
      {
      op->SetNegative(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcSource_GetNegative(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcSource *op;

  bool   temp20;
  op = (vtkArcSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcSource::GetNegative();
      }
    else
      {
      temp20 = op->GetNegative();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkArcSource_NegativeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcSource *op;

  op = (vtkArcSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcSource::NegativeOn();
      }
    else
      {
      op->NegativeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcSource_NegativeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcSource *op;

  op = (vtkArcSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcSource::NegativeOff();
      }
    else
      {
      op->NegativeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkArcSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkArcSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkArcSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkArcSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkArcSource\nC++: vtkArcSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkArcSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkArcSource\nC++: vtkArcSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPoint1",                (PyCFunction)PyvtkArcSource_SetPoint1, 1,
   (char*)"V.SetPoint1(float, float, float)\nC++: void SetPoint1 (double , double , double );\nV.SetPoint1((float, float, float))\nC++: void SetPoint1 (double  a[3]);\n\n Set position of first end point.\n"},
  {(char*)"GetPoint1",                (PyCFunction)PyvtkArcSource_GetPoint1, 1,
   (char*)"V.GetPoint1() -> (float, float, float)\nC++: double  *GetPoint1 ();\n\n Set position of first end point.\n"},
  {(char*)"SetPoint2",                (PyCFunction)PyvtkArcSource_SetPoint2, 1,
   (char*)"V.SetPoint2(float, float, float)\nC++: void SetPoint2 (double , double , double );\nV.SetPoint2((float, float, float))\nC++: void SetPoint2 (double  a[3]);\n\n Set position of other end point.\n"},
  {(char*)"GetPoint2",                (PyCFunction)PyvtkArcSource_GetPoint2, 1,
   (char*)"V.GetPoint2() -> (float, float, float)\nC++: double  *GetPoint2 ();\n\n Set position of other end point.\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkArcSource_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double , double , double );\nV.SetCenter((float, float, float))\nC++: void SetCenter (double  a[3]);\n\n Set position of the center of the circle that define the arc.\n Note: you can use the function vtkMath::Solve3PointCircle to\n find the center from 3 points located on a circle.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkArcSource_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double  *GetCenter ();\n\n Set position of the center of the circle that define the arc.\n Note: you can use the function vtkMath::Solve3PointCircle to\n find the center from 3 points located on a circle.\n"},
  {(char*)"SetResolution",                (PyCFunction)PyvtkArcSource_SetResolution, 1,
   (char*)"V.SetResolution(int)\nC++: void SetResolution (int );\n\n Divide line into resolution number of pieces.\n Note: if Resolution is set to 1 (default), the arc is a \n straight line.\n"},
  {(char*)"GetResolutionMinValue",                (PyCFunction)PyvtkArcSource_GetResolutionMinValue, 1,
   (char*)"V.GetResolutionMinValue() -> int\nC++: int GetResolutionMinValue ();\n\n Divide line into resolution number of pieces.\n Note: if Resolution is set to 1 (default), the arc is a \n straight line.\n"},
  {(char*)"GetResolutionMaxValue",                (PyCFunction)PyvtkArcSource_GetResolutionMaxValue, 1,
   (char*)"V.GetResolutionMaxValue() -> int\nC++: int GetResolutionMaxValue ();\n\n Divide line into resolution number of pieces.\n Note: if Resolution is set to 1 (default), the arc is a \n straight line.\n"},
  {(char*)"GetResolution",                (PyCFunction)PyvtkArcSource_GetResolution, 1,
   (char*)"V.GetResolution() -> int\nC++: int GetResolution ();\n\n Divide line into resolution number of pieces.\n Note: if Resolution is set to 1 (default), the arc is a \n straight line.\n"},
  {(char*)"SetNegative",                (PyCFunction)PyvtkArcSource_SetNegative, 1,
   (char*)"V.SetNegative(bool)\nC++: void SetNegative (bool );\n\n Use the angle that is a negative coterminal of the vectors angle:\n the longest angle.\n Note: false by default.\n"},
  {(char*)"GetNegative",                (PyCFunction)PyvtkArcSource_GetNegative, 1,
   (char*)"V.GetNegative() -> bool\nC++: bool GetNegative ();\n\n Use the angle that is a negative coterminal of the vectors angle:\n the longest angle.\n Note: false by default.\n"},
  {(char*)"NegativeOn",                (PyCFunction)PyvtkArcSource_NegativeOn, 1,
   (char*)"V.NegativeOn()\nC++: void NegativeOn ();\n\n Use the angle that is a negative coterminal of the vectors angle:\n the longest angle.\n Note: false by default.\n"},
  {(char*)"NegativeOff",                (PyCFunction)PyvtkArcSource_NegativeOff, 1,
   (char*)"V.NegativeOff()\nC++: void NegativeOff ();\n\n Use the angle that is a negative coterminal of the vectors angle:\n the longest angle.\n Note: false by default.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkArcSourceDoc[] = {
  (char*)"vtkArcSource - create an arc between two end points\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkArcSource is a source object that creates an arc defined by two \n endpoints and a center. The number of segments composing the polyline is\n controlled by setting the object resolution.\n\n",
  NULL
};

static vtkObjectBase *vtkArcSourceStaticNew()
{
  return vtkArcSource::New();
}

PyObject *PyVTKClass_vtkArcSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkArcSourceStaticNew,
                        PyvtkArcSourceMethods,
                        (char*)"vtkArcSource",modulename,
                        (char**)vtkArcSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

