// python wrapper for vtkClipConvexPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkClipConvexPolyData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkClipConvexPolyDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkClipConvexPolyDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkClipConvexPolyData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipConvexPolyData *op;

  const char    *temp20;
  op = (vtkClipConvexPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipConvexPolyData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkClipConvexPolyData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipConvexPolyData *op;

  char    *temp0;
  int      temp20;
  op = (vtkClipConvexPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipConvexPolyData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipConvexPolyData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipConvexPolyData *op;

  vtkClipConvexPolyData  *temp20;
  op = (vtkClipConvexPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipConvexPolyData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipConvexPolyData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkClipConvexPolyData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkClipConvexPolyData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkClipConvexPolyData_SetPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipConvexPolyData *op;

  vtkPlaneCollection  *temp0;
  PyObject *tempH0;
  op = (vtkClipConvexPolyData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlaneCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlaneCollection");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkClipConvexPolyData::SetPlanes(temp0);
      }
    else
      {
      op->SetPlanes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkClipConvexPolyData_GetPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipConvexPolyData *op;

  vtkPlaneCollection  *temp20;
  op = (vtkClipConvexPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipConvexPolyData::GetPlanes();
      }
    else
      {
      temp20 = op->GetPlanes();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipConvexPolyData_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipConvexPolyData *op;

  unsigned long     temp20;
  op = (vtkClipConvexPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipConvexPolyData::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkClipConvexPolyDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkClipConvexPolyData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkClipConvexPolyData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkClipConvexPolyData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkClipConvexPolyData\nC++: vtkClipConvexPolyData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkClipConvexPolyData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkClipConvexPolyData\nC++: vtkClipConvexPolyData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPlanes",                (PyCFunction)PyvtkClipConvexPolyData_SetPlanes, 1,
   (char*)"V.SetPlanes(vtkPlaneCollection)\nC++: void SetPlanes (vtkPlaneCollection *planes);\n\n Set all the planes at once using a vtkPlanes implicit function.\n This also sets the D value.\n"},
  {(char*)"GetPlanes",                (PyCFunction)PyvtkClipConvexPolyData_GetPlanes, 1,
   (char*)"V.GetPlanes() -> vtkPlaneCollection\nC++: vtkPlaneCollection *GetPlanes ();\n\n Set all the planes at once using a vtkPlanes implicit function.\n This also sets the D value.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkClipConvexPolyData_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Redefines this method, as this filter depends on time of its components\n (planes)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkClipConvexPolyDataDoc[] = {
  (char*)"vtkClipConvexPolyData - clip any dataset with user-specified implicit function or input scalar data\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkClipConvexPolyData is a filter that clips a convex polydata with a set\n of planes. Its main usage is for clipping a bounding volume with frustum\n planes (used later one in volume rendering).\n\n",
  NULL
};

static vtkObjectBase *vtkClipConvexPolyDataStaticNew()
{
  return vtkClipConvexPolyData::New();
}

PyObject *PyVTKClass_vtkClipConvexPolyDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkClipConvexPolyDataStaticNew,
                        PyvtkClipConvexPolyDataMethods,
                        (char*)"vtkClipConvexPolyData",modulename,
                        (char**)vtkClipConvexPolyDataDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

