// python wrapper for vtkDataObjectGenerator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataObjectGenerator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataObjectGeneratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataObjectGeneratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(char *); }

static PyObject *PyvtkDataObjectGenerator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectGenerator *op;

  const char    *temp20;
  op = (vtkDataObjectGenerator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectGenerator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectGenerator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectGenerator *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataObjectGenerator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectGenerator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectGenerator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectGenerator *op;

  vtkDataObjectGenerator  *temp20;
  op = (vtkDataObjectGenerator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectGenerator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectGenerator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataObjectGenerator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataObjectGenerator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataObjectGenerator_SetProgram(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectGenerator *op;

  char    *temp0;
  op = (vtkDataObjectGenerator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectGenerator::SetProgram(temp0);
      }
    else
      {
      op->SetProgram(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectGenerator_GetProgram(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectGenerator *op;

  char    *temp20;
  op = (vtkDataObjectGenerator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectGenerator::GetProgram();
      }
    else
      {
      temp20 = op->GetProgram();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataObjectGeneratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataObjectGenerator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataObjectGenerator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataObjectGenerator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataObjectGenerator\nC++: vtkDataObjectGenerator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataObjectGenerator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataObjectGenerator\nC++: vtkDataObjectGenerator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetProgram",                (PyCFunction)PyvtkDataObjectGenerator_SetProgram, 1,
   (char*)"V.SetProgram(string)\nC++: void SetProgram (char *);\n\n The string that will be parsed to specify a dataobject structure.\n"},
  {(char*)"GetProgram",                (PyCFunction)PyvtkDataObjectGenerator_GetProgram, 1,
   (char*)"V.GetProgram() -> string\nC++: char *GetProgram ();\n\n The string that will be parsed to specify a dataobject structure.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataObjectGeneratorDoc[] = {
  (char*)"vtkDataObjectGenerator - produces simple (composite or atomic) data \n\n",
  "Super Class:\n\n vtkDataObjectAlgorithm\n\n",
  (char*)" vtkDataObjectGenerator parses a string and produces dataobjects from the\n dataobject template names it sees in the string. For example, if the string\n contains \"ID1\" the generator will create a vtkImageData. \"UF1\", \"RG1\", \n \"SG1\", \"PD1\", and \"UG1\" will produce vtkUniformGrid, vtkRectilinearGrid,\n vtkStructuredGrid, vtkPolyData and vtkUnstructuredGrid respectively.\n \"PD2\" will produce an alternate",
  (char*)" vtkPolyData. You \n can compose composite datasets from the atomic ones listed above\n by placing them within one of the two composite dataset identifiers\n - \"MB{}\" or \"HB[]\". \"MB{ ID1 PD1 MB{} }\" for example will create a \n vtkMultiBlockDataSet consisting of three blocks: image data, poly data, \n multi-block (empty). Hierarchical Box data sets additionally require\n the notion of groups, declared w",
  (char*)"ithin \"()\" braces, to specify AMR depth.\n \"HB[ (UF1)(UF1)(UF1) ]\" will create a vtkHierarchicalBoxDataSet representing\n an octree that is three levels deep, in which the firstmost cell in each level\n is refined.\n\n",
  NULL
};

static vtkObjectBase *vtkDataObjectGeneratorStaticNew()
{
  return vtkDataObjectGenerator::New();
}

PyObject *PyVTKClass_vtkDataObjectGeneratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataObjectGeneratorStaticNew,
                        PyvtkDataObjectGeneratorMethods,
                        (char*)"vtkDataObjectGenerator",modulename,
                        (char**)vtkDataObjectGeneratorDoc,
                        PyVTKClass_vtkDataObjectAlgorithmNew(modulename));
}

