// python wrapper for vtkDataSetGradient object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataSetGradient.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataSetGradientNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataSetGradientNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkDataSetGradient_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetGradient *op;

  const char    *temp20;
  op = (vtkDataSetGradient *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetGradient::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetGradient_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetGradient *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataSetGradient *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetGradient::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetGradient_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetGradient *op;

  vtkDataSetGradient  *temp20;
  op = (vtkDataSetGradient *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetGradient::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetGradient_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataSetGradient  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataSetGradient::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataSetGradient_SetResultArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetGradient *op;

  char    *temp0;
  op = (vtkDataSetGradient *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetGradient::SetResultArrayName(temp0);
      }
    else
      {
      op->SetResultArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetGradient_GetResultArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetGradient *op;

  char    *temp20;
  op = (vtkDataSetGradient *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetGradient::GetResultArrayName();
      }
    else
      {
      temp20 = op->GetResultArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataSetGradientMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataSetGradient_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataSetGradient_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataSetGradient_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataSetGradient\nC++: vtkDataSetGradient *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataSetGradient_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataSetGradient\nC++: vtkDataSetGradient *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetResultArrayName",                (PyCFunction)PyvtkDataSetGradient_SetResultArrayName, 1,
   (char*)"V.SetResultArrayName(string)\nC++: void SetResultArrayName (char *);\n\n Set/Get the name of computed vector array.\n"},
  {(char*)"GetResultArrayName",                (PyCFunction)PyvtkDataSetGradient_GetResultArrayName, 1,
   (char*)"V.GetResultArrayName() -> string\nC++: char *GetResultArrayName ();\n\n Set/Get the name of computed vector array.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataSetGradientDoc[] = {
  (char*)"vtkDataSetGradient - computes scalar field gradient\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkDataSetGradient Computes per cell gradient of point scalar field\n or per point gradient of cell scalar field.\n\n .SECTION Thanks\n This file is part of the generalized Youngs material interface reconstruction algorithm contributed by\n CEA/DIF - Commissariat a l'Energie Atomique, Centre DAM Ile-De-France <br>\n BP12, F-91297 Arpajon, France. <br>\n Implementation by Thierry Carrard (CEA)\n\n",
  NULL
};

static vtkObjectBase *vtkDataSetGradientStaticNew()
{
  return vtkDataSetGradient::New();
}

PyObject *PyVTKClass_vtkDataSetGradientNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataSetGradientStaticNew,
                        PyvtkDataSetGradientMethods,
                        (char*)"vtkDataSetGradient",modulename,
                        (char**)vtkDataSetGradientDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

