// python wrapper for vtkDensifyPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDensifyPolyData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDensifyPolyDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDensifyPolyDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkDensifyPolyData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDensifyPolyData *op;

  const char    *temp20;
  op = (vtkDensifyPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDensifyPolyData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDensifyPolyData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDensifyPolyData *op;

  char    *temp0;
  int      temp20;
  op = (vtkDensifyPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDensifyPolyData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDensifyPolyData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDensifyPolyData *op;

  vtkDensifyPolyData  *temp20;
  op = (vtkDensifyPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDensifyPolyData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDensifyPolyData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDensifyPolyData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDensifyPolyData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDensifyPolyData_SetNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDensifyPolyData *op;

  unsigned int      temp0;
  op = (vtkDensifyPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDensifyPolyData::SetNumberOfSubdivisions(temp0);
      }
    else
      {
      op->SetNumberOfSubdivisions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDensifyPolyData_GetNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDensifyPolyData *op;

  unsigned int      temp20;
  op = (vtkDensifyPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDensifyPolyData::GetNumberOfSubdivisions();
      }
    else
      {
      temp20 = op->GetNumberOfSubdivisions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDensifyPolyDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDensifyPolyData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDensifyPolyData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDensifyPolyData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDensifyPolyData\nC++: vtkDensifyPolyData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDensifyPolyData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDensifyPolyData\nC++: vtkDensifyPolyData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetNumberOfSubdivisions",                (PyCFunction)PyvtkDensifyPolyData_SetNumberOfSubdivisions, 1,
   (char*)"V.SetNumberOfSubdivisions(int)\nC++: void SetNumberOfSubdivisions (unsigned int );\n\n Number of recursive subdivisions. Initial value is 1.\n"},
  {(char*)"GetNumberOfSubdivisions",                (PyCFunction)PyvtkDensifyPolyData_GetNumberOfSubdivisions, 1,
   (char*)"V.GetNumberOfSubdivisions() -> int\nC++: int unsigned GetNumberOfSubdivisions ();\n\n Number of recursive subdivisions. Initial value is 1.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDensifyPolyDataDoc[] = {
  (char*)"vtkDensifyPolyData - Densify the input by adding points at the\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" The filter takes any polygonal data as input and will tessellate cells that \n are planar polygons present by fanning out triangles from its centroid. \n Other cells are simply passed through to the output.  PointData, if present,\n is interpolated via linear interpolation. CellData for any tessellated cell\n is simply copied over from its parent cell. Planar polygons are assumed to \n be convex. Funn",
  (char*)"y things will happen if they are not.\n \n The number of subdivisions can be controlled by the parameter\n NumberOfSubdivisions.\n\n",
  NULL
};

static vtkObjectBase *vtkDensifyPolyDataStaticNew()
{
  return vtkDensifyPolyData::New();
}

PyObject *PyVTKClass_vtkDensifyPolyDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkDensifyPolyDataStaticNew,
                        PyvtkDensifyPolyDataMethods,
                        (char*)"vtkDensifyPolyData",modulename,
                        (char**)vtkDensifyPolyDataDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

