// python wrapper for vtkTableToPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTableToPolyData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTableToPolyDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTableToPolyDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkTableToPolyData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  const char    *temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  char    *temp0;
  int      temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  vtkTableToPolyData  *temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTableToPolyData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTableToPolyData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTableToPolyData_SetXColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  char    *temp0;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToPolyData::SetXColumn(temp0);
      }
    else
      {
      op->SetXColumn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetXColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  char    *temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetXColumn();
      }
    else
      {
      temp20 = op->GetXColumn();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_SetXColumnIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp0;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToPolyData::SetXColumnIndex(temp0);
      }
    else
      {
      op->SetXColumnIndex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetXColumnIndexMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetXColumnIndexMinValue();
      }
    else
      {
      temp20 = op->GetXColumnIndexMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetXColumnIndexMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetXColumnIndexMaxValue();
      }
    else
      {
      temp20 = op->GetXColumnIndexMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetXColumnIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetXColumnIndex();
      }
    else
      {
      temp20 = op->GetXColumnIndex();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_SetXComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp0;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToPolyData::SetXComponent(temp0);
      }
    else
      {
      op->SetXComponent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetXComponentMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetXComponentMinValue();
      }
    else
      {
      temp20 = op->GetXComponentMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetXComponentMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetXComponentMaxValue();
      }
    else
      {
      temp20 = op->GetXComponentMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetXComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetXComponent();
      }
    else
      {
      temp20 = op->GetXComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_SetYColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  char    *temp0;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToPolyData::SetYColumn(temp0);
      }
    else
      {
      op->SetYColumn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetYColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  char    *temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetYColumn();
      }
    else
      {
      temp20 = op->GetYColumn();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_SetYColumnIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp0;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToPolyData::SetYColumnIndex(temp0);
      }
    else
      {
      op->SetYColumnIndex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetYColumnIndexMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetYColumnIndexMinValue();
      }
    else
      {
      temp20 = op->GetYColumnIndexMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetYColumnIndexMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetYColumnIndexMaxValue();
      }
    else
      {
      temp20 = op->GetYColumnIndexMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetYColumnIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetYColumnIndex();
      }
    else
      {
      temp20 = op->GetYColumnIndex();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_SetYComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp0;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToPolyData::SetYComponent(temp0);
      }
    else
      {
      op->SetYComponent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetYComponentMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetYComponentMinValue();
      }
    else
      {
      temp20 = op->GetYComponentMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetYComponentMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetYComponentMaxValue();
      }
    else
      {
      temp20 = op->GetYComponentMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetYComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetYComponent();
      }
    else
      {
      temp20 = op->GetYComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_SetZColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  char    *temp0;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToPolyData::SetZColumn(temp0);
      }
    else
      {
      op->SetZColumn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetZColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  char    *temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetZColumn();
      }
    else
      {
      temp20 = op->GetZColumn();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_SetZColumnIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp0;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToPolyData::SetZColumnIndex(temp0);
      }
    else
      {
      op->SetZColumnIndex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetZColumnIndexMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetZColumnIndexMinValue();
      }
    else
      {
      temp20 = op->GetZColumnIndexMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetZColumnIndexMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetZColumnIndexMaxValue();
      }
    else
      {
      temp20 = op->GetZColumnIndexMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetZColumnIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetZColumnIndex();
      }
    else
      {
      temp20 = op->GetZColumnIndex();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_SetZComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp0;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToPolyData::SetZComponent(temp0);
      }
    else
      {
      op->SetZComponent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetZComponentMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetZComponentMinValue();
      }
    else
      {
      temp20 = op->GetZComponentMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetZComponentMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetZComponentMaxValue();
      }
    else
      {
      temp20 = op->GetZComponentMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetZComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  int      temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetZComponent();
      }
    else
      {
      temp20 = op->GetZComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_SetCreate2DPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  bool   temp0;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToPolyData::SetCreate2DPoints(temp0);
      }
    else
      {
      op->SetCreate2DPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_GetCreate2DPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  bool   temp20;
  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableToPolyData::GetCreate2DPoints();
      }
    else
      {
      temp20 = op->GetCreate2DPoints();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_Create2DPointsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToPolyData::Create2DPointsOn();
      }
    else
      {
      op->Create2DPointsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableToPolyData_Create2DPointsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableToPolyData *op;

  op = (vtkTableToPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableToPolyData::Create2DPointsOff();
      }
    else
      {
      op->Create2DPointsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTableToPolyDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTableToPolyData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTableToPolyData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTableToPolyData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTableToPolyData\nC++: vtkTableToPolyData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTableToPolyData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTableToPolyData\nC++: vtkTableToPolyData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetXColumn",                (PyCFunction)PyvtkTableToPolyData_SetXColumn, 1,
   (char*)"V.SetXColumn(string)\nC++: void SetXColumn (char *);\n\n Set the name of the column to use as the X coordinate for the points. \n"},
  {(char*)"GetXColumn",                (PyCFunction)PyvtkTableToPolyData_GetXColumn, 1,
   (char*)"V.GetXColumn() -> string\nC++: char *GetXColumn ();\n\n Set the name of the column to use as the X coordinate for the points. \n"},
  {(char*)"SetXColumnIndex",                (PyCFunction)PyvtkTableToPolyData_SetXColumnIndex, 1,
   (char*)"V.SetXColumnIndex(int)\nC++: void SetXColumnIndex (int );\n\n Set the index of the column to use as the X coordinate for the points. \n"},
  {(char*)"GetXColumnIndexMinValue",                (PyCFunction)PyvtkTableToPolyData_GetXColumnIndexMinValue, 1,
   (char*)"V.GetXColumnIndexMinValue() -> int\nC++: int GetXColumnIndexMinValue ();\n\n Set the index of the column to use as the X coordinate for the points. \n"},
  {(char*)"GetXColumnIndexMaxValue",                (PyCFunction)PyvtkTableToPolyData_GetXColumnIndexMaxValue, 1,
   (char*)"V.GetXColumnIndexMaxValue() -> int\nC++: int GetXColumnIndexMaxValue ();\n\n Set the index of the column to use as the X coordinate for the points. \n"},
  {(char*)"GetXColumnIndex",                (PyCFunction)PyvtkTableToPolyData_GetXColumnIndex, 1,
   (char*)"V.GetXColumnIndex() -> int\nC++: int GetXColumnIndex ();\n\n Set the index of the column to use as the X coordinate for the points. \n"},
  {(char*)"SetXComponent",                (PyCFunction)PyvtkTableToPolyData_SetXComponent, 1,
   (char*)"V.SetXComponent(int)\nC++: void SetXComponent (int );\n\n Specify the component for the column specified using SetXColumn() to\n use as the xcoordinate in case the column is a multi-component array.\n Default is 0.\n"},
  {(char*)"GetXComponentMinValue",                (PyCFunction)PyvtkTableToPolyData_GetXComponentMinValue, 1,
   (char*)"V.GetXComponentMinValue() -> int\nC++: int GetXComponentMinValue ();\n\n Specify the component for the column specified using SetXColumn() to\n use as the xcoordinate in case the column is a multi-component array.\n Default is 0.\n"},
  {(char*)"GetXComponentMaxValue",                (PyCFunction)PyvtkTableToPolyData_GetXComponentMaxValue, 1,
   (char*)"V.GetXComponentMaxValue() -> int\nC++: int GetXComponentMaxValue ();\n\n Specify the component for the column specified using SetXColumn() to\n use as the xcoordinate in case the column is a multi-component array.\n Default is 0.\n"},
  {(char*)"GetXComponent",                (PyCFunction)PyvtkTableToPolyData_GetXComponent, 1,
   (char*)"V.GetXComponent() -> int\nC++: int GetXComponent ();\n\n Specify the component for the column specified using SetXColumn() to\n use as the xcoordinate in case the column is a multi-component array.\n Default is 0.\n"},
  {(char*)"SetYColumn",                (PyCFunction)PyvtkTableToPolyData_SetYColumn, 1,
   (char*)"V.SetYColumn(string)\nC++: void SetYColumn (char *);\n\n Set the name of the column to use as the Y coordinate for the points. \n Default is 0.\n"},
  {(char*)"GetYColumn",                (PyCFunction)PyvtkTableToPolyData_GetYColumn, 1,
   (char*)"V.GetYColumn() -> string\nC++: char *GetYColumn ();\n\n Set the name of the column to use as the Y coordinate for the points. \n Default is 0.\n"},
  {(char*)"SetYColumnIndex",                (PyCFunction)PyvtkTableToPolyData_SetYColumnIndex, 1,
   (char*)"V.SetYColumnIndex(int)\nC++: void SetYColumnIndex (int );\n\n Set the index of the column to use as the Y coordinate for the points. \n"},
  {(char*)"GetYColumnIndexMinValue",                (PyCFunction)PyvtkTableToPolyData_GetYColumnIndexMinValue, 1,
   (char*)"V.GetYColumnIndexMinValue() -> int\nC++: int GetYColumnIndexMinValue ();\n\n Set the index of the column to use as the Y coordinate for the points. \n"},
  {(char*)"GetYColumnIndexMaxValue",                (PyCFunction)PyvtkTableToPolyData_GetYColumnIndexMaxValue, 1,
   (char*)"V.GetYColumnIndexMaxValue() -> int\nC++: int GetYColumnIndexMaxValue ();\n\n Set the index of the column to use as the Y coordinate for the points. \n"},
  {(char*)"GetYColumnIndex",                (PyCFunction)PyvtkTableToPolyData_GetYColumnIndex, 1,
   (char*)"V.GetYColumnIndex() -> int\nC++: int GetYColumnIndex ();\n\n Set the index of the column to use as the Y coordinate for the points. \n"},
  {(char*)"SetYComponent",                (PyCFunction)PyvtkTableToPolyData_SetYComponent, 1,
   (char*)"V.SetYComponent(int)\nC++: void SetYComponent (int );\n\n Specify the component for the column specified using SetYColumn() to\n use as the Ycoordinate in case the column is a multi-component array.\n"},
  {(char*)"GetYComponentMinValue",                (PyCFunction)PyvtkTableToPolyData_GetYComponentMinValue, 1,
   (char*)"V.GetYComponentMinValue() -> int\nC++: int GetYComponentMinValue ();\n\n Specify the component for the column specified using SetYColumn() to\n use as the Ycoordinate in case the column is a multi-component array.\n"},
  {(char*)"GetYComponentMaxValue",                (PyCFunction)PyvtkTableToPolyData_GetYComponentMaxValue, 1,
   (char*)"V.GetYComponentMaxValue() -> int\nC++: int GetYComponentMaxValue ();\n\n Specify the component for the column specified using SetYColumn() to\n use as the Ycoordinate in case the column is a multi-component array.\n"},
  {(char*)"GetYComponent",                (PyCFunction)PyvtkTableToPolyData_GetYComponent, 1,
   (char*)"V.GetYComponent() -> int\nC++: int GetYComponent ();\n\n Specify the component for the column specified using SetYColumn() to\n use as the Ycoordinate in case the column is a multi-component array.\n"},
  {(char*)"SetZColumn",                (PyCFunction)PyvtkTableToPolyData_SetZColumn, 1,
   (char*)"V.SetZColumn(string)\nC++: void SetZColumn (char *);\n\n Set the name of the column to use as the Z coordinate for the points.\n Default is 0.\n"},
  {(char*)"GetZColumn",                (PyCFunction)PyvtkTableToPolyData_GetZColumn, 1,
   (char*)"V.GetZColumn() -> string\nC++: char *GetZColumn ();\n\n Set the name of the column to use as the Z coordinate for the points.\n Default is 0.\n"},
  {(char*)"SetZColumnIndex",                (PyCFunction)PyvtkTableToPolyData_SetZColumnIndex, 1,
   (char*)"V.SetZColumnIndex(int)\nC++: void SetZColumnIndex (int );\n\n Set the index of the column to use as the Z coordinate for the points. \n"},
  {(char*)"GetZColumnIndexMinValue",                (PyCFunction)PyvtkTableToPolyData_GetZColumnIndexMinValue, 1,
   (char*)"V.GetZColumnIndexMinValue() -> int\nC++: int GetZColumnIndexMinValue ();\n\n Set the index of the column to use as the Z coordinate for the points. \n"},
  {(char*)"GetZColumnIndexMaxValue",                (PyCFunction)PyvtkTableToPolyData_GetZColumnIndexMaxValue, 1,
   (char*)"V.GetZColumnIndexMaxValue() -> int\nC++: int GetZColumnIndexMaxValue ();\n\n Set the index of the column to use as the Z coordinate for the points. \n"},
  {(char*)"GetZColumnIndex",                (PyCFunction)PyvtkTableToPolyData_GetZColumnIndex, 1,
   (char*)"V.GetZColumnIndex() -> int\nC++: int GetZColumnIndex ();\n\n Set the index of the column to use as the Z coordinate for the points. \n"},
  {(char*)"SetZComponent",                (PyCFunction)PyvtkTableToPolyData_SetZComponent, 1,
   (char*)"V.SetZComponent(int)\nC++: void SetZComponent (int );\n\n Specify the component for the column specified using SetZColumn() to\n use as the Zcoordinate in case the column is a multi-component array.\n"},
  {(char*)"GetZComponentMinValue",                (PyCFunction)PyvtkTableToPolyData_GetZComponentMinValue, 1,
   (char*)"V.GetZComponentMinValue() -> int\nC++: int GetZComponentMinValue ();\n\n Specify the component for the column specified using SetZColumn() to\n use as the Zcoordinate in case the column is a multi-component array.\n"},
  {(char*)"GetZComponentMaxValue",                (PyCFunction)PyvtkTableToPolyData_GetZComponentMaxValue, 1,
   (char*)"V.GetZComponentMaxValue() -> int\nC++: int GetZComponentMaxValue ();\n\n Specify the component for the column specified using SetZColumn() to\n use as the Zcoordinate in case the column is a multi-component array.\n"},
  {(char*)"GetZComponent",                (PyCFunction)PyvtkTableToPolyData_GetZComponent, 1,
   (char*)"V.GetZComponent() -> int\nC++: int GetZComponent ();\n\n Specify the component for the column specified using SetZColumn() to\n use as the Zcoordinate in case the column is a multi-component array.\n"},
  {(char*)"SetCreate2DPoints",                (PyCFunction)PyvtkTableToPolyData_SetCreate2DPoints, 1,
   (char*)"V.SetCreate2DPoints(bool)\nC++: void SetCreate2DPoints (bool );\n\n Specify whether the points of the polydata are 3D or 2D. If this is set to\n true then the Z Column will be ignored and the z value of each point on the \n polydata will be set to 0. By default this will be off.\n"},
  {(char*)"GetCreate2DPoints",                (PyCFunction)PyvtkTableToPolyData_GetCreate2DPoints, 1,
   (char*)"V.GetCreate2DPoints() -> bool\nC++: bool GetCreate2DPoints ();\n\n Specify whether the points of the polydata are 3D or 2D. If this is set to\n true then the Z Column will be ignored and the z value of each point on the \n polydata will be set to 0. By default this will be off.\n"},
  {(char*)"Create2DPointsOn",                (PyCFunction)PyvtkTableToPolyData_Create2DPointsOn, 1,
   (char*)"V.Create2DPointsOn()\nC++: void Create2DPointsOn ();\n\n Specify whether the points of the polydata are 3D or 2D. If this is set to\n true then the Z Column will be ignored and the z value of each point on the \n polydata will be set to 0. By default this will be off.\n"},
  {(char*)"Create2DPointsOff",                (PyCFunction)PyvtkTableToPolyData_Create2DPointsOff, 1,
   (char*)"V.Create2DPointsOff()\nC++: void Create2DPointsOff ();\n\n Specify whether the points of the polydata are 3D or 2D. If this is set to\n true then the Z Column will be ignored and the z value of each point on the \n polydata will be set to 0. By default this will be off.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTableToPolyDataDoc[] = {
  (char*)"vtkTableToPolyData - filter used to convert a vtkTable to a vtkPolyData\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkTableToPolyData is a filter used to convert a vtkTable  to a vtkPolyData\n consisting of vertices.\n\n",
  NULL
};

static vtkObjectBase *vtkTableToPolyDataStaticNew()
{
  return vtkTableToPolyData::New();
}

PyObject *PyVTKClass_vtkTableToPolyDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkTableToPolyDataStaticNew,
                        PyvtkTableToPolyDataMethods,
                        (char*)"vtkTableToPolyData",modulename,
                        (char**)vtkTableToPolyDataDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

