// python wrapper for vtkStructuredExtent object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStructuredExtent.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStructuredExtentNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStructuredExtentNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkStructuredExtent_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredExtent *op;

  const char    *temp20;
  op = (vtkStructuredExtent *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredExtent::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredExtent_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredExtent *op;

  char    *temp0;
  int      temp20;
  op = (vtkStructuredExtent *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredExtent::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredExtent_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredExtent *op;

  vtkStructuredExtent  *temp20;
  op = (vtkStructuredExtent *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredExtent::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredExtent_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStructuredExtent  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStructuredExtent::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStructuredExtent_Clamp(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int    temp0[6];
  int    temp1[6];
  if ((PyArg_ParseTuple(args, (char*)"(iiiiii)(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5)))
    {
      {
      vtkStructuredExtent::Clamp(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredExtent_StrictlySmaller(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int    temp0[6];
  int    temp1[6];
  bool   temp20;
  if ((PyArg_ParseTuple(args, (char*)"(iiiiii)(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5)))
    {
      {
      temp20 = vtkStructuredExtent::StrictlySmaller(temp0,temp1);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredExtent_Smaller(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int    temp0[6];
  int    temp1[6];
  bool   temp20;
  if ((PyArg_ParseTuple(args, (char*)"(iiiiii)(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5)))
    {
      {
      temp20 = vtkStructuredExtent::Smaller(temp0,temp1);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredExtent_Grow(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int    temp0[6];
  int      temp1;
  if ((PyArg_ParseTuple(args, (char*)"(iiiiii)i", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, &temp1)))
    {
      {
      vtkStructuredExtent::Grow(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredExtent_Transform(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int    temp0[6];
  int    temp1[6];
  if ((PyArg_ParseTuple(args, (char*)"(iiiiii)(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5)))
    {
      {
      vtkStructuredExtent::Transform(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredExtent_GetDimensions(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int    temp0[6];
  int    temp1[3];
  if ((PyArg_ParseTuple(args, (char*)"(iiiiii)(iii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      vtkStructuredExtent::GetDimensions(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStructuredExtentMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStructuredExtent_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStructuredExtent_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStructuredExtent_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStructuredExtent\nC++: vtkStructuredExtent *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStructuredExtent_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStructuredExtent\nC++: vtkStructuredExtent *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Clamp",                (PyCFunction)PyvtkStructuredExtent_Clamp, 1,
   (char*)"V.Clamp((int, int, int, int, int, int), (int, int, int, int, int, int))\nC++: static void Clamp (int ext[6], int wholeExt[6]);\n\n Clamps \\c ext to fit in \\c wholeExt.\n"},
  {(char*)"StrictlySmaller",                (PyCFunction)PyvtkStructuredExtent_StrictlySmaller, 1,
   (char*)"V.StrictlySmaller((int, int, int, int, int, int), (int, int, int, int, int, int)) -> bool\nC++: static bool StrictlySmaller (const int ext[6], const int wholeExt[6]);\n\n Returns true if \\c ext is fits within \\c wholeExt with atleast 1 dimension\n smaller than the \\c wholeExt.\n"},
  {(char*)"Smaller",                (PyCFunction)PyvtkStructuredExtent_Smaller, 1,
   (char*)"V.Smaller((int, int, int, int, int, int), (int, int, int, int, int, int)) -> bool\nC++: static bool Smaller (const int ext[6], const int wholeExt[6]);\n\n Returns if \\c ext fits within \\c wholeExt. Unline StrictlySmaller, this\n method returns true even if \\c ext == \\c wholeExt.\n"},
  {(char*)"Grow",                (PyCFunction)PyvtkStructuredExtent_Grow, 1,
   (char*)"V.Grow((int, int, int, int, int, int), int)\nC++: static void Grow (int ext[6], int count);\n\n Grows the \\c ext on each side by the given \\c count.\n"},
  {(char*)"Transform",                (PyCFunction)PyvtkStructuredExtent_Transform, 1,
   (char*)"V.Transform((int, int, int, int, int, int), (int, int, int, int, int, int))\nC++: static void Transform (int ext[6], int wholeExt[6]);\n\n Makes \\c ext relative to \\c wholeExt.\n"},
  {(char*)"GetDimensions",                (PyCFunction)PyvtkStructuredExtent_GetDimensions, 1,
   (char*)"V.GetDimensions((int, int, int, int, int, int), (int, int, int))\nC++: static void GetDimensions (const int ext[6], int dims[3]);\n\n Given the extents, computes the dimensions.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStructuredExtentDoc[] = {
  (char*)"vtkStructuredExtent - helper class to aid working with structured\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"  vtkStructuredExtent is an helper class that helps in arithmetic with\n  structured extents. It defines a bunch of static methods (most of which are\n  inlined) to aid in dealing with extents.\n\n",
  NULL
};

static vtkObjectBase *vtkStructuredExtentStaticNew()
{
  return vtkStructuredExtent::New();
}

PyObject *PyVTKClass_vtkStructuredExtentNew(char *modulename)
{
  return PyVTKClass_New(&vtkStructuredExtentStaticNew,
                        PyvtkStructuredExtentMethods,
                        (char*)"vtkStructuredExtent",modulename,
                        (char**)vtkStructuredExtentDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

