// python wrapper for vtkTemporalShiftScale object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTemporalShiftScale.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTemporalShiftScaleNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTemporalShiftScaleNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTemporalDataSetAlgorithmNew(char *); }

static PyObject *PyvtkTemporalShiftScale_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  const char    *temp20;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalShiftScale::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  char    *temp0;
  int      temp20;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalShiftScale::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  vtkTemporalShiftScale  *temp20;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalShiftScale::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTemporalShiftScale  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTemporalShiftScale::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_SetPreShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  double   temp0;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalShiftScale::SetPreShift(temp0);
      }
    else
      {
      op->SetPreShift(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_GetPreShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  double   temp20;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalShiftScale::GetPreShift();
      }
    else
      {
      temp20 = op->GetPreShift();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_SetPostShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  double   temp0;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalShiftScale::SetPostShift(temp0);
      }
    else
      {
      op->SetPostShift(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_GetPostShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  double   temp20;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalShiftScale::GetPostShift();
      }
    else
      {
      temp20 = op->GetPostShift();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_SetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  double   temp0;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalShiftScale::SetScale(temp0);
      }
    else
      {
      op->SetScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_GetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  double   temp20;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalShiftScale::GetScale();
      }
    else
      {
      temp20 = op->GetScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_SetPeriodic(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  int      temp0;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalShiftScale::SetPeriodic(temp0);
      }
    else
      {
      op->SetPeriodic(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_GetPeriodic(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  int      temp20;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalShiftScale::GetPeriodic();
      }
    else
      {
      temp20 = op->GetPeriodic();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_PeriodicOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalShiftScale::PeriodicOn();
      }
    else
      {
      op->PeriodicOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_PeriodicOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalShiftScale::PeriodicOff();
      }
    else
      {
      op->PeriodicOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_SetPeriodicEndCorrection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  int      temp0;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalShiftScale::SetPeriodicEndCorrection(temp0);
      }
    else
      {
      op->SetPeriodicEndCorrection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_GetPeriodicEndCorrection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  int      temp20;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalShiftScale::GetPeriodicEndCorrection();
      }
    else
      {
      temp20 = op->GetPeriodicEndCorrection();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_PeriodicEndCorrectionOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalShiftScale::PeriodicEndCorrectionOn();
      }
    else
      {
      op->PeriodicEndCorrectionOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_PeriodicEndCorrectionOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalShiftScale::PeriodicEndCorrectionOff();
      }
    else
      {
      op->PeriodicEndCorrectionOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_SetMaximumNumberOfPeriods(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  double   temp0;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalShiftScale::SetMaximumNumberOfPeriods(temp0);
      }
    else
      {
      op->SetMaximumNumberOfPeriods(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_GetMaximumNumberOfPeriods(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  double   temp20;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalShiftScale::GetMaximumNumberOfPeriods();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfPeriods();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTemporalShiftScaleMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTemporalShiftScale_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTemporalShiftScale_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTemporalShiftScale_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTemporalShiftScale\nC++: vtkTemporalShiftScale *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTemporalShiftScale_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTemporalShiftScale\nC++: vtkTemporalShiftScale *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPreShift",                (PyCFunction)PyvtkTemporalShiftScale_SetPreShift, 1,
   (char*)"V.SetPreShift(float)\nC++: void SetPreShift (double );\n\n Apply a translation to the data before scaling.\n To convert T{5,100} to T{0,1} use Preshift=-5, Scale=1/95, PostShift=0\n To convert T{5,105} to T{5,10} use Preshift=-5, Scale=5/100, PostShift=5\n"},
  {(char*)"GetPreShift",                (PyCFunction)PyvtkTemporalShiftScale_GetPreShift, 1,
   (char*)"V.GetPreShift() -> float\nC++: double GetPreShift ();\n\n Apply a translation to the data before scaling.\n To convert T{5,100} to T{0,1} use Preshift=-5, Scale=1/95, PostShift=0\n To convert T{5,105} to T{5,10} use Preshift=-5, Scale=5/100, PostShift=5\n"},
  {(char*)"SetPostShift",                (PyCFunction)PyvtkTemporalShiftScale_SetPostShift, 1,
   (char*)"V.SetPostShift(float)\nC++: void SetPostShift (double );\n\n Apply a translation to the time\n"},
  {(char*)"GetPostShift",                (PyCFunction)PyvtkTemporalShiftScale_GetPostShift, 1,
   (char*)"V.GetPostShift() -> float\nC++: double GetPostShift ();\n\n Apply a translation to the time\n"},
  {(char*)"SetScale",                (PyCFunction)PyvtkTemporalShiftScale_SetScale, 1,
   (char*)"V.SetScale(float)\nC++: void SetScale (double );\n\n Apply a scale to the time.\n"},
  {(char*)"GetScale",                (PyCFunction)PyvtkTemporalShiftScale_GetScale, 1,
   (char*)"V.GetScale() -> float\nC++: double GetScale ();\n\n Apply a scale to the time.\n"},
  {(char*)"SetPeriodic",                (PyCFunction)PyvtkTemporalShiftScale_SetPeriodic, 1,
   (char*)"V.SetPeriodic(int)\nC++: void SetPeriodic (int );\n\n If Periodic is true, requests for time will be wrapped around so that \n the source appears to be a periodic time source. If data exists for times\n {0,N-1}, setting periodic to true will cause time 0 to be produced when time\n N, 2N, 2N etc is requested. This effectively gives the source the ability to\n generate time data indefinitely in a loop.\n When combined with Shift/Scale, the time becomes periodic in the \n shifted and scaled time frame of reference.\n Note: Since the input time may not start at zero, the wrapping of time\n from the end of one period to the start of the next, will subtract the\n initial time - a source with T{5..6} repeated periodicaly will have output\n time {5..6..7..8} etc. \n"},
  {(char*)"GetPeriodic",                (PyCFunction)PyvtkTemporalShiftScale_GetPeriodic, 1,
   (char*)"V.GetPeriodic() -> int\nC++: int GetPeriodic ();\n\n If Periodic is true, requests for time will be wrapped around so that \n the source appears to be a periodic time source. If data exists for times\n {0,N-1}, setting periodic to true will cause time 0 to be produced when time\n N, 2N, 2N etc is requested. This effectively gives the source the ability to\n generate time data indefinitely in a loop.\n When combined with Shift/Scale, the time becomes periodic in the \n shifted and scaled time frame of reference.\n Note: Since the input time may not start at zero, the wrapping of time\n from the end of one period to the start of the next, will subtract the\n initial time - a source with T{5..6} repeated periodicaly will have output\n time {5..6..7..8} etc. \n"},
  {(char*)"PeriodicOn",                (PyCFunction)PyvtkTemporalShiftScale_PeriodicOn, 1,
   (char*)"V.PeriodicOn()\nC++: void PeriodicOn ();\n\n If Periodic is true, requests for time will be wrapped around so that \n the source appears to be a periodic time source. If data exists for times\n {0,N-1}, setting periodic to true will cause time 0 to be produced when time\n N, 2N, 2N etc is requested. This effectively gives the source the ability to\n generate time data indefinitely in a loop.\n When combined with Shift/Scale, the time becomes periodic in the \n shifted and scaled time frame of reference.\n Note: Since the input time may not start at zero, the wrapping of time\n from the end of one period to the start of the next, will subtract the\n initial time - a source with T{5..6} repeated periodicaly will have output\n time {5..6..7..8} etc. \n"},
  {(char*)"PeriodicOff",                (PyCFunction)PyvtkTemporalShiftScale_PeriodicOff, 1,
   (char*)"V.PeriodicOff()\nC++: void PeriodicOff ();\n\n If Periodic is true, requests for time will be wrapped around so that \n the source appears to be a periodic time source. If data exists for times\n {0,N-1}, setting periodic to true will cause time 0 to be produced when time\n N, 2N, 2N etc is requested. This effectively gives the source the ability to\n generate time data indefinitely in a loop.\n When combined with Shift/Scale, the time becomes periodic in the \n shifted and scaled time frame of reference.\n Note: Since the input time may not start at zero, the wrapping of time\n from the end of one period to the start of the next, will subtract the\n initial time - a source with T{5..6} repeated periodicaly will have output\n time {5..6..7..8} etc. \n"},
  {(char*)"SetPeriodicEndCorrection",                (PyCFunction)PyvtkTemporalShiftScale_SetPeriodicEndCorrection, 1,
   (char*)"V.SetPeriodicEndCorrection(int)\nC++: void SetPeriodicEndCorrection (int );\n\n if Periodic time is enabled, this flag determines if the last time step is the same\n as the first. If PeriodicEndCorrection is true, then it is assumed that the input\n data goes from 0-1 (or whatever scaled/shifted actual time) and time 1 is the\n same as time 0 so that steps will be 0,1,2,3...N,1,2,3...N,1,2,3 where step N\n is the same as 0 and step 0 is not repeated. When this flag is false\n the data is assumed to be literal and output is of the form 0,1,2,3...N,0,1,2,3...\n By default this flag is ON\n"},
  {(char*)"GetPeriodicEndCorrection",                (PyCFunction)PyvtkTemporalShiftScale_GetPeriodicEndCorrection, 1,
   (char*)"V.GetPeriodicEndCorrection() -> int\nC++: int GetPeriodicEndCorrection ();\n\n if Periodic time is enabled, this flag determines if the last time step is the same\n as the first. If PeriodicEndCorrection is true, then it is assumed that the input\n data goes from 0-1 (or whatever scaled/shifted actual time) and time 1 is the\n same as time 0 so that steps will be 0,1,2,3...N,1,2,3...N,1,2,3 where step N\n is the same as 0 and step 0 is not repeated. When this flag is false\n the data is assumed to be literal and output is of the form 0,1,2,3...N,0,1,2,3...\n By default this flag is ON\n"},
  {(char*)"PeriodicEndCorrectionOn",                (PyCFunction)PyvtkTemporalShiftScale_PeriodicEndCorrectionOn, 1,
   (char*)"V.PeriodicEndCorrectionOn()\nC++: void PeriodicEndCorrectionOn ();\n\n if Periodic time is enabled, this flag determines if the last time step is the same\n as the first. If PeriodicEndCorrection is true, then it is assumed that the input\n data goes from 0-1 (or whatever scaled/shifted actual time) and time 1 is the\n same as time 0 so that steps will be 0,1,2,3...N,1,2,3...N,1,2,3 where step N\n is the same as 0 and step 0 is not repeated. When this flag is false\n the data is assumed to be literal and output is of the form 0,1,2,3...N,0,1,2,3...\n By default this flag is ON\n"},
  {(char*)"PeriodicEndCorrectionOff",                (PyCFunction)PyvtkTemporalShiftScale_PeriodicEndCorrectionOff, 1,
   (char*)"V.PeriodicEndCorrectionOff()\nC++: void PeriodicEndCorrectionOff ();\n\n if Periodic time is enabled, this flag determines if the last time step is the same\n as the first. If PeriodicEndCorrection is true, then it is assumed that the input\n data goes from 0-1 (or whatever scaled/shifted actual time) and time 1 is the\n same as time 0 so that steps will be 0,1,2,3...N,1,2,3...N,1,2,3 where step N\n is the same as 0 and step 0 is not repeated. When this flag is false\n the data is assumed to be literal and output is of the form 0,1,2,3...N,0,1,2,3...\n By default this flag is ON\n"},
  {(char*)"SetMaximumNumberOfPeriods",                (PyCFunction)PyvtkTemporalShiftScale_SetMaximumNumberOfPeriods, 1,
   (char*)"V.SetMaximumNumberOfPeriods(float)\nC++: void SetMaximumNumberOfPeriods (double );\n\n if Periodic time is enabled, this controls how many time periods time is reported \n for. A filter cannot output an infinite number of time steps and therefore a finite\n number of periods is generated when reporting time.\n"},
  {(char*)"GetMaximumNumberOfPeriods",                (PyCFunction)PyvtkTemporalShiftScale_GetMaximumNumberOfPeriods, 1,
   (char*)"V.GetMaximumNumberOfPeriods() -> float\nC++: double GetMaximumNumberOfPeriods ();\n\n if Periodic time is enabled, this controls how many time periods time is reported \n for. A filter cannot output an infinite number of time steps and therefore a finite\n number of periods is generated when reporting time.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTemporalShiftScaleDoc[] = {
  (char*)"vtkTemporalShiftScale - modify the time range/steps of temporal data\n\n",
  "Super Class:\n\n vtkTemporalDataSetAlgorithm\n\n",
  (char*)" vtkTemporalShiftScale  modify the time range or time steps of\n the data without changing the data itself. The data is not resampled\n by this filter, only the information accompanying the data is modified.\n\n",
  NULL
};

static vtkObjectBase *vtkTemporalShiftScaleStaticNew()
{
  return vtkTemporalShiftScale::New();
}

PyObject *PyVTKClass_vtkTemporalShiftScaleNew(char *modulename)
{
  return PyVTKClass_New(&vtkTemporalShiftScaleStaticNew,
                        PyvtkTemporalShiftScaleMethods,
                        (char*)"vtkTemporalShiftScale",modulename,
                        (char**)vtkTemporalShiftScaleDoc,
                        PyVTKClass_vtkTemporalDataSetAlgorithmNew(modulename));
}

