// python wrapper for vtkNetCDFCFReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkNetCDFCFReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkNetCDFCFReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkNetCDFCFReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkNetCDFReaderNew(char *); }

static PyObject *PyvtkNetCDFCFReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFCFReader *op;

  const char    *temp20;
  op = (vtkNetCDFCFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFCFReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFCFReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFCFReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkNetCDFCFReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFCFReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFCFReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFCFReader *op;

  vtkNetCDFCFReader  *temp20;
  op = (vtkNetCDFCFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFCFReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFCFReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkNetCDFCFReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkNetCDFCFReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkNetCDFCFReader_GetSphericalCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFCFReader *op;

  int      temp20;
  op = (vtkNetCDFCFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFCFReader::GetSphericalCoordinates();
      }
    else
      {
      temp20 = op->GetSphericalCoordinates();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFCFReader_SetSphericalCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFCFReader *op;

  int      temp0;
  op = (vtkNetCDFCFReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFCFReader::SetSphericalCoordinates(temp0);
      }
    else
      {
      op->SetSphericalCoordinates(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFCFReader_SphericalCoordinatesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFCFReader *op;

  op = (vtkNetCDFCFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFCFReader::SphericalCoordinatesOn();
      }
    else
      {
      op->SphericalCoordinatesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFCFReader_SphericalCoordinatesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFCFReader *op;

  op = (vtkNetCDFCFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFCFReader::SphericalCoordinatesOff();
      }
    else
      {
      op->SphericalCoordinatesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFCFReader_GetVerticalScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFCFReader *op;

  double   temp20;
  op = (vtkNetCDFCFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFCFReader::GetVerticalScale();
      }
    else
      {
      temp20 = op->GetVerticalScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFCFReader_SetVerticalScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFCFReader *op;

  double   temp0;
  op = (vtkNetCDFCFReader *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFCFReader::SetVerticalScale(temp0);
      }
    else
      {
      op->SetVerticalScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFCFReader_GetVerticalBias(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFCFReader *op;

  double   temp20;
  op = (vtkNetCDFCFReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFCFReader::GetVerticalBias();
      }
    else
      {
      temp20 = op->GetVerticalBias();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFCFReader_SetVerticalBias(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFCFReader *op;

  double   temp0;
  op = (vtkNetCDFCFReader *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFCFReader::SetVerticalBias(temp0);
      }
    else
      {
      op->SetVerticalBias(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFCFReader_CanReadFile(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkNetCDFCFReader::CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkNetCDFCFReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkNetCDFCFReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkNetCDFCFReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkNetCDFCFReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkNetCDFCFReader\nC++: vtkNetCDFCFReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkNetCDFCFReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkNetCDFCFReader\nC++: vtkNetCDFCFReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetSphericalCoordinates",                (PyCFunction)PyvtkNetCDFCFReader_GetSphericalCoordinates, 1,
   (char*)"V.GetSphericalCoordinates() -> int\nC++: int GetSphericalCoordinates ();\n\n If on (the default), then 3D data with latitude/longitude dimensions\n will be read in as curvilinear data shaped like spherical coordinates.\n If false, then the data will always be read in Cartesian coordinates.\n"},
  {(char*)"SetSphericalCoordinates",                (PyCFunction)PyvtkNetCDFCFReader_SetSphericalCoordinates, 1,
   (char*)"V.SetSphericalCoordinates(int)\nC++: void SetSphericalCoordinates (int );\n\n If on (the default), then 3D data with latitude/longitude dimensions\n will be read in as curvilinear data shaped like spherical coordinates.\n If false, then the data will always be read in Cartesian coordinates.\n"},
  {(char*)"SphericalCoordinatesOn",                (PyCFunction)PyvtkNetCDFCFReader_SphericalCoordinatesOn, 1,
   (char*)"V.SphericalCoordinatesOn()\nC++: void SphericalCoordinatesOn ();\n\n If on (the default), then 3D data with latitude/longitude dimensions\n will be read in as curvilinear data shaped like spherical coordinates.\n If false, then the data will always be read in Cartesian coordinates.\n"},
  {(char*)"SphericalCoordinatesOff",                (PyCFunction)PyvtkNetCDFCFReader_SphericalCoordinatesOff, 1,
   (char*)"V.SphericalCoordinatesOff()\nC++: void SphericalCoordinatesOff ();\n\n If on (the default), then 3D data with latitude/longitude dimensions\n will be read in as curvilinear data shaped like spherical coordinates.\n If false, then the data will always be read in Cartesian coordinates.\n"},
  {(char*)"GetVerticalScale",                (PyCFunction)PyvtkNetCDFCFReader_GetVerticalScale, 1,
   (char*)"V.GetVerticalScale() -> float\nC++: double GetVerticalScale ();\n\n The scale and bias of the vertical component of spherical coordinates.  It\n is common to write the vertical component with respect to something other\n than the center of the sphere (for example, the surface).  In this case, it\n might be necessary to scale and/or bias the vertical height.  The height\n will become height*scale + bias.  Keep in mind that if the positive\n attribute of the vertical dimension is down, then the height is negated.\n By default the scale is 1 and the bias is 0 (that is, no change).  The\n scaling will be adjusted if it results in invalid (negative) vertical\n values.\n"},
  {(char*)"SetVerticalScale",                (PyCFunction)PyvtkNetCDFCFReader_SetVerticalScale, 1,
   (char*)"V.SetVerticalScale(float)\nC++: void SetVerticalScale (double );\n\n The scale and bias of the vertical component of spherical coordinates.  It\n is common to write the vertical component with respect to something other\n than the center of the sphere (for example, the surface).  In this case, it\n might be necessary to scale and/or bias the vertical height.  The height\n will become height*scale + bias.  Keep in mind that if the positive\n attribute of the vertical dimension is down, then the height is negated.\n By default the scale is 1 and the bias is 0 (that is, no change).  The\n scaling will be adjusted if it results in invalid (negative) vertical\n values.\n"},
  {(char*)"GetVerticalBias",                (PyCFunction)PyvtkNetCDFCFReader_GetVerticalBias, 1,
   (char*)"V.GetVerticalBias() -> float\nC++: double GetVerticalBias ();\n\n The scale and bias of the vertical component of spherical coordinates.  It\n is common to write the vertical component with respect to something other\n than the center of the sphere (for example, the surface).  In this case, it\n might be necessary to scale and/or bias the vertical height.  The height\n will become height*scale + bias.  Keep in mind that if the positive\n attribute of the vertical dimension is down, then the height is negated.\n By default the scale is 1 and the bias is 0 (that is, no change).  The\n scaling will be adjusted if it results in invalid (negative) vertical\n values.\n"},
  {(char*)"SetVerticalBias",                (PyCFunction)PyvtkNetCDFCFReader_SetVerticalBias, 1,
   (char*)"V.SetVerticalBias(float)\nC++: void SetVerticalBias (double );\n\n The scale and bias of the vertical component of spherical coordinates.  It\n is common to write the vertical component with respect to something other\n than the center of the sphere (for example, the surface).  In this case, it\n might be necessary to scale and/or bias the vertical height.  The height\n will become height*scale + bias.  Keep in mind that if the positive\n attribute of the vertical dimension is down, then the height is negated.\n By default the scale is 1 and the bias is 0 (that is, no change).  The\n scaling will be adjusted if it results in invalid (negative) vertical\n values.\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkNetCDFCFReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: static int CanReadFile (const char *filename);\n\n Returns true if the given file can be read.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkNetCDFCFReaderDoc[] = {
  (char*)"vtkNetCDFCFReader\n\n",
  "Super Class:\n\n vtkNetCDFReader\n\n",
  (char*)"\n Reads netCDF files that follow the CF convention.  Details on this convention\n can be found at <http://cf-pcmdi.llnl.gov/>.\n\n\n",
  NULL
};

static vtkObjectBase *vtkNetCDFCFReaderStaticNew()
{
  return vtkNetCDFCFReader::New();
}

PyObject *PyVTKClass_vtkNetCDFCFReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkNetCDFCFReaderStaticNew,
                        PyvtkNetCDFCFReaderMethods,
                        (char*)"vtkNetCDFCFReader",modulename,
                        (char**)vtkNetCDFCFReaderDoc,
                        PyVTKClass_vtkNetCDFReaderNew(modulename));
}

