// java wrapper for vtkNetCDFPOPReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkNetCDFPOPReader.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRectilinearGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkNetCDFPOPReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkNetCDFPOPReader",dType)) { return me; }
  if ((res= vtkRectilinearGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkNetCDFPOPReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkNetCDFPOPReader *op;
  const char    *temp20;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNetCDFPOPReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNetCDFPOPReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFPOPReader_SetFilename_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNetCDFPOPReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFilename(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkNetCDFPOPReader_GetFilename_13(JNIEnv *env, jobject obj)
{
  vtkNetCDFPOPReader *op;
  char    *temp20;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFilename();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFPOPReader_SetWholeExtent_14(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkNetCDFPOPReader *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFPOPReader_SetWholeExtent_15(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkNetCDFPOPReader *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWholeExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkNetCDFPOPReader_GetWholeExtent_16(JNIEnv *env, jobject obj)
{
  vtkNetCDFPOPReader *op;
  int     *temp20;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWholeExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFPOPReader_SetSubExtent_17(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkNetCDFPOPReader *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSubExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFPOPReader_SetSubExtent_18(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkNetCDFPOPReader *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSubExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkNetCDFPOPReader_GetSubExtent_19(JNIEnv *env, jobject obj)
{
  vtkNetCDFPOPReader *op;
  int     *temp20;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSubExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFPOPReader_SetOrigin_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkNetCDFPOPReader *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFPOPReader_SetOrigin_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkNetCDFPOPReader *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkNetCDFPOPReader_GetOrigin_112(JNIEnv *env, jobject obj)
{
  vtkNetCDFPOPReader *op;
  double  *temp20;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFPOPReader_SetSpacing_113(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkNetCDFPOPReader *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpacing(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFPOPReader_SetSpacing_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkNetCDFPOPReader *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpacing(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkNetCDFPOPReader_GetSpacing_115(JNIEnv *env, jobject obj)
{
  vtkNetCDFPOPReader *op;
  double  *temp20;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSpacing();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFPOPReader_SetStride_116(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkNetCDFPOPReader *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStride(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFPOPReader_SetStride_117(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkNetCDFPOPReader *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStride(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkNetCDFPOPReader_GetStride_118(JNIEnv *env, jobject obj)
{
  vtkNetCDFPOPReader *op;
  int     *temp20;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStride();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFPOPReader_SetBlockReadSize_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkNetCDFPOPReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlockReadSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNetCDFPOPReader_GetBlockReadSize_120(JNIEnv *env, jobject obj)
{
  vtkNetCDFPOPReader *op;
  int      temp20;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlockReadSize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNetCDFPOPReader_GetNumberOfVariableArrays_121(JNIEnv *env, jobject obj)
{
  vtkNetCDFPOPReader *op;
  int      temp20;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVariableArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkNetCDFPOPReader_GetVariableArrayName_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkNetCDFPOPReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVariableArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNetCDFPOPReader_GetVariableArrayStatus_123(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNetCDFPOPReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVariableArrayStatus(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFPOPReader_SetVariableArrayStatus_124(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkNetCDFPOPReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVariableArrayStatus(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkNetCDFPOPReader_VTKInit(JNIEnv *, jobject)
{
  vtkNetCDFPOPReader *aNewOne = vtkNetCDFPOPReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
