// python wrapper for vtkNetCDFPOPReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkNetCDFPOPReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkNetCDFPOPReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkNetCDFPOPReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRectilinearGridAlgorithmNew(char *); }

static PyObject *PyvtkNetCDFPOPReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  const char    *temp20;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFPOPReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFPOPReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  vtkNetCDFPOPReader  *temp20;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFPOPReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkNetCDFPOPReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkNetCDFPOPReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_SetFilename(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  char    *temp0;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFPOPReader::SetFilename(temp0);
      }
    else
      {
      op->SetFilename(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_GetFilename(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  char    *temp20;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFPOPReader::GetFilename();
      }
    else
      {
      temp20 = op->GetFilename();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_SetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFPOPReader::SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFPOPReader::SetWholeExtent(temp0);
      }
    else
      {
      op->SetWholeExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_GetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  int     *temp20;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFPOPReader::GetWholeExtent();
      }
    else
      {
      temp20 = op->GetWholeExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_SetSubExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFPOPReader::SetSubExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetSubExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFPOPReader::SetSubExtent(temp0);
      }
    else
      {
      op->SetSubExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_GetSubExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  int     *temp20;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFPOPReader::GetSubExtent();
      }
    else
      {
      temp20 = op->GetSubExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFPOPReader::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFPOPReader::SetOrigin(temp0);
      }
    else
      {
      op->SetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  double  *temp20;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFPOPReader::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_SetSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFPOPReader::SetSpacing(temp0,temp1,temp2);
      }
    else
      {
      op->SetSpacing(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFPOPReader::SetSpacing(temp0);
      }
    else
      {
      op->SetSpacing(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_GetSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  double  *temp20;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFPOPReader::GetSpacing();
      }
    else
      {
      temp20 = op->GetSpacing();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_SetStride(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFPOPReader::SetStride(temp0,temp1,temp2);
      }
    else
      {
      op->SetStride(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  int    temp0[3];
  PyErr_Clear();
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFPOPReader::SetStride(temp0);
      }
    else
      {
      op->SetStride(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_GetStride(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  int     *temp20;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFPOPReader::GetStride();
      }
    else
      {
      temp20 = op->GetStride();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_SetBlockReadSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  int      temp0;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFPOPReader::SetBlockReadSize(temp0);
      }
    else
      {
      op->SetBlockReadSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_GetBlockReadSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  int      temp20;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFPOPReader::GetBlockReadSize();
      }
    else
      {
      temp20 = op->GetBlockReadSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_GetNumberOfVariableArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  int      temp20;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFPOPReader::GetNumberOfVariableArrays();
      }
    else
      {
      temp20 = op->GetNumberOfVariableArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_GetVariableArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFPOPReader::GetVariableArrayName(temp0);
      }
    else
      {
      temp20 = op->GetVariableArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_GetVariableArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNetCDFPOPReader::GetVariableArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetVariableArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNetCDFPOPReader_SetVariableArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNetCDFPOPReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkNetCDFPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNetCDFPOPReader::SetVariableArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetVariableArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkNetCDFPOPReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkNetCDFPOPReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkNetCDFPOPReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkNetCDFPOPReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkNetCDFPOPReader\nC++: vtkNetCDFPOPReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkNetCDFPOPReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkNetCDFPOPReader\nC++: vtkNetCDFPOPReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFilename",                (PyCFunction)PyvtkNetCDFPOPReader_SetFilename, 1,
   (char*)"V.SetFilename(string)\nC++: void SetFilename (char *);\n\n"},
  {(char*)"GetFilename",                (PyCFunction)PyvtkNetCDFPOPReader_GetFilename, 1,
   (char*)"V.GetFilename() -> string\nC++: char *GetFilename ();\n\n"},
  {(char*)"SetWholeExtent",                (PyCFunction)PyvtkNetCDFPOPReader_SetWholeExtent, 1,
   (char*)"V.SetWholeExtent(int, int, int, int, int, int)\nC++: void SetWholeExtent (int , int , int , int , int , int );\nV.SetWholeExtent((int, int, int, int, int, int))\nC++: void SetWholeExtent (int  a[6]);\n\n"},
  {(char*)"GetWholeExtent",                (PyCFunction)PyvtkNetCDFPOPReader_GetWholeExtent, 1,
   (char*)"V.GetWholeExtent() -> (int, int, int, int, int, int)\nC++: int  *GetWholeExtent ();\n\n"},
  {(char*)"SetSubExtent",                (PyCFunction)PyvtkNetCDFPOPReader_SetSubExtent, 1,
   (char*)"V.SetSubExtent(int, int, int, int, int, int)\nC++: void SetSubExtent (int , int , int , int , int , int );\nV.SetSubExtent((int, int, int, int, int, int))\nC++: void SetSubExtent (int  a[6]);\n\n"},
  {(char*)"GetSubExtent",                (PyCFunction)PyvtkNetCDFPOPReader_GetSubExtent, 1,
   (char*)"V.GetSubExtent() -> (int, int, int, int, int, int)\nC++: int  *GetSubExtent ();\n\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkNetCDFPOPReader_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: void SetOrigin (double , double , double );\nV.SetOrigin((float, float, float))\nC++: void SetOrigin (double  a[3]);\n\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkNetCDFPOPReader_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (float, float, float)\nC++: double  *GetOrigin ();\n\n"},
  {(char*)"SetSpacing",                (PyCFunction)PyvtkNetCDFPOPReader_SetSpacing, 1,
   (char*)"V.SetSpacing(float, float, float)\nC++: void SetSpacing (double , double , double );\nV.SetSpacing((float, float, float))\nC++: void SetSpacing (double  a[3]);\n\n"},
  {(char*)"GetSpacing",                (PyCFunction)PyvtkNetCDFPOPReader_GetSpacing, 1,
   (char*)"V.GetSpacing() -> (float, float, float)\nC++: double  *GetSpacing ();\n\n"},
  {(char*)"SetStride",                (PyCFunction)PyvtkNetCDFPOPReader_SetStride, 1,
   (char*)"V.SetStride(int, int, int)\nC++: void SetStride (int , int , int );\nV.SetStride((int, int, int))\nC++: void SetStride (int  a[3]);\n\n"},
  {(char*)"GetStride",                (PyCFunction)PyvtkNetCDFPOPReader_GetStride, 1,
   (char*)"V.GetStride() -> (int, int, int)\nC++: int  *GetStride ();\n\n"},
  {(char*)"SetBlockReadSize",                (PyCFunction)PyvtkNetCDFPOPReader_SetBlockReadSize, 1,
   (char*)"V.SetBlockReadSize(int)\nC++: void SetBlockReadSize (int );\n\n"},
  {(char*)"GetBlockReadSize",                (PyCFunction)PyvtkNetCDFPOPReader_GetBlockReadSize, 1,
   (char*)"V.GetBlockReadSize() -> int\nC++: int GetBlockReadSize ();\n\n"},
  {(char*)"GetNumberOfVariableArrays",                (PyCFunction)PyvtkNetCDFPOPReader_GetNumberOfVariableArrays, 1,
   (char*)"V.GetNumberOfVariableArrays() -> int\nC++: virtual int GetNumberOfVariableArrays ();\n\n Variable array selection.\n"},
  {(char*)"GetVariableArrayName",                (PyCFunction)PyvtkNetCDFPOPReader_GetVariableArrayName, 1,
   (char*)"V.GetVariableArrayName(int) -> string\nC++: virtual const char *GetVariableArrayName (int idx);\n\n Variable array selection.\n"},
  {(char*)"GetVariableArrayStatus",                (PyCFunction)PyvtkNetCDFPOPReader_GetVariableArrayStatus, 1,
   (char*)"V.GetVariableArrayStatus(string) -> int\nC++: virtual int GetVariableArrayStatus (const char *name);\n\n Variable array selection.\n"},
  {(char*)"SetVariableArrayStatus",                (PyCFunction)PyvtkNetCDFPOPReader_SetVariableArrayStatus, 1,
   (char*)"V.SetVariableArrayStatus(string, int)\nC++: virtual void SetVariableArrayStatus (const char *name, int status);\n\n Variable array selection.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkNetCDFPOPReaderDoc[] = {
  (char*)"vtkNetCDFPOPReader - read NetCDF files\n\n",
  "Super Class:\n\n vtkRectilinearGridAlgorithm\n\n",
  (char*)" vtkNetCDFPOPReader is a source object that reads NetCDF files.\n It should be able to read most any NetCDF file that wants to output rectilinear grid\n\n\n",
  NULL
};

static vtkObjectBase *vtkNetCDFPOPReaderStaticNew()
{
  return vtkNetCDFPOPReader::New();
}

PyObject *PyVTKClass_vtkNetCDFPOPReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkNetCDFPOPReaderStaticNew,
                        PyvtkNetCDFPOPReaderMethods,
                        (char*)"vtkNetCDFPOPReader",modulename,
                        (char**)vtkNetCDFPOPReaderDoc,
                        PyVTKClass_vtkRectilinearGridAlgorithmNew(modulename));
}

