// python wrapper for vtkOpenFOAMReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOpenFOAMReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenFOAMReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenFOAMReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(char *); }

static PyObject *PyvtkOpenFOAMReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  const char    *temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  vtkOpenFOAMReader  *temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenFOAMReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenFOAMReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_CanReadFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::CanReadFile(temp0);
      }
    else
      {
      temp20 = op->CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  char    *temp0;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  char    *temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetNumberOfCellArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetNumberOfCellArrays();
      }
    else
      {
      temp20 = op->GetNumberOfCellArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetCellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetCellArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetCellArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_SetCellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::SetCellArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetCellArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetCellArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetCellArrayName(temp0);
      }
    else
      {
      temp20 = op->GetCellArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_DisableAllCellArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::DisableAllCellArrays();
      }
    else
      {
      op->DisableAllCellArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_EnableAllCellArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::EnableAllCellArrays();
      }
    else
      {
      op->EnableAllCellArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetNumberOfPointArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetNumberOfPointArrays();
      }
    else
      {
      temp20 = op->GetNumberOfPointArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetPointArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetPointArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetPointArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_SetPointArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::SetPointArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetPointArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetPointArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetPointArrayName(temp0);
      }
    else
      {
      temp20 = op->GetPointArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_DisableAllPointArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::DisableAllPointArrays();
      }
    else
      {
      op->DisableAllPointArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_EnableAllPointArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::EnableAllPointArrays();
      }
    else
      {
      op->EnableAllPointArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetNumberOfLagrangianArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetNumberOfLagrangianArrays();
      }
    else
      {
      temp20 = op->GetNumberOfLagrangianArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetLagrangianArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetLagrangianArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetLagrangianArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_SetLagrangianArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::SetLagrangianArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetLagrangianArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetLagrangianArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetLagrangianArrayName(temp0);
      }
    else
      {
      temp20 = op->GetLagrangianArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_DisableAllLagrangianArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::DisableAllLagrangianArrays();
      }
    else
      {
      op->DisableAllLagrangianArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_EnableAllLagrangianArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::EnableAllLagrangianArrays();
      }
    else
      {
      op->EnableAllLagrangianArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetNumberOfPatchArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetNumberOfPatchArrays();
      }
    else
      {
      temp20 = op->GetNumberOfPatchArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetPatchArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetPatchArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetPatchArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_SetPatchArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::SetPatchArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetPatchArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetPatchArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetPatchArrayName(temp0);
      }
    else
      {
      temp20 = op->GetPatchArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_DisableAllPatchArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::DisableAllPatchArrays();
      }
    else
      {
      op->DisableAllPatchArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_EnableAllPatchArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::EnableAllPatchArrays();
      }
    else
      {
      op->EnableAllPatchArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_SetCreateCellToPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp0;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::SetCreateCellToPoint(temp0);
      }
    else
      {
      op->SetCreateCellToPoint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetCreateCellToPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetCreateCellToPoint();
      }
    else
      {
      temp20 = op->GetCreateCellToPoint();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_CreateCellToPointOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::CreateCellToPointOn();
      }
    else
      {
      op->CreateCellToPointOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_CreateCellToPointOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::CreateCellToPointOff();
      }
    else
      {
      op->CreateCellToPointOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_SetCacheMesh(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp0;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::SetCacheMesh(temp0);
      }
    else
      {
      op->SetCacheMesh(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetCacheMesh(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetCacheMesh();
      }
    else
      {
      temp20 = op->GetCacheMesh();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_CacheMeshOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::CacheMeshOn();
      }
    else
      {
      op->CacheMeshOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_CacheMeshOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::CacheMeshOff();
      }
    else
      {
      op->CacheMeshOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_SetDecomposePolyhedra(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp0;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::SetDecomposePolyhedra(temp0);
      }
    else
      {
      op->SetDecomposePolyhedra(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetDecomposePolyhedra(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetDecomposePolyhedra();
      }
    else
      {
      temp20 = op->GetDecomposePolyhedra();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_DecomposePolyhedraOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::DecomposePolyhedraOn();
      }
    else
      {
      op->DecomposePolyhedraOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_DecomposePolyhedraOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::DecomposePolyhedraOff();
      }
    else
      {
      op->DecomposePolyhedraOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_SetPositionsIsIn13Format(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp0;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::SetPositionsIsIn13Format(temp0);
      }
    else
      {
      op->SetPositionsIsIn13Format(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetPositionsIsIn13Format(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetPositionsIsIn13Format();
      }
    else
      {
      temp20 = op->GetPositionsIsIn13Format();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_PositionsIsIn13FormatOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::PositionsIsIn13FormatOn();
      }
    else
      {
      op->PositionsIsIn13FormatOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_PositionsIsIn13FormatOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::PositionsIsIn13FormatOff();
      }
    else
      {
      op->PositionsIsIn13FormatOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_SetListTimeStepsByControlDict(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp0;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::SetListTimeStepsByControlDict(temp0);
      }
    else
      {
      op->SetListTimeStepsByControlDict(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetListTimeStepsByControlDict(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetListTimeStepsByControlDict();
      }
    else
      {
      temp20 = op->GetListTimeStepsByControlDict();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_ListTimeStepsByControlDictOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::ListTimeStepsByControlDictOn();
      }
    else
      {
      op->ListTimeStepsByControlDictOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_ListTimeStepsByControlDictOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::ListTimeStepsByControlDictOff();
      }
    else
      {
      op->ListTimeStepsByControlDictOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_SetAddDimensionsToArrayNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp0;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::SetAddDimensionsToArrayNames(temp0);
      }
    else
      {
      op->SetAddDimensionsToArrayNames(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetAddDimensionsToArrayNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetAddDimensionsToArrayNames();
      }
    else
      {
      temp20 = op->GetAddDimensionsToArrayNames();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_AddDimensionsToArrayNamesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::AddDimensionsToArrayNamesOn();
      }
    else
      {
      op->AddDimensionsToArrayNamesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_AddDimensionsToArrayNamesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::AddDimensionsToArrayNamesOff();
      }
    else
      {
      op->AddDimensionsToArrayNamesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_SetReadZones(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp0;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::SetReadZones(temp0);
      }
    else
      {
      op->SetReadZones(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetReadZones(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetReadZones();
      }
    else
      {
      temp20 = op->GetReadZones();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_ReadZonesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::ReadZonesOn();
      }
    else
      {
      op->ReadZonesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_ReadZonesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::ReadZonesOff();
      }
    else
      {
      op->ReadZonesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_SetRefresh(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::SetRefresh();
      }
    else
      {
      op->SetRefresh();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_SetParent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  vtkOpenFOAMReader  *temp0;
  PyObject *tempH0;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkOpenFOAMReader *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkOpenFOAMReader");
    if (!temp0 && tempH0 != Py_None) goto break60;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenFOAMReader::SetParent(temp0);
      }
    else
      {
      op->SetParent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break60:
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_SetTimeValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  double   temp0;
  bool   temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::SetTimeValue(temp0);
      }
    else
      {
      temp20 = op->SetTimeValue(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_GetTimeValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  vtkDoubleArray  *temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::GetTimeValues();
      }
    else
      {
      temp20 = op->GetTimeValues();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenFOAMReader_MakeMetaDataAtTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenFOAMReader *op;

  bool   temp0;
  int      temp20;
  op = (vtkOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenFOAMReader::MakeMetaDataAtTimeStep(temp0);
      }
    else
      {
      temp20 = op->MakeMetaDataAtTimeStep(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOpenFOAMReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenFOAMReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenFOAMReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenFOAMReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenFOAMReader\nC++: vtkOpenFOAMReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenFOAMReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenFOAMReader\nC++: vtkOpenFOAMReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkOpenFOAMReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: int CanReadFile (const char *);\n\n Determine if the file can be readed with this reader.\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkOpenFOAMReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Set/Get the filename.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkOpenFOAMReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Set/Get the filename.\n"},
  {(char*)"GetNumberOfCellArrays",                (PyCFunction)PyvtkOpenFOAMReader_GetNumberOfCellArrays, 1,
   (char*)"V.GetNumberOfCellArrays() -> int\nC++: int GetNumberOfCellArrays (void );return this GetNumberOfSelectionArrays this CellDataArraySelection \n\n Get/Set whether the cell array with the given name is to\n be read.\n"},
  {(char*)"GetCellArrayStatus",                (PyCFunction)PyvtkOpenFOAMReader_GetCellArrayStatus, 1,
   (char*)"V.GetCellArrayStatus(string) -> int\nC++: int GetCellArrayStatus (const char *name);return this GetSelectionArrayStatus this CellDataArraySelection name \n\n Get/Set whether the cell array with the given name is to\n be read.\n"},
  {(char*)"SetCellArrayStatus",                (PyCFunction)PyvtkOpenFOAMReader_SetCellArrayStatus, 1,
   (char*)"V.SetCellArrayStatus(string, int)\nC++: void SetCellArrayStatus (const char *name, int status);this SetSelectionArrayStatus this CellDataArraySelection name status \n\n Get the name of the  cell array with the given index in\n the input.\n"},
  {(char*)"GetCellArrayName",                (PyCFunction)PyvtkOpenFOAMReader_GetCellArrayName, 1,
   (char*)"V.GetCellArrayName(int) -> string\nC++: const char *GetCellArrayName (int index);return this GetSelectionArrayName this CellDataArraySelection index \n\n Turn on/off all cell arrays.\n"},
  {(char*)"DisableAllCellArrays",                (PyCFunction)PyvtkOpenFOAMReader_DisableAllCellArrays, 1,
   (char*)"V.DisableAllCellArrays()\nC++: void DisableAllCellArrays ();this DisableAllSelectionArrays this CellDataArraySelection \n\n Turn on/off all cell arrays.\n"},
  {(char*)"EnableAllCellArrays",                (PyCFunction)PyvtkOpenFOAMReader_EnableAllCellArrays, 1,
   (char*)"V.EnableAllCellArrays()\nC++: void EnableAllCellArrays ();this EnableAllSelectionArrays this CellDataArraySelection \n\n Get the number of point arrays available in the input.\n"},
  {(char*)"GetNumberOfPointArrays",                (PyCFunction)PyvtkOpenFOAMReader_GetNumberOfPointArrays, 1,
   (char*)"V.GetNumberOfPointArrays() -> int\nC++: int GetNumberOfPointArrays (void );return this GetNumberOfSelectionArrays this PointDataArraySelection \n\n Get/Set whether the point array with the given name is to\n be read.\n"},
  {(char*)"GetPointArrayStatus",                (PyCFunction)PyvtkOpenFOAMReader_GetPointArrayStatus, 1,
   (char*)"V.GetPointArrayStatus(string) -> int\nC++: int GetPointArrayStatus (const char *name);return this GetSelectionArrayStatus this PointDataArraySelection name \n\n Get/Set whether the point array with the given name is to\n be read.\n"},
  {(char*)"SetPointArrayStatus",                (PyCFunction)PyvtkOpenFOAMReader_SetPointArrayStatus, 1,
   (char*)"V.SetPointArrayStatus(string, int)\nC++: void SetPointArrayStatus (const char *name, int status);this SetSelectionArrayStatus this PointDataArraySelection name status \n\n Get the name of the  point array with the given index in\n the input.\n"},
  {(char*)"GetPointArrayName",                (PyCFunction)PyvtkOpenFOAMReader_GetPointArrayName, 1,
   (char*)"V.GetPointArrayName(int) -> string\nC++: const char *GetPointArrayName (int index);return this GetSelectionArrayName this PointDataArraySelection index \n\n Turn on/off all point arrays.\n"},
  {(char*)"DisableAllPointArrays",                (PyCFunction)PyvtkOpenFOAMReader_DisableAllPointArrays, 1,
   (char*)"V.DisableAllPointArrays()\nC++: void DisableAllPointArrays ();this DisableAllSelectionArrays this PointDataArraySelection \n\n Turn on/off all point arrays.\n"},
  {(char*)"EnableAllPointArrays",                (PyCFunction)PyvtkOpenFOAMReader_EnableAllPointArrays, 1,
   (char*)"V.EnableAllPointArrays()\nC++: void EnableAllPointArrays ();this EnableAllSelectionArrays this PointDataArraySelection \n\n Get the number of Lagrangian arrays available in the input.\n"},
  {(char*)"GetNumberOfLagrangianArrays",                (PyCFunction)PyvtkOpenFOAMReader_GetNumberOfLagrangianArrays, 1,
   (char*)"V.GetNumberOfLagrangianArrays() -> int\nC++: int GetNumberOfLagrangianArrays (void );return this GetNumberOfSelectionArrays this LagrangianDataArraySelection \n\n Get/Set whether the Lagrangian array with the given name is to\n be read.\n"},
  {(char*)"GetLagrangianArrayStatus",                (PyCFunction)PyvtkOpenFOAMReader_GetLagrangianArrayStatus, 1,
   (char*)"V.GetLagrangianArrayStatus(string) -> int\nC++: int GetLagrangianArrayStatus (const char *name);return this GetSelectionArrayStatus this LagrangianDataArraySelection name \n\n Get/Set whether the Lagrangian array with the given name is to\n be read.\n"},
  {(char*)"SetLagrangianArrayStatus",                (PyCFunction)PyvtkOpenFOAMReader_SetLagrangianArrayStatus, 1,
   (char*)"V.SetLagrangianArrayStatus(string, int)\nC++: void SetLagrangianArrayStatus (const char *name, int status);this SetSelectionArrayStatus this LagrangianDataArraySelection name status \n\n Get the name of the  Lagrangian array with the given index in\n the input.\n"},
  {(char*)"GetLagrangianArrayName",                (PyCFunction)PyvtkOpenFOAMReader_GetLagrangianArrayName, 1,
   (char*)"V.GetLagrangianArrayName(int) -> string\nC++: const char *GetLagrangianArrayName (int index);return this GetSelectionArrayName this LagrangianDataArraySelection index \n\n Turn on/off all Lagrangian arrays.\n"},
  {(char*)"DisableAllLagrangianArrays",                (PyCFunction)PyvtkOpenFOAMReader_DisableAllLagrangianArrays, 1,
   (char*)"V.DisableAllLagrangianArrays()\nC++: void DisableAllLagrangianArrays ();this DisableAllSelectionArrays this LagrangianDataArraySelection \n\n Turn on/off all Lagrangian arrays.\n"},
  {(char*)"EnableAllLagrangianArrays",                (PyCFunction)PyvtkOpenFOAMReader_EnableAllLagrangianArrays, 1,
   (char*)"V.EnableAllLagrangianArrays()\nC++: void EnableAllLagrangianArrays ();this EnableAllSelectionArrays this LagrangianDataArraySelection \n\n Get the number of Patches (inlcuding Internal Mesh) available in the input.\n"},
  {(char*)"GetNumberOfPatchArrays",                (PyCFunction)PyvtkOpenFOAMReader_GetNumberOfPatchArrays, 1,
   (char*)"V.GetNumberOfPatchArrays() -> int\nC++: int GetNumberOfPatchArrays (void );return this GetNumberOfSelectionArrays this PatchDataArraySelection \n\n Get/Set whether the Patch with the given name is to\n be read.\n"},
  {(char*)"GetPatchArrayStatus",                (PyCFunction)PyvtkOpenFOAMReader_GetPatchArrayStatus, 1,
   (char*)"V.GetPatchArrayStatus(string) -> int\nC++: int GetPatchArrayStatus (const char *name);return this GetSelectionArrayStatus this PatchDataArraySelection name \n\n Get/Set whether the Patch with the given name is to\n be read.\n"},
  {(char*)"SetPatchArrayStatus",                (PyCFunction)PyvtkOpenFOAMReader_SetPatchArrayStatus, 1,
   (char*)"V.SetPatchArrayStatus(string, int)\nC++: void SetPatchArrayStatus (const char *name, int status);this SetSelectionArrayStatus this PatchDataArraySelection name status \n\n Get the name of the Patch with the given index in\n the input.\n"},
  {(char*)"GetPatchArrayName",                (PyCFunction)PyvtkOpenFOAMReader_GetPatchArrayName, 1,
   (char*)"V.GetPatchArrayName(int) -> string\nC++: const char *GetPatchArrayName (int index);return this GetSelectionArrayName this PatchDataArraySelection index \n\n Turn on/off all Patches including the Internal Mesh.\n"},
  {(char*)"DisableAllPatchArrays",                (PyCFunction)PyvtkOpenFOAMReader_DisableAllPatchArrays, 1,
   (char*)"V.DisableAllPatchArrays()\nC++: void DisableAllPatchArrays ();this DisableAllSelectionArrays this PatchDataArraySelection \n\n Turn on/off all Patches including the Internal Mesh.\n"},
  {(char*)"EnableAllPatchArrays",                (PyCFunction)PyvtkOpenFOAMReader_EnableAllPatchArrays, 1,
   (char*)"V.EnableAllPatchArrays()\nC++: void EnableAllPatchArrays ();this EnableAllSelectionArrays this PatchDataArraySelection \n\n Set/Get whether to create cell-to-point translated data for cell-type data\n"},
  {(char*)"SetCreateCellToPoint",                (PyCFunction)PyvtkOpenFOAMReader_SetCreateCellToPoint, 1,
   (char*)"V.SetCreateCellToPoint(int)\nC++: void SetCreateCellToPoint (int );\n\n Set/Get whether to create cell-to-point translated data for cell-type data\n"},
  {(char*)"GetCreateCellToPoint",                (PyCFunction)PyvtkOpenFOAMReader_GetCreateCellToPoint, 1,
   (char*)"V.GetCreateCellToPoint() -> int\nC++: int GetCreateCellToPoint ();\n\n Set/Get whether to create cell-to-point translated data for cell-type data\n"},
  {(char*)"CreateCellToPointOn",                (PyCFunction)PyvtkOpenFOAMReader_CreateCellToPointOn, 1,
   (char*)"V.CreateCellToPointOn()\nC++: void CreateCellToPointOn ();\n\n Set/Get whether to create cell-to-point translated data for cell-type data\n"},
  {(char*)"CreateCellToPointOff",                (PyCFunction)PyvtkOpenFOAMReader_CreateCellToPointOff, 1,
   (char*)"V.CreateCellToPointOff()\nC++: void CreateCellToPointOff ();\n\n Set/Get whether to create cell-to-point translated data for cell-type data\n"},
  {(char*)"SetCacheMesh",                (PyCFunction)PyvtkOpenFOAMReader_SetCacheMesh, 1,
   (char*)"V.SetCacheMesh(int)\nC++: void SetCacheMesh (int );\n\n Set/Get whether mesh is to be cached.\n"},
  {(char*)"GetCacheMesh",                (PyCFunction)PyvtkOpenFOAMReader_GetCacheMesh, 1,
   (char*)"V.GetCacheMesh() -> int\nC++: int GetCacheMesh ();\n\n Set/Get whether mesh is to be cached.\n"},
  {(char*)"CacheMeshOn",                (PyCFunction)PyvtkOpenFOAMReader_CacheMeshOn, 1,
   (char*)"V.CacheMeshOn()\nC++: void CacheMeshOn ();\n\n Set/Get whether mesh is to be cached.\n"},
  {(char*)"CacheMeshOff",                (PyCFunction)PyvtkOpenFOAMReader_CacheMeshOff, 1,
   (char*)"V.CacheMeshOff()\nC++: void CacheMeshOff ();\n\n Set/Get whether mesh is to be cached.\n"},
  {(char*)"SetDecomposePolyhedra",                (PyCFunction)PyvtkOpenFOAMReader_SetDecomposePolyhedra, 1,
   (char*)"V.SetDecomposePolyhedra(int)\nC++: void SetDecomposePolyhedra (int );\n\n Set/Get whether polyhedra are to be decomposed.\n"},
  {(char*)"GetDecomposePolyhedra",                (PyCFunction)PyvtkOpenFOAMReader_GetDecomposePolyhedra, 1,
   (char*)"V.GetDecomposePolyhedra() -> int\nC++: int GetDecomposePolyhedra ();\n\n Set/Get whether polyhedra are to be decomposed.\n"},
  {(char*)"DecomposePolyhedraOn",                (PyCFunction)PyvtkOpenFOAMReader_DecomposePolyhedraOn, 1,
   (char*)"V.DecomposePolyhedraOn()\nC++: void DecomposePolyhedraOn ();\n\n Set/Get whether polyhedra are to be decomposed.\n"},
  {(char*)"DecomposePolyhedraOff",                (PyCFunction)PyvtkOpenFOAMReader_DecomposePolyhedraOff, 1,
   (char*)"V.DecomposePolyhedraOff()\nC++: void DecomposePolyhedraOff ();\n\n Set/Get whether polyhedra are to be decomposed.\n"},
  {(char*)"SetPositionsIsIn13Format",                (PyCFunction)PyvtkOpenFOAMReader_SetPositionsIsIn13Format, 1,
   (char*)"V.SetPositionsIsIn13Format(int)\nC++: void SetPositionsIsIn13Format (int );\n\n Set/Get whether the lagrangian/positions is in OF 1.3 format\n"},
  {(char*)"GetPositionsIsIn13Format",                (PyCFunction)PyvtkOpenFOAMReader_GetPositionsIsIn13Format, 1,
   (char*)"V.GetPositionsIsIn13Format() -> int\nC++: int GetPositionsIsIn13Format ();\n\n Set/Get whether the lagrangian/positions is in OF 1.3 format\n"},
  {(char*)"PositionsIsIn13FormatOn",                (PyCFunction)PyvtkOpenFOAMReader_PositionsIsIn13FormatOn, 1,
   (char*)"V.PositionsIsIn13FormatOn()\nC++: void PositionsIsIn13FormatOn ();\n\n Set/Get whether the lagrangian/positions is in OF 1.3 format\n"},
  {(char*)"PositionsIsIn13FormatOff",                (PyCFunction)PyvtkOpenFOAMReader_PositionsIsIn13FormatOff, 1,
   (char*)"V.PositionsIsIn13FormatOff()\nC++: void PositionsIsIn13FormatOff ();\n\n Set/Get whether the lagrangian/positions is in OF 1.3 format\n"},
  {(char*)"SetListTimeStepsByControlDict",                (PyCFunction)PyvtkOpenFOAMReader_SetListTimeStepsByControlDict, 1,
   (char*)"V.SetListTimeStepsByControlDict(int)\nC++: void SetListTimeStepsByControlDict (int );\n\n Determine if time directories are to be listed according to controlDict\n"},
  {(char*)"GetListTimeStepsByControlDict",                (PyCFunction)PyvtkOpenFOAMReader_GetListTimeStepsByControlDict, 1,
   (char*)"V.GetListTimeStepsByControlDict() -> int\nC++: int GetListTimeStepsByControlDict ();\n\n Determine if time directories are to be listed according to controlDict\n"},
  {(char*)"ListTimeStepsByControlDictOn",                (PyCFunction)PyvtkOpenFOAMReader_ListTimeStepsByControlDictOn, 1,
   (char*)"V.ListTimeStepsByControlDictOn()\nC++: void ListTimeStepsByControlDictOn ();\n\n Determine if time directories are to be listed according to controlDict\n"},
  {(char*)"ListTimeStepsByControlDictOff",                (PyCFunction)PyvtkOpenFOAMReader_ListTimeStepsByControlDictOff, 1,
   (char*)"V.ListTimeStepsByControlDictOff()\nC++: void ListTimeStepsByControlDictOff ();\n\n Determine if time directories are to be listed according to controlDict\n"},
  {(char*)"SetAddDimensionsToArrayNames",                (PyCFunction)PyvtkOpenFOAMReader_SetAddDimensionsToArrayNames, 1,
   (char*)"V.SetAddDimensionsToArrayNames(int)\nC++: void SetAddDimensionsToArrayNames (int );\n\n Add dimensions to array names\n"},
  {(char*)"GetAddDimensionsToArrayNames",                (PyCFunction)PyvtkOpenFOAMReader_GetAddDimensionsToArrayNames, 1,
   (char*)"V.GetAddDimensionsToArrayNames() -> int\nC++: int GetAddDimensionsToArrayNames ();\n\n Add dimensions to array names\n"},
  {(char*)"AddDimensionsToArrayNamesOn",                (PyCFunction)PyvtkOpenFOAMReader_AddDimensionsToArrayNamesOn, 1,
   (char*)"V.AddDimensionsToArrayNamesOn()\nC++: void AddDimensionsToArrayNamesOn ();\n\n Add dimensions to array names\n"},
  {(char*)"AddDimensionsToArrayNamesOff",                (PyCFunction)PyvtkOpenFOAMReader_AddDimensionsToArrayNamesOff, 1,
   (char*)"V.AddDimensionsToArrayNamesOff()\nC++: void AddDimensionsToArrayNamesOff ();\n\n Add dimensions to array names\n"},
  {(char*)"SetReadZones",                (PyCFunction)PyvtkOpenFOAMReader_SetReadZones, 1,
   (char*)"V.SetReadZones(int)\nC++: void SetReadZones (int );\n\n Set/Get whether zones will be read.\n"},
  {(char*)"GetReadZones",                (PyCFunction)PyvtkOpenFOAMReader_GetReadZones, 1,
   (char*)"V.GetReadZones() -> int\nC++: int GetReadZones ();\n\n Set/Get whether zones will be read.\n"},
  {(char*)"ReadZonesOn",                (PyCFunction)PyvtkOpenFOAMReader_ReadZonesOn, 1,
   (char*)"V.ReadZonesOn()\nC++: void ReadZonesOn ();\n\n Set/Get whether zones will be read.\n"},
  {(char*)"ReadZonesOff",                (PyCFunction)PyvtkOpenFOAMReader_ReadZonesOff, 1,
   (char*)"V.ReadZonesOff()\nC++: void ReadZonesOff ();\n\n Set/Get whether zones will be read.\n"},
  {(char*)"SetRefresh",                (PyCFunction)PyvtkOpenFOAMReader_SetRefresh, 1,
   (char*)"V.SetRefresh()\nC++: void SetRefresh ();this Refresh true this Modified \n\n"},
  {(char*)"SetParent",                (PyCFunction)PyvtkOpenFOAMReader_SetParent, 1,
   (char*)"V.SetParent(vtkOpenFOAMReader)\nC++: void SetParent (vtkOpenFOAMReader *parent);this Parent parent \n\n"},
  {(char*)"SetTimeValue",                (PyCFunction)PyvtkOpenFOAMReader_SetTimeValue, 1,
   (char*)"V.SetTimeValue(float) -> bool\nC++: bool SetTimeValue (const double );\n\n"},
  {(char*)"GetTimeValues",                (PyCFunction)PyvtkOpenFOAMReader_GetTimeValues, 1,
   (char*)"V.GetTimeValues() -> vtkDoubleArray\nC++: vtkDoubleArray *GetTimeValues ();\n\n"},
  {(char*)"MakeMetaDataAtTimeStep",                (PyCFunction)PyvtkOpenFOAMReader_MakeMetaDataAtTimeStep, 1,
   (char*)"V.MakeMetaDataAtTimeStep(bool) -> int\nC++: int MakeMetaDataAtTimeStep (const bool );\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenFOAMReaderDoc[] = {
  (char*)"vtkOpenFOAMReader - reads a dataset in OpenFOAM format\n\n",
  "Super Class:\n\n vtkMultiBlockDataSetAlgorithm\n\n",
  (char*)" vtkOpenFOAMReader creates a multiblock dataset. It reads mesh\n information and time dependent data.  The polyMesh folders contain\n mesh information. The time folders contain transient data for the\n cells. Each folder can contain any number of data files.\n\n",
  NULL
};

static vtkObjectBase *vtkOpenFOAMReaderStaticNew()
{
  return vtkOpenFOAMReader::New();
}

PyObject *PyVTKClass_vtkOpenFOAMReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenFOAMReaderStaticNew,
                        PyvtkOpenFOAMReaderMethods,
                        (char*)"vtkOpenFOAMReader",modulename,
                        (char**)vtkOpenFOAMReaderDoc,
                        PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(modulename));
}

