// python wrapper for vtkSLACReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSLACReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSLACReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSLACReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(char *); }

static PyObject *PyvtkSLACReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  const char    *temp20;
  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLACReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLACReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  vtkSLACReader  *temp20;
  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLACReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSLACReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSLACReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSLACReader_GetMeshFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  char    *temp20;
  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLACReader::GetMeshFileName();
      }
    else
      {
      temp20 = op->GetMeshFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_SetMeshFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  char    *temp0;
  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSLACReader::SetMeshFileName(temp0);
      }
    else
      {
      op->SetMeshFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_AddModeFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  char    *temp0;
  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSLACReader::AddModeFileName(temp0);
      }
    else
      {
      op->AddModeFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_RemoveAllModeFileNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSLACReader::RemoveAllModeFileNames();
      }
    else
      {
      op->RemoveAllModeFileNames();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_GetNumberOfModeFileNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  unsigned int      temp20;
  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLACReader::GetNumberOfModeFileNames();
      }
    else
      {
      temp20 = op->GetNumberOfModeFileNames();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_GetModeFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  unsigned int      temp0;
  const char    *temp20;
  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLACReader::GetModeFileName(temp0);
      }
    else
      {
      temp20 = op->GetModeFileName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_GetReadInternalVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  int      temp20;
  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLACReader::GetReadInternalVolume();
      }
    else
      {
      temp20 = op->GetReadInternalVolume();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_SetReadInternalVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  int      temp0;
  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSLACReader::SetReadInternalVolume(temp0);
      }
    else
      {
      op->SetReadInternalVolume(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_ReadInternalVolumeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSLACReader::ReadInternalVolumeOn();
      }
    else
      {
      op->ReadInternalVolumeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_ReadInternalVolumeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSLACReader::ReadInternalVolumeOff();
      }
    else
      {
      op->ReadInternalVolumeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_GetReadExternalSurface(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  int      temp20;
  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLACReader::GetReadExternalSurface();
      }
    else
      {
      temp20 = op->GetReadExternalSurface();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_SetReadExternalSurface(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  int      temp0;
  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSLACReader::SetReadExternalSurface(temp0);
      }
    else
      {
      op->SetReadExternalSurface(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_ReadExternalSurfaceOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSLACReader::ReadExternalSurfaceOn();
      }
    else
      {
      op->ReadExternalSurfaceOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_ReadExternalSurfaceOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSLACReader::ReadExternalSurfaceOff();
      }
    else
      {
      op->ReadExternalSurfaceOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_GetReadMidpoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  int      temp20;
  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLACReader::GetReadMidpoints();
      }
    else
      {
      temp20 = op->GetReadMidpoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_SetReadMidpoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  int      temp0;
  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSLACReader::SetReadMidpoints(temp0);
      }
    else
      {
      op->SetReadMidpoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_ReadMidpointsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSLACReader::ReadMidpointsOn();
      }
    else
      {
      op->ReadMidpointsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_ReadMidpointsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSLACReader::ReadMidpointsOff();
      }
    else
      {
      op->ReadMidpointsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_GetNumberOfVariableArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  int      temp20;
  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLACReader::GetNumberOfVariableArrays();
      }
    else
      {
      temp20 = op->GetNumberOfVariableArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_GetVariableArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLACReader::GetVariableArrayName(temp0);
      }
    else
      {
      temp20 = op->GetVariableArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_GetVariableArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSLACReader::GetVariableArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetVariableArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_SetVariableArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSLACReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkSLACReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSLACReader::SetVariableArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetVariableArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_CanReadFile(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkSLACReader::CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_IS_INTERNAL_VOLUME(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSLACReader::IS_INTERNAL_VOLUME();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_IS_EXTERNAL_SURFACE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSLACReader::IS_EXTERNAL_SURFACE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_POINTS(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSLACReader::POINTS();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSLACReader_POINT_DATA(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSLACReader::POINT_DATA();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSLACReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSLACReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSLACReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSLACReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSLACReader\nC++: vtkSLACReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSLACReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSLACReader\nC++: vtkSLACReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMeshFileName",                (PyCFunction)PyvtkSLACReader_GetMeshFileName, 1,
   (char*)"V.GetMeshFileName() -> string\nC++: char *GetMeshFileName ();\n\n"},
  {(char*)"SetMeshFileName",                (PyCFunction)PyvtkSLACReader_SetMeshFileName, 1,
   (char*)"V.SetMeshFileName(string)\nC++: void SetMeshFileName (char *);\n\n"},
  {(char*)"AddModeFileName",                (PyCFunction)PyvtkSLACReader_AddModeFileName, 1,
   (char*)"V.AddModeFileName(string)\nC++: virtual void AddModeFileName (const char *fname);\n\n There may be one mode file (usually for actual modes) or multiple mode\n files (which usually actually represent time series).  These methods\n set and clear the list of mode files (which can be a single mode file).\n"},
  {(char*)"RemoveAllModeFileNames",                (PyCFunction)PyvtkSLACReader_RemoveAllModeFileNames, 1,
   (char*)"V.RemoveAllModeFileNames()\nC++: virtual void RemoveAllModeFileNames ();\n\n There may be one mode file (usually for actual modes) or multiple mode\n files (which usually actually represent time series).  These methods\n set and clear the list of mode files (which can be a single mode file).\n"},
  {(char*)"GetNumberOfModeFileNames",                (PyCFunction)PyvtkSLACReader_GetNumberOfModeFileNames, 1,
   (char*)"V.GetNumberOfModeFileNames() -> int\nC++: virtual unsigned int GetNumberOfModeFileNames ();\n\n There may be one mode file (usually for actual modes) or multiple mode\n files (which usually actually represent time series).  These methods\n set and clear the list of mode files (which can be a single mode file).\n"},
  {(char*)"GetModeFileName",                (PyCFunction)PyvtkSLACReader_GetModeFileName, 1,
   (char*)"V.GetModeFileName(int) -> string\nC++: virtual const char *GetModeFileName (unsigned int idx);\n\n There may be one mode file (usually for actual modes) or multiple mode\n files (which usually actually represent time series).  These methods\n set and clear the list of mode files (which can be a single mode file).\n"},
  {(char*)"GetReadInternalVolume",                (PyCFunction)PyvtkSLACReader_GetReadInternalVolume, 1,
   (char*)"V.GetReadInternalVolume() -> int\nC++: int GetReadInternalVolume ();\n\n If on, reads the internal volume of the data set.  Set to off by default.\n"},
  {(char*)"SetReadInternalVolume",                (PyCFunction)PyvtkSLACReader_SetReadInternalVolume, 1,
   (char*)"V.SetReadInternalVolume(int)\nC++: void SetReadInternalVolume (int );\n\n If on, reads the internal volume of the data set.  Set to off by default.\n"},
  {(char*)"ReadInternalVolumeOn",                (PyCFunction)PyvtkSLACReader_ReadInternalVolumeOn, 1,
   (char*)"V.ReadInternalVolumeOn()\nC++: void ReadInternalVolumeOn ();\n\n If on, reads the internal volume of the data set.  Set to off by default.\n"},
  {(char*)"ReadInternalVolumeOff",                (PyCFunction)PyvtkSLACReader_ReadInternalVolumeOff, 1,
   (char*)"V.ReadInternalVolumeOff()\nC++: void ReadInternalVolumeOff ();\n\n If on, reads the internal volume of the data set.  Set to off by default.\n"},
  {(char*)"GetReadExternalSurface",                (PyCFunction)PyvtkSLACReader_GetReadExternalSurface, 1,
   (char*)"V.GetReadExternalSurface() -> int\nC++: int GetReadExternalSurface ();\n\n If on, reads the external surfaces of the data set.  Set to on by default.\n"},
  {(char*)"SetReadExternalSurface",                (PyCFunction)PyvtkSLACReader_SetReadExternalSurface, 1,
   (char*)"V.SetReadExternalSurface(int)\nC++: void SetReadExternalSurface (int );\n\n If on, reads the external surfaces of the data set.  Set to on by default.\n"},
  {(char*)"ReadExternalSurfaceOn",                (PyCFunction)PyvtkSLACReader_ReadExternalSurfaceOn, 1,
   (char*)"V.ReadExternalSurfaceOn()\nC++: void ReadExternalSurfaceOn ();\n\n If on, reads the external surfaces of the data set.  Set to on by default.\n"},
  {(char*)"ReadExternalSurfaceOff",                (PyCFunction)PyvtkSLACReader_ReadExternalSurfaceOff, 1,
   (char*)"V.ReadExternalSurfaceOff()\nC++: void ReadExternalSurfaceOff ();\n\n If on, reads the external surfaces of the data set.  Set to on by default.\n"},
  {(char*)"GetReadMidpoints",                (PyCFunction)PyvtkSLACReader_GetReadMidpoints, 1,
   (char*)"V.GetReadMidpoints() -> int\nC++: int GetReadMidpoints ();\n\n If on, reads midpoint information for external surfaces and builds\n quadratic surface triangles.  Set to on by default.\n"},
  {(char*)"SetReadMidpoints",                (PyCFunction)PyvtkSLACReader_SetReadMidpoints, 1,
   (char*)"V.SetReadMidpoints(int)\nC++: void SetReadMidpoints (int );\n\n If on, reads midpoint information for external surfaces and builds\n quadratic surface triangles.  Set to on by default.\n"},
  {(char*)"ReadMidpointsOn",                (PyCFunction)PyvtkSLACReader_ReadMidpointsOn, 1,
   (char*)"V.ReadMidpointsOn()\nC++: void ReadMidpointsOn ();\n\n If on, reads midpoint information for external surfaces and builds\n quadratic surface triangles.  Set to on by default.\n"},
  {(char*)"ReadMidpointsOff",                (PyCFunction)PyvtkSLACReader_ReadMidpointsOff, 1,
   (char*)"V.ReadMidpointsOff()\nC++: void ReadMidpointsOff ();\n\n If on, reads midpoint information for external surfaces and builds\n quadratic surface triangles.  Set to on by default.\n"},
  {(char*)"GetNumberOfVariableArrays",                (PyCFunction)PyvtkSLACReader_GetNumberOfVariableArrays, 1,
   (char*)"V.GetNumberOfVariableArrays() -> int\nC++: virtual int GetNumberOfVariableArrays ();\n\n Variable array selection.\n"},
  {(char*)"GetVariableArrayName",                (PyCFunction)PyvtkSLACReader_GetVariableArrayName, 1,
   (char*)"V.GetVariableArrayName(int) -> string\nC++: virtual const char *GetVariableArrayName (int idx);\n\n Variable array selection.\n"},
  {(char*)"GetVariableArrayStatus",                (PyCFunction)PyvtkSLACReader_GetVariableArrayStatus, 1,
   (char*)"V.GetVariableArrayStatus(string) -> int\nC++: virtual int GetVariableArrayStatus (const char *name);\n\n Variable array selection.\n"},
  {(char*)"SetVariableArrayStatus",                (PyCFunction)PyvtkSLACReader_SetVariableArrayStatus, 1,
   (char*)"V.SetVariableArrayStatus(string, int)\nC++: virtual void SetVariableArrayStatus (const char *name, int status);\n\n Variable array selection.\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkSLACReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: static int CanReadFile (const char *filename);\n\n Returns true if the given file can be read by this reader.\n"},
  {(char*)"IS_INTERNAL_VOLUME",                (PyCFunction)PyvtkSLACReader_IS_INTERNAL_VOLUME, 1,
   (char*)"V.IS_INTERNAL_VOLUME() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *IS_INTERNAL_VOLUME ();\n\n This key is attached to the metadata information of all data sets in the\n output that are part of the internal volume.\n"},
  {(char*)"IS_EXTERNAL_SURFACE",                (PyCFunction)PyvtkSLACReader_IS_EXTERNAL_SURFACE, 1,
   (char*)"V.IS_EXTERNAL_SURFACE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *IS_EXTERNAL_SURFACE ();\n\n This key is attached to the metadata information of all data sets in the\n output that are part of the external surface.\n"},
  {(char*)"POINTS",                (PyCFunction)PyvtkSLACReader_POINTS, 1,
   (char*)"V.POINTS() -> vtkInformationObjectBaseKey\nC++: static vtkInformationObjectBaseKey *POINTS ();\n\n All the data sets stored in the multiblock output share the same point\n data.  For convienience, the point coordinates (vtkPoints) and point data\n (vtkPointData) are saved under these keys in the vtkInformation of the\n output data set.\n"},
  {(char*)"POINT_DATA",                (PyCFunction)PyvtkSLACReader_POINT_DATA, 1,
   (char*)"V.POINT_DATA() -> vtkInformationObjectBaseKey\nC++: static vtkInformationObjectBaseKey *POINT_DATA ();\n\n All the data sets stored in the multiblock output share the same point\n data.  For convienience, the point coordinates (vtkPoints) and point data\n (vtkPointData) are saved under these keys in the vtkInformation of the\n output data set.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSLACReaderDoc[] = {
  (char*)"vtkSLACReader\n\n",
  "Super Class:\n\n vtkMultiBlockDataSetAlgorithm\n\n",
  (char*)"\n A reader for a data format used by Omega3p, Tau3p, and several other tools\n used at the Standford Linear Accelerator Center (SLAC).  The underlying\n format uses netCDF to store arrays, but also imposes several conventions\n to form an unstructured grid of elements.\n\n\n",
  NULL
};

static vtkObjectBase *vtkSLACReaderStaticNew()
{
  return vtkSLACReader::New();
}

PyObject *PyVTKClass_vtkSLACReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkSLACReaderStaticNew,
                        PyvtkSLACReaderMethods,
                        (char*)"vtkSLACReader",modulename,
                        (char**)vtkSLACReaderDoc,
                        PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(modulename));
}

