// java wrapper for vtkImageConvolve object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageConvolve.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageConvolve_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageConvolve",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageConvolve_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageConvolve *op;
  const char    *temp20;

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageConvolve_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageConvolve *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageConvolve_GetKernelSize_12(JNIEnv *env, jobject obj)
{
  vtkImageConvolve *op;
  int     *temp20;

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKernelSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageConvolve_SetKernel3x3_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageConvolve *op;
  double temp0[9];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKernel3x3(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageConvolve_SetKernel5x5_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageConvolve *op;
  double temp0[25];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];
  temp0[16] = ((jdouble *)tempArray0)[16];
  temp0[17] = ((jdouble *)tempArray0)[17];
  temp0[18] = ((jdouble *)tempArray0)[18];
  temp0[19] = ((jdouble *)tempArray0)[19];
  temp0[20] = ((jdouble *)tempArray0)[20];
  temp0[21] = ((jdouble *)tempArray0)[21];
  temp0[22] = ((jdouble *)tempArray0)[22];
  temp0[23] = ((jdouble *)tempArray0)[23];
  temp0[24] = ((jdouble *)tempArray0)[24];

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKernel5x5(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  ((jdouble *)tempArray0)[16] = temp0[16];
  ((jdouble *)tempArray0)[17] = temp0[17];
  ((jdouble *)tempArray0)[18] = temp0[18];
  ((jdouble *)tempArray0)[19] = temp0[19];
  ((jdouble *)tempArray0)[20] = temp0[20];
  ((jdouble *)tempArray0)[21] = temp0[21];
  ((jdouble *)tempArray0)[22] = temp0[22];
  ((jdouble *)tempArray0)[23] = temp0[23];
  ((jdouble *)tempArray0)[24] = temp0[24];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageConvolve_GetKernel3x3_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageConvolve *op;
  double temp0[9];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  op->GetKernel3x3(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageConvolve_GetKernel5x5_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageConvolve *op;
  double temp0[25];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];
  temp0[16] = ((jdouble *)tempArray0)[16];
  temp0[17] = ((jdouble *)tempArray0)[17];
  temp0[18] = ((jdouble *)tempArray0)[18];
  temp0[19] = ((jdouble *)tempArray0)[19];
  temp0[20] = ((jdouble *)tempArray0)[20];
  temp0[21] = ((jdouble *)tempArray0)[21];
  temp0[22] = ((jdouble *)tempArray0)[22];
  temp0[23] = ((jdouble *)tempArray0)[23];
  temp0[24] = ((jdouble *)tempArray0)[24];

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  op->GetKernel5x5(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  ((jdouble *)tempArray0)[16] = temp0[16];
  ((jdouble *)tempArray0)[17] = temp0[17];
  ((jdouble *)tempArray0)[18] = temp0[18];
  ((jdouble *)tempArray0)[19] = temp0[19];
  ((jdouble *)tempArray0)[20] = temp0[20];
  ((jdouble *)tempArray0)[21] = temp0[21];
  ((jdouble *)tempArray0)[22] = temp0[22];
  ((jdouble *)tempArray0)[23] = temp0[23];
  ((jdouble *)tempArray0)[24] = temp0[24];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageConvolve_SetKernel3x3x3_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageConvolve *op;
  double temp0[27];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];
  temp0[16] = ((jdouble *)tempArray0)[16];
  temp0[17] = ((jdouble *)tempArray0)[17];
  temp0[18] = ((jdouble *)tempArray0)[18];
  temp0[19] = ((jdouble *)tempArray0)[19];
  temp0[20] = ((jdouble *)tempArray0)[20];
  temp0[21] = ((jdouble *)tempArray0)[21];
  temp0[22] = ((jdouble *)tempArray0)[22];
  temp0[23] = ((jdouble *)tempArray0)[23];
  temp0[24] = ((jdouble *)tempArray0)[24];
  temp0[25] = ((jdouble *)tempArray0)[25];
  temp0[26] = ((jdouble *)tempArray0)[26];

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKernel3x3x3(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  ((jdouble *)tempArray0)[16] = temp0[16];
  ((jdouble *)tempArray0)[17] = temp0[17];
  ((jdouble *)tempArray0)[18] = temp0[18];
  ((jdouble *)tempArray0)[19] = temp0[19];
  ((jdouble *)tempArray0)[20] = temp0[20];
  ((jdouble *)tempArray0)[21] = temp0[21];
  ((jdouble *)tempArray0)[22] = temp0[22];
  ((jdouble *)tempArray0)[23] = temp0[23];
  ((jdouble *)tempArray0)[24] = temp0[24];
  ((jdouble *)tempArray0)[25] = temp0[25];
  ((jdouble *)tempArray0)[26] = temp0[26];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageConvolve_GetKernel3x3x3_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageConvolve *op;
  double temp0[27];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];
  temp0[16] = ((jdouble *)tempArray0)[16];
  temp0[17] = ((jdouble *)tempArray0)[17];
  temp0[18] = ((jdouble *)tempArray0)[18];
  temp0[19] = ((jdouble *)tempArray0)[19];
  temp0[20] = ((jdouble *)tempArray0)[20];
  temp0[21] = ((jdouble *)tempArray0)[21];
  temp0[22] = ((jdouble *)tempArray0)[22];
  temp0[23] = ((jdouble *)tempArray0)[23];
  temp0[24] = ((jdouble *)tempArray0)[24];
  temp0[25] = ((jdouble *)tempArray0)[25];
  temp0[26] = ((jdouble *)tempArray0)[26];

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  op->GetKernel3x3x3(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  ((jdouble *)tempArray0)[16] = temp0[16];
  ((jdouble *)tempArray0)[17] = temp0[17];
  ((jdouble *)tempArray0)[18] = temp0[18];
  ((jdouble *)tempArray0)[19] = temp0[19];
  ((jdouble *)tempArray0)[20] = temp0[20];
  ((jdouble *)tempArray0)[21] = temp0[21];
  ((jdouble *)tempArray0)[22] = temp0[22];
  ((jdouble *)tempArray0)[23] = temp0[23];
  ((jdouble *)tempArray0)[24] = temp0[24];
  ((jdouble *)tempArray0)[25] = temp0[25];
  ((jdouble *)tempArray0)[26] = temp0[26];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageConvolve_VTKInit(JNIEnv *, jobject)
{
  vtkImageConvolve *aNewOne = vtkImageConvolve::New();
  return (jlong)(size_t)(void*)aNewOne;
}
