// python wrapper for vtkVoxelModeller object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkVoxelModeller.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVoxelModellerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVoxelModellerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkVoxelModeller_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  const char    *temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  char    *temp0;
  int      temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  vtkVoxelModeller  *temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVoxelModeller  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVoxelModeller::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVoxelModeller_ComputeModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  double temp0[3];
  double temp1[3];
  double   temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::ComputeModelBounds(temp0,temp1);
      }
    else
      {
      temp20 = op->ComputeModelBounds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SetSampleDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetSampleDimensions(temp0,temp1,temp2);
      }
    else
      {
      op->SetSampleDimensions(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  int    temp0[3];
  PyErr_Clear();
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetSampleDimensions(temp0);
      }
    else
      {
      op->SetSampleDimensions(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_GetSampleDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  int     *temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::GetSampleDimensions();
      }
    else
      {
      temp20 = op->GetSampleDimensions();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SetMaximumDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  double   temp0;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetMaximumDistance(temp0);
      }
    else
      {
      op->SetMaximumDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_GetMaximumDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  double   temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::GetMaximumDistanceMinValue();
      }
    else
      {
      temp20 = op->GetMaximumDistanceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_GetMaximumDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  double   temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::GetMaximumDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumDistanceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_GetMaximumDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  double   temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::GetMaximumDistance();
      }
    else
      {
      temp20 = op->GetMaximumDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SetModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  double temp0[6];
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetModelBounds(temp0);
      }
    else
      {
      op->SetModelBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  PyErr_Clear();
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_GetModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  double  *temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::GetModelBounds();
      }
    else
      {
      temp20 = op->GetModelBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SetScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  int      temp0;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetScalarType(temp0);
      }
    else
      {
      op->SetScalarType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SetScalarTypeToFloat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetScalarTypeToFloat();
      }
    else
      {
      op->SetScalarTypeToFloat();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SetScalarTypeToDouble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetScalarTypeToDouble();
      }
    else
      {
      op->SetScalarTypeToDouble();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SetScalarTypeToInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetScalarTypeToInt();
      }
    else
      {
      op->SetScalarTypeToInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SetScalarTypeToUnsignedInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetScalarTypeToUnsignedInt();
      }
    else
      {
      op->SetScalarTypeToUnsignedInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SetScalarTypeToLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetScalarTypeToLong();
      }
    else
      {
      op->SetScalarTypeToLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SetScalarTypeToUnsignedLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetScalarTypeToUnsignedLong();
      }
    else
      {
      op->SetScalarTypeToUnsignedLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SetScalarTypeToShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetScalarTypeToShort();
      }
    else
      {
      op->SetScalarTypeToShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SetScalarTypeToUnsignedShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetScalarTypeToUnsignedShort();
      }
    else
      {
      op->SetScalarTypeToUnsignedShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SetScalarTypeToUnsignedChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetScalarTypeToUnsignedChar();
      }
    else
      {
      op->SetScalarTypeToUnsignedChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SetScalarTypeToChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetScalarTypeToChar();
      }
    else
      {
      op->SetScalarTypeToChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SetScalarTypeToBit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetScalarTypeToBit();
      }
    else
      {
      op->SetScalarTypeToBit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_GetScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  int      temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::GetScalarType();
      }
    else
      {
      temp20 = op->GetScalarType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SetForegroundValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  double   temp0;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetForegroundValue(temp0);
      }
    else
      {
      op->SetForegroundValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_GetForegroundValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  double   temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::GetForegroundValue();
      }
    else
      {
      temp20 = op->GetForegroundValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_SetBackgroundValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  double   temp0;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelModeller::SetBackgroundValue(temp0);
      }
    else
      {
      op->SetBackgroundValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelModeller_GetBackgroundValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelModeller *op;

  double   temp20;
  op = (vtkVoxelModeller *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelModeller::GetBackgroundValue();
      }
    else
      {
      temp20 = op->GetBackgroundValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVoxelModellerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVoxelModeller_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVoxelModeller_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVoxelModeller_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVoxelModeller\nC++: vtkVoxelModeller *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVoxelModeller_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVoxelModeller\nC++: vtkVoxelModeller *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ComputeModelBounds",                (PyCFunction)PyvtkVoxelModeller_ComputeModelBounds, 1,
   (char*)"V.ComputeModelBounds((float, float, float), (float, float, float)) -> float\nC++: double ComputeModelBounds (double origin[3], double ar[3]);\n\n Compute the ModelBounds based on the input geometry.\n"},
  {(char*)"SetSampleDimensions",                (PyCFunction)PyvtkVoxelModeller_SetSampleDimensions, 1,
   (char*)"V.SetSampleDimensions(int, int, int)\nC++: void SetSampleDimensions (int i, int j, int k);\nV.SetSampleDimensions((int, int, int))\nC++: void SetSampleDimensions (int dim[3]);\n\n Set the i-j-k dimensions on which to sample the distance function.\n Default is (50, 50, 50)\n"},
  {(char*)"GetSampleDimensions",                (PyCFunction)PyvtkVoxelModeller_GetSampleDimensions, 1,
   (char*)"V.GetSampleDimensions() -> (int, int, int)\nC++: int  *GetSampleDimensions ();\n\n Set the i-j-k dimensions on which to sample the distance function.\n Default is (50, 50, 50)\n"},
  {(char*)"SetMaximumDistance",                (PyCFunction)PyvtkVoxelModeller_SetMaximumDistance, 1,
   (char*)"V.SetMaximumDistance(float)\nC++: void SetMaximumDistance (double );\n\n Specify distance away from surface of input geometry to sample. Smaller\n values make large increases in performance. Default is 1.0.\n"},
  {(char*)"GetMaximumDistanceMinValue",                (PyCFunction)PyvtkVoxelModeller_GetMaximumDistanceMinValue, 1,
   (char*)"V.GetMaximumDistanceMinValue() -> float\nC++: double GetMaximumDistanceMinValue ();\n\n Specify distance away from surface of input geometry to sample. Smaller\n values make large increases in performance. Default is 1.0.\n"},
  {(char*)"GetMaximumDistanceMaxValue",                (PyCFunction)PyvtkVoxelModeller_GetMaximumDistanceMaxValue, 1,
   (char*)"V.GetMaximumDistanceMaxValue() -> float\nC++: double GetMaximumDistanceMaxValue ();\n\n Specify distance away from surface of input geometry to sample. Smaller\n values make large increases in performance. Default is 1.0.\n"},
  {(char*)"GetMaximumDistance",                (PyCFunction)PyvtkVoxelModeller_GetMaximumDistance, 1,
   (char*)"V.GetMaximumDistance() -> float\nC++: double GetMaximumDistance ();\n\n Specify distance away from surface of input geometry to sample. Smaller\n values make large increases in performance. Default is 1.0.\n"},
  {(char*)"SetModelBounds",                (PyCFunction)PyvtkVoxelModeller_SetModelBounds, 1,
   (char*)"V.SetModelBounds((float, float, float, float, float, float))\nC++: void SetModelBounds (double bounds[6]);\nV.SetModelBounds(float, float, float, float, float, float)\nC++: void SetModelBounds (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);\n\n Specify the position in space to perform the voxelization.\n Default is (0, 0, 0, 0, 0, 0)\n"},
  {(char*)"GetModelBounds",                (PyCFunction)PyvtkVoxelModeller_GetModelBounds, 1,
   (char*)"V.GetModelBounds() -> (float, float, float, float, float, float)\nC++: double  *GetModelBounds ();\n\n Specify the position in space to perform the voxelization.\n Default is (0, 0, 0, 0, 0, 0)\n"},
  {(char*)"SetScalarType",                (PyCFunction)PyvtkVoxelModeller_SetScalarType, 1,
   (char*)"V.SetScalarType(int)\nC++: void SetScalarType (int );\n\n Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n"},
  {(char*)"SetScalarTypeToFloat",                (PyCFunction)PyvtkVoxelModeller_SetScalarTypeToFloat, 1,
   (char*)"V.SetScalarTypeToFloat()\nC++: void SetScalarTypeToFloat ();this SetScalarType VTK_FLOAT \n\n Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n"},
  {(char*)"SetScalarTypeToDouble",                (PyCFunction)PyvtkVoxelModeller_SetScalarTypeToDouble, 1,
   (char*)"V.SetScalarTypeToDouble()\nC++: void SetScalarTypeToDouble ();this SetScalarType VTK_DOUBLE \n\n Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n"},
  {(char*)"SetScalarTypeToInt",                (PyCFunction)PyvtkVoxelModeller_SetScalarTypeToInt, 1,
   (char*)"V.SetScalarTypeToInt()\nC++: void SetScalarTypeToInt ();this SetScalarType VTK_INT \n\n Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n"},
  {(char*)"SetScalarTypeToUnsignedInt",                (PyCFunction)PyvtkVoxelModeller_SetScalarTypeToUnsignedInt, 1,
   (char*)"V.SetScalarTypeToUnsignedInt()\nC++: void SetScalarTypeToUnsignedInt ();this SetScalarType VTK_UNSIGNED_INT \n\n Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n"},
  {(char*)"SetScalarTypeToLong",                (PyCFunction)PyvtkVoxelModeller_SetScalarTypeToLong, 1,
   (char*)"V.SetScalarTypeToLong()\nC++: void SetScalarTypeToLong ();this SetScalarType VTK_LONG \n\n Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n"},
  {(char*)"SetScalarTypeToUnsignedLong",                (PyCFunction)PyvtkVoxelModeller_SetScalarTypeToUnsignedLong, 1,
   (char*)"V.SetScalarTypeToUnsignedLong()\nC++: void SetScalarTypeToUnsignedLong ();this SetScalarType VTK_UNSIGNED_LONG \n\n Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n"},
  {(char*)"SetScalarTypeToShort",                (PyCFunction)PyvtkVoxelModeller_SetScalarTypeToShort, 1,
   (char*)"V.SetScalarTypeToShort()\nC++: void SetScalarTypeToShort ();this SetScalarType VTK_SHORT \n\n Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n"},
  {(char*)"SetScalarTypeToUnsignedShort",                (PyCFunction)PyvtkVoxelModeller_SetScalarTypeToUnsignedShort, 1,
   (char*)"V.SetScalarTypeToUnsignedShort()\nC++: void SetScalarTypeToUnsignedShort ();this SetScalarType VTK_UNSIGNED_SHORT \n\n Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n"},
  {(char*)"SetScalarTypeToUnsignedChar",                (PyCFunction)PyvtkVoxelModeller_SetScalarTypeToUnsignedChar, 1,
   (char*)"V.SetScalarTypeToUnsignedChar()\nC++: void SetScalarTypeToUnsignedChar ();this SetScalarType VTK_UNSIGNED_CHAR \n\n Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n"},
  {(char*)"SetScalarTypeToChar",                (PyCFunction)PyvtkVoxelModeller_SetScalarTypeToChar, 1,
   (char*)"V.SetScalarTypeToChar()\nC++: void SetScalarTypeToChar ();this SetScalarType VTK_CHAR \n\n Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n"},
  {(char*)"SetScalarTypeToBit",                (PyCFunction)PyvtkVoxelModeller_SetScalarTypeToBit, 1,
   (char*)"V.SetScalarTypeToBit()\nC++: void SetScalarTypeToBit ();this SetScalarType VTK_BIT \n\n Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n"},
  {(char*)"GetScalarType",                (PyCFunction)PyvtkVoxelModeller_GetScalarType, 1,
   (char*)"V.GetScalarType() -> int\nC++: int GetScalarType ();\n\n Control the scalar type of the output image. The default is\n VTK_BIT.\n NOTE: Not all filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n"},
  {(char*)"SetForegroundValue",                (PyCFunction)PyvtkVoxelModeller_SetForegroundValue, 1,
   (char*)"V.SetForegroundValue(float)\nC++: void SetForegroundValue (double );\n\n Set the Foreground/Background values of the output. The\n Foreground value is set when a voxel is occupied. The Background\n value is set when a voxel is not occupied.\n The default ForegroundValue is 1. The default BackgroundValue is\n 0.\n"},
  {(char*)"GetForegroundValue",                (PyCFunction)PyvtkVoxelModeller_GetForegroundValue, 1,
   (char*)"V.GetForegroundValue() -> float\nC++: double GetForegroundValue ();\n\n Set the Foreground/Background values of the output. The\n Foreground value is set when a voxel is occupied. The Background\n value is set when a voxel is not occupied.\n The default ForegroundValue is 1. The default BackgroundValue is\n 0.\n"},
  {(char*)"SetBackgroundValue",                (PyCFunction)PyvtkVoxelModeller_SetBackgroundValue, 1,
   (char*)"V.SetBackgroundValue(float)\nC++: void SetBackgroundValue (double );\n\n Set the Foreground/Background values of the output. The\n Foreground value is set when a voxel is occupied. The Background\n value is set when a voxel is not occupied.\n The default ForegroundValue is 1. The default BackgroundValue is\n 0.\n"},
  {(char*)"GetBackgroundValue",                (PyCFunction)PyvtkVoxelModeller_GetBackgroundValue, 1,
   (char*)"V.GetBackgroundValue() -> float\nC++: double GetBackgroundValue ();\n\n Set the Foreground/Background values of the output. The\n Foreground value is set when a voxel is occupied. The Background\n value is set when a voxel is not occupied.\n The default ForegroundValue is 1. The default BackgroundValue is\n 0.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVoxelModellerDoc[] = {
  (char*)"vtkVoxelModeller - convert an arbitrary dataset to a voxel representation\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkVoxelModeller is a filter that converts an arbitrary data set to a\n structured point (i.e., voxel) representation. It is very similar to \n vtkImplicitModeller, except that it doesn't record distance; instead it\n records occupancy. By default it supports a compact output of 0/1\n VTK_BIT. Other vtk scalar types can be specified. The Foreground and\n Background values of the output can also be spe",
  (char*)"cified.\n NOTE: Not all vtk filters/readers/writers support the VTK_BIT\n scalar type. You may want to use VTK_CHAR as an alternative.\n\n",
  "See Also:\n\n vtkImplicitModeller\n\n",
  NULL
};

static vtkObjectBase *vtkVoxelModellerStaticNew()
{
  return vtkVoxelModeller::New();
}

PyObject *PyVTKClass_vtkVoxelModellerNew(char *modulename)
{
  return PyVTKClass_New(&vtkVoxelModellerStaticNew,
                        PyvtkVoxelModellerMethods,
                        (char*)"vtkVoxelModeller",modulename,
                        (char**)vtkVoxelModellerDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

