// python wrapper for vtkArcParallelEdgeStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkArcParallelEdgeStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkArcParallelEdgeStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkArcParallelEdgeStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkEdgeLayoutStrategyNew(char *); }

static PyObject *PyvtkArcParallelEdgeStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcParallelEdgeStrategy *op;

  const char    *temp20;
  op = (vtkArcParallelEdgeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcParallelEdgeStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArcParallelEdgeStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcParallelEdgeStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkArcParallelEdgeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcParallelEdgeStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcParallelEdgeStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcParallelEdgeStrategy *op;

  vtkArcParallelEdgeStrategy  *temp20;
  op = (vtkArcParallelEdgeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcParallelEdgeStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcParallelEdgeStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkArcParallelEdgeStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkArcParallelEdgeStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkArcParallelEdgeStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcParallelEdgeStrategy *op;

  op = (vtkArcParallelEdgeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcParallelEdgeStrategy::Layout();
      }
    else
      {
      op->Layout();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcParallelEdgeStrategy_GetNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcParallelEdgeStrategy *op;

  int      temp20;
  op = (vtkArcParallelEdgeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcParallelEdgeStrategy::GetNumberOfSubdivisions();
      }
    else
      {
      temp20 = op->GetNumberOfSubdivisions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcParallelEdgeStrategy_SetNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcParallelEdgeStrategy *op;

  int      temp0;
  op = (vtkArcParallelEdgeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcParallelEdgeStrategy::SetNumberOfSubdivisions(temp0);
      }
    else
      {
      op->SetNumberOfSubdivisions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkArcParallelEdgeStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkArcParallelEdgeStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkArcParallelEdgeStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkArcParallelEdgeStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkArcParallelEdgeStrategy\nC++: vtkArcParallelEdgeStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkArcParallelEdgeStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkArcParallelEdgeStrategy\nC++: vtkArcParallelEdgeStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkArcParallelEdgeStrategy_Layout, 1,
   (char*)"V.Layout()\nC++: virtual void Layout ();\n\n This is the layout method where the graph that was\n set in SetGraph() is laid out.\n"},
  {(char*)"GetNumberOfSubdivisions",                (PyCFunction)PyvtkArcParallelEdgeStrategy_GetNumberOfSubdivisions, 1,
   (char*)"V.GetNumberOfSubdivisions() -> int\nC++: int GetNumberOfSubdivisions ();\n\n Get/Set the number of subdivisions on each edge.\n"},
  {(char*)"SetNumberOfSubdivisions",                (PyCFunction)PyvtkArcParallelEdgeStrategy_SetNumberOfSubdivisions, 1,
   (char*)"V.SetNumberOfSubdivisions(int)\nC++: void SetNumberOfSubdivisions (int );\n\n Get/Set the number of subdivisions on each edge.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkArcParallelEdgeStrategyDoc[] = {
  (char*)"vtkArcParallelEdgeStrategy - routes parallel edges as arcs\n\n",
  "Super Class:\n\n vtkEdgeLayoutStrategy\n\n",
  (char*)" Parallel edges are drawn as arcs, and self-loops are drawn as ovals.\n When only one edge connects two vertices it is drawn as a straight line.\n\n",
  NULL
};

static vtkObjectBase *vtkArcParallelEdgeStrategyStaticNew()
{
  return vtkArcParallelEdgeStrategy::New();
}

PyObject *PyVTKClass_vtkArcParallelEdgeStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkArcParallelEdgeStrategyStaticNew,
                        PyvtkArcParallelEdgeStrategyMethods,
                        (char*)"vtkArcParallelEdgeStrategy",modulename,
                        (char**)vtkArcParallelEdgeStrategyDoc,
                        PyVTKClass_vtkEdgeLayoutStrategyNew(modulename));
}

