// python wrapper for vtkBivariateStatisticsAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBivariateStatisticsAlgorithm.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBivariateStatisticsAlgorithmNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBivariateStatisticsAlgorithmNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStatisticsAlgorithmNew(char *); }

static PyObject *PyvtkBivariateStatisticsAlgorithm_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateStatisticsAlgorithm *op;

  const char    *temp20;
  op = (vtkBivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBivariateStatisticsAlgorithm::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateStatisticsAlgorithm_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateStatisticsAlgorithm *op;

  char    *temp0;
  int      temp20;
  op = (vtkBivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBivariateStatisticsAlgorithm::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateStatisticsAlgorithm_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateStatisticsAlgorithm *op;

  vtkBivariateStatisticsAlgorithm  *temp20;
  op = (vtkBivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBivariateStatisticsAlgorithm::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateStatisticsAlgorithm_AddColumnPair(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateStatisticsAlgorithm *op;

  char    *temp0;
  char    *temp1;
  op = (vtkBivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateStatisticsAlgorithm::AddColumnPair(temp0,temp1);
      }
    else
      {
      op->AddColumnPair(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateStatisticsAlgorithm_RequestSelectedColumns(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateStatisticsAlgorithm *op;

  int      temp20;
  op = (vtkBivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBivariateStatisticsAlgorithm::RequestSelectedColumns();
      }
    else
      {
      temp20 = op->RequestSelectedColumns();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBivariateStatisticsAlgorithmMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBivariateStatisticsAlgorithm_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBivariateStatisticsAlgorithm_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBivariateStatisticsAlgorithm_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBivariateStatisticsAlgorithm\nC++: vtkBivariateStatisticsAlgorithm *NewInstance ();\n\n"},
  {(char*)"AddColumnPair",                (PyCFunction)PyvtkBivariateStatisticsAlgorithm_AddColumnPair, 1,
   (char*)"V.AddColumnPair(string, string)\nC++: void AddColumnPair (const char *namColX, const char *namColY);\n\n Convenience method to create a request with a single column name pair \n  (\\p namColX, \\p namColY) in a single call; this is the preferred method to select \n columns pairs, ensuring selection consistency (a pair of columns per request).\n\n Unlike SetColumnStatus(), you need not call RequestSelectedColumns() after AddColumnPair().\n\n Warning: \\p namColX and \\p namColY are only checked for their validity as strings;\n no check is made that either are valid column names.\n"},
  {(char*)"RequestSelectedColumns",                (PyCFunction)PyvtkBivariateStatisticsAlgorithm_RequestSelectedColumns, 1,
   (char*)"V.RequestSelectedColumns() -> int\nC++: virtual int RequestSelectedColumns ();\n\n Use the current column status values to produce a new request for statistics\n to be produced when RequestData() is called.\n Unlike the superclass implementation, this version adds a new request for every\n possible pairing of the selected columns\n instead of a single request containing all the columns.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBivariateStatisticsAlgorithmDoc[] = {
  (char*)"vtkBivariateStatistics - Base class for bivariate statistics \n\n",
  "Super Class:\n\n vtkStatisticsAlgorithm\n\n",
  (char*)" This class specializes statistics algorithms to the bivariate case, where\n a number of pairs of columns of interest can be selected in the input data set.\n This is done by the means of the following functions:\n\n ResetColumns() - reset the list of columns of interest.\n Add/RemoveColum( namColX, namColY ) - try to add/remove column pair ( namColX,\n namColy ) to/from the list.\n SetColumnStatus ( nam",
  (char*)"Col, status ) - mostly for UI wrapping purposes, try to \n add/remove (depending on status) namCol from a list of buffered columns, from\n which all possible pairs are generated.\n The verb \"try\" is used in the sense that neither attempting to \n repeat an existing entry nor to remove a non-existent entry will work.\n \n .SECTION Thanks\n Thanks to Philippe Pebay and David Thompson from Sandia National L",
  (char*)"aboratories \n for implementing this class.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkBivariateStatisticsAlgorithmNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkBivariateStatisticsAlgorithmMethods,
                        (char*)"vtkBivariateStatisticsAlgorithm",modulename,
                        (char**)vtkBivariateStatisticsAlgorithmDoc,
                        PyVTKClass_vtkStatisticsAlgorithmNew(modulename));
}

