// python wrapper for vtkCollapseGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCollapseGraph.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCollapseGraphNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCollapseGraphNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphAlgorithmNew(char *); }

static PyObject *PyvtkCollapseGraph_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollapseGraph *op;

  const char    *temp20;
  op = (vtkCollapseGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollapseGraph::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCollapseGraph_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollapseGraph *op;

  char    *temp0;
  int      temp20;
  op = (vtkCollapseGraph *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollapseGraph::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollapseGraph_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollapseGraph *op;

  vtkCollapseGraph  *temp20;
  op = (vtkCollapseGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollapseGraph::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollapseGraph_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCollapseGraph  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCollapseGraph::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCollapseGraph_SetGraphConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollapseGraph *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkCollapseGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCollapseGraph::SetGraphConnection(temp0);
      }
    else
      {
      op->SetGraphConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCollapseGraph_SetSelectionConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollapseGraph *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkCollapseGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkCollapseGraph::SetSelectionConnection(temp0);
      }
    else
      {
      op->SetSelectionConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkCollapseGraphMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCollapseGraph_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCollapseGraph_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCollapseGraph_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCollapseGraph\nC++: vtkCollapseGraph *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCollapseGraph_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCollapseGraph\nC++: vtkCollapseGraph *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetGraphConnection",                (PyCFunction)PyvtkCollapseGraph_SetGraphConnection, 1,
   (char*)"V.SetGraphConnection(vtkAlgorithmOutput)\nC++: void SetGraphConnection (vtkAlgorithmOutput *);\n\n"},
  {(char*)"SetSelectionConnection",                (PyCFunction)PyvtkCollapseGraph_SetSelectionConnection, 1,
   (char*)"V.SetSelectionConnection(vtkAlgorithmOutput)\nC++: void SetSelectionConnection (vtkAlgorithmOutput *);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCollapseGraphDoc[] = {
  (char*)"vtkCollapseGraph - \"Collapses\" vertices onto their neighbors.\n\n",
  "Super Class:\n\n vtkGraphAlgorithm\n\n",
  (char*)"\n vtkCollapseGraph \"collapses\" vertices onto their neighbors, while maintaining\n connectivity.  Two inputs are required - a graph (directed or undirected),\n and a vertex selection that can be converted to indices.\n\n Conceptually, each of the vertices specified in the input selection\n expands, \"swallowing\" adacent vertices.  Edges to-or-from the \"swallowed\"\n vertices become edges to-or-from the exp",
  (char*)"anding vertices, maintaining the\n overall graph connectivity.\n\n In the case of directed graphs, expanding vertices only swallow vertices that\n are connected via out edges.  This rule provides intuitive behavior when\n working with trees, so that \"child\" vertices collapse into their parents\n when the parents are part of the input selection.\n\n Input port 0: graph\n Input port 1: selection\n\n",
  NULL
};

static vtkObjectBase *vtkCollapseGraphStaticNew()
{
  return vtkCollapseGraph::New();
}

PyObject *PyVTKClass_vtkCollapseGraphNew(char *modulename)
{
  return PyVTKClass_New(&vtkCollapseGraphStaticNew,
                        PyvtkCollapseGraphMethods,
                        (char*)"vtkCollapseGraph",modulename,
                        (char**)vtkCollapseGraphDoc,
                        PyVTKClass_vtkGraphAlgorithmNew(modulename));
}

