// python wrapper for vtkCosmicTreeLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCosmicTreeLayoutStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCosmicTreeLayoutStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCosmicTreeLayoutStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphLayoutStrategyNew(char *); }

static PyObject *PyvtkCosmicTreeLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmicTreeLayoutStrategy *op;

  const char    *temp20;
  op = (vtkCosmicTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmicTreeLayoutStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmicTreeLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmicTreeLayoutStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkCosmicTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmicTreeLayoutStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmicTreeLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmicTreeLayoutStrategy *op;

  vtkCosmicTreeLayoutStrategy  *temp20;
  op = (vtkCosmicTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmicTreeLayoutStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmicTreeLayoutStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCosmicTreeLayoutStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCosmicTreeLayoutStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCosmicTreeLayoutStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmicTreeLayoutStrategy *op;

  op = (vtkCosmicTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCosmicTreeLayoutStrategy::Layout();
      }
    else
      {
      op->Layout();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmicTreeLayoutStrategy_SetSizeLeafNodesOnly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmicTreeLayoutStrategy *op;

  int      temp0;
  op = (vtkCosmicTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCosmicTreeLayoutStrategy::SetSizeLeafNodesOnly(temp0);
      }
    else
      {
      op->SetSizeLeafNodesOnly(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmicTreeLayoutStrategy_GetSizeLeafNodesOnly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmicTreeLayoutStrategy *op;

  int      temp20;
  op = (vtkCosmicTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmicTreeLayoutStrategy::GetSizeLeafNodesOnly();
      }
    else
      {
      temp20 = op->GetSizeLeafNodesOnly();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmicTreeLayoutStrategy_SizeLeafNodesOnlyOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmicTreeLayoutStrategy *op;

  op = (vtkCosmicTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCosmicTreeLayoutStrategy::SizeLeafNodesOnlyOn();
      }
    else
      {
      op->SizeLeafNodesOnlyOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmicTreeLayoutStrategy_SizeLeafNodesOnlyOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmicTreeLayoutStrategy *op;

  op = (vtkCosmicTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCosmicTreeLayoutStrategy::SizeLeafNodesOnlyOff();
      }
    else
      {
      op->SizeLeafNodesOnlyOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmicTreeLayoutStrategy_SetLayoutDepth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmicTreeLayoutStrategy *op;

  int      temp0;
  op = (vtkCosmicTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCosmicTreeLayoutStrategy::SetLayoutDepth(temp0);
      }
    else
      {
      op->SetLayoutDepth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmicTreeLayoutStrategy_GetLayoutDepth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmicTreeLayoutStrategy *op;

  int      temp20;
  op = (vtkCosmicTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmicTreeLayoutStrategy::GetLayoutDepth();
      }
    else
      {
      temp20 = op->GetLayoutDepth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmicTreeLayoutStrategy_SetLayoutRoot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmicTreeLayoutStrategy *op;

  vtkIdType   temp0;
  op = (vtkCosmicTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCosmicTreeLayoutStrategy::SetLayoutRoot(temp0);
      }
    else
      {
      op->SetLayoutRoot(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmicTreeLayoutStrategy_GetLayoutRoot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmicTreeLayoutStrategy *op;

  vtkIdType   temp20;
  op = (vtkCosmicTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmicTreeLayoutStrategy::GetLayoutRoot();
      }
    else
      {
      temp20 = op->GetLayoutRoot();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmicTreeLayoutStrategy_SetNodeSizeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmicTreeLayoutStrategy *op;

  char    *temp0;
  op = (vtkCosmicTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCosmicTreeLayoutStrategy::SetNodeSizeArrayName(temp0);
      }
    else
      {
      op->SetNodeSizeArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCosmicTreeLayoutStrategy_GetNodeSizeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCosmicTreeLayoutStrategy *op;

  char    *temp20;
  op = (vtkCosmicTreeLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCosmicTreeLayoutStrategy::GetNodeSizeArrayName();
      }
    else
      {
      temp20 = op->GetNodeSizeArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCosmicTreeLayoutStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCosmicTreeLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCosmicTreeLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCosmicTreeLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCosmicTreeLayoutStrategy\nC++: vtkCosmicTreeLayoutStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCosmicTreeLayoutStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCosmicTreeLayoutStrategy\nC++: vtkCosmicTreeLayoutStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkCosmicTreeLayoutStrategy_Layout, 1,
   (char*)"V.Layout()\nC++: virtual void Layout ();\n\n Perform the layout.\n"},
  {(char*)"SetSizeLeafNodesOnly",                (PyCFunction)PyvtkCosmicTreeLayoutStrategy_SetSizeLeafNodesOnly, 1,
   (char*)"V.SetSizeLeafNodesOnly(int)\nC++: void SetSizeLeafNodesOnly (int );\n\n Should node size specifications be obeyed at leaf nodes only or\n (with scaling as required to meet constraints) at every node in\n the tree?\n This defaults to true, so that leaf nodes are scaled according to\n the size specification provided, and the parent node sizes are\n calculated by the algorithm.\n"},
  {(char*)"GetSizeLeafNodesOnly",                (PyCFunction)PyvtkCosmicTreeLayoutStrategy_GetSizeLeafNodesOnly, 1,
   (char*)"V.GetSizeLeafNodesOnly() -> int\nC++: int GetSizeLeafNodesOnly ();\n\n Should node size specifications be obeyed at leaf nodes only or\n (with scaling as required to meet constraints) at every node in\n the tree?\n This defaults to true, so that leaf nodes are scaled according to\n the size specification provided, and the parent node sizes are\n calculated by the algorithm.\n"},
  {(char*)"SizeLeafNodesOnlyOn",                (PyCFunction)PyvtkCosmicTreeLayoutStrategy_SizeLeafNodesOnlyOn, 1,
   (char*)"V.SizeLeafNodesOnlyOn()\nC++: void SizeLeafNodesOnlyOn ();\n\n Should node size specifications be obeyed at leaf nodes only or\n (with scaling as required to meet constraints) at every node in\n the tree?\n This defaults to true, so that leaf nodes are scaled according to\n the size specification provided, and the parent node sizes are\n calculated by the algorithm.\n"},
  {(char*)"SizeLeafNodesOnlyOff",                (PyCFunction)PyvtkCosmicTreeLayoutStrategy_SizeLeafNodesOnlyOff, 1,
   (char*)"V.SizeLeafNodesOnlyOff()\nC++: void SizeLeafNodesOnlyOff ();\n\n Should node size specifications be obeyed at leaf nodes only or\n (with scaling as required to meet constraints) at every node in\n the tree?\n This defaults to true, so that leaf nodes are scaled according to\n the size specification provided, and the parent node sizes are\n calculated by the algorithm.\n"},
  {(char*)"SetLayoutDepth",                (PyCFunction)PyvtkCosmicTreeLayoutStrategy_SetLayoutDepth, 1,
   (char*)"V.SetLayoutDepth(int)\nC++: void SetLayoutDepth (int );\n\n How many levels of the tree should be laid out?\n For large trees, you may wish to set the root and maximum depth\n in order to retrieve the layout for the visible portion of the tree.\n When this value is zero or negative, all nodes below and including\n the LayoutRoot will be presented.\n This defaults to 0.\n"},
  {(char*)"GetLayoutDepth",                (PyCFunction)PyvtkCosmicTreeLayoutStrategy_GetLayoutDepth, 1,
   (char*)"V.GetLayoutDepth() -> int\nC++: int GetLayoutDepth ();\n\n How many levels of the tree should be laid out?\n For large trees, you may wish to set the root and maximum depth\n in order to retrieve the layout for the visible portion of the tree.\n When this value is zero or negative, all nodes below and including\n the LayoutRoot will be presented.\n This defaults to 0.\n"},
  {(char*)"SetLayoutRoot",                (PyCFunction)PyvtkCosmicTreeLayoutStrategy_SetLayoutRoot, 1,
   (char*)"V.SetLayoutRoot(int)\nC++: void SetLayoutRoot (vtkIdType );\n\n What is the top-most tree node to lay out?\n This node will become the largest containing circle in the layout.\n Use this in combination with SetLayoutDepth to retrieve the\n layout of a subtree of interest for rendering.\n Setting LayoutRoot to a negative number signals that the root node\n of the tree should be used as the root node of the layout.\n This defaults to -1.\n"},
  {(char*)"GetLayoutRoot",                (PyCFunction)PyvtkCosmicTreeLayoutStrategy_GetLayoutRoot, 1,
   (char*)"V.GetLayoutRoot() -> int\nC++: vtkIdType GetLayoutRoot ();\n\n What is the top-most tree node to lay out?\n This node will become the largest containing circle in the layout.\n Use this in combination with SetLayoutDepth to retrieve the\n layout of a subtree of interest for rendering.\n Setting LayoutRoot to a negative number signals that the root node\n of the tree should be used as the root node of the layout.\n This defaults to -1.\n"},
  {(char*)"SetNodeSizeArrayName",                (PyCFunction)PyvtkCosmicTreeLayoutStrategy_SetNodeSizeArrayName, 1,
   (char*)"V.SetNodeSizeArrayName(string)\nC++: void SetNodeSizeArrayName (char *);\n\n Set the array to be used for sizing nodes.\n If this is set to an empty string or NULL (the default),\n then all leaf nodes (or all nodes, when SizeLeafNodesOnly is false)\n will be assigned a unit size.\n"},
  {(char*)"GetNodeSizeArrayName",                (PyCFunction)PyvtkCosmicTreeLayoutStrategy_GetNodeSizeArrayName, 1,
   (char*)"V.GetNodeSizeArrayName() -> string\nC++: char *GetNodeSizeArrayName ();\n\n Set the array to be used for sizing nodes.\n If this is set to an empty string or NULL (the default),\n then all leaf nodes (or all nodes, when SizeLeafNodesOnly is false)\n will be assigned a unit size.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCosmicTreeLayoutStrategyDoc[] = {
  (char*)"vtkCosmicTreeLayoutStrategy - tree layout strategy reminiscent of astronomical systems\n\n",
  "Super Class:\n\n vtkGraphLayoutStrategy\n\n",
  (char*)" This layout strategy takes an input tree and places all the children of a\n node into a containing circle. The placement is such that each child\n placed can be represented with a circle tangent to the containing circle\n and (usually) 2 other children. The interior of the circle is left empty\n so that graph edges drawn on top of the tree will not obfuscate the tree.\n However, when one child is much",
  (char*)" larger than all the others, it may\n encroach on the center of the containing circle; that's OK, because it's\n large enough not to be obscured by edges drawn atop it.\n\n .SECTION Thanks\n Thanks to the galaxy and David Thompson hierarchically nested inside it\n for inspiring this layout strategy.\n\n",
  NULL
};

static vtkObjectBase *vtkCosmicTreeLayoutStrategyStaticNew()
{
  return vtkCosmicTreeLayoutStrategy::New();
}

PyObject *PyVTKClass_vtkCosmicTreeLayoutStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkCosmicTreeLayoutStrategyStaticNew,
                        PyvtkCosmicTreeLayoutStrategyMethods,
                        (char*)"vtkCosmicTreeLayoutStrategy",modulename,
                        (char**)vtkCosmicTreeLayoutStrategyDoc,
                        PyVTKClass_vtkGraphLayoutStrategyNew(modulename));
}

