// python wrapper for vtkDiagonalMatrixSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDiagonalMatrixSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDiagonalMatrixSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDiagonalMatrixSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(char *); }

static PyObject *PyvtkDiagonalMatrixSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiagonalMatrixSource *op;

  const char    *temp20;
  op = (vtkDiagonalMatrixSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiagonalMatrixSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDiagonalMatrixSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiagonalMatrixSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkDiagonalMatrixSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiagonalMatrixSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiagonalMatrixSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiagonalMatrixSource *op;

  vtkDiagonalMatrixSource  *temp20;
  op = (vtkDiagonalMatrixSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiagonalMatrixSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiagonalMatrixSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDiagonalMatrixSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDiagonalMatrixSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDiagonalMatrixSource_GetArrayType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiagonalMatrixSource *op;

  int      temp20;
  op = (vtkDiagonalMatrixSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiagonalMatrixSource::GetArrayType();
      }
    else
      {
      temp20 = op->GetArrayType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiagonalMatrixSource_SetArrayType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiagonalMatrixSource *op;

  int      temp0;
  op = (vtkDiagonalMatrixSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDiagonalMatrixSource::SetArrayType(temp0);
      }
    else
      {
      op->SetArrayType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDiagonalMatrixSource_GetExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiagonalMatrixSource *op;

  vtkIdType   temp20;
  op = (vtkDiagonalMatrixSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiagonalMatrixSource::GetExtents();
      }
    else
      {
      temp20 = op->GetExtents();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiagonalMatrixSource_SetExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiagonalMatrixSource *op;

  vtkIdType   temp0;
  op = (vtkDiagonalMatrixSource *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDiagonalMatrixSource::SetExtents(temp0);
      }
    else
      {
      op->SetExtents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDiagonalMatrixSource_GetDiagonal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiagonalMatrixSource *op;

  double   temp20;
  op = (vtkDiagonalMatrixSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiagonalMatrixSource::GetDiagonal();
      }
    else
      {
      temp20 = op->GetDiagonal();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiagonalMatrixSource_SetDiagonal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiagonalMatrixSource *op;

  double   temp0;
  op = (vtkDiagonalMatrixSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDiagonalMatrixSource::SetDiagonal(temp0);
      }
    else
      {
      op->SetDiagonal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDiagonalMatrixSource_GetSuperDiagonal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiagonalMatrixSource *op;

  double   temp20;
  op = (vtkDiagonalMatrixSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiagonalMatrixSource::GetSuperDiagonal();
      }
    else
      {
      temp20 = op->GetSuperDiagonal();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiagonalMatrixSource_SetSuperDiagonal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiagonalMatrixSource *op;

  double   temp0;
  op = (vtkDiagonalMatrixSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDiagonalMatrixSource::SetSuperDiagonal(temp0);
      }
    else
      {
      op->SetSuperDiagonal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDiagonalMatrixSource_GetSubDiagonal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiagonalMatrixSource *op;

  double   temp20;
  op = (vtkDiagonalMatrixSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiagonalMatrixSource::GetSubDiagonal();
      }
    else
      {
      temp20 = op->GetSubDiagonal();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiagonalMatrixSource_SetSubDiagonal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiagonalMatrixSource *op;

  double   temp0;
  op = (vtkDiagonalMatrixSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDiagonalMatrixSource::SetSubDiagonal(temp0);
      }
    else
      {
      op->SetSubDiagonal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDiagonalMatrixSource_GetRowLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiagonalMatrixSource *op;

  char    *temp20;
  op = (vtkDiagonalMatrixSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiagonalMatrixSource::GetRowLabel();
      }
    else
      {
      temp20 = op->GetRowLabel();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDiagonalMatrixSource_SetRowLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiagonalMatrixSource *op;

  char    *temp0;
  op = (vtkDiagonalMatrixSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDiagonalMatrixSource::SetRowLabel(temp0);
      }
    else
      {
      op->SetRowLabel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDiagonalMatrixSource_GetColumnLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiagonalMatrixSource *op;

  char    *temp20;
  op = (vtkDiagonalMatrixSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiagonalMatrixSource::GetColumnLabel();
      }
    else
      {
      temp20 = op->GetColumnLabel();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDiagonalMatrixSource_SetColumnLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiagonalMatrixSource *op;

  char    *temp0;
  op = (vtkDiagonalMatrixSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDiagonalMatrixSource::SetColumnLabel(temp0);
      }
    else
      {
      op->SetColumnLabel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDiagonalMatrixSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDiagonalMatrixSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDiagonalMatrixSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDiagonalMatrixSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDiagonalMatrixSource\nC++: vtkDiagonalMatrixSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDiagonalMatrixSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDiagonalMatrixSource\nC++: vtkDiagonalMatrixSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetArrayType",                (PyCFunction)PyvtkDiagonalMatrixSource_GetArrayType, 1,
   (char*)"V.GetArrayType() -> int\nC++: int GetArrayType ();\n\n"},
  {(char*)"SetArrayType",                (PyCFunction)PyvtkDiagonalMatrixSource_SetArrayType, 1,
   (char*)"V.SetArrayType(int)\nC++: void SetArrayType (int );\n\n"},
  {(char*)"GetExtents",                (PyCFunction)PyvtkDiagonalMatrixSource_GetExtents, 1,
   (char*)"V.GetExtents() -> int\nC++: vtkIdType GetExtents ();\n\n Stores the extents of the output matrix (which is square)\n"},
  {(char*)"SetExtents",                (PyCFunction)PyvtkDiagonalMatrixSource_SetExtents, 1,
   (char*)"V.SetExtents(int)\nC++: void SetExtents (vtkIdType );\n\n Stores the extents of the output matrix (which is square)\n"},
  {(char*)"GetDiagonal",                (PyCFunction)PyvtkDiagonalMatrixSource_GetDiagonal, 1,
   (char*)"V.GetDiagonal() -> float\nC++: double GetDiagonal ();\n\n Stores the value that will be assigned to diagonal elements (default: 1)\n"},
  {(char*)"SetDiagonal",                (PyCFunction)PyvtkDiagonalMatrixSource_SetDiagonal, 1,
   (char*)"V.SetDiagonal(float)\nC++: void SetDiagonal (double );\n\n Stores the value that will be assigned to diagonal elements (default: 1)\n"},
  {(char*)"GetSuperDiagonal",                (PyCFunction)PyvtkDiagonalMatrixSource_GetSuperDiagonal, 1,
   (char*)"V.GetSuperDiagonal() -> float\nC++: double GetSuperDiagonal ();\n\n Stores the value that will be assigned to superdiagonal elements (default: 0)\n"},
  {(char*)"SetSuperDiagonal",                (PyCFunction)PyvtkDiagonalMatrixSource_SetSuperDiagonal, 1,
   (char*)"V.SetSuperDiagonal(float)\nC++: void SetSuperDiagonal (double );\n\n Stores the value that will be assigned to superdiagonal elements (default: 0)\n"},
  {(char*)"GetSubDiagonal",                (PyCFunction)PyvtkDiagonalMatrixSource_GetSubDiagonal, 1,
   (char*)"V.GetSubDiagonal() -> float\nC++: double GetSubDiagonal ();\n\n Stores the value that will be assigned to subdiagonal elements (default: 0)\n"},
  {(char*)"SetSubDiagonal",                (PyCFunction)PyvtkDiagonalMatrixSource_SetSubDiagonal, 1,
   (char*)"V.SetSubDiagonal(float)\nC++: void SetSubDiagonal (double );\n\n Stores the value that will be assigned to subdiagonal elements (default: 0)\n"},
  {(char*)"GetRowLabel",                (PyCFunction)PyvtkDiagonalMatrixSource_GetRowLabel, 1,
   (char*)"V.GetRowLabel() -> string\nC++: char *GetRowLabel ();\n\n Controls the output matrix row dimension label.\n Default: \"rows\"\n"},
  {(char*)"SetRowLabel",                (PyCFunction)PyvtkDiagonalMatrixSource_SetRowLabel, 1,
   (char*)"V.SetRowLabel(string)\nC++: void SetRowLabel (char *);\n\n Controls the output matrix row dimension label.\n Default: \"rows\"\n"},
  {(char*)"GetColumnLabel",                (PyCFunction)PyvtkDiagonalMatrixSource_GetColumnLabel, 1,
   (char*)"V.GetColumnLabel() -> string\nC++: char *GetColumnLabel ();\n\n Controls the output matrix column dimension label.\n Default: \"columns\"\n"},
  {(char*)"SetColumnLabel",                (PyCFunction)PyvtkDiagonalMatrixSource_SetColumnLabel, 1,
   (char*)"V.SetColumnLabel(string)\nC++: void SetColumnLabel (char *);\n\n Controls the output matrix column dimension label.\n Default: \"columns\"\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDiagonalMatrixSourceDoc[] = {
  (char*)"vtkDiagonalMatrixSource - generates a sparse or dense square matrix\n\n",
  "Super Class:\n\n vtkArrayDataAlgorithm\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkDiagonalMatrixSourceStaticNew()
{
  return vtkDiagonalMatrixSource::New();
}

PyObject *PyVTKClass_vtkDiagonalMatrixSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkDiagonalMatrixSourceStaticNew,
                        PyvtkDiagonalMatrixSourceMethods,
                        (char*)"vtkDiagonalMatrixSource",modulename,
                        (char**)vtkDiagonalMatrixSourceDoc,
                        PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
}

