// python wrapper for vtkDotProductSimilarity object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDotProductSimilarity.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDotProductSimilarityNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDotProductSimilarityNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkDotProductSimilarity_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  const char    *temp20;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDotProductSimilarity::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  char    *temp0;
  int      temp20;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDotProductSimilarity::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  vtkDotProductSimilarity  *temp20;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDotProductSimilarity::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDotProductSimilarity  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDotProductSimilarity::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_GetVectorDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  vtkIdType   temp20;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDotProductSimilarity::GetVectorDimension();
      }
    else
      {
      temp20 = op->GetVectorDimension();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_SetVectorDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  vtkIdType   temp0;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDotProductSimilarity::SetVectorDimension(temp0);
      }
    else
      {
      op->SetVectorDimension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_GetUpperDiagonal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  int      temp20;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDotProductSimilarity::GetUpperDiagonal();
      }
    else
      {
      temp20 = op->GetUpperDiagonal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_SetUpperDiagonal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  int      temp0;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDotProductSimilarity::SetUpperDiagonal(temp0);
      }
    else
      {
      op->SetUpperDiagonal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_GetDiagonal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  int      temp20;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDotProductSimilarity::GetDiagonal();
      }
    else
      {
      temp20 = op->GetDiagonal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_SetDiagonal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  int      temp0;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDotProductSimilarity::SetDiagonal(temp0);
      }
    else
      {
      op->SetDiagonal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_GetLowerDiagonal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  int      temp20;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDotProductSimilarity::GetLowerDiagonal();
      }
    else
      {
      temp20 = op->GetLowerDiagonal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_SetLowerDiagonal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  int      temp0;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDotProductSimilarity::SetLowerDiagonal(temp0);
      }
    else
      {
      op->SetLowerDiagonal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_GetFirstSecond(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  int      temp20;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDotProductSimilarity::GetFirstSecond();
      }
    else
      {
      temp20 = op->GetFirstSecond();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_SetFirstSecond(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  int      temp0;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDotProductSimilarity::SetFirstSecond(temp0);
      }
    else
      {
      op->SetFirstSecond(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_GetSecondFirst(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  int      temp20;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDotProductSimilarity::GetSecondFirst();
      }
    else
      {
      temp20 = op->GetSecondFirst();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_SetSecondFirst(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  int      temp0;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDotProductSimilarity::SetSecondFirst(temp0);
      }
    else
      {
      op->SetSecondFirst(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_GetMinimumThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  double   temp20;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDotProductSimilarity::GetMinimumThreshold();
      }
    else
      {
      temp20 = op->GetMinimumThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_SetMinimumThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  double   temp0;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDotProductSimilarity::SetMinimumThreshold(temp0);
      }
    else
      {
      op->SetMinimumThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_GetMinimumCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  vtkIdType   temp20;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDotProductSimilarity::GetMinimumCount();
      }
    else
      {
      temp20 = op->GetMinimumCount();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_SetMinimumCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  vtkIdType   temp0;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDotProductSimilarity::SetMinimumCount(temp0);
      }
    else
      {
      op->SetMinimumCount(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_GetMaximumCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  vtkIdType   temp20;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDotProductSimilarity::GetMaximumCount();
      }
    else
      {
      temp20 = op->GetMaximumCount();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDotProductSimilarity_SetMaximumCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDotProductSimilarity *op;

  vtkIdType   temp0;
  op = (vtkDotProductSimilarity *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDotProductSimilarity::SetMaximumCount(temp0);
      }
    else
      {
      op->SetMaximumCount(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDotProductSimilarityMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDotProductSimilarity_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDotProductSimilarity_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDotProductSimilarity_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDotProductSimilarity\nC++: vtkDotProductSimilarity *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDotProductSimilarity_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDotProductSimilarity\nC++: vtkDotProductSimilarity *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetVectorDimension",                (PyCFunction)PyvtkDotProductSimilarity_GetVectorDimension, 1,
   (char*)"V.GetVectorDimension() -> int\nC++: vtkIdType GetVectorDimension ();\n\n Controls whether to compute similarities for row-vectors or column-vectors.\n 0 = rows, 1 = columns.\n"},
  {(char*)"SetVectorDimension",                (PyCFunction)PyvtkDotProductSimilarity_SetVectorDimension, 1,
   (char*)"V.SetVectorDimension(int)\nC++: void SetVectorDimension (vtkIdType );\n\n Controls whether to compute similarities for row-vectors or column-vectors.\n 0 = rows, 1 = columns.\n"},
  {(char*)"GetUpperDiagonal",                (PyCFunction)PyvtkDotProductSimilarity_GetUpperDiagonal, 1,
   (char*)"V.GetUpperDiagonal() -> int\nC++: int GetUpperDiagonal ();\n\n When computing similarities for a single input matrix, controls whether the\n results will include the upper diagonal of the similarity matrix.  Default: true.\n"},
  {(char*)"SetUpperDiagonal",                (PyCFunction)PyvtkDotProductSimilarity_SetUpperDiagonal, 1,
   (char*)"V.SetUpperDiagonal(int)\nC++: void SetUpperDiagonal (int );\n\n When computing similarities for a single input matrix, controls whether the\n results will include the upper diagonal of the similarity matrix.  Default: true.\n"},
  {(char*)"GetDiagonal",                (PyCFunction)PyvtkDotProductSimilarity_GetDiagonal, 1,
   (char*)"V.GetDiagonal() -> int\nC++: int GetDiagonal ();\n\n When computing similarities for a single input matrix, controls whether the\n results will include the diagonal of the similarity matrix.  Default: false.\n"},
  {(char*)"SetDiagonal",                (PyCFunction)PyvtkDotProductSimilarity_SetDiagonal, 1,
   (char*)"V.SetDiagonal(int)\nC++: void SetDiagonal (int );\n\n When computing similarities for a single input matrix, controls whether the\n results will include the diagonal of the similarity matrix.  Default: false.\n"},
  {(char*)"GetLowerDiagonal",                (PyCFunction)PyvtkDotProductSimilarity_GetLowerDiagonal, 1,
   (char*)"V.GetLowerDiagonal() -> int\nC++: int GetLowerDiagonal ();\n\n When computing similarities for a single input matrix, controls whether the\n results will include the lower diagonal of the similarity matrix.  Default: false.\n"},
  {(char*)"SetLowerDiagonal",                (PyCFunction)PyvtkDotProductSimilarity_SetLowerDiagonal, 1,
   (char*)"V.SetLowerDiagonal(int)\nC++: void SetLowerDiagonal (int );\n\n When computing similarities for a single input matrix, controls whether the\n results will include the lower diagonal of the similarity matrix.  Default: false.\n"},
  {(char*)"GetFirstSecond",                (PyCFunction)PyvtkDotProductSimilarity_GetFirstSecond, 1,
   (char*)"V.GetFirstSecond() -> int\nC++: int GetFirstSecond ();\n\n When computing similarities for two input matrices, controls whether the results\n will include comparisons from the first matrix to the second matrix.\n"},
  {(char*)"SetFirstSecond",                (PyCFunction)PyvtkDotProductSimilarity_SetFirstSecond, 1,
   (char*)"V.SetFirstSecond(int)\nC++: void SetFirstSecond (int );\n\n When computing similarities for two input matrices, controls whether the results\n will include comparisons from the first matrix to the second matrix.\n"},
  {(char*)"GetSecondFirst",                (PyCFunction)PyvtkDotProductSimilarity_GetSecondFirst, 1,
   (char*)"V.GetSecondFirst() -> int\nC++: int GetSecondFirst ();\n\n When computing similarities for two input matrices, controls whether the results\n will include comparisons from the second matrix to the first matrix.\n"},
  {(char*)"SetSecondFirst",                (PyCFunction)PyvtkDotProductSimilarity_SetSecondFirst, 1,
   (char*)"V.SetSecondFirst(int)\nC++: void SetSecondFirst (int );\n\n When computing similarities for two input matrices, controls whether the results\n will include comparisons from the second matrix to the first matrix.\n"},
  {(char*)"GetMinimumThreshold",                (PyCFunction)PyvtkDotProductSimilarity_GetMinimumThreshold, 1,
   (char*)"V.GetMinimumThreshold() -> float\nC++: double GetMinimumThreshold ();\n\n Specifies a minimum threshold that a similarity must exceed to be included in\n the output.\n"},
  {(char*)"SetMinimumThreshold",                (PyCFunction)PyvtkDotProductSimilarity_SetMinimumThreshold, 1,
   (char*)"V.SetMinimumThreshold(float)\nC++: void SetMinimumThreshold (double );\n\n Specifies a minimum threshold that a similarity must exceed to be included in\n the output.\n"},
  {(char*)"GetMinimumCount",                (PyCFunction)PyvtkDotProductSimilarity_GetMinimumCount, 1,
   (char*)"V.GetMinimumCount() -> int\nC++: vtkIdType GetMinimumCount ();\n\n Specifies a minimum number of edges to include for each vector.\n"},
  {(char*)"SetMinimumCount",                (PyCFunction)PyvtkDotProductSimilarity_SetMinimumCount, 1,
   (char*)"V.SetMinimumCount(int)\nC++: void SetMinimumCount (vtkIdType );\n\n Specifies a minimum number of edges to include for each vector.\n"},
  {(char*)"GetMaximumCount",                (PyCFunction)PyvtkDotProductSimilarity_GetMaximumCount, 1,
   (char*)"V.GetMaximumCount() -> int\nC++: vtkIdType GetMaximumCount ();\n\n Specifies a maximum number of edges to include for each vector.\n"},
  {(char*)"SetMaximumCount",                (PyCFunction)PyvtkDotProductSimilarity_SetMaximumCount, 1,
   (char*)"V.SetMaximumCount(int)\nC++: void SetMaximumCount (vtkIdType );\n\n Specifies a maximum number of edges to include for each vector.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDotProductSimilarityDoc[] = {
  (char*)"vtkDotProductSimilarity - compute dot-product similarity metrics.\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" Treats matrices as collections of vectors and computes dot-product similarity\n metrics between vectors.\n\n The results are returned as an edge-table that lists the index of each vector\n and their computed similarity.  The output edge-table is typically used with\n vtkTableToGraph to create a similarity graph.\n\n This filter can be used with one or two input matrices.  If you provide a single\n matrix",
  (char*)" as input, every vector in the matrix is compared with every other vector. If\n you provide two matrices, every vector in the first matrix is compared with every\n vector in the second matrix.\n\n Note that this filter *only* computes the dot-product between each pair of vectors;\n if you want to compute the cosine of the angles between vectors, you will need to\n normalize the inputs yourself.\n\n Inputs",
  (char*)":\n   Input port 0: (required) A vtkDenseArray<double> with two dimensions (a matrix).\n   Input port 1: (optional) A vtkDenseArray<double> with two dimensions (a matrix).\n\n Outputs:\n   Output port 0: A vtkTable containing \"source\", \"target\", and \"similarity\" columns.\n\n\n",
  "Caveats:\n\n Note that the complexity of this filter is quadratic!  It also requires dense arrays\n as input, in the future it should be generalized to accept sparse arrays.\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkDotProductSimilarityStaticNew()
{
  return vtkDotProductSimilarity::New();
}

PyObject *PyVTKClass_vtkDotProductSimilarityNew(char *modulename)
{
  return PyVTKClass_New(&vtkDotProductSimilarityStaticNew,
                        PyvtkDotProductSimilarityMethods,
                        (char*)"vtkDotProductSimilarity",modulename,
                        (char**)vtkDotProductSimilarityDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

