// python wrapper for vtkGenerateIndexArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGenerateIndexArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenerateIndexArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenerateIndexArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(char *); }

static PyObject *PyvtkGenerateIndexArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenerateIndexArray *op;

  const char    *temp20;
  op = (vtkGenerateIndexArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenerateIndexArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenerateIndexArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenerateIndexArray *op;

  char    *temp0;
  int      temp20;
  op = (vtkGenerateIndexArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenerateIndexArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenerateIndexArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenerateIndexArray *op;

  vtkGenerateIndexArray  *temp20;
  op = (vtkGenerateIndexArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenerateIndexArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenerateIndexArray_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGenerateIndexArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGenerateIndexArray::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGenerateIndexArray_SetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenerateIndexArray *op;

  char    *temp0;
  op = (vtkGenerateIndexArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenerateIndexArray::SetArrayName(temp0);
      }
    else
      {
      op->SetArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenerateIndexArray_GetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenerateIndexArray *op;

  char    *temp20;
  op = (vtkGenerateIndexArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenerateIndexArray::GetArrayName();
      }
    else
      {
      temp20 = op->GetArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenerateIndexArray_SetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenerateIndexArray *op;

  int      temp0;
  op = (vtkGenerateIndexArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenerateIndexArray::SetFieldType(temp0);
      }
    else
      {
      op->SetFieldType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenerateIndexArray_GetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenerateIndexArray *op;

  int      temp20;
  op = (vtkGenerateIndexArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenerateIndexArray::GetFieldType();
      }
    else
      {
      temp20 = op->GetFieldType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenerateIndexArray_SetReferenceArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenerateIndexArray *op;

  char    *temp0;
  op = (vtkGenerateIndexArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenerateIndexArray::SetReferenceArrayName(temp0);
      }
    else
      {
      op->SetReferenceArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenerateIndexArray_GetReferenceArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenerateIndexArray *op;

  char    *temp20;
  op = (vtkGenerateIndexArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenerateIndexArray::GetReferenceArrayName();
      }
    else
      {
      temp20 = op->GetReferenceArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenerateIndexArray_SetPedigreeID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenerateIndexArray *op;

  int      temp0;
  op = (vtkGenerateIndexArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenerateIndexArray::SetPedigreeID(temp0);
      }
    else
      {
      op->SetPedigreeID(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenerateIndexArray_GetPedigreeID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenerateIndexArray *op;

  int      temp20;
  op = (vtkGenerateIndexArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenerateIndexArray::GetPedigreeID();
      }
    else
      {
      temp20 = op->GetPedigreeID();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGenerateIndexArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenerateIndexArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenerateIndexArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenerateIndexArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenerateIndexArray\nC++: vtkGenerateIndexArray *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGenerateIndexArray_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGenerateIndexArray\nC++: vtkGenerateIndexArray *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetArrayName",                (PyCFunction)PyvtkGenerateIndexArray_SetArrayName, 1,
   (char*)"V.SetArrayName(string)\nC++: void SetArrayName (char *);\n\n Control the output index array name.  Default: \"index\". \n"},
  {(char*)"GetArrayName",                (PyCFunction)PyvtkGenerateIndexArray_GetArrayName, 1,
   (char*)"V.GetArrayName() -> string\nC++: char *GetArrayName ();\n\n Control the output index array name.  Default: \"index\". \n"},
  {(char*)"SetFieldType",                (PyCFunction)PyvtkGenerateIndexArray_SetFieldType, 1,
   (char*)"V.SetFieldType(int)\nC++: void SetFieldType (int );\n\n Control the location where the index array will be stored.\n"},
  {(char*)"GetFieldType",                (PyCFunction)PyvtkGenerateIndexArray_GetFieldType, 1,
   (char*)"V.GetFieldType() -> int\nC++: int GetFieldType ();\n\n Control the location where the index array will be stored.\n"},
  {(char*)"SetReferenceArrayName",                (PyCFunction)PyvtkGenerateIndexArray_SetReferenceArrayName, 1,
   (char*)"V.SetReferenceArrayName(string)\nC++: void SetReferenceArrayName (char *);\n\n Specifies an optional reference array for index-generation.\n"},
  {(char*)"GetReferenceArrayName",                (PyCFunction)PyvtkGenerateIndexArray_GetReferenceArrayName, 1,
   (char*)"V.GetReferenceArrayName() -> string\nC++: char *GetReferenceArrayName ();\n\n Specifies an optional reference array for index-generation.\n"},
  {(char*)"SetPedigreeID",                (PyCFunction)PyvtkGenerateIndexArray_SetPedigreeID, 1,
   (char*)"V.SetPedigreeID(int)\nC++: void SetPedigreeID (int );\n\n Specifies whether the index array should be marked as\n pedigree ids.  Default: false.\n"},
  {(char*)"GetPedigreeID",                (PyCFunction)PyvtkGenerateIndexArray_GetPedigreeID, 1,
   (char*)"V.GetPedigreeID() -> int\nC++: int GetPedigreeID ();\n\n Specifies whether the index array should be marked as\n pedigree ids.  Default: false.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenerateIndexArrayDoc[] = {
  (char*)"vtkGenerateIndexArray\n\n",
  "Super Class:\n\n vtkDataObjectAlgorithm\n\n",
  (char*)" Generates a new vtkIdTypeArray containing zero-base indices.\n\n vtkGenerateIndexArray operates in one of two distinct \"modes\".\n By default, it simply generates an index array containing\n monotonically-increasing integers in the range [0, N), where N\n is appropriately sized for the field type that will store the\n results.  This mode is useful for generating a unique ID field\n for datasets that have",
  (char*)" none.\n\n The second \"mode\" uses an existing array from the input data\n object as a \"reference\".  Distinct values from the reference\n array are sorted in ascending order, and an integer index in\n the range [0, N) is assigned to each.  The resulting map is\n used to populate the output index array, mapping each value\n in the reference array to its corresponding index and storing\n the result in the ou",
  (char*)"tput array.  This mode is especially\n useful when generating tensors, since it allows us to \"map\"\n from an array with arbitrary contents to an index that can\n be used as tensor coordinates.\n\n",
  NULL
};

static vtkObjectBase *vtkGenerateIndexArrayStaticNew()
{
  return vtkGenerateIndexArray::New();
}

PyObject *PyVTKClass_vtkGenerateIndexArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkGenerateIndexArrayStaticNew,
                        PyvtkGenerateIndexArrayMethods,
                        (char*)"vtkGenerateIndexArray",modulename,
                        (char**)vtkGenerateIndexArrayDoc,
                        PyVTKClass_vtkDataObjectAlgorithmNew(modulename));
}

