// python wrapper for vtkGeoEdgeStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoEdgeStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoEdgeStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoEdgeStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkEdgeLayoutStrategyNew(char *); }

static PyObject *PyvtkGeoEdgeStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoEdgeStrategy *op;

  const char    *temp20;
  op = (vtkGeoEdgeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoEdgeStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoEdgeStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoEdgeStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoEdgeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoEdgeStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoEdgeStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoEdgeStrategy *op;

  vtkGeoEdgeStrategy  *temp20;
  op = (vtkGeoEdgeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoEdgeStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoEdgeStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoEdgeStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoEdgeStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoEdgeStrategy_SetGlobeRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoEdgeStrategy *op;

  double   temp0;
  op = (vtkGeoEdgeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoEdgeStrategy::SetGlobeRadius(temp0);
      }
    else
      {
      op->SetGlobeRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoEdgeStrategy_GetGlobeRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoEdgeStrategy *op;

  double   temp20;
  op = (vtkGeoEdgeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoEdgeStrategy::GetGlobeRadius();
      }
    else
      {
      temp20 = op->GetGlobeRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoEdgeStrategy_SetExplodeFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoEdgeStrategy *op;

  double   temp0;
  op = (vtkGeoEdgeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoEdgeStrategy::SetExplodeFactor(temp0);
      }
    else
      {
      op->SetExplodeFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoEdgeStrategy_GetExplodeFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoEdgeStrategy *op;

  double   temp20;
  op = (vtkGeoEdgeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoEdgeStrategy::GetExplodeFactor();
      }
    else
      {
      temp20 = op->GetExplodeFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoEdgeStrategy_SetNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoEdgeStrategy *op;

  int      temp0;
  op = (vtkGeoEdgeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoEdgeStrategy::SetNumberOfSubdivisions(temp0);
      }
    else
      {
      op->SetNumberOfSubdivisions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoEdgeStrategy_GetNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoEdgeStrategy *op;

  int      temp20;
  op = (vtkGeoEdgeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoEdgeStrategy::GetNumberOfSubdivisions();
      }
    else
      {
      temp20 = op->GetNumberOfSubdivisions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoEdgeStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoEdgeStrategy *op;

  op = (vtkGeoEdgeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoEdgeStrategy::Layout();
      }
    else
      {
      op->Layout();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoEdgeStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoEdgeStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoEdgeStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoEdgeStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoEdgeStrategy\nC++: vtkGeoEdgeStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoEdgeStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoEdgeStrategy\nC++: vtkGeoEdgeStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetGlobeRadius",                (PyCFunction)PyvtkGeoEdgeStrategy_SetGlobeRadius, 1,
   (char*)"V.SetGlobeRadius(float)\nC++: void SetGlobeRadius (double );\n\n The base radius used to determine the earth's surface.\n Default is the earth's radius in meters.\n TODO: Change this to take in a vtkGeoTerrain to get altitude.\n"},
  {(char*)"GetGlobeRadius",                (PyCFunction)PyvtkGeoEdgeStrategy_GetGlobeRadius, 1,
   (char*)"V.GetGlobeRadius() -> float\nC++: double GetGlobeRadius ();\n\n The base radius used to determine the earth's surface.\n Default is the earth's radius in meters.\n TODO: Change this to take in a vtkGeoTerrain to get altitude.\n"},
  {(char*)"SetExplodeFactor",                (PyCFunction)PyvtkGeoEdgeStrategy_SetExplodeFactor, 1,
   (char*)"V.SetExplodeFactor(float)\nC++: void SetExplodeFactor (double );\n\n Factor on which to \"explode\" the arcs away from the surface.\n A value of 0.0 keeps the values on the surface.\n Values larger than 0.0 push the arcs away from the surface by a distance\n proportional to the distance between the points.\n The default is 0.2.\n"},
  {(char*)"GetExplodeFactor",                (PyCFunction)PyvtkGeoEdgeStrategy_GetExplodeFactor, 1,
   (char*)"V.GetExplodeFactor() -> float\nC++: double GetExplodeFactor ();\n\n Factor on which to \"explode\" the arcs away from the surface.\n A value of 0.0 keeps the values on the surface.\n Values larger than 0.0 push the arcs away from the surface by a distance\n proportional to the distance between the points.\n The default is 0.2.\n"},
  {(char*)"SetNumberOfSubdivisions",                (PyCFunction)PyvtkGeoEdgeStrategy_SetNumberOfSubdivisions, 1,
   (char*)"V.SetNumberOfSubdivisions(int)\nC++: void SetNumberOfSubdivisions (int );\n\n The number of subdivisions in the arc.\n The default is 20.\n"},
  {(char*)"GetNumberOfSubdivisions",                (PyCFunction)PyvtkGeoEdgeStrategy_GetNumberOfSubdivisions, 1,
   (char*)"V.GetNumberOfSubdivisions() -> int\nC++: int GetNumberOfSubdivisions ();\n\n The number of subdivisions in the arc.\n The default is 20.\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkGeoEdgeStrategy_Layout, 1,
   (char*)"V.Layout()\nC++: virtual void Layout ();\n\n Perform the layout.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoEdgeStrategyDoc[] = {
  (char*)"vtkGeoEdgeStrategy - Layout graph edges on a globe as arcs.\n\n",
  "Super Class:\n\n vtkEdgeLayoutStrategy\n\n",
  (char*)" vtkGeoEdgeStrategy produces arcs for each edge in the input graph.\n This is useful for viewing lines on a sphere (e.g. the earth).\n The arcs may \"jump\" above the sphere's surface using ExplodeFactor.\n\n",
  NULL
};

static vtkObjectBase *vtkGeoEdgeStrategyStaticNew()
{
  return vtkGeoEdgeStrategy::New();
}

PyObject *PyVTKClass_vtkGeoEdgeStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoEdgeStrategyStaticNew,
                        PyvtkGeoEdgeStrategyMethods,
                        (char*)"vtkGeoEdgeStrategy",modulename,
                        (char**)vtkGeoEdgeStrategyDoc,
                        PyVTKClass_vtkEdgeLayoutStrategyNew(modulename));
}

