// python wrapper for vtkMatricizeArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMatricizeArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMatricizeArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMatricizeArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(char *); }

static PyObject *PyvtkMatricizeArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatricizeArray *op;

  const char    *temp20;
  op = (vtkMatricizeArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatricizeArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMatricizeArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatricizeArray *op;

  char    *temp0;
  int      temp20;
  op = (vtkMatricizeArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatricizeArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatricizeArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatricizeArray *op;

  vtkMatricizeArray  *temp20;
  op = (vtkMatricizeArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatricizeArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatricizeArray_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMatricizeArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMatricizeArray::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMatricizeArray_GetSliceDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatricizeArray *op;

  vtkIdType   temp20;
  op = (vtkMatricizeArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatricizeArray::GetSliceDimension();
      }
    else
      {
      temp20 = op->GetSliceDimension();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatricizeArray_SetSliceDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatricizeArray *op;

  vtkIdType   temp0;
  op = (vtkMatricizeArray *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMatricizeArray::SetSliceDimension(temp0);
      }
    else
      {
      op->SetSliceDimension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMatricizeArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMatricizeArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMatricizeArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMatricizeArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMatricizeArray\nC++: vtkMatricizeArray *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMatricizeArray_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMatricizeArray\nC++: vtkMatricizeArray *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetSliceDimension",                (PyCFunction)PyvtkMatricizeArray_GetSliceDimension, 1,
   (char*)"V.GetSliceDimension() -> int\nC++: vtkIdType GetSliceDimension ();\n\n Returns the 0-numbered dimension that will be mapped to columns in the output\n"},
  {(char*)"SetSliceDimension",                (PyCFunction)PyvtkMatricizeArray_SetSliceDimension, 1,
   (char*)"V.SetSliceDimension(int)\nC++: void SetSliceDimension (vtkIdType );\n\n Sets the 0-numbered dimension that will be mapped to columns in the output\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMatricizeArrayDoc[] = {
  (char*)"vtkMatricizeArray - Convert an array of arbitrary dimensions to a\n\n",
  "Super Class:\n\n vtkArrayDataAlgorithm\n\n",
  (char*)" Given a sparse input array of arbitrary dimension, creates a sparse output\n matrix (vtkSparseArray<double>) where each column is a slice along an\n arbitrary dimension from the source.\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkMatricizeArrayStaticNew()
{
  return vtkMatricizeArray::New();
}

PyObject *PyVTKClass_vtkMatricizeArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkMatricizeArrayStaticNew,
                        PyvtkMatricizeArrayMethods,
                        (char*)"vtkMatricizeArray",modulename,
                        (char**)vtkMatricizeArrayDoc,
                        PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
}

