// python wrapper for vtkPCAStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPCAStatistics.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPCAStatisticsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPCAStatisticsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMultiCorrelativeStatisticsNew(char *); }

static PyObject *PyvtkPCAStatistics_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAStatistics *op;

  const char    *temp20;
  op = (vtkPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCAStatistics::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAStatistics_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAStatistics *op;

  char    *temp0;
  int      temp20;
  op = (vtkPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCAStatistics::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAStatistics_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAStatistics *op;

  vtkPCAStatistics  *temp20;
  op = (vtkPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCAStatistics::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAStatistics_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPCAStatistics  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPCAStatistics::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPCAStatistics_SetNormalizationScheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAStatistics *op;

  int      temp0;
  op = (vtkPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCAStatistics::SetNormalizationScheme(temp0);
      }
    else
      {
      op->SetNormalizationScheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAStatistics_GetNormalizationScheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAStatistics *op;

  int      temp20;
  op = (vtkPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCAStatistics::GetNormalizationScheme();
      }
    else
      {
      temp20 = op->GetNormalizationScheme();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAStatistics_SetNormalizationSchemeByName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAStatistics *op;

  char    *temp0;
  op = (vtkPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCAStatistics::SetNormalizationSchemeByName(temp0);
      }
    else
      {
      op->SetNormalizationSchemeByName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAStatistics_GetNormalizationSchemeName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAStatistics *op;

  int      temp0;
  const char    *temp20;
  op = (vtkPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCAStatistics::GetNormalizationSchemeName(temp0);
      }
    else
      {
      temp20 = op->GetNormalizationSchemeName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAStatistics_GetSpecifiedNormalization(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAStatistics *op;

  vtkTable  *temp20;
  op = (vtkPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCAStatistics::GetSpecifiedNormalization();
      }
    else
      {
      temp20 = op->GetSpecifiedNormalization();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAStatistics_SetSpecifiedNormalization(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAStatistics *op;

  vtkTable  *temp0;
  PyObject *tempH0;
  op = (vtkPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTable");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkPCAStatistics::SetSpecifiedNormalization(temp0);
      }
    else
      {
      op->SetSpecifiedNormalization(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkPCAStatistics_SetBasisScheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAStatistics *op;

  int      temp0;
  op = (vtkPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCAStatistics::SetBasisScheme(temp0);
      }
    else
      {
      op->SetBasisScheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAStatistics_GetBasisScheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAStatistics *op;

  int      temp20;
  op = (vtkPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCAStatistics::GetBasisScheme();
      }
    else
      {
      temp20 = op->GetBasisScheme();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAStatistics_GetBasisSchemeName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAStatistics *op;

  int      temp0;
  const char    *temp20;
  op = (vtkPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCAStatistics::GetBasisSchemeName(temp0);
      }
    else
      {
      temp20 = op->GetBasisSchemeName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAStatistics_SetBasisSchemeByName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAStatistics *op;

  char    *temp0;
  op = (vtkPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCAStatistics::SetBasisSchemeByName(temp0);
      }
    else
      {
      op->SetBasisSchemeByName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAStatistics_SetFixedBasisSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAStatistics *op;

  int      temp0;
  op = (vtkPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCAStatistics::SetFixedBasisSize(temp0);
      }
    else
      {
      op->SetFixedBasisSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAStatistics_GetFixedBasisSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAStatistics *op;

  int      temp20;
  op = (vtkPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCAStatistics::GetFixedBasisSize();
      }
    else
      {
      temp20 = op->GetFixedBasisSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAStatistics_SetFixedBasisEnergy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAStatistics *op;

  double   temp0;
  op = (vtkPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCAStatistics::SetFixedBasisEnergy(temp0);
      }
    else
      {
      op->SetFixedBasisEnergy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAStatistics_GetFixedBasisEnergyMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAStatistics *op;

  double   temp20;
  op = (vtkPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCAStatistics::GetFixedBasisEnergyMinValue();
      }
    else
      {
      temp20 = op->GetFixedBasisEnergyMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAStatistics_GetFixedBasisEnergyMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAStatistics *op;

  double   temp20;
  op = (vtkPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCAStatistics::GetFixedBasisEnergyMaxValue();
      }
    else
      {
      temp20 = op->GetFixedBasisEnergyMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAStatistics_GetFixedBasisEnergy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAStatistics *op;

  double   temp20;
  op = (vtkPCAStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCAStatistics::GetFixedBasisEnergy();
      }
    else
      {
      temp20 = op->GetFixedBasisEnergy();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPCAStatisticsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPCAStatistics_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPCAStatistics_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPCAStatistics_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPCAStatistics\nC++: vtkPCAStatistics *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPCAStatistics_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPCAStatistics\nC++: vtkPCAStatistics *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetNormalizationScheme",                (PyCFunction)PyvtkPCAStatistics_SetNormalizationScheme, 1,
   (char*)"V.SetNormalizationScheme(int)\nC++: void SetNormalizationScheme (int );\n\n This determines how (or if) the covariance matrix \\a cov is normalized before PCA.\n\n When set to NONE, no normalization is performed. This is the default.\n\n When set to TRIANGLE_SPECIFIED, each entry cov(i,j) is divided by V(i,j).\n The list V of normalization factors must be set using the SetNormalization method\n before the filter is executed.\n\n When set to DIAGONAL_SPECIFIED, each entry cov(i,j) is divided by sqrt(V(i)*V(j)).\n The list V of normalization factors must be set using the SetNormalization method\n before the filter is executed.\n\n When set to DIAGONAL_VARIANCE, each entry cov(i,j) is divided by sqrt(cov(i,i)*cov(j,j)).\n <b>Warning</b>: Although this is accepted practice in some fields,\n some people think you should not turn this option on unless there\n is a good physically-based reason for doing so. Much better instead\n to determine how component magnitudes should be compared using\n physical reasoning and use DIAGONAL_SPECIFIED, TRIANG ...\n [Truncated]\n"},
  {(char*)"GetNormalizationScheme",                (PyCFunction)PyvtkPCAStatistics_GetNormalizationScheme, 1,
   (char*)"V.GetNormalizationScheme() -> int\nC++: int GetNormalizationScheme ();\n\n This determines how (or if) the covariance matrix \\a cov is normalized before PCA.\n\n When set to NONE, no normalization is performed. This is the default.\n\n When set to TRIANGLE_SPECIFIED, each entry cov(i,j) is divided by V(i,j).\n The list V of normalization factors must be set using the SetNormalization method\n before the filter is executed.\n\n When set to DIAGONAL_SPECIFIED, each entry cov(i,j) is divided by sqrt(V(i)*V(j)).\n The list V of normalization factors must be set using the SetNormalization method\n before the filter is executed.\n\n When set to DIAGONAL_VARIANCE, each entry cov(i,j) is divided by sqrt(cov(i,i)*cov(j,j)).\n <b>Warning</b>: Although this is accepted practice in some fields,\n some people think you should not turn this option on unless there\n is a good physically-based reason for doing so. Much better instead\n to determine how component magnitudes should be compared using\n physical reasoning and use DIAGONAL_SPECIFIED, TRIANG ...\n [Truncated]\n"},
  {(char*)"SetNormalizationSchemeByName",                (PyCFunction)PyvtkPCAStatistics_SetNormalizationSchemeByName, 1,
   (char*)"V.SetNormalizationSchemeByName(string)\nC++: virtual void SetNormalizationSchemeByName (const char *sname);\n\n This determines how (or if) the covariance matrix \\a cov is normalized before PCA.\n\n When set to NONE, no normalization is performed. This is the default.\n\n When set to TRIANGLE_SPECIFIED, each entry cov(i,j) is divided by V(i,j).\n The list V of normalization factors must be set using the SetNormalization method\n before the filter is executed.\n\n When set to DIAGONAL_SPECIFIED, each entry cov(i,j) is divided by sqrt(V(i)*V(j)).\n The list V of normalization factors must be set using the SetNormalization method\n before the filter is executed.\n\n When set to DIAGONAL_VARIANCE, each entry cov(i,j) is divided by sqrt(cov(i,i)*cov(j,j)).\n <b>Warning</b>: Although this is accepted practice in some fields,\n some people think you should not turn this option on unless there\n is a good physically-based reason for doing so. Much better instead\n to determine how component magnitudes should be compared using\n physical reasoning and use DIAGONAL_SPECIFIED, TRIANG ...\n [Truncated]\n"},
  {(char*)"GetNormalizationSchemeName",                (PyCFunction)PyvtkPCAStatistics_GetNormalizationSchemeName, 1,
   (char*)"V.GetNormalizationSchemeName(int) -> string\nC++: virtual const char *GetNormalizationSchemeName (int scheme);\n\n This determines how (or if) the covariance matrix \\a cov is normalized before PCA.\n\n When set to NONE, no normalization is performed. This is the default.\n\n When set to TRIANGLE_SPECIFIED, each entry cov(i,j) is divided by V(i,j).\n The list V of normalization factors must be set using the SetNormalization method\n before the filter is executed.\n\n When set to DIAGONAL_SPECIFIED, each entry cov(i,j) is divided by sqrt(V(i)*V(j)).\n The list V of normalization factors must be set using the SetNormalization method\n before the filter is executed.\n\n When set to DIAGONAL_VARIANCE, each entry cov(i,j) is divided by sqrt(cov(i,i)*cov(j,j)).\n <b>Warning</b>: Although this is accepted practice in some fields,\n some people think you should not turn this option on unless there\n is a good physically-based reason for doing so. Much better instead\n to determine how component magnitudes should be compared using\n physical reasoning and use DIAGONAL_SPECIFIED, TRIANG ...\n [Truncated]\n"},
  {(char*)"GetSpecifiedNormalization",                (PyCFunction)PyvtkPCAStatistics_GetSpecifiedNormalization, 1,
   (char*)"V.GetSpecifiedNormalization() -> vtkTable\nC++: virtual vtkTable *GetSpecifiedNormalization ();\n\n These methods allow you to set/get values used to normalize the covariance matrix before PCA.\n The normalization values apply to all requests, so you do not specify a single\n vector but a 3-column table.\n\n The first two columns contain the names of columns from input 0 and the third column contains\n the value to normalize the corresponding entry in the covariance matrix.\n The table must always have 3 columns even when the NormalizationScheme is DIAGONAL_SPECIFIED.\n When only diagonal entries are to be used, only table rows where the first two columns are\n identical to one another will be employed.\n If there are multiple rows specifying different values for the same pair of columns,\n the entry nearest the bottom of the table takes precedence.\n\n These functions are actually convenience methods that set/get the third input of the filter.\n Because the table is the third input, you may use other filters to produce a table of\n normalizations and have the p ...\n [Truncated]\n"},
  {(char*)"SetSpecifiedNormalization",                (PyCFunction)PyvtkPCAStatistics_SetSpecifiedNormalization, 1,
   (char*)"V.SetSpecifiedNormalization(vtkTable)\nC++: virtual void SetSpecifiedNormalization (vtkTable *);\n\n These methods allow you to set/get values used to normalize the covariance matrix before PCA.\n The normalization values apply to all requests, so you do not specify a single\n vector but a 3-column table.\n\n The first two columns contain the names of columns from input 0 and the third column contains\n the value to normalize the corresponding entry in the covariance matrix.\n The table must always have 3 columns even when the NormalizationScheme is DIAGONAL_SPECIFIED.\n When only diagonal entries are to be used, only table rows where the first two columns are\n identical to one another will be employed.\n If there are multiple rows specifying different values for the same pair of columns,\n the entry nearest the bottom of the table takes precedence.\n\n These functions are actually convenience methods that set/get the third input of the filter.\n Because the table is the third input, you may use other filters to produce a table of\n normalizations and have the p ...\n [Truncated]\n"},
  {(char*)"SetBasisScheme",                (PyCFunction)PyvtkPCAStatistics_SetBasisScheme, 1,
   (char*)"V.SetBasisScheme(int)\nC++: void SetBasisScheme (int );\n\n This variable controls the dimensionality of output tuples in Assess mode.\n Consider the case where you have requested a PCA on D columns.\n\n When set to vtkPCAStatistics::FULL_BASIS, the entire set of basis vectors\n is used to derive new coordinates for each tuple being assessed.\n In this mode, you are guaranteed to have output tuples of the same dimension\n as the input tuples. (That dimension is D, so there will be D additional\n columns added to the table for the request.)\n\n When set to vtkPCAStatistics::FIXED_BASIS_SIZE, only the first N basis vectors\n are used to derive new coordinates for each tuple being assessed.\n In this mode, you are guaranteed to have output tuples of dimension min(N,D).\n You must set N prior to assessing data using the SetFixedBasisSize() method.\n When N < D, this turns the PCA into a projection (instead of change of basis).\n\n When set to vtkPCAStatistics::FIXED_BASIS_ENERGY, the number of basis vectors\n used to derive ne ...\n [Truncated]\n"},
  {(char*)"GetBasisScheme",                (PyCFunction)PyvtkPCAStatistics_GetBasisScheme, 1,
   (char*)"V.GetBasisScheme() -> int\nC++: int GetBasisScheme ();\n\n This variable controls the dimensionality of output tuples in Assess mode.\n Consider the case where you have requested a PCA on D columns.\n\n When set to vtkPCAStatistics::FULL_BASIS, the entire set of basis vectors\n is used to derive new coordinates for each tuple being assessed.\n In this mode, you are guaranteed to have output tuples of the same dimension\n as the input tuples. (That dimension is D, so there will be D additional\n columns added to the table for the request.)\n\n When set to vtkPCAStatistics::FIXED_BASIS_SIZE, only the first N basis vectors\n are used to derive new coordinates for each tuple being assessed.\n In this mode, you are guaranteed to have output tuples of dimension min(N,D).\n You must set N prior to assessing data using the SetFixedBasisSize() method.\n When N < D, this turns the PCA into a projection (instead of change of basis).\n\n When set to vtkPCAStatistics::FIXED_BASIS_ENERGY, the number of basis vectors\n used to derive ne ...\n [Truncated]\n"},
  {(char*)"GetBasisSchemeName",                (PyCFunction)PyvtkPCAStatistics_GetBasisSchemeName, 1,
   (char*)"V.GetBasisSchemeName(int) -> string\nC++: virtual const char *GetBasisSchemeName (int schemeIndex);\n\n This variable controls the dimensionality of output tuples in Assess mode.\n Consider the case where you have requested a PCA on D columns.\n\n When set to vtkPCAStatistics::FULL_BASIS, the entire set of basis vectors\n is used to derive new coordinates for each tuple being assessed.\n In this mode, you are guaranteed to have output tuples of the same dimension\n as the input tuples. (That dimension is D, so there will be D additional\n columns added to the table for the request.)\n\n When set to vtkPCAStatistics::FIXED_BASIS_SIZE, only the first N basis vectors\n are used to derive new coordinates for each tuple being assessed.\n In this mode, you are guaranteed to have output tuples of dimension min(N,D).\n You must set N prior to assessing data using the SetFixedBasisSize() method.\n When N < D, this turns the PCA into a projection (instead of change of basis).\n\n When set to vtkPCAStatistics::FIXED_BASIS_ENERGY, the number of basis vectors\n used to derive ne ...\n [Truncated]\n"},
  {(char*)"SetBasisSchemeByName",                (PyCFunction)PyvtkPCAStatistics_SetBasisSchemeByName, 1,
   (char*)"V.SetBasisSchemeByName(string)\nC++: virtual void SetBasisSchemeByName (const char *schemeName);\n\n This variable controls the dimensionality of output tuples in Assess mode.\n Consider the case where you have requested a PCA on D columns.\n\n When set to vtkPCAStatistics::FULL_BASIS, the entire set of basis vectors\n is used to derive new coordinates for each tuple being assessed.\n In this mode, you are guaranteed to have output tuples of the same dimension\n as the input tuples. (That dimension is D, so there will be D additional\n columns added to the table for the request.)\n\n When set to vtkPCAStatistics::FIXED_BASIS_SIZE, only the first N basis vectors\n are used to derive new coordinates for each tuple being assessed.\n In this mode, you are guaranteed to have output tuples of dimension min(N,D).\n You must set N prior to assessing data using the SetFixedBasisSize() method.\n When N < D, this turns the PCA into a projection (instead of change of basis).\n\n When set to vtkPCAStatistics::FIXED_BASIS_ENERGY, the number of basis vectors\n used to derive ne ...\n [Truncated]\n"},
  {(char*)"SetFixedBasisSize",                (PyCFunction)PyvtkPCAStatistics_SetFixedBasisSize, 1,
   (char*)"V.SetFixedBasisSize(int)\nC++: void SetFixedBasisSize (int );\n\n The number of basis vectors to use. See SetBasisScheme() for more information.\n When FixedBasisSize <= 0 (the default), the fixed basis size scheme is equivalent to the full basis scheme.\n"},
  {(char*)"GetFixedBasisSize",                (PyCFunction)PyvtkPCAStatistics_GetFixedBasisSize, 1,
   (char*)"V.GetFixedBasisSize() -> int\nC++: int GetFixedBasisSize ();\n\n The number of basis vectors to use. See SetBasisScheme() for more information.\n When FixedBasisSize <= 0 (the default), the fixed basis size scheme is equivalent to the full basis scheme.\n"},
  {(char*)"SetFixedBasisEnergy",                (PyCFunction)PyvtkPCAStatistics_SetFixedBasisEnergy, 1,
   (char*)"V.SetFixedBasisEnergy(float)\nC++: void SetFixedBasisEnergy (double );\n\n The minimum energy the new basis should use, as a fraction. See SetBasisScheme() for more information.\n When FixedBasisEnergy >= 1 (the default), the fixed basis energy scheme is equivalent to the full basis scheme.\n"},
  {(char*)"GetFixedBasisEnergyMinValue",                (PyCFunction)PyvtkPCAStatistics_GetFixedBasisEnergyMinValue, 1,
   (char*)"V.GetFixedBasisEnergyMinValue() -> float\nC++: double GetFixedBasisEnergyMinValue ();\n\n The minimum energy the new basis should use, as a fraction. See SetBasisScheme() for more information.\n When FixedBasisEnergy >= 1 (the default), the fixed basis energy scheme is equivalent to the full basis scheme.\n"},
  {(char*)"GetFixedBasisEnergyMaxValue",                (PyCFunction)PyvtkPCAStatistics_GetFixedBasisEnergyMaxValue, 1,
   (char*)"V.GetFixedBasisEnergyMaxValue() -> float\nC++: double GetFixedBasisEnergyMaxValue ();\n\n The minimum energy the new basis should use, as a fraction. See SetBasisScheme() for more information.\n When FixedBasisEnergy >= 1 (the default), the fixed basis energy scheme is equivalent to the full basis scheme.\n"},
  {(char*)"GetFixedBasisEnergy",                (PyCFunction)PyvtkPCAStatistics_GetFixedBasisEnergy, 1,
   (char*)"V.GetFixedBasisEnergy() -> float\nC++: double GetFixedBasisEnergy ();\n\n The minimum energy the new basis should use, as a fraction. See SetBasisScheme() for more information.\n When FixedBasisEnergy >= 1 (the default), the fixed basis energy scheme is equivalent to the full basis scheme.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPCAStatisticsDoc[] = {
  (char*)"vtkPCAStatistics - A class for principal component analysis\n\n",
  "Super Class:\n\n vtkMultiCorrelativeStatistics\n\n",
  (char*)" This class derives from the multi-correlative statistics algorithm and\n uses the covariance matrix and Cholesky decomposition computed by it.\n However, when it finalizes the statistics in Learn mode, the PCA class\n computes the SVD of the covariance matrix in order to obtain its eigenvectors.\n\n In the assess mode, the input data are\n - projected into the basis defined by the eigenvectors,\n - the ",
  (char*)"energy associated with each datum is computed,\n - or some combination thereof.\n Additionally, the user may specify some threshold energy or\n eigenvector entry below which the basis is truncated. This allows\n projection into a lower-dimensional state while minimizing (in a \n least squares sense) the projection error.\n\n\n .SECTION Thanks\n Thanks to David Thompson, Philippe Pebay and Jackson Mayo from",
  (char*)"\n Sandia National Laboratories for implementing this class.\n\n",
  NULL
};

static vtkObjectBase *vtkPCAStatisticsStaticNew()
{
  return vtkPCAStatistics::New();
}

PyObject *PyVTKClass_vtkPCAStatisticsNew(char *modulename)
{
  return PyVTKClass_New(&vtkPCAStatisticsStaticNew,
                        PyvtkPCAStatisticsMethods,
                        (char*)"vtkPCAStatistics",modulename,
                        (char**)vtkPCAStatisticsDoc,
                        PyVTKClass_vtkMultiCorrelativeStatisticsNew(modulename));
}

