// python wrapper for vtkPassThroughEdgeStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPassThroughEdgeStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPassThroughEdgeStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPassThroughEdgeStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkEdgeLayoutStrategyNew(char *); }

static PyObject *PyvtkPassThroughEdgeStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassThroughEdgeStrategy *op;

  const char    *temp20;
  op = (vtkPassThroughEdgeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPassThroughEdgeStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPassThroughEdgeStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassThroughEdgeStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkPassThroughEdgeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPassThroughEdgeStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPassThroughEdgeStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassThroughEdgeStrategy *op;

  vtkPassThroughEdgeStrategy  *temp20;
  op = (vtkPassThroughEdgeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPassThroughEdgeStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPassThroughEdgeStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPassThroughEdgeStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPassThroughEdgeStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPassThroughEdgeStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassThroughEdgeStrategy *op;

  op = (vtkPassThroughEdgeStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPassThroughEdgeStrategy::Layout();
      }
    else
      {
      op->Layout();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPassThroughEdgeStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPassThroughEdgeStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPassThroughEdgeStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPassThroughEdgeStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPassThroughEdgeStrategy\nC++: vtkPassThroughEdgeStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPassThroughEdgeStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPassThroughEdgeStrategy\nC++: vtkPassThroughEdgeStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkPassThroughEdgeStrategy_Layout, 1,
   (char*)"V.Layout()\nC++: virtual void Layout ();\n\n This is the layout method where the graph that was\n set in SetGraph() is laid out.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPassThroughEdgeStrategyDoc[] = {
  (char*)"vtkPassThroughEdgeStrategy - passes edge routing information through\n\n",
  "Super Class:\n\n vtkEdgeLayoutStrategy\n\n",
  (char*)" Simply passes existing edge layout information from the input to the\n output without making changes.\n\n",
  NULL
};

static vtkObjectBase *vtkPassThroughEdgeStrategyStaticNew()
{
  return vtkPassThroughEdgeStrategy::New();
}

PyObject *PyVTKClass_vtkPassThroughEdgeStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkPassThroughEdgeStrategyStaticNew,
                        PyvtkPassThroughEdgeStrategyMethods,
                        (char*)"vtkPassThroughEdgeStrategy",modulename,
                        (char**)vtkPassThroughEdgeStrategyDoc,
                        PyVTKClass_vtkEdgeLayoutStrategyNew(modulename));
}

