// python wrapper for vtkPassThrough object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPassThrough.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPassThroughNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPassThroughNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPassInputTypeAlgorithmNew(char *); }

static PyObject *PyvtkPassThrough_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassThrough *op;

  const char    *temp20;
  op = (vtkPassThrough *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPassThrough::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPassThrough_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassThrough *op;

  char    *temp0;
  int      temp20;
  op = (vtkPassThrough *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPassThrough::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPassThrough_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassThrough *op;

  vtkPassThrough  *temp20;
  op = (vtkPassThrough *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPassThrough::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPassThrough_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPassThrough  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPassThrough::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPassThrough_FillInputPortInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassThrough *op;

  int      temp0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkPassThrough *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPassThrough::FillInputPortInformation(temp0,temp1);
      }
    else
      {
      temp20 = op->FillInputPortInformation(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPassThrough_SetDeepCopyInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassThrough *op;

  int      temp0;
  op = (vtkPassThrough *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPassThrough::SetDeepCopyInput(temp0);
      }
    else
      {
      op->SetDeepCopyInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPassThrough_GetDeepCopyInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassThrough *op;

  int      temp20;
  op = (vtkPassThrough *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPassThrough::GetDeepCopyInput();
      }
    else
      {
      temp20 = op->GetDeepCopyInput();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPassThrough_DeepCopyInputOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassThrough *op;

  op = (vtkPassThrough *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPassThrough::DeepCopyInputOn();
      }
    else
      {
      op->DeepCopyInputOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPassThrough_DeepCopyInputOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassThrough *op;

  op = (vtkPassThrough *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPassThrough::DeepCopyInputOff();
      }
    else
      {
      op->DeepCopyInputOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPassThroughMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPassThrough_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPassThrough_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPassThrough_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPassThrough\nC++: vtkPassThrough *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPassThrough_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPassThrough\nC++: vtkPassThrough *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"FillInputPortInformation",                (PyCFunction)PyvtkPassThrough_FillInputPortInformation, 1,
   (char*)"V.FillInputPortInformation(int, vtkInformation) -> int\nC++: int FillInputPortInformation (int port, vtkInformation *info);\n\n Specify the first input port as optional\n"},
  {(char*)"SetDeepCopyInput",                (PyCFunction)PyvtkPassThrough_SetDeepCopyInput, 1,
   (char*)"V.SetDeepCopyInput(int)\nC++: void SetDeepCopyInput (int );\n\n Whether or not to deep copy the input. This can be useful if you\n want to create a copy of a data object. You can then disconnect\n this filter's input connections and it will act like a source.\n Defaults to OFF.\n"},
  {(char*)"GetDeepCopyInput",                (PyCFunction)PyvtkPassThrough_GetDeepCopyInput, 1,
   (char*)"V.GetDeepCopyInput() -> int\nC++: int GetDeepCopyInput ();\n\n Whether or not to deep copy the input. This can be useful if you\n want to create a copy of a data object. You can then disconnect\n this filter's input connections and it will act like a source.\n Defaults to OFF.\n"},
  {(char*)"DeepCopyInputOn",                (PyCFunction)PyvtkPassThrough_DeepCopyInputOn, 1,
   (char*)"V.DeepCopyInputOn()\nC++: void DeepCopyInputOn ();\n\n Whether or not to deep copy the input. This can be useful if you\n want to create a copy of a data object. You can then disconnect\n this filter's input connections and it will act like a source.\n Defaults to OFF.\n"},
  {(char*)"DeepCopyInputOff",                (PyCFunction)PyvtkPassThrough_DeepCopyInputOff, 1,
   (char*)"V.DeepCopyInputOff()\nC++: void DeepCopyInputOff ();\n\n Whether or not to deep copy the input. This can be useful if you\n want to create a copy of a data object. You can then disconnect\n this filter's input connections and it will act like a source.\n Defaults to OFF.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPassThroughDoc[] = {
  (char*)"vtkPassThrough - Shallow copies the input into the output\n\n",
  "Super Class:\n\n vtkPassInputTypeAlgorithm\n\n",
  (char*)" The output type is always the same as the input object type.\n\n",
  NULL
};

static vtkObjectBase *vtkPassThroughStaticNew()
{
  return vtkPassThrough::New();
}

PyObject *PyVTKClass_vtkPassThroughNew(char *modulename)
{
  return PyVTKClass_New(&vtkPassThroughStaticNew,
                        PyvtkPassThroughMethods,
                        (char*)"vtkPassThrough",modulename,
                        (char**)vtkPassThroughDoc,
                        PyVTKClass_vtkPassInputTypeAlgorithmNew(modulename));
}

