// python wrapper for vtkRemoveHiddenData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRemoveHiddenData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRemoveHiddenDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRemoveHiddenDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPassInputTypeAlgorithmNew(char *); }

static PyObject *PyvtkRemoveHiddenData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRemoveHiddenData *op;

  const char    *temp20;
  op = (vtkRemoveHiddenData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRemoveHiddenData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRemoveHiddenData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRemoveHiddenData *op;

  char    *temp0;
  int      temp20;
  op = (vtkRemoveHiddenData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRemoveHiddenData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRemoveHiddenData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRemoveHiddenData *op;

  vtkRemoveHiddenData  *temp20;
  op = (vtkRemoveHiddenData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRemoveHiddenData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRemoveHiddenData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRemoveHiddenData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRemoveHiddenData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkRemoveHiddenDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRemoveHiddenData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRemoveHiddenData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRemoveHiddenData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRemoveHiddenData\nC++: vtkRemoveHiddenData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRemoveHiddenData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRemoveHiddenData\nC++: vtkRemoveHiddenData *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRemoveHiddenDataDoc[] = {
  (char*)"vtkRemoveHiddenData - Removes the rows/edges/vertices of \n\n",
  "Super Class:\n\n vtkPassInputTypeAlgorithm\n\n",
  (char*)" Output only those rows/vertices/edges of the input vtkDataObject that \n are visible, as defined by the vtkAnnotation::HIDE() flag of the input \n vtkAnnotationLayers.\n Inputs:\n    Port 0 - vtkDataObject\n    Port 1 - vtkAnnotationLayers (optional)\n\n\n",
  NULL
};

static vtkObjectBase *vtkRemoveHiddenDataStaticNew()
{
  return vtkRemoveHiddenData::New();
}

PyObject *PyVTKClass_vtkRemoveHiddenDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkRemoveHiddenDataStaticNew,
                        PyvtkRemoveHiddenDataMethods,
                        (char*)"vtkRemoveHiddenData",modulename,
                        (char**)vtkRemoveHiddenDataDoc,
                        PyVTKClass_vtkPassInputTypeAlgorithmNew(modulename));
}

