// python wrapper for vtkSCurveSpline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSCurveSpline.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSCurveSplineNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSCurveSplineNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSplineNew(char *); }

static PyObject *PyvtkSCurveSpline_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSCurveSpline *op;

  const char    *temp20;
  op = (vtkSCurveSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSCurveSpline::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSCurveSpline_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSCurveSpline *op;

  char    *temp0;
  int      temp20;
  op = (vtkSCurveSpline *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSCurveSpline::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSCurveSpline_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSCurveSpline *op;

  vtkSCurveSpline  *temp20;
  op = (vtkSCurveSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSCurveSpline::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSCurveSpline_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSCurveSpline  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSCurveSpline::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSCurveSpline_Compute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSCurveSpline *op;

  op = (vtkSCurveSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSCurveSpline::Compute();
      }
    else
      {
      op->Compute();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSCurveSpline_Evaluate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSCurveSpline *op;

  double   temp0;
  double   temp20;
  op = (vtkSCurveSpline *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSCurveSpline::Evaluate(temp0);
      }
    else
      {
      temp20 = op->Evaluate(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSCurveSpline_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSCurveSpline *op;

  vtkSpline  *temp0;
  PyObject *tempH0;
  op = (vtkSCurveSpline *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSpline *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSpline");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkSCurveSpline::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkSCurveSpline_SetNodeWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSCurveSpline *op;

  double   temp0;
  op = (vtkSCurveSpline *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSCurveSpline::SetNodeWeight(temp0);
      }
    else
      {
      op->SetNodeWeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSCurveSpline_GetNodeWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSCurveSpline *op;

  double   temp20;
  op = (vtkSCurveSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSCurveSpline::GetNodeWeight();
      }
    else
      {
      temp20 = op->GetNodeWeight();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSCurveSplineMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSCurveSpline_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSCurveSpline_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSCurveSpline_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSCurveSpline\nC++: vtkSCurveSpline *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSCurveSpline_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSCurveSpline\nC++: vtkSCurveSpline *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Compute",                (PyCFunction)PyvtkSCurveSpline_Compute, 1,
   (char*)"V.Compute()\nC++: void Compute ();\n\n"},
  {(char*)"Evaluate",                (PyCFunction)PyvtkSCurveSpline_Evaluate, 1,
   (char*)"V.Evaluate(float) -> float\nC++: virtual double Evaluate (double t);\n\n Evaluate a 1D SCurve spline.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkSCurveSpline_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkSpline)\nC++: virtual void DeepCopy (vtkSpline *s);\n\n Deep copy of SCurve spline data.\n"},
  {(char*)"SetNodeWeight",                (PyCFunction)PyvtkSCurveSpline_SetNodeWeight, 1,
   (char*)"V.SetNodeWeight(float)\nC++: void SetNodeWeight (double );\n\n"},
  {(char*)"GetNodeWeight",                (PyCFunction)PyvtkSCurveSpline_GetNodeWeight, 1,
   (char*)"V.GetNodeWeight() -> float\nC++: double GetNodeWeight ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSCurveSplineDoc[] = {
  (char*)"vtkSCurveSpline - computes an interpolating spline using a\n\n",
  "Super Class:\n\n vtkSpline\n\n",
  (char*)" vtkSCurveSpline is a concrete implementation of vtkSpline using a\n SCurve basis.\n\n",
  "See Also:\n\n vtkSpline vtkKochanekSpline\n\n",
  NULL
};

static vtkObjectBase *vtkSCurveSplineStaticNew()
{
  return vtkSCurveSpline::New();
}

PyObject *PyVTKClass_vtkSCurveSplineNew(char *modulename)
{
  return PyVTKClass_New(&vtkSCurveSplineStaticNew,
                        PyvtkSCurveSplineMethods,
                        (char*)"vtkSCurveSpline",modulename,
                        (char**)vtkSCurveSplineDoc,
                        PyVTKClass_vtkSplineNew(modulename));
}

