// tcl wrapper for vtkStatisticsAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStatisticsAlgorithm.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkTableAlgorithmCppCommand(vtkTableAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkStatisticsAlgorithmCppCommand(vtkStatisticsAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkStatisticsAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkStatisticsAlgorithmCppCommand(static_cast<vtkStatisticsAlgorithm *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkStatisticsAlgorithmCppCommand(vtkStatisticsAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkStatisticsAlgorithm",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkTableAlgorithmCppCommand(static_cast<vtkTableAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkTableAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkStatisticsAlgorithm  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStatisticsAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("SetLearnOptionParameterConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetLearnOptionParameterConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLearnOptionParameters",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->SetLearnOptionParameters(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputModelConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetInputModelConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputModel",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->SetInputModel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLearnOption",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetLearnOption(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLearnOption",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetLearnOption();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDeriveOption",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetDeriveOption(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDeriveOption",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetDeriveOption();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAssessOption",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetAssessOption(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAssessOption",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetAssessOption();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTestOption",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetTestOption(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTestOption",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetTestOption();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAssessParameters",argv[1]))&&(argc == 3))
    {
    vtkStringArray  *temp0;
    error = 0;

    temp0 = (vtkStringArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkStringArray"),interp,error));
    if (!error)
    {
    op->SetAssessParameters(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAssessParameters",argv[1]))&&(argc == 2))
    {
    vtkStringArray  *temp20;
    temp20 = (op)->GetAssessParameters();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
  if ((!strcmp("SetAssessNames",argv[1]))&&(argc == 3))
    {
    vtkStringArray  *temp0;
    error = 0;

    temp0 = (vtkStringArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkStringArray"),interp,error));
    if (!error)
    {
    op->SetAssessNames(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAssessNames",argv[1]))&&(argc == 2))
    {
    vtkStringArray  *temp20;
    temp20 = (op)->GetAssessNames();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
  if ((!strcmp("SetColumnStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetColumnStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetAllColumnStates",argv[1]))&&(argc == 2))
    {
    op->ResetAllColumnStates();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RequestSelectedColumns",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->RequestSelectedColumns();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ResetRequests",argv[1]))&&(argc == 2))
    {
    op->ResetRequests();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfRequests",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfRequests();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfColumnsForRequest",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfColumnsForRequest(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColumnForRequest",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetColumnForRequest(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("Aggregate",argv[1]))&&(argc == 4))
    {
    vtkDataObjectCollection  *temp0;
    vtkDataObject  *temp1;
    error = 0;

    temp0 = (vtkDataObjectCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObjectCollection"),interp,error));
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->Aggregate(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkStatisticsAlgorithmCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkStatisticsAlgorithm:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetLearnOptionParameterConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLearnOptionParameters\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInputModelConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInputModel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLearnOption\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLearnOption\n",NULL);
    Tcl_AppendResult(interp,"  SetDeriveOption\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDeriveOption\n",NULL);
    Tcl_AppendResult(interp,"  SetAssessOption\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAssessOption\n",NULL);
    Tcl_AppendResult(interp,"  SetTestOption\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTestOption\n",NULL);
    Tcl_AppendResult(interp,"  SetAssessParameters\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAssessParameters\n",NULL);
    Tcl_AppendResult(interp,"  SetAssessNames\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAssessNames\n",NULL);
    Tcl_AppendResult(interp,"  SetColumnStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ResetAllColumnStates\n",NULL);
    Tcl_AppendResult(interp,"  RequestSelectedColumns\n",NULL);
    Tcl_AppendResult(interp,"  ResetRequests\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRequests\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfColumnsForRequest\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColumnForRequest\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Aggregate\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetLearnOptionParameterConnection" );
    Tcl_DStringAppendElement ( &dString, "SetLearnOptionParameters" );
    Tcl_DStringAppendElement ( &dString, "SetInputModelConnection" );
    Tcl_DStringAppendElement ( &dString, "SetInputModel" );
    Tcl_DStringAppendElement ( &dString, "SetLearnOption" );
    Tcl_DStringAppendElement ( &dString, "GetLearnOption" );
    Tcl_DStringAppendElement ( &dString, "SetDeriveOption" );
    Tcl_DStringAppendElement ( &dString, "GetDeriveOption" );
    Tcl_DStringAppendElement ( &dString, "SetAssessOption" );
    Tcl_DStringAppendElement ( &dString, "GetAssessOption" );
    Tcl_DStringAppendElement ( &dString, "SetTestOption" );
    Tcl_DStringAppendElement ( &dString, "GetTestOption" );
    Tcl_DStringAppendElement ( &dString, "SetAssessParameters" );
    Tcl_DStringAppendElement ( &dString, "GetAssessParameters" );
    Tcl_DStringAppendElement ( &dString, "SetAssessNames" );
    Tcl_DStringAppendElement ( &dString, "GetAssessNames" );
    Tcl_DStringAppendElement ( &dString, "SetColumnStatus" );
    Tcl_DStringAppendElement ( &dString, "ResetAllColumnStates" );
    Tcl_DStringAppendElement ( &dString, "RequestSelectedColumns" );
    Tcl_DStringAppendElement ( &dString, "ResetRequests" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRequests" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfColumnsForRequest" );
    Tcl_DStringAppendElement ( &dString, "GetColumnForRequest" );
    Tcl_DStringAppendElement ( &dString, "Aggregate" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLearnOptionParameterConnection */
    if ( strcmp ( argv[2], "SetLearnOptionParameterConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLearnOptionParameterConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLearnOptionParameterConnection */
    Tcl_DStringAppendElement ( &dString, " A convenience method for setting learn input parameters (if one is expected or allowed).\n It is equivalent to calling SetInput( 1, params );\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLearnOptionParameterConnection (vtkAlgorithmOutput *params);this SetInputConnection vtkStatisticsAlgorithm LEARN_PARAMETERS params " );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for SetLearnOptionParameterConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLearnOptionParameters */
    if ( strcmp ( argv[2], "SetLearnOptionParameters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLearnOptionParameters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLearnOptionParameters */
    Tcl_DStringAppendElement ( &dString, " A convenience method for setting the input model (if one is expected or allowed).\n It is equivalent to calling SetInputConnection( 2, model );\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLearnOptionParameters (vtkDataObject *params);this SetInput vtkStatisticsAlgorithm LEARN_PARAMETERS params " );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for SetLearnOptionParameters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputModelConnection */
    if ( strcmp ( argv[2], "SetInputModelConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputModelConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputModelConnection */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputModelConnection (vtkAlgorithmOutput *model);this SetInputConnection vtkStatisticsAlgorithm INPUT_MODEL model " );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for SetInputModelConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputModel */
    if ( strcmp ( argv[2], "SetInputModel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputModel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputModel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Learn option.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputModel (vtkDataObject *model);this SetInput vtkStatisticsAlgorithm INPUT_MODEL model " );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for SetInputModel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLearnOption */
    if ( strcmp ( argv[2], "SetLearnOption" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLearnOption" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLearnOption */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Learn option.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLearnOption (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for SetLearnOption */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLearnOption */
    if ( strcmp ( argv[2], "GetLearnOption" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLearnOption" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLearnOption */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Learn option.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetLearnOption ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for GetLearnOption */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDeriveOption */
    if ( strcmp ( argv[2], "SetDeriveOption" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDeriveOption" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDeriveOption */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Derive option.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDeriveOption (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for SetDeriveOption */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDeriveOption */
    if ( strcmp ( argv[2], "GetDeriveOption" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDeriveOption" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDeriveOption */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Derive option.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetDeriveOption ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for GetDeriveOption */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAssessOption */
    if ( strcmp ( argv[2], "SetAssessOption" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAssessOption" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAssessOption */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Assess option.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAssessOption (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for SetAssessOption */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAssessOption */
    if ( strcmp ( argv[2], "GetAssessOption" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAssessOption" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAssessOption */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Assess option.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetAssessOption ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for GetAssessOption */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTestOption */
    if ( strcmp ( argv[2], "SetTestOption" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTestOption" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTestOption */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Test option.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTestOption (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for SetTestOption */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTestOption */
    if ( strcmp ( argv[2], "GetTestOption" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTestOption" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTestOption */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Test option.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetTestOption ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for GetTestOption */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAssessParameters */
    if ( strcmp ( argv[2], "SetAssessParameters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAssessParameters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAssessParameters */
    Tcl_DStringAppendElement ( &dString, " Set/get assessment parameters.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAssessParameters (vtkStringArray *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for SetAssessParameters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAssessParameters */
    if ( strcmp ( argv[2], "GetAssessParameters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAssessParameters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAssessParameters */
    Tcl_DStringAppendElement ( &dString, " Set/get assessment parameters.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray *GetAssessParameters ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for GetAssessParameters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAssessNames */
    if ( strcmp ( argv[2], "SetAssessNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAssessNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAssessNames */
    Tcl_DStringAppendElement ( &dString, " Set/get assessment names.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAssessNames (vtkStringArray *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for SetAssessNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAssessNames */
    if ( strcmp ( argv[2], "GetAssessNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAssessNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAssessNames */
    Tcl_DStringAppendElement ( &dString, " Set/get assessment names.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray *GetAssessNames ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for GetAssessNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColumnStatus */
    if ( strcmp ( argv[2], "SetColumnStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColumnStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColumnStatus */
    Tcl_DStringAppendElement ( &dString, " Add or remove a column from the current analysis request.\n Once all the column status values are set, call RequestSelectedColumns()\n before selecting another set of columns for a different analysis request.\n The way that columns selections are used varies from algorithm to algorithm.\n\n Note: the set of selected columns is maintained in vtkStatisticsAlgorithmPrivate::Buffer\n until RequestSelectedColumns() is called, at which point the set is appended\n to vtkStatistics ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColumnStatus (const char *namCol, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for SetColumnStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetAllColumnStates */
    if ( strcmp ( argv[2], "ResetAllColumnStates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetAllColumnStates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetAllColumnStates */
    Tcl_DStringAppendElement ( &dString, " Set the the status of each and every column in the current request to OFF (0).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ResetAllColumnStates ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for ResetAllColumnStates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RequestSelectedColumns */
    if ( strcmp ( argv[2], "RequestSelectedColumns" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RequestSelectedColumns" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RequestSelectedColumns */
    Tcl_DStringAppendElement ( &dString, " Use the current column status values to produce a new request for statistics\n to be produced when RequestData() is called. See SetColumnStatus() for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RequestSelectedColumns ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for RequestSelectedColumns */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetRequests */
    if ( strcmp ( argv[2], "ResetRequests" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetRequests" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetRequests */
    Tcl_DStringAppendElement ( &dString, " Empty the list of current requests.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ResetRequests ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for ResetRequests */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfRequests */
    if ( strcmp ( argv[2], "GetNumberOfRequests" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRequests" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfRequests */
    Tcl_DStringAppendElement ( &dString, " Return the number of requests.\n This does not include any request that is in the column-status buffer\n but for which RequestSelectedColumns() has not yet been called (even though\n it is possible this request will be honored when the filter is run -- see SetColumnStatus()\n for more information).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfRequests ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for GetNumberOfRequests */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfColumnsForRequest */
    if ( strcmp ( argv[2], "GetNumberOfColumnsForRequest" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfColumnsForRequest" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfColumnsForRequest */
    Tcl_DStringAppendElement ( &dString, " Return the number of columns for a given request.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfColumnsForRequest (vtkIdType request);" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for GetNumberOfColumnsForRequest */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColumnForRequest */
    if ( strcmp ( argv[2], "GetColumnForRequest" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColumnForRequest" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColumnForRequest */
    Tcl_DStringAppendElement ( &dString, " Provide the name of the \\a c-th column for the \\a r-th request.\n\n For the version of this routine that returns an integer,\n if the request or column does not exist because \\a r or \\a c is out of bounds,\n this routine returns 0 and the value of \\a columnName is unspecified.\n Otherwise, it returns 1 and the value of \\a columnName is set.\n\n For the version of this routine that returns const char*,\n if the request or column does not exist because \\a r or \\a c is ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetColumnForRequest (vtkIdType r, vtkIdType c);" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for GetColumnForRequest */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Aggregate */
    if ( strcmp ( argv[2], "Aggregate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Aggregate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectCollection" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Aggregate */
    Tcl_DStringAppendElement ( &dString, " Given a collection of models, calculate aggregate model\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Aggregate (vtkDataObjectCollection *, vtkDataObject *) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for Aggregate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkTableAlgorithmCppCommand(static_cast<vtkTableAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
