// python wrapper for vtkXGMLReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkXGMLReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXGMLReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXGMLReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUndirectedGraphAlgorithmNew(char *); }

static PyObject *PyvtkXGMLReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXGMLReader *op;

  const char    *temp20;
  op = (vtkXGMLReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXGMLReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXGMLReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXGMLReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkXGMLReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXGMLReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXGMLReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXGMLReader *op;

  vtkXGMLReader  *temp20;
  op = (vtkXGMLReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXGMLReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXGMLReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXGMLReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXGMLReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXGMLReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXGMLReader *op;

  char    *temp20;
  op = (vtkXGMLReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXGMLReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXGMLReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXGMLReader *op;

  char    *temp0;
  op = (vtkXGMLReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXGMLReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXGMLReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXGMLReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXGMLReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXGMLReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXGMLReader\nC++: vtkXGMLReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXGMLReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXGMLReader\nC++: vtkXGMLReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkXGMLReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n The XGML file name.\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkXGMLReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n The XGML file name.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXGMLReaderDoc[] = {
  (char*)"vtkXGMLReader - Reads XGML graph files.\n\n",
  "Super Class:\n\n vtkUndirectedGraphAlgorithm\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkXGMLReaderStaticNew()
{
  return vtkXGMLReader::New();
}

PyObject *PyVTKClass_vtkXGMLReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkXGMLReaderStaticNew,
                        PyvtkXGMLReaderMethods,
                        (char*)"vtkXGMLReader",modulename,
                        (char**)vtkXGMLReaderDoc,
                        PyVTKClass_vtkUndirectedGraphAlgorithmNew(modulename));
}

