// python wrapper for vtkMultiProcessController object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMultiProcessController.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMultiProcessControllerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMultiProcessControllerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkMultiProcessController_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  const char    *temp20;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  char    *temp0;
  int      temp20;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkMultiProcessController  *temp20;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_Finalize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Finalize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp0;
  PyErr_Clear();
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Finalize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_SetNumberOfProcesses(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp0;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiProcessController::SetNumberOfProcesses(temp0);
      }
    else
      {
      op->SetNumberOfProcesses(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_GetNumberOfProcesses(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp20;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::GetNumberOfProcesses();
      }
    else
      {
      temp20 = op->GetNumberOfProcesses();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_SingleMethodExecute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SingleMethodExecute();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_MultipleMethodExecute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->MultipleMethodExecute();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_GetLocalProcessId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp20;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::GetLocalProcessId();
      }
    else
      {
      temp20 = op->GetLocalProcessId();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_GetGlobalController(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMultiProcessController::GetGlobalController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_CreateOutputWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->CreateOutputWindow();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_CreateSubController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkProcessGroup  *temp0;
  PyObject *tempH0;
  vtkMultiProcessController  *temp20;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProcessGroup *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProcessGroup");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::CreateSubController(temp0);
      }
    else
      {
      temp20 = op->CreateSubController(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkMultiProcessController_PartitionController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp0;
  int      temp1;
  vtkMultiProcessController  *temp20;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::PartitionController(temp0,temp1);
      }
    else
      {
      temp20 = op->PartitionController(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_TriggerRMI(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp0;
  void    *temp1;
  int      size1;
  int      temp2;
  int      temp3;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"is#ii", &temp0, &temp1, &size1, &temp2, &temp3);
  if (op)
    {
    temp1 = vtkPythonUnmanglePointer((char *)temp1,&size1,(char*)"void_p");
    if (size1 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to TriggerRMI in vtkMultiProcessController was of incorrect type.");
      return NULL;
      }
    else if (size1 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to TriggerRMI in vtkMultiProcessController was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiProcessController::TriggerRMI(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->TriggerRMI(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp0;
  char    *temp1;
  int      temp2;
  PyErr_Clear();
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"izi", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiProcessController::TriggerRMI(temp0,temp1,temp2);
      }
    else
      {
      op->TriggerRMI(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiProcessController::TriggerRMI(temp0,temp1);
      }
    else
      {
      op->TriggerRMI(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_TriggerBreakRMIs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiProcessController::TriggerBreakRMIs();
      }
    else
      {
      op->TriggerBreakRMIs();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_TriggerRMIOnAllChildren(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  void    *temp0;
  int      size0;
  int      temp1;
  int      temp2;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"s#ii", &temp0, &size0, &temp1, &temp2);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to TriggerRMIOnAllChildren in vtkMultiProcessController was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to TriggerRMIOnAllChildren in vtkMultiProcessController was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiProcessController::TriggerRMIOnAllChildren(temp0,temp1,temp2);
      }
    else
      {
      op->TriggerRMIOnAllChildren(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiProcessController::TriggerRMIOnAllChildren(temp0,temp1);
      }
    else
      {
      op->TriggerRMIOnAllChildren(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp0;
  PyErr_Clear();
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiProcessController::TriggerRMIOnAllChildren(temp0);
      }
    else
      {
      op->TriggerRMIOnAllChildren(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_ProcessRMIs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp0;
  int      temp1;
  int      temp20;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::ProcessRMIs(temp0,temp1);
      }
    else
      {
      temp20 = op->ProcessRMIs(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp20;
  PyErr_Clear();
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::ProcessRMIs();
      }
    else
      {
      temp20 = op->ProcessRMIs();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_SetBreakFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp0;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiProcessController::SetBreakFlag(temp0);
      }
    else
      {
      op->SetBreakFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_GetBreakFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp20;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::GetBreakFlag();
      }
    else
      {
      temp20 = op->GetBreakFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_GetCommunicator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkCommunicator  *temp20;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::GetCommunicator();
      }
    else
      {
      temp20 = op->GetCommunicator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_GetBreakRMITag(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMultiProcessController::GetBreakRMITag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_GetRMITag(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMultiProcessController::GetRMITag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_GetRMIArgTag(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMultiProcessController::GetRMIArgTag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_Barrier(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiProcessController::Barrier();
      }
    else
      {
      op->Barrier();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_SetGlobalController(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break30;
      {
      vtkMultiProcessController::SetGlobalController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break30:
  return NULL;
}


static PyObject *PyvtkMultiProcessController_Send(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"zLii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Send(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Send(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break32;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Send(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Send(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break32:
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break33;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Send(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Send(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break33:
  return NULL;
}


static PyObject *PyvtkMultiProcessController_Receive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"zLii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Receive(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Receive(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break35;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Receive(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Receive(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break35:
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break36;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Receive(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Receive(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break36:
  return NULL;
}


static PyObject *PyvtkMultiProcessController_ReceiveDataObject(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp0;
  int      temp1;
  vtkDataObject  *temp20;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::ReceiveDataObject(temp0,temp1);
      }
    else
      {
      temp20 = op->ReceiveDataObject(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_GetCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkIdType   temp20;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::GetCount();
      }
    else
      {
      temp20 = op->GetCount();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_Broadcast(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp20;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"zLi", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Broadcast(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Broadcast(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break40;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Broadcast(temp0,temp1);
      }
    else
      {
      temp20 = op->Broadcast(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break40:
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break41;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Broadcast(temp0,temp1);
      }
    else
      {
      temp20 = op->Broadcast(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break41:
  return NULL;
}


static PyObject *PyvtkMultiProcessController_Gather(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"zzLi", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Gather(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Gather(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break43;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break43;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Gather(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Gather(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break43:
  return NULL;
}


static PyObject *PyvtkMultiProcessController_Scatter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"zzLi", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Scatter(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Scatter(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break45;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break45;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Scatter(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Scatter(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break45:
  return NULL;
}


static PyObject *PyvtkMultiProcessController_AllGather(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp20;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"zzL", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::AllGather(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->AllGather(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  int      temp20;
  PyErr_Clear();
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break47;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break47;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::AllGather(temp0,temp1);
      }
    else
      {
      temp20 = op->AllGather(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break47:
  return NULL;
}


static PyObject *PyvtkMultiProcessController_Reduce(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"zzLii", &temp0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Reduce(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->Reduce(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  int      temp2;
  int      temp3;
  int      temp20;
  PyErr_Clear();
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"OOii", &tempH0, &tempH1, &temp2, &temp3);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break49;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break49;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Reduce(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Reduce(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break49:
  return NULL;
}


static PyObject *PyvtkMultiProcessController_AllReduce(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"zzLi", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::AllReduce(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->AllReduce(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break51;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break51;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::AllReduce(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->AllReduce(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break51:
  return NULL;
}

static PyMethodDef PyvtkMultiProcessControllerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMultiProcessController_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMultiProcessController_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMultiProcessController_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMultiProcessController\nC++: vtkMultiProcessController *NewInstance ();\n\n"},
  {(char*)"Finalize",                (PyCFunction)PyvtkMultiProcessController_Finalize, 1,
   (char*)"V.Finalize()\nC++: virtual void Finalize () = 0;\nV.Finalize(int)\nC++: virtual void Finalize (int finalizedExternally) = 0;\n\n This method is for cleaning up.\n If a subclass needs to clean up process communication (i.e. MPI)\n it would over ride this method.\n"},
  {(char*)"SetNumberOfProcesses",                (PyCFunction)PyvtkMultiProcessController_SetNumberOfProcesses, 1,
   (char*)"V.SetNumberOfProcesses(int)\nC++: void SetNumberOfProcesses (int num);\n\n Set the number of processes you will be using.  This defaults\n to the maximum number available.  If you set this to a value\n higher than the default, you will get an error.\n"},
  {(char*)"GetNumberOfProcesses",                (PyCFunction)PyvtkMultiProcessController_GetNumberOfProcesses, 1,
   (char*)"V.GetNumberOfProcesses() -> int\nC++: int GetNumberOfProcesses ();\n\n Set the number of processes you will be using.  This defaults\n to the maximum number available.  If you set this to a value\n higher than the default, you will get an error.\n"},
  {(char*)"SingleMethodExecute",                (PyCFunction)PyvtkMultiProcessController_SingleMethodExecute, 1,
   (char*)"V.SingleMethodExecute()\nC++: virtual void SingleMethodExecute () = 0;\n\n Execute the SingleMethod (as define by SetSingleMethod) using\n this->NumberOfProcesses processes.  This will only return when\n all the processes finish executing their methods.\n"},
  {(char*)"MultipleMethodExecute",                (PyCFunction)PyvtkMultiProcessController_MultipleMethodExecute, 1,
   (char*)"V.MultipleMethodExecute()\nC++: virtual void MultipleMethodExecute () = 0;\n\n Execute the MultipleMethods (as define by calling SetMultipleMethod\n for each of the required this->NumberOfProcesses methods) using\n this->NumberOfProcesses processes.\n"},
  {(char*)"GetLocalProcessId",                (PyCFunction)PyvtkMultiProcessController_GetLocalProcessId, 1,
   (char*)"V.GetLocalProcessId() -> int\nC++: int GetLocalProcessId ();\n\n Tells you which process [0, NumProcess) you are in.\n"},
  {(char*)"GetGlobalController",                (PyCFunction)PyvtkMultiProcessController_GetGlobalController, 1,
   (char*)"V.GetGlobalController() -> vtkMultiProcessController\nC++: static vtkMultiProcessController *GetGlobalController ();\n\n This convenience method returns the controller associated with the \n local process.  It returns NULL until the processes are spawned.\n It is better if you hang on to the controller passed as an argument to the\n SingleMethod or MultipleMethod functions.\n"},
  {(char*)"CreateOutputWindow",                (PyCFunction)PyvtkMultiProcessController_CreateOutputWindow, 1,
   (char*)"V.CreateOutputWindow()\nC++: virtual void CreateOutputWindow () = 0;\n\n This method can be used to tell the controller to create\n a special output window in which all messages are preceded\n by the process id.\n"},
  {(char*)"CreateSubController",                (PyCFunction)PyvtkMultiProcessController_CreateSubController, 1,
   (char*)"V.CreateSubController(vtkProcessGroup) -> vtkMultiProcessController\nC++: virtual vtkMultiProcessController *CreateSubController (vtkProcessGroup *group);\n\n Creates a new controller with the processes specified by the given group.\n The new controller will already be initialized for you.  You are\n responsible for deleting the controller once you are done.  It is invalid\n to pass this method a group with a different communicator than is used by\n this controller.  This operation is collective accross all processes\n defined in the group.  It is undefined what will happen if the group is not\n the same on all processes.  This method must be called by all processes in\n the controller regardless of whether they are in the group.  NULL is\n returned on all process not in the group.\n"},
  {(char*)"PartitionController",                (PyCFunction)PyvtkMultiProcessController_PartitionController, 1,
   (char*)"V.PartitionController(int, int) -> vtkMultiProcessController\nC++: virtual vtkMultiProcessController *PartitionController (int localColor, int localKey);\n\n Partitions this controller based on a coloring.  That is, each process\n passes in a color.  All processes with the same color are grouped into the\n same partition.  The processes are ordered by their self-assigned key.\n Lower keys have lower process ids.  Ties are broken by the current process\n ids.  (For example, if all the keys are 0, then the resulting processes\n will be ordered in the same way.)  This method returns a new controller to\n each process that represents the local partition.  This is basically the\n same operation as MPI_Comm_split.\n"},
  {(char*)"TriggerRMI",                (PyCFunction)PyvtkMultiProcessController_TriggerRMI, 1,
   (char*)"V.TriggerRMI(int, string, int, int)\nC++: void TriggerRMI (int remoteProcessId, void *arg, int argLength, int tag);\nV.TriggerRMI(int, string, int)\nC++: void TriggerRMI (int remoteProcessId, const char *arg, int tag);this TriggerRMI remoteProcessId void arg static_cast int strlen arg tag \nV.TriggerRMI(int, int)\nC++: void TriggerRMI (int remoteProcessId, int tag);this TriggerRMI remoteProcessId NULL tag \n\n A method to trigger a method invocation in another process.\n"},
  {(char*)"TriggerBreakRMIs",                (PyCFunction)PyvtkMultiProcessController_TriggerBreakRMIs, 1,
   (char*)"V.TriggerBreakRMIs()\nC++: void TriggerBreakRMIs ();\n\n A conveniance method.  Called on process 0 to break \"ProcessRMIs\" loop\n on all other processes.\n"},
  {(char*)"TriggerRMIOnAllChildren",                (PyCFunction)PyvtkMultiProcessController_TriggerRMIOnAllChildren, 1,
   (char*)"V.TriggerRMIOnAllChildren(string, int, int)\nC++: void TriggerRMIOnAllChildren (void *arg, int argLength, int tag);\nV.TriggerRMIOnAllChildren(string, int)\nC++: void TriggerRMIOnAllChildren (const char *arg, int tag);this TriggerRMIOnAllChildren void arg static_cast int strlen arg tag \nV.TriggerRMIOnAllChildren(int)\nC++: void TriggerRMIOnAllChildren (int tag);this TriggerRMIOnAllChildren NULL tag \n\n This is a convenicence method to trigger an RMI call on all the \"children\"\n of the current node. The children of the current node can be determined by\n drawing a binary tree starting at node 0 and then assigned nodes ids\n incrementally in a breadth-first fashion from left to right. This is\n designed to be used when trigger an RMI call on all satellites from the\n root node.\n"},
  {(char*)"ProcessRMIs",                (PyCFunction)PyvtkMultiProcessController_ProcessRMIs, 1,
   (char*)"V.ProcessRMIs(int, int) -> int\nC++: int ProcessRMIs (int reportErrors, int dont_loop);\nV.ProcessRMIs() -> int\nC++: int ProcessRMIs ();\n\n Calling this method gives control to the controller to start\n processing RMIs. Possible return values are:\n RMI_NO_ERROR,\n RMI_TAG_ERROR : rmi tag could not be received,\n RMI_ARG_ERROR : rmi arg could not be received.\n If reportErrors is false, no vtkErrorMacro is called.\n ProcessRMIs() calls ProcessRMIs(int) with reportErrors = 0.\n If dont_loop is 1, this call just process one RMI message\n and exits.\n"},
  {(char*)"SetBreakFlag",                (PyCFunction)PyvtkMultiProcessController_SetBreakFlag, 1,
   (char*)"V.SetBreakFlag(int)\nC++: void SetBreakFlag (int );\n\n Setting this flag to 1 will cause the ProcessRMIs loop to return.\n This also causes vtkUpStreamPorts to return from\n their WaitForUpdate loops.\n"},
  {(char*)"GetBreakFlag",                (PyCFunction)PyvtkMultiProcessController_GetBreakFlag, 1,
   (char*)"V.GetBreakFlag() -> int\nC++: int GetBreakFlag ();\n\n Setting this flag to 1 will cause the ProcessRMIs loop to return.\n This also causes vtkUpStreamPorts to return from\n their WaitForUpdate loops.\n"},
  {(char*)"GetCommunicator",                (PyCFunction)PyvtkMultiProcessController_GetCommunicator, 1,
   (char*)"V.GetCommunicator() -> vtkCommunicator\nC++: vtkCommunicator *GetCommunicator ();\n\n Returns the communicator associated with this controller.\n A default communicator is created in constructor.\n"},
  {(char*)"GetBreakRMITag",                (PyCFunction)PyvtkMultiProcessController_GetBreakRMITag, 1,
   (char*)"V.GetBreakRMITag() -> int\nC++: static int GetBreakRMITag ();return BREAK_RMI_TAG \n\n Accessor to some default tags.\n"},
  {(char*)"GetRMITag",                (PyCFunction)PyvtkMultiProcessController_GetRMITag, 1,
   (char*)"V.GetRMITag() -> int\nC++: static int GetRMITag ();return RMI_TAG \n\n Accessor to some default tags.\n"},
  {(char*)"GetRMIArgTag",                (PyCFunction)PyvtkMultiProcessController_GetRMIArgTag, 1,
   (char*)"V.GetRMIArgTag() -> int\nC++: static int GetRMIArgTag ();return RMI_ARG_TAG \n\n This method can be used to synchronize processes.\n"},
  {(char*)"Barrier",                (PyCFunction)PyvtkMultiProcessController_Barrier, 1,
   (char*)"V.Barrier()\nC++: void Barrier ();\n\n This method can be used to synchronize processes.\n"},
  {(char*)"SetGlobalController",                (PyCFunction)PyvtkMultiProcessController_SetGlobalController, 1,
   (char*)"V.SetGlobalController(vtkMultiProcessController)\nC++: static void SetGlobalController (vtkMultiProcessController *controller);\n\n"},
  {(char*)"Send",                (PyCFunction)PyvtkMultiProcessController_Send, 1,
   (char*)"V.Send(string, int, int, int) -> int\nC++: int Send (const char *data, vtkIdType length, int remoteProcessId, int tag);\nV.Send(vtkDataObject, int, int) -> int\nC++: int Send (vtkDataObject *data, int remoteId, int tag);\nV.Send(vtkDataArray, int, int) -> int\nC++: int Send (vtkDataArray *data, int remoteId, int tag);\n\n This method sends data to another process.  Tag eliminates ambiguity\n when multiple sends or receives exist in the same process.\n It is recommended to use custom tag number over 100.\n vtkMultiProcessController has reserved tags between 1 and 4.\n vtkCommunicator has reserved tags between 10 and 16.\n"},
  {(char*)"Receive",                (PyCFunction)PyvtkMultiProcessController_Receive, 1,
   (char*)"V.Receive(string, int, int, int) -> int\nC++: int Receive (char *data, vtkIdType maxlength, int remoteProcessId, int tag);\nV.Receive(vtkDataObject, int, int) -> int\nC++: int Receive (vtkDataObject *data, int remoteId, int tag);\nV.Receive(vtkDataArray, int, int) -> int\nC++: int Receive (vtkDataArray *data, int remoteId, int tag);\n\n This method receives data from a corresponding send. It blocks\n until the receive is finished.  It calls methods in \"data\"\n to communicate the sending data. In the overrloads that take in a \\c\n maxlength argument, this length is the maximum length of the message to\n receive. If the maxlength is less than the length of the message sent by\n the sender, an error will be flagged. Once a message is received, use the\n GetCount() method to determine the actual size of the data received.\n"},
  {(char*)"ReceiveDataObject",                (PyCFunction)PyvtkMultiProcessController_ReceiveDataObject, 1,
   (char*)"V.ReceiveDataObject(int, int) -> vtkDataObject\nC++: vtkDataObject *ReceiveDataObject (int remoteId, int tag);\n\n This method receives data from a corresponding send. It blocks\n until the receive is finished.  It calls methods in \"data\"\n to communicate the sending data. In the overrloads that take in a \\c\n maxlength argument, this length is the maximum length of the message to\n receive. If the maxlength is less than the length of the message sent by\n the sender, an error will be flagged. Once a message is received, use the\n GetCount() method to determine the actual size of the data received.\n"},
  {(char*)"GetCount",                (PyCFunction)PyvtkMultiProcessController_GetCount, 1,
   (char*)"V.GetCount() -> int\nC++: vtkIdType GetCount ();\n\n Returns the number of words received by the most recent Receive().\n Note that this is not the number of bytes received, but the number of items\n of the data-type received by the most recent Receive() eg. if\n Receive(int*,..) was used, then this returns the number of ints received;\n if Receive(double*,..) was used, then this returns the number of doubles\n received etc. The return value is valid only after a successful Receive().\n"},
  {(char*)"Broadcast",                (PyCFunction)PyvtkMultiProcessController_Broadcast, 1,
   (char*)"V.Broadcast(string, int, int) -> int\nC++: int Broadcast (char *data, vtkIdType length, int srcProcessId);return this Communicator Broadcast data length srcProcessId \nV.Broadcast(vtkDataObject, int) -> int\nC++: int Broadcast (vtkDataObject *data, int srcProcessId);return this Communicator Broadcast data srcProcessId \nV.Broadcast(vtkDataArray, int) -> int\nC++: int Broadcast (vtkDataArray *data, int srcProcessId);return this Communicator Broadcast data srcProcessId \n\n Broadcast sends the array in the process with id \\c srcProcessId to all of\n the other processes.  All processes must call these method with the same\n arguments in order for it to complete.\n"},
  {(char*)"Gather",                (PyCFunction)PyvtkMultiProcessController_Gather, 1,
   (char*)"V.Gather(string, string, int, int) -> int\nC++: int Gather (const char *sendBuffer, char *recvBuffer, vtkIdType length, int destProcessId);return this Communicator Gather sendBuffer recvBuffer length destProcessId \nV.Gather(vtkDataArray, vtkDataArray, int) -> int\nC++: int Gather (vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int destProcessId);return this Communicator Gather sendBuffer recvBuffer destProcessId \n\n Gather collects arrays in the process with id \\c destProcessId.  Each\n process (including the destination) sends the contents of its send buffer\n to the destination process.  The destination process receives the\n messages and stores them in rank order.  The \\c length argument\n (which must be the same on all processes) is the length of the\n sendBuffers.  The \\c recvBuffer (on te destination process) must be of\n length length*numProcesses.  Gather is the inverse operation of Scatter.\n"},
  {(char*)"Scatter",                (PyCFunction)PyvtkMultiProcessController_Scatter, 1,
   (char*)"V.Scatter(string, string, int, int) -> int\nC++: int Scatter (const char *sendBuffer, char *recvBuffer, vtkIdType length, int srcProcessId);return this Communicator Scatter sendBuffer recvBuffer length srcProcessId \nV.Scatter(vtkDataArray, vtkDataArray, int) -> int\nC++: int Scatter (vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int srcProcessId);return this Communicator Scatter sendBuffer recvBuffer srcProcessId \n\n Scatter takes an array in the process with id \\c srcProcessId and\n distributes it.  Each process (including the source) receives a portion of\n the send buffer.  Process 0 receives the first \\c length values, process 1\n receives the second \\c length values, and so on.  Scatter is the inverse\n operation of Gather.\n"},
  {(char*)"AllGather",                (PyCFunction)PyvtkMultiProcessController_AllGather, 1,
   (char*)"V.AllGather(string, string, int) -> int\nC++: int AllGather (const char *sendBuffer, char *recvBuffer, vtkIdType length);return this Communicator AllGather sendBuffer recvBuffer length \nV.AllGather(vtkDataArray, vtkDataArray) -> int\nC++: int AllGather (vtkDataArray *sendBuffer, vtkDataArray *recvBuffer);return this Communicator AllGather sendBuffer recvBuffer \n\n Same as gather except that the result ends up on all processes.\n"},
  {(char*)"Reduce",                (PyCFunction)PyvtkMultiProcessController_Reduce, 1,
   (char*)"V.Reduce(string, string, int, int, int) -> int\nC++: int Reduce (const char *sendBuffer, char *recvBuffer, vtkIdType length, int operation, int destProcessId);return this Communicator Reduce sendBuffer recvBuffer length operation destProcessId \nV.Reduce(vtkDataArray, vtkDataArray, int, int) -> int\nC++: int Reduce (vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int operation, int destProcessId);return this Communicator Reduce sendBuffer recvBuffer operation destProcessId \n\n Reduce an array to the given destination process.  This version of Reduce\n takes an identifier defined in the\n vtkCommunicator::StandardOperations enum to define the operation.\n"},
  {(char*)"AllReduce",                (PyCFunction)PyvtkMultiProcessController_AllReduce, 1,
   (char*)"V.AllReduce(string, string, int, int) -> int\nC++: int AllReduce (const char *sendBuffer, char *recvBuffer, vtkIdType length, int operation);return this Communicator AllReduce sendBuffer recvBuffer length operation \nV.AllReduce(vtkDataArray, vtkDataArray, int) -> int\nC++: int AllReduce (vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int operation);return this Communicator AllReduce sendBuffer recvBuffer operation \n\n Same as Reduce except that the result is placed in all of the processes.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMultiProcessControllerDoc[] = {
  (char*)"vtkMultiProcessController - Multiprocessing communication superclass\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkMultiProcessController is used to control multiple processes\n in a distributed computing environment. It has\n methods for executing single/multiple method(s) on multiple processors,\n triggering registered callbacks (Remote Methods) (AddRMI(), TriggerRMI())\n and communication. Please note that the communication is done using\n the communicator which is accessible to the user. Therefore it is\n po",
  (char*)"ssible to get the communicator with GetCommunicator() and use\n it to send and receive data. This is the encouraged communication method.\n The internal (RMI) communications are done using a second internal\n communicator (called RMICommunicator).\n\n\n",
  "See Also:\n\n vtkMPIController\n vtkCommunicator vtkMPICommunicator\n\n",
  NULL
};

PyObject *PyVTKClass_vtkMultiProcessControllerNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkMultiProcessControllerMethods,
                        (char*)"vtkMultiProcessController",modulename,
                        (char**)vtkMultiProcessControllerDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

