// python wrapper for vtkDistanceToCamera object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDistanceToCamera.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDistanceToCameraNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDistanceToCameraNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkDistanceToCamera_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceToCamera *op;

  const char    *temp20;
  op = (vtkDistanceToCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistanceToCamera::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceToCamera_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceToCamera *op;

  char    *temp0;
  int      temp20;
  op = (vtkDistanceToCamera *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistanceToCamera::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceToCamera_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceToCamera *op;

  vtkDistanceToCamera  *temp20;
  op = (vtkDistanceToCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistanceToCamera::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceToCamera_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDistanceToCamera  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDistanceToCamera::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDistanceToCamera_SetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceToCamera *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkDistanceToCamera *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkDistanceToCamera::SetRenderer(temp0);
      }
    else
      {
      op->SetRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkDistanceToCamera_GetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceToCamera *op;

  vtkRenderer  *temp20;
  op = (vtkDistanceToCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistanceToCamera::GetRenderer();
      }
    else
      {
      temp20 = op->GetRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceToCamera_SetScreenSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceToCamera *op;

  double   temp0;
  op = (vtkDistanceToCamera *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistanceToCamera::SetScreenSize(temp0);
      }
    else
      {
      op->SetScreenSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceToCamera_GetScreenSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceToCamera *op;

  double   temp20;
  op = (vtkDistanceToCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistanceToCamera::GetScreenSize();
      }
    else
      {
      temp20 = op->GetScreenSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceToCamera_SetScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceToCamera *op;

  bool   temp0;
  op = (vtkDistanceToCamera *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistanceToCamera::SetScaling(temp0);
      }
    else
      {
      op->SetScaling(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceToCamera_GetScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceToCamera *op;

  bool   temp20;
  op = (vtkDistanceToCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistanceToCamera::GetScaling();
      }
    else
      {
      temp20 = op->GetScaling();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceToCamera_ScalingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceToCamera *op;

  op = (vtkDistanceToCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistanceToCamera::ScalingOn();
      }
    else
      {
      op->ScalingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceToCamera_ScalingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceToCamera *op;

  op = (vtkDistanceToCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDistanceToCamera::ScalingOff();
      }
    else
      {
      op->ScalingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDistanceToCamera_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDistanceToCamera *op;

  unsigned long     temp20;
  op = (vtkDistanceToCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDistanceToCamera::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDistanceToCameraMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDistanceToCamera_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDistanceToCamera_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDistanceToCamera_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDistanceToCamera\nC++: vtkDistanceToCamera *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDistanceToCamera_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDistanceToCamera\nC++: vtkDistanceToCamera *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetRenderer",                (PyCFunction)PyvtkDistanceToCamera_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: void SetRenderer (vtkRenderer *ren);\n\n The renderer which will ultimately render these points.\n"},
  {(char*)"GetRenderer",                (PyCFunction)PyvtkDistanceToCamera_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer ();\n\n The renderer which will ultimately render these points.\n"},
  {(char*)"SetScreenSize",                (PyCFunction)PyvtkDistanceToCamera_SetScreenSize, 1,
   (char*)"V.SetScreenSize(float)\nC++: void SetScreenSize (double );\n\n The desired screen size obtained by scaling glyphs by the distance\n array. It assumes the glyph at each point will be unit size.\n"},
  {(char*)"GetScreenSize",                (PyCFunction)PyvtkDistanceToCamera_GetScreenSize, 1,
   (char*)"V.GetScreenSize() -> float\nC++: double GetScreenSize ();\n\n The desired screen size obtained by scaling glyphs by the distance\n array. It assumes the glyph at each point will be unit size.\n"},
  {(char*)"SetScaling",                (PyCFunction)PyvtkDistanceToCamera_SetScaling, 1,
   (char*)"V.SetScaling(bool)\nC++: void SetScaling (bool );\n\n Whether to scale the distance by the input array to process.\n"},
  {(char*)"GetScaling",                (PyCFunction)PyvtkDistanceToCamera_GetScaling, 1,
   (char*)"V.GetScaling() -> bool\nC++: bool GetScaling ();\n\n Whether to scale the distance by the input array to process.\n"},
  {(char*)"ScalingOn",                (PyCFunction)PyvtkDistanceToCamera_ScalingOn, 1,
   (char*)"V.ScalingOn()\nC++: void ScalingOn ();\n\n Whether to scale the distance by the input array to process.\n"},
  {(char*)"ScalingOff",                (PyCFunction)PyvtkDistanceToCamera_ScalingOff, 1,
   (char*)"V.ScalingOff()\nC++: void ScalingOff ();\n\n Whether to scale the distance by the input array to process.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkDistanceToCamera_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n The modified time of this filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDistanceToCameraDoc[] = {
  (char*)"vtkDistanceToCamera - calculates distance from points to the camera.\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" This filter adds a double array containing the distance from each point\n to the camera. If Scaling is on, it will use the values in the input\n array to process in order to scale the size of the points. ScreenSize\n sets the size in screen pixels that you would want a rendered rectangle\n at that point to be, if it was scaled by the output array.\n\n",
  NULL
};

static vtkObjectBase *vtkDistanceToCameraStaticNew()
{
  return vtkDistanceToCamera::New();
}

PyObject *PyVTKClass_vtkDistanceToCameraNew(char *modulename)
{
  return PyVTKClass_New(&vtkDistanceToCameraStaticNew,
                        PyvtkDistanceToCameraMethods,
                        (char*)"vtkDistanceToCamera",modulename,
                        (char**)vtkDistanceToCameraDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

