// python wrapper for vtkDummyGPUInfoList object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDummyGPUInfoList.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDummyGPUInfoListNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDummyGPUInfoListNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGPUInfoListNew(char *); }

static PyObject *PyvtkDummyGPUInfoList_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDummyGPUInfoList *op;

  const char    *temp20;
  op = (vtkDummyGPUInfoList *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDummyGPUInfoList::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDummyGPUInfoList_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDummyGPUInfoList *op;

  char    *temp0;
  int      temp20;
  op = (vtkDummyGPUInfoList *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDummyGPUInfoList::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDummyGPUInfoList_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDummyGPUInfoList *op;

  vtkDummyGPUInfoList  *temp20;
  op = (vtkDummyGPUInfoList *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDummyGPUInfoList::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDummyGPUInfoList_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDummyGPUInfoList  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDummyGPUInfoList::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDummyGPUInfoList_Probe(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDummyGPUInfoList *op;

  op = (vtkDummyGPUInfoList *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDummyGPUInfoList::Probe();
      }
    else
      {
      op->Probe();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDummyGPUInfoListMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDummyGPUInfoList_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDummyGPUInfoList_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDummyGPUInfoList_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDummyGPUInfoList\nC++: vtkDummyGPUInfoList *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDummyGPUInfoList_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDummyGPUInfoList\nC++: vtkDummyGPUInfoList *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Probe",                (PyCFunction)PyvtkDummyGPUInfoList_Probe, 1,
   (char*)"V.Probe()\nC++: virtual void Probe ();\n\n Build the list of vtkInfoGPU if not done yet.\n \\post probed: IsProbed()\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDummyGPUInfoListDoc[] = {
  (char*)"vtkDummyGPUInfoList - Do thing during Probe()\n\n",
  "Super Class:\n\n vtkGPUInfoList\n\n",
  (char*)" vtkDummyGPUInfoList implements Probe() by just setting the count of\n GPUs to be zero. Useful when an OS specific implementation is not available.\n\n",
  "See Also:\n\n vtkGPUInfo vtkGPUInfoList\n\n",
  NULL
};

static vtkObjectBase *vtkDummyGPUInfoListStaticNew()
{
  return vtkDummyGPUInfoList::New();
}

PyObject *PyVTKClass_vtkDummyGPUInfoListNew(char *modulename)
{
  return PyVTKClass_New(&vtkDummyGPUInfoListStaticNew,
                        PyvtkDummyGPUInfoListMethods,
                        (char*)"vtkDummyGPUInfoList",modulename,
                        (char**)vtkDummyGPUInfoListDoc,
                        PyVTKClass_vtkGPUInfoListNew(modulename));
}

