// python wrapper for vtkGraphToGlyphs object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGraphToGlyphs.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGraphToGlyphsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGraphToGlyphsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkGraphToGlyphs_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToGlyphs *op;

  const char    *temp20;
  op = (vtkGraphToGlyphs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphToGlyphs::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToGlyphs_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToGlyphs *op;

  char    *temp0;
  int      temp20;
  op = (vtkGraphToGlyphs *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphToGlyphs::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToGlyphs_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToGlyphs *op;

  vtkGraphToGlyphs  *temp20;
  op = (vtkGraphToGlyphs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphToGlyphs::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToGlyphs_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGraphToGlyphs  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGraphToGlyphs::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGraphToGlyphs_SetGlyphType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToGlyphs *op;

  int      temp0;
  op = (vtkGraphToGlyphs *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphToGlyphs::SetGlyphType(temp0);
      }
    else
      {
      op->SetGlyphType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToGlyphs_GetGlyphType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToGlyphs *op;

  int      temp20;
  op = (vtkGraphToGlyphs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphToGlyphs::GetGlyphType();
      }
    else
      {
      temp20 = op->GetGlyphType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToGlyphs_SetFilled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToGlyphs *op;

  bool   temp0;
  op = (vtkGraphToGlyphs *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphToGlyphs::SetFilled(temp0);
      }
    else
      {
      op->SetFilled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToGlyphs_GetFilled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToGlyphs *op;

  bool   temp20;
  op = (vtkGraphToGlyphs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphToGlyphs::GetFilled();
      }
    else
      {
      temp20 = op->GetFilled();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToGlyphs_FilledOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToGlyphs *op;

  op = (vtkGraphToGlyphs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphToGlyphs::FilledOn();
      }
    else
      {
      op->FilledOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToGlyphs_FilledOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToGlyphs *op;

  op = (vtkGraphToGlyphs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphToGlyphs::FilledOff();
      }
    else
      {
      op->FilledOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToGlyphs_SetScreenSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToGlyphs *op;

  double   temp0;
  op = (vtkGraphToGlyphs *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphToGlyphs::SetScreenSize(temp0);
      }
    else
      {
      op->SetScreenSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToGlyphs_GetScreenSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToGlyphs *op;

  double   temp20;
  op = (vtkGraphToGlyphs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphToGlyphs::GetScreenSize();
      }
    else
      {
      temp20 = op->GetScreenSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToGlyphs_SetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToGlyphs *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkGraphToGlyphs *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphToGlyphs::SetRenderer(temp0);
      }
    else
      {
      op->SetRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkGraphToGlyphs_GetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToGlyphs *op;

  vtkRenderer  *temp20;
  op = (vtkGraphToGlyphs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphToGlyphs::GetRenderer();
      }
    else
      {
      temp20 = op->GetRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToGlyphs_SetScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToGlyphs *op;

  bool   temp0;
  op = (vtkGraphToGlyphs *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphToGlyphs::SetScaling(temp0);
      }
    else
      {
      op->SetScaling(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToGlyphs_GetScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToGlyphs *op;

  bool   temp20;
  op = (vtkGraphToGlyphs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphToGlyphs::GetScaling();
      }
    else
      {
      temp20 = op->GetScaling();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphToGlyphs_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphToGlyphs *op;

  unsigned long     temp20;
  op = (vtkGraphToGlyphs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphToGlyphs::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGraphToGlyphsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGraphToGlyphs_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGraphToGlyphs_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGraphToGlyphs_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGraphToGlyphs\nC++: vtkGraphToGlyphs *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGraphToGlyphs_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGraphToGlyphs\nC++: vtkGraphToGlyphs *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetGlyphType",                (PyCFunction)PyvtkGraphToGlyphs_SetGlyphType, 1,
   (char*)"V.SetGlyphType(int)\nC++: void SetGlyphType (int );\n\n The glyph type, specified as one of the enumerated values in this\n class. VERTEX is a special glyph that cannot be scaled, but instead\n is rendered as an OpenGL vertex primitive. This may appear as a box\n or circle depending on the hardware.\n"},
  {(char*)"GetGlyphType",                (PyCFunction)PyvtkGraphToGlyphs_GetGlyphType, 1,
   (char*)"V.GetGlyphType() -> int\nC++: int GetGlyphType ();\n\n The glyph type, specified as one of the enumerated values in this\n class. VERTEX is a special glyph that cannot be scaled, but instead\n is rendered as an OpenGL vertex primitive. This may appear as a box\n or circle depending on the hardware.\n"},
  {(char*)"SetFilled",                (PyCFunction)PyvtkGraphToGlyphs_SetFilled, 1,
   (char*)"V.SetFilled(bool)\nC++: void SetFilled (bool );\n\n Whether to fill the glyph, or to just render the outline.\n"},
  {(char*)"GetFilled",                (PyCFunction)PyvtkGraphToGlyphs_GetFilled, 1,
   (char*)"V.GetFilled() -> bool\nC++: bool GetFilled ();\n\n Whether to fill the glyph, or to just render the outline.\n"},
  {(char*)"FilledOn",                (PyCFunction)PyvtkGraphToGlyphs_FilledOn, 1,
   (char*)"V.FilledOn()\nC++: void FilledOn ();\n\n Whether to fill the glyph, or to just render the outline.\n"},
  {(char*)"FilledOff",                (PyCFunction)PyvtkGraphToGlyphs_FilledOff, 1,
   (char*)"V.FilledOff()\nC++: void FilledOff ();\n\n Whether to fill the glyph, or to just render the outline.\n"},
  {(char*)"SetScreenSize",                (PyCFunction)PyvtkGraphToGlyphs_SetScreenSize, 1,
   (char*)"V.SetScreenSize(float)\nC++: void SetScreenSize (double );\n\n Set the desired screen size of each glyph. If you are using scaling,\n this will be the size of the glyph when rendering an object with\n scaling value 1.0.\n"},
  {(char*)"GetScreenSize",                (PyCFunction)PyvtkGraphToGlyphs_GetScreenSize, 1,
   (char*)"V.GetScreenSize() -> float\nC++: double GetScreenSize ();\n\n Set the desired screen size of each glyph. If you are using scaling,\n this will be the size of the glyph when rendering an object with\n scaling value 1.0.\n"},
  {(char*)"SetRenderer",                (PyCFunction)PyvtkGraphToGlyphs_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: virtual void SetRenderer (vtkRenderer *ren);\n\n The renderer in which the glyphs will be placed.\n"},
  {(char*)"GetRenderer",                (PyCFunction)PyvtkGraphToGlyphs_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: virtual vtkRenderer *GetRenderer ();\n\n The renderer in which the glyphs will be placed.\n"},
  {(char*)"SetScaling",                (PyCFunction)PyvtkGraphToGlyphs_SetScaling, 1,
   (char*)"V.SetScaling(bool)\nC++: virtual void SetScaling (bool b);\n\n Whether to use the input array to process in order to scale the\n vertices.\n"},
  {(char*)"GetScaling",                (PyCFunction)PyvtkGraphToGlyphs_GetScaling, 1,
   (char*)"V.GetScaling() -> bool\nC++: virtual bool GetScaling ();\n\n Whether to use the input array to process in order to scale the\n vertices.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkGraphToGlyphs_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n The modified time of this filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGraphToGlyphsDoc[] = {
  (char*)"vtkGraphToGlyphs - create glyphs for graph vertices\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" Converts a vtkGraph to a vtkPolyData containing a glyph for each vertex.\n This assumes that the points\n of the graph have already been filled (perhaps by vtkGraphLayout).\n The glyphs will automatically be scaled to be the same size in screen\n coordinates. To do this the filter requires a pointer to the renderer\n into which the glyphs will be rendered.\n\n",
  NULL
};

static vtkObjectBase *vtkGraphToGlyphsStaticNew()
{
  return vtkGraphToGlyphs::New();
}

PyObject *PyVTKClass_vtkGraphToGlyphsNew(char *modulename)
{
  return PyVTKClass_New(&vtkGraphToGlyphsStaticNew,
                        PyvtkGraphToGlyphsMethods,
                        (char*)"vtkGraphToGlyphs",modulename,
                        (char**)vtkGraphToGlyphsDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

