// python wrapper for vtkHardwareSelector object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHardwareSelector.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHardwareSelectorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHardwareSelectorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkHardwareSelector_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelector *op;

  const char    *temp20;
  op = (vtkHardwareSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHardwareSelector::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelector_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelector *op;

  char    *temp0;
  int      temp20;
  op = (vtkHardwareSelector *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHardwareSelector::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelector_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelector *op;

  vtkHardwareSelector  *temp20;
  op = (vtkHardwareSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHardwareSelector::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelector_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHardwareSelector  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHardwareSelector::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHardwareSelector_SetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelector *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkHardwareSelector *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkHardwareSelector::SetRenderer(temp0);
      }
    else
      {
      op->SetRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkHardwareSelector_GetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelector *op;

  vtkRenderer  *temp20;
  op = (vtkHardwareSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHardwareSelector::GetRenderer();
      }
    else
      {
      temp20 = op->GetRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelector_SetArea(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelector *op;

  unsigned int      temp0;
  unsigned int      temp1;
  unsigned int      temp2;
  unsigned int      temp3;
  op = (vtkHardwareSelector *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHardwareSelector::SetArea(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetArea(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelector_SetFieldAssociation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelector *op;

  int      temp0;
  op = (vtkHardwareSelector *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHardwareSelector::SetFieldAssociation(temp0);
      }
    else
      {
      op->SetFieldAssociation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelector_GetFieldAssociation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelector *op;

  int      temp20;
  op = (vtkHardwareSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHardwareSelector::GetFieldAssociation();
      }
    else
      {
      temp20 = op->GetFieldAssociation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelector_Select(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelector *op;

  vtkSelection  *temp20;
  op = (vtkHardwareSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHardwareSelector::Select();
      }
    else
      {
      temp20 = op->Select();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelector_CaptureBuffers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelector *op;

  bool   temp20;
  op = (vtkHardwareSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHardwareSelector::CaptureBuffers();
      }
    else
      {
      temp20 = op->CaptureBuffers();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelector_ClearBuffers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelector *op;

  op = (vtkHardwareSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHardwareSelector::ClearBuffers();
      }
    else
      {
      op->ClearBuffers();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelector_RenderAttributeId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelector *op;

  vtkIdType   temp0;
  op = (vtkHardwareSelector *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHardwareSelector::RenderAttributeId(temp0);
      }
    else
      {
      op->RenderAttributeId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelector_BeginRenderProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelector *op;

  op = (vtkHardwareSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHardwareSelector::BeginRenderProp();
      }
    else
      {
      op->BeginRenderProp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelector_EndRenderProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelector *op;

  op = (vtkHardwareSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHardwareSelector::EndRenderProp();
      }
    else
      {
      op->EndRenderProp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelector_SetProcessID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelector *op;

  int      temp0;
  op = (vtkHardwareSelector *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHardwareSelector::SetProcessID(temp0);
      }
    else
      {
      op->SetProcessID(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelector_GetProcessID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelector *op;

  int      temp20;
  op = (vtkHardwareSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHardwareSelector::GetProcessID();
      }
    else
      {
      temp20 = op->GetProcessID();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelector_GetCurrentPass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelector *op;

  int      temp20;
  op = (vtkHardwareSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHardwareSelector::GetCurrentPass();
      }
    else
      {
      temp20 = op->GetCurrentPass();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHardwareSelector_GenerateSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHardwareSelector *op;

  vtkSelection  *temp20;
  op = (vtkHardwareSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHardwareSelector::GenerateSelection();
      }
    else
      {
      temp20 = op->GenerateSelection();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkHardwareSelector *op;

  unsigned int      temp0;
  unsigned int      temp1;
  unsigned int      temp2;
  unsigned int      temp3;
  vtkSelection  *temp20;
  PyErr_Clear();
  op = (vtkHardwareSelector *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHardwareSelector::GenerateSelection(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->GenerateSelection(temp0,temp1,temp2,temp3);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHardwareSelectorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHardwareSelector_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHardwareSelector_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHardwareSelector_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHardwareSelector\nC++: vtkHardwareSelector *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHardwareSelector_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHardwareSelector\nC++: vtkHardwareSelector *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetRenderer",                (PyCFunction)PyvtkHardwareSelector_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: void SetRenderer (vtkRenderer *);\n\n Get/Set the renderer to perform the selection on.\n"},
  {(char*)"GetRenderer",                (PyCFunction)PyvtkHardwareSelector_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer ();\n\n Get/Set the renderer to perform the selection on.\n"},
  {(char*)"SetArea",                (PyCFunction)PyvtkHardwareSelector_SetArea, 1,
   (char*)"V.SetArea(int, int, int, int)\nC++: void SetArea (unsigned int , unsigned int , unsigned int , unsigned int );\n\n Get/Set the area to select as (xmin, ymin, xmax, ymax).\n"},
  {(char*)"SetFieldAssociation",                (PyCFunction)PyvtkHardwareSelector_SetFieldAssociation, 1,
   (char*)"V.SetFieldAssociation(int)\nC++: void SetFieldAssociation (int );\n\n Set the field type to select. Valid values are \n \\li vtkDataObject::FIELD_ASSOCIATION_POINTS\n \\li vtkDataObject::FIELD_ASSOCIATION_CELLS\n \\li vtkDataObject::FIELD_ASSOCIATION_VERTICES\n \\li vtkDataObject::FIELD_ASSOCIATION_EDGES\n \\li vtkDataObject::FIELD_ASSOCIATION_ROWS\n Currently only FIELD_ASSOCIATION_POINTS and FIELD_ASSOCIATION_CELLS are\n supported.\n"},
  {(char*)"GetFieldAssociation",                (PyCFunction)PyvtkHardwareSelector_GetFieldAssociation, 1,
   (char*)"V.GetFieldAssociation() -> int\nC++: int GetFieldAssociation ();\n\n Set the field type to select. Valid values are \n \\li vtkDataObject::FIELD_ASSOCIATION_POINTS\n \\li vtkDataObject::FIELD_ASSOCIATION_CELLS\n \\li vtkDataObject::FIELD_ASSOCIATION_VERTICES\n \\li vtkDataObject::FIELD_ASSOCIATION_EDGES\n \\li vtkDataObject::FIELD_ASSOCIATION_ROWS\n Currently only FIELD_ASSOCIATION_POINTS and FIELD_ASSOCIATION_CELLS are\n supported.\n"},
  {(char*)"Select",                (PyCFunction)PyvtkHardwareSelector_Select, 1,
   (char*)"V.Select() -> vtkSelection\nC++: vtkSelection *Select ();\n\n Perform the selection. Returns  a new instance of vtkSelection containing\n the selection on success.\n"},
  {(char*)"CaptureBuffers",                (PyCFunction)PyvtkHardwareSelector_CaptureBuffers, 1,
   (char*)"V.CaptureBuffers() -> bool\nC++: bool CaptureBuffers ();\n\n It is possible to use the vtkHardwareSelector for a custom picking. (Look\n at vtkScenePicker). In that case instead of Select() on can use\n CaptureBuffers() to render the selection buffers and then get information\n about pixel locations suing GetPixelInformation(). Use ClearBuffers() to\n clear buffers after one's done with the scene.\n The optional final parameter maxDist will look for a cell within the specified\n number of pixels from display_position.\n"},
  {(char*)"ClearBuffers",                (PyCFunction)PyvtkHardwareSelector_ClearBuffers, 1,
   (char*)"V.ClearBuffers()\nC++: void ClearBuffers ();this ReleasePixBuffers \n\n Called by any vtkMapper or vtkProp subclass to render an attribute's id.\n"},
  {(char*)"RenderAttributeId",                (PyCFunction)PyvtkHardwareSelector_RenderAttributeId, 1,
   (char*)"V.RenderAttributeId(int)\nC++: void RenderAttributeId (vtkIdType attribid);\n\n Called by any vtkMapper or vtkProp subclass to render an attribute's id.\n"},
  {(char*)"BeginRenderProp",                (PyCFunction)PyvtkHardwareSelector_BeginRenderProp, 1,
   (char*)"V.BeginRenderProp()\nC++: void BeginRenderProp ();\n\n Called by the mapper (vtkHardwareSelectionPolyDataPainter) before and after\n rendering each prop.\n"},
  {(char*)"EndRenderProp",                (PyCFunction)PyvtkHardwareSelector_EndRenderProp, 1,
   (char*)"V.EndRenderProp()\nC++: void EndRenderProp ();\n\n Called by the mapper (vtkHardwareSelectionPolyDataPainter) before and after\n rendering each prop.\n"},
  {(char*)"SetProcessID",                (PyCFunction)PyvtkHardwareSelector_SetProcessID, 1,
   (char*)"V.SetProcessID(int)\nC++: void SetProcessID (int );\n\n Get/Set the process id. If process id < 0 (default -1), then the\n PROCESS_PASS is not rendered.\n"},
  {(char*)"GetProcessID",                (PyCFunction)PyvtkHardwareSelector_GetProcessID, 1,
   (char*)"V.GetProcessID() -> int\nC++: int GetProcessID ();\n\n Get/Set the process id. If process id < 0 (default -1), then the\n PROCESS_PASS is not rendered.\n"},
  {(char*)"GetCurrentPass",                (PyCFunction)PyvtkHardwareSelector_GetCurrentPass, 1,
   (char*)"V.GetCurrentPass() -> int\nC++: int GetCurrentPass ();\n\n Get the current pass number.\n"},
  {(char*)"GenerateSelection",                (PyCFunction)PyvtkHardwareSelector_GenerateSelection, 1,
   (char*)"V.GenerateSelection() -> vtkSelection\nC++: virtual vtkSelection *GenerateSelection ();return GenerateSelection this Area \nV.GenerateSelection(int, int, int, int) -> vtkSelection\nC++: virtual vtkSelection *GenerateSelection (unsigned int x1, unsigned int y1, unsigned int x2, unsigned int y2);\n\n Generates the vtkSelection from pixel buffers.\n Requires that CaptureBuffers() has already been called.\n Optionally you may pass a screen region (xmin, ymin, xmax, ymax)\n to generate a selection from. The region must be a subregion\n of the region specified by SetArea(), otherwise it will be\n clipped to that region.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHardwareSelectorDoc[] = {
  (char*)"vtkHardwareSelector - manager for OpenGL-based selection.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkHardwareSelector is a helper that orchestrates color buffer based\n selection. This relies on OpenGL. \n vtkHardwareSelector can be used to select visible cells or points within a\n given rectangle of the RenderWindow.\n To use it, call in order:\n \\li SetRenderer() - to select the renderer in which we\n want to select the cells/points.\n \\li SetArea() - to set the rectangular region in the render wi",
  (char*)"ndow to select\n in.\n \\li SetFieldAssociation() -  to select the attribute to select i.e.\n cells/points etc. \n \\li Finally, call Select().\n Select will cause the attached vtkRenderer to render in a special color mode,\n where each cell/point is given it own color so that later inspection of the \n Rendered Pixels can determine what cells are visible. Select() returns a new\n vtkSelection instance with",
  (char*)" the cells/points selected.\n\n Limitations:\n Antialiasing will break this class. If your graphics card settings force\n their use this class will return invalid results.\n\n Currently only cells from PolyDataMappers can be selected from. When \n vtkRenderer::Selector is non-null vtkPainterPolyDataMapper uses the\n vtkHardwareSelectionPolyDataPainter which make appropriate calls to\n BeginRenderProp(), En",
  (char*)"dRenderProp(), RenderAttributeId() to render colors\n correctly. Until alternatives to vtkHardwareSelectionPolyDataPainter\n exist that can do a similar coloration of other vtkDataSet types, only\n polygonal data can be selected. If you need to select other data types,\n consider using vtkDataSetMapper and turning on it's PassThroughCellIds \n feature, or using vtkFrustumExtractor.\n\n Only Opaque geomet",
  (char*)"ry in Actors is selected from. Assemblies and LODMappers \n are not currently supported. \n\n During selection, visible datasets that can not be selected from are\n temporarily hidden so as not to produce invalid indices from their colors.\n\n\n",
  "See Also:\n\n vtkIdentColoredPainter\n\n",
  NULL
};

static vtkObjectBase *vtkHardwareSelectorStaticNew()
{
  return vtkHardwareSelector::New();
}

PyObject *PyVTKClass_vtkHardwareSelectorNew(char *modulename)
{
  return PyVTKClass_New(&vtkHardwareSelectorStaticNew,
                        PyvtkHardwareSelectorMethods,
                        (char*)"vtkHardwareSelector",modulename,
                        (char**)vtkHardwareSelectorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

