// python wrapper for vtkOverlayPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOverlayPass.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOverlayPassNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOverlayPassNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDefaultPassNew(char *); }

static PyObject *PyvtkOverlayPass_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOverlayPass *op;

  const char    *temp20;
  op = (vtkOverlayPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOverlayPass::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOverlayPass_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOverlayPass *op;

  char    *temp0;
  int      temp20;
  op = (vtkOverlayPass *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOverlayPass::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOverlayPass_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOverlayPass *op;

  vtkOverlayPass  *temp20;
  op = (vtkOverlayPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOverlayPass::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOverlayPass_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOverlayPass  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOverlayPass::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkOverlayPassMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOverlayPass_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOverlayPass_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOverlayPass_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOverlayPass\nC++: vtkOverlayPass *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOverlayPass_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOverlayPass\nC++: vtkOverlayPass *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOverlayPassDoc[] = {
  (char*)"vtkOverlayPass - Render the overlay geometry with property key\n\n",
  "Super Class:\n\n vtkDefaultPass\n\n",
  (char*)" vtkOverlayPass renders the overlay geometry of all the props that have the\n keys contained in vtkRenderState.\n\n This pass expects an initialized depth buffer and color buffer.\n Initialized buffers means they have been cleared with farest z-value and\n background color/gradient/transparent color.\n \n\n",
  "See Also:\n\n vtkRenderPass vtkDefaultPass\n\n",
  NULL
};

static vtkObjectBase *vtkOverlayPassStaticNew()
{
  return vtkOverlayPass::New();
}

PyObject *PyVTKClass_vtkOverlayPassNew(char *modulename)
{
  return PyVTKClass_New(&vtkOverlayPassStaticNew,
                        PyvtkOverlayPassMethods,
                        (char*)"vtkOverlayPass",modulename,
                        (char**)vtkOverlayPassDoc,
                        PyVTKClass_vtkDefaultPassNew(modulename));
}

