// python wrapper for vtkRenderPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRenderPass.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRenderPassNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRenderPassNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkRenderPass_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderPass *op;

  const char    *temp20;
  op = (vtkRenderPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderPass::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderPass_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderPass *op;

  char    *temp0;
  int      temp20;
  op = (vtkRenderPass *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderPass::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderPass_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderPass *op;

  vtkRenderPass  *temp20;
  op = (vtkRenderPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderPass::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderPass_GetNumberOfRenderedProps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderPass *op;

  int      temp20;
  op = (vtkRenderPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderPass::GetNumberOfRenderedProps();
      }
    else
      {
      temp20 = op->GetNumberOfRenderedProps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderPass_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderPass *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkRenderPass *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderPass::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkRenderPassMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRenderPass_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRenderPass_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRenderPass_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRenderPass\nC++: vtkRenderPass *NewInstance ();\n\n"},
  {(char*)"GetNumberOfRenderedProps",                (PyCFunction)PyvtkRenderPass_GetNumberOfRenderedProps, 1,
   (char*)"V.GetNumberOfRenderedProps() -> int\nC++: int GetNumberOfRenderedProps ();\n\n Number of props rendered at the last Render call.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkRenderPass_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *w);\n\n Release graphics resources and ask components to release their own\n resources. Default implementation is empty.\n \\pre w_exists: w!=0\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRenderPassDoc[] = {
  (char*)"vtkRenderPass - Perform part of the rendering of a vtkRenderer.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkRenderPass is a deferred class with a simple deferred method Render.\n This method performs a rendering pass of the scene described in\n vtkRenderState.\n Subclasses define what really happens during rendering.\n\n Directions to write a subclass of vtkRenderPass:\n It is up to the subclass to decide if it needs to delegate part of its job\n to some other vtkRenderPass objects (\"delegates\").\n - The su",
  (char*)"bclass has to define ivar to set/get its delegates.\n - The documentation of the subclass has to describe:\n  - what each delegate is supposed to perform\n  - if a delegate is supposed to be used once or multiple times \n  - what it expects to have in the framebuffer before starting (status\n of colorbuffers, depth buffer, stencil buffer)\n  - what it will change in the framebuffer.\n - A pass cannot mod",
  (char*)"ify the vtkRenderState where it will perform but\n it can build a new vtkRenderState (it can change the FrameBuffer, change the\n prop array, changed the required prop properties keys (usually adding some\n to a copy of the existing list) but it has to keep the same vtkRenderer\n object), make it current and pass it to its delegate.\n - at the end of the execution of Render, the pass has to ensure the\n",
  (char*)" current vtkRenderState is the one it has in argument.\n\n",
  "See Also:\n\n vtkRenderState vtkRenderer \n\n",
  NULL
};

PyObject *PyVTKClass_vtkRenderPassNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkRenderPassMethods,
                        (char*)"vtkRenderPass",modulename,
                        (char**)vtkRenderPassDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

