// python wrapper for vtkSequencePass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSequencePass.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSequencePassNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSequencePassNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderPassNew(char *); }

static PyObject *PyvtkSequencePass_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSequencePass *op;

  const char    *temp20;
  op = (vtkSequencePass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSequencePass::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSequencePass_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSequencePass *op;

  char    *temp0;
  int      temp20;
  op = (vtkSequencePass *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSequencePass::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSequencePass_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSequencePass *op;

  vtkSequencePass  *temp20;
  op = (vtkSequencePass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSequencePass::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSequencePass_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSequencePass  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSequencePass::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSequencePass_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSequencePass *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkSequencePass *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSequencePass::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSequencePass_GetPasses(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSequencePass *op;

  vtkRenderPassCollection  *temp20;
  op = (vtkSequencePass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSequencePass::GetPasses();
      }
    else
      {
      temp20 = op->GetPasses();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSequencePass_SetPasses(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSequencePass *op;

  vtkRenderPassCollection  *temp0;
  PyObject *tempH0;
  op = (vtkSequencePass *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderPassCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderPassCollection");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkSequencePass::SetPasses(temp0);
      }
    else
      {
      op->SetPasses(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkSequencePassMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSequencePass_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSequencePass_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSequencePass_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSequencePass\nC++: vtkSequencePass *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSequencePass_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSequencePass\nC++: vtkSequencePass *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkSequencePass_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *w);\n\n Release graphics resources and ask components to release their own\n resources.\n \\pre w_exists: w!=0\n"},
  {(char*)"GetPasses",                (PyCFunction)PyvtkSequencePass_GetPasses, 1,
   (char*)"V.GetPasses() -> vtkRenderPassCollection\nC++: vtkRenderPassCollection *GetPasses ();\n\n The ordered list of render passes to execute sequentially.\n If the pointer is NULL or the list is empty, it is silently ignored.\n There is no warning.\n Initial value is a NULL pointer.\n"},
  {(char*)"SetPasses",                (PyCFunction)PyvtkSequencePass_SetPasses, 1,
   (char*)"V.SetPasses(vtkRenderPassCollection)\nC++: virtual void SetPasses (vtkRenderPassCollection *passes);\n\n The ordered list of render passes to execute sequentially.\n If the pointer is NULL or the list is empty, it is silently ignored.\n There is no warning.\n Initial value is a NULL pointer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSequencePassDoc[] = {
  (char*)"vtkSequencePass - Execute render passes sequentially.\n\n",
  "Super Class:\n\n vtkRenderPass\n\n",
  (char*)" vtkSequencePass executes a list of render passes sequentially.\n This class allows to define a sequence of render passes at run time.\n The other solution to write a sequence of render passes is to write an\n effective subclass of vtkRenderPass.\n\n As vtkSequencePass is a vtkRenderPass itself, it is possible to have a\n hierarchy of render passes built at runtime.\n\n",
  "See Also:\n\n vtkRenderPass \n\n",
  NULL
};

static vtkObjectBase *vtkSequencePassStaticNew()
{
  return vtkSequencePass::New();
}

PyObject *PyVTKClass_vtkSequencePassNew(char *modulename)
{
  return PyVTKClass_New(&vtkSequencePassStaticNew,
                        PyvtkSequencePassMethods,
                        (char*)"vtkSequencePass",modulename,
                        (char**)vtkSequencePassDoc,
                        PyVTKClass_vtkRenderPassNew(modulename));
}

