// python wrapper for vtkTDxInteractorStyleCamera object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTDxInteractorStyleCamera.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTDxInteractorStyleCameraNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTDxInteractorStyleCameraNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTDxInteractorStyleNew(char *); }

static PyObject *PyvtkTDxInteractorStyleCamera_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyleCamera *op;

  const char    *temp20;
  op = (vtkTDxInteractorStyleCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTDxInteractorStyleCamera::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyleCamera_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyleCamera *op;

  char    *temp0;
  int      temp20;
  op = (vtkTDxInteractorStyleCamera *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTDxInteractorStyleCamera::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyleCamera_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTDxInteractorStyleCamera *op;

  vtkTDxInteractorStyleCamera  *temp20;
  op = (vtkTDxInteractorStyleCamera *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTDxInteractorStyleCamera::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTDxInteractorStyleCamera_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTDxInteractorStyleCamera  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTDxInteractorStyleCamera::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkTDxInteractorStyleCameraMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTDxInteractorStyleCamera_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTDxInteractorStyleCamera_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTDxInteractorStyleCamera_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTDxInteractorStyleCamera\nC++: vtkTDxInteractorStyleCamera *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTDxInteractorStyleCamera_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTDxInteractorStyleCamera\nC++: vtkTDxInteractorStyleCamera *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTDxInteractorStyleCameraDoc[] = {
  (char*)"vtkTDxInteractorStyleCamera - interactive manipulation of the camera with a 3DConnexion device\n\n",
  "Super Class:\n\n vtkTDxInteractorStyle\n\n",
  (char*)" vtkTDxInteractorStyleCamera allows the end-user to manipulate tha camera\n with a 3DConnexion device.\n\n",
  "See Also:\n\n vtkInteractorStyle vtkRenderWindowInteractor\n vtkTDxInteractorStyle\n\n",
  NULL
};

static vtkObjectBase *vtkTDxInteractorStyleCameraStaticNew()
{
  return vtkTDxInteractorStyleCamera::New();
}

PyObject *PyVTKClass_vtkTDxInteractorStyleCameraNew(char *modulename)
{
  return PyVTKClass_New(&vtkTDxInteractorStyleCameraStaticNew,
                        PyvtkTDxInteractorStyleCameraMethods,
                        (char*)"vtkTDxInteractorStyleCamera",modulename,
                        (char**)vtkTDxInteractorStyleCameraDoc,
                        PyVTKClass_vtkTDxInteractorStyleNew(modulename));
}

