// python wrapper for vtkTesting object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTesting.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTestingNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTestingNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkTesting_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  const char    *temp20;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTesting::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  char    *temp0;
  int      temp20;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTesting::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  vtkTesting  *temp20;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTesting::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTesting  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTesting::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTesting_SetFrontBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  int      temp0;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTesting::SetFrontBuffer(temp0);
      }
    else
      {
      op->SetFrontBuffer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_GetFrontBufferMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  int      temp20;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTesting::GetFrontBufferMinValue();
      }
    else
      {
      temp20 = op->GetFrontBufferMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_GetFrontBufferMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  int      temp20;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTesting::GetFrontBufferMaxValue();
      }
    else
      {
      temp20 = op->GetFrontBufferMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_FrontBufferOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTesting::FrontBufferOn();
      }
    else
      {
      op->FrontBufferOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_FrontBufferOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTesting::FrontBufferOff();
      }
    else
      {
      op->FrontBufferOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_GetFrontBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  int      temp20;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTesting::GetFrontBuffer();
      }
    else
      {
      temp20 = op->GetFrontBuffer();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_RegressionTest(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  double   temp0;
  int      temp20;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTesting::RegressionTest(temp0);
      }
    else
      {
      temp20 = op->RegressionTest(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkTesting *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  double   temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"Od", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTesting::RegressionTest(temp0,temp1);
      }
    else
      {
      temp20 = op->RegressionTest(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkTesting_CompareAverageOfL2Norm(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  vtkDataSet  *temp1;
  PyObject *tempH1;
  double   temp2;
  int      temp20;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"OOd", &tempH0, &tempH1, &temp2);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break12;
    temp1 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataSet");
    if (!temp1 && tempH1 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTesting::CompareAverageOfL2Norm(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->CompareAverageOfL2Norm(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break12:
  /* handle an occurrence */
  {
  vtkTesting *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  double   temp2;
  int      temp20;
  PyErr_Clear();
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"OOd", &tempH0, &tempH1, &temp2);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break13;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTesting::CompareAverageOfL2Norm(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->CompareAverageOfL2Norm(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkTesting_SetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkTesting::SetRenderWindow(temp0);
      }
    else
      {
      op->SetRenderWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkTesting_GetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  vtkRenderWindow  *temp20;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTesting::GetRenderWindow();
      }
    else
      {
      temp20 = op->GetRenderWindow();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_SetValidImageFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  char    *temp0;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTesting::SetValidImageFileName(temp0);
      }
    else
      {
      op->SetValidImageFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_GetValidImageFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  const char    *temp20;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTesting::GetValidImageFileName();
      }
    else
      {
      temp20 = op->GetValidImageFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_GetImageDifference(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  double   temp20;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTesting::GetImageDifference();
      }
    else
      {
      temp20 = op->GetImageDifference();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_AddArgument(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  char    *temp0;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTesting::AddArgument(temp0);
      }
    else
      {
      op->AddArgument(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_CleanArguments(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTesting::CleanArguments();
      }
    else
      {
      op->CleanArguments();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_GetDataRoot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  const char    *temp20;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTesting::GetDataRoot();
      }
    else
      {
      temp20 = op->GetDataRoot();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_SetDataRoot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  char    *temp0;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTesting::SetDataRoot(temp0);
      }
    else
      {
      op->SetDataRoot(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_GetTempDirectory(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  const char    *temp20;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTesting::GetTempDirectory();
      }
    else
      {
      temp20 = op->GetTempDirectory();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_SetTempDirectory(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  char    *temp0;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTesting::SetTempDirectory(temp0);
      }
    else
      {
      op->SetTempDirectory(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_IsValidImageSpecified(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  int      temp20;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTesting::IsValidImageSpecified();
      }
    else
      {
      temp20 = op->IsValidImageSpecified();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_IsInteractiveModeSpecified(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  int      temp20;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTesting::IsInteractiveModeSpecified();
      }
    else
      {
      temp20 = op->IsInteractiveModeSpecified();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_IsFlagSpecified(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  char    *temp0;
  int      temp20;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTesting::IsFlagSpecified(temp0);
      }
    else
      {
      temp20 = op->IsFlagSpecified(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_SetBorderOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  int      temp0;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTesting::SetBorderOffset(temp0);
      }
    else
      {
      op->SetBorderOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_GetBorderOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  int      temp20;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTesting::GetBorderOffset();
      }
    else
      {
      temp20 = op->GetBorderOffset();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_SetVerbose(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  int      temp0;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTesting::SetVerbose(temp0);
      }
    else
      {
      op->SetVerbose(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTesting_GetVerbose(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTesting *op;

  int      temp20;
  op = (vtkTesting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTesting::GetVerbose();
      }
    else
      {
      temp20 = op->GetVerbose();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTestingMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTesting_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTesting_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTesting_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTesting\nC++: vtkTesting *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTesting_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTesting\nC++: vtkTesting *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFrontBuffer",                (PyCFunction)PyvtkTesting_SetFrontBuffer, 1,
   (char*)"V.SetFrontBuffer(int)\nC++: void SetFrontBuffer (int );\n\n Use front buffer for tests. By default use back buffer.\n"},
  {(char*)"GetFrontBufferMinValue",                (PyCFunction)PyvtkTesting_GetFrontBufferMinValue, 1,
   (char*)"V.GetFrontBufferMinValue() -> int\nC++: int GetFrontBufferMinValue ();\n\n Use front buffer for tests. By default use back buffer.\n"},
  {(char*)"GetFrontBufferMaxValue",                (PyCFunction)PyvtkTesting_GetFrontBufferMaxValue, 1,
   (char*)"V.GetFrontBufferMaxValue() -> int\nC++: int GetFrontBufferMaxValue ();\n\n Use front buffer for tests. By default use back buffer.\n"},
  {(char*)"FrontBufferOn",                (PyCFunction)PyvtkTesting_FrontBufferOn, 1,
   (char*)"V.FrontBufferOn()\nC++: void FrontBufferOn ();\n\n Use front buffer for tests. By default use back buffer.\n"},
  {(char*)"FrontBufferOff",                (PyCFunction)PyvtkTesting_FrontBufferOff, 1,
   (char*)"V.FrontBufferOff()\nC++: void FrontBufferOff ();\n\n Use front buffer for tests. By default use back buffer.\n"},
  {(char*)"GetFrontBuffer",                (PyCFunction)PyvtkTesting_GetFrontBuffer, 1,
   (char*)"V.GetFrontBuffer() -> int\nC++: int GetFrontBuffer ();\n\n Use front buffer for tests. By default use back buffer.\n"},
  {(char*)"RegressionTest",                (PyCFunction)PyvtkTesting_RegressionTest, 1,
   (char*)"V.RegressionTest(float) -> int\nC++: virtual int RegressionTest (double thresh);\nV.RegressionTest(vtkImageData, float) -> int\nC++: virtual int RegressionTest (vtkImageData *image, double thresh);\n\n Perform the test and return result. At the same time the output will be\n written cout\n"},
  {(char*)"CompareAverageOfL2Norm",                (PyCFunction)PyvtkTesting_CompareAverageOfL2Norm, 1,
   (char*)"V.CompareAverageOfL2Norm(vtkDataSet, vtkDataSet, float) -> int\nC++: int CompareAverageOfL2Norm (vtkDataSet *pdA, vtkDataSet *pdB, double tol);\nV.CompareAverageOfL2Norm(vtkDataArray, vtkDataArray, float) -> int\nC++: int CompareAverageOfL2Norm (vtkDataArray *daA, vtkDataArray *daB, double tol);\n\n Compute the average L2 norm between all point data data arrays \n of types float and double present in the data sets \"dsA\" and \"dsB\"\n (this includes instances of vtkPoints) Compare the result of \n each L2 comutation to \"tol\".\n"},
  {(char*)"SetRenderWindow",                (PyCFunction)PyvtkTesting_SetRenderWindow, 1,
   (char*)"V.SetRenderWindow(vtkRenderWindow)\nC++: virtual void SetRenderWindow (vtkRenderWindow *rw);\n\n Set and get the render window that will be used for regression testing.\n"},
  {(char*)"GetRenderWindow",                (PyCFunction)PyvtkTesting_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkRenderWindow\nC++: vtkRenderWindow *GetRenderWindow ();\n\n Set and get the render window that will be used for regression testing.\n"},
  {(char*)"SetValidImageFileName",                (PyCFunction)PyvtkTesting_SetValidImageFileName, 1,
   (char*)"V.SetValidImageFileName(string)\nC++: void SetValidImageFileName (char *);\n\n Set/Get the name of the valid image file\n"},
  {(char*)"GetValidImageFileName",                (PyCFunction)PyvtkTesting_GetValidImageFileName, 1,
   (char*)"V.GetValidImageFileName() -> string\nC++: const char *GetValidImageFileName ();\n\n Set/Get the name of the valid image file\n"},
  {(char*)"GetImageDifference",                (PyCFunction)PyvtkTesting_GetImageDifference, 1,
   (char*)"V.GetImageDifference() -> float\nC++: double GetImageDifference ();\n\n Get the image difference.\n"},
  {(char*)"AddArgument",                (PyCFunction)PyvtkTesting_AddArgument, 1,
   (char*)"V.AddArgument(string)\nC++: void AddArgument (const char *argv);\n\n Pass the command line arguments into this class to be processed. Many of\n the Get methods such as GetValidImage and GetBaselineRoot rely on the\n arguments to be passed in prior to retrieving these values. Just call\n AddArgument for each argument that was passed into the command line\n"},
  {(char*)"CleanArguments",                (PyCFunction)PyvtkTesting_CleanArguments, 1,
   (char*)"V.CleanArguments()\nC++: void CleanArguments ();\n\n"},
  {(char*)"GetDataRoot",                (PyCFunction)PyvtkTesting_GetDataRoot, 1,
   (char*)"V.GetDataRoot() -> string\nC++: const char *GetDataRoot ();\n\n Get some paramters from the command line arguments, env, or defaults\n"},
  {(char*)"SetDataRoot",                (PyCFunction)PyvtkTesting_SetDataRoot, 1,
   (char*)"V.SetDataRoot(string)\nC++: void SetDataRoot (char *);\n\n Get some paramters from the command line arguments, env, or defaults\n"},
  {(char*)"GetTempDirectory",                (PyCFunction)PyvtkTesting_GetTempDirectory, 1,
   (char*)"V.GetTempDirectory() -> string\nC++: const char *GetTempDirectory ();\n\n Get some paramters from the command line arguments, env, or defaults\n"},
  {(char*)"SetTempDirectory",                (PyCFunction)PyvtkTesting_SetTempDirectory, 1,
   (char*)"V.SetTempDirectory(string)\nC++: void SetTempDirectory (char *);\n\n Get some paramters from the command line arguments, env, or defaults\n"},
  {(char*)"IsValidImageSpecified",                (PyCFunction)PyvtkTesting_IsValidImageSpecified, 1,
   (char*)"V.IsValidImageSpecified() -> int\nC++: int IsValidImageSpecified ();\n\n Is a valid image specified on the command line areguments?\n"},
  {(char*)"IsInteractiveModeSpecified",                (PyCFunction)PyvtkTesting_IsInteractiveModeSpecified, 1,
   (char*)"V.IsInteractiveModeSpecified() -> int\nC++: int IsInteractiveModeSpecified ();\n\n Is the interactive mode specified?\n"},
  {(char*)"IsFlagSpecified",                (PyCFunction)PyvtkTesting_IsFlagSpecified, 1,
   (char*)"V.IsFlagSpecified(string) -> int\nC++: int IsFlagSpecified (const char *flag);\n\n Is some arbitrary user flag (\"-X\", \"-Z\" etc) specified\n"},
  {(char*)"SetBorderOffset",                (PyCFunction)PyvtkTesting_SetBorderOffset, 1,
   (char*)"V.SetBorderOffset(int)\nC++: void SetBorderOffset (int );\n\n Number of pixels added as borders to avoid problems with\n window decorations added by some window managers.\n"},
  {(char*)"GetBorderOffset",                (PyCFunction)PyvtkTesting_GetBorderOffset, 1,
   (char*)"V.GetBorderOffset() -> int\nC++: int GetBorderOffset ();\n\n Number of pixels added as borders to avoid problems with\n window decorations added by some window managers.\n"},
  {(char*)"SetVerbose",                (PyCFunction)PyvtkTesting_SetVerbose, 1,
   (char*)"V.SetVerbose(int)\nC++: void SetVerbose (int );\n\n Get/Set verbosity level. A level of 0 is quiet.\n"},
  {(char*)"GetVerbose",                (PyCFunction)PyvtkTesting_GetVerbose, 1,
   (char*)"V.GetVerbose() -> int\nC++: int GetVerbose ();\n\n Get/Set verbosity level. A level of 0 is quiet.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTestingDoc[] = {
  (char*)"vtkTesting - a unified VTK regression testing framework\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"\n  This is a VTK regression testing framework. Looks like this:\n \n  vtkTesting* t = vtkTesting::New();\n\n  Two options for setting arguments\n  \n  Option 1:\n  for ( cc = 1; cc < argc; cc ++ )\n    {\n    t->AddArgument(argv[cc]);\n    }\n\n  Option 2:\n  t->AddArgument(\"-D\");\n  t->AddArgument(my_data_dir);\n  t->AddArgument(\"-V\");\n  t->AddArgument(my_valid_image);\n\n  ...\n  \n  Two options of doing testing:\n",
  (char*)"  \n  Option 1:\n  t->SetRenderWindow(renWin);\n  int res = t->RegressionTest(threshold);\n\n  Option 2:\n  int res = t->RegressionTest(test_image, threshold);\n  \n  ...\n\n  if ( res == vtkTesting::PASSED )\n    {\n    Test passed\n    }\n  else\n    {\n    Test failed\n    }\n\n\n",
  NULL
};

static vtkObjectBase *vtkTestingStaticNew()
{
  return vtkTesting::New();
}

PyObject *PyVTKClass_vtkTestingNew(char *modulename)
{
  return PyVTKClass_New(&vtkTestingStaticNew,
                        PyvtkTestingMethods,
                        (char*)"vtkTesting",modulename,
                        (char**)vtkTestingDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

