// python wrapper for vtkTextureObject object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTextureObject.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTextureObjectNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTextureObjectNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkTextureObject_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  const char    *temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  char    *temp0;
  int      temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  vtkTextureObject  *temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTextureObject  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTextureObject::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTextureObject_SetContext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::SetContext(temp0);
      }
    else
      {
      op->SetContext(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkTextureObject_GetContext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  vtkRenderWindow  *temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetContext();
      }
    else
      {
      temp20 = op->GetContext();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  unsigned int      temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetWidth();
      }
    else
      {
      temp20 = op->GetWidth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  unsigned int      temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetHeight();
      }
    else
      {
      temp20 = op->GetHeight();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetDepth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  unsigned int      temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetDepth();
      }
    else
      {
      temp20 = op->GetDepth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetComponents();
      }
    else
      {
      temp20 = op->GetComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetNumberOfDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetNumberOfDimensions();
      }
    else
      {
      temp20 = op->GetNumberOfDimensions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetTarget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  unsigned int      temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetTarget();
      }
    else
      {
      temp20 = op->GetTarget();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetHandle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  unsigned int      temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetHandle();
      }
    else
      {
      temp20 = op->GetHandle();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_Bind(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::Bind();
      }
    else
      {
      op->Bind();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_UnBind(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::UnBind();
      }
    else
      {
      op->UnBind();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_IsBound(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  bool   temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::IsBound();
      }
    else
      {
      temp20 = op->IsBound();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_SendParameters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::SendParameters();
      }
    else
      {
      op->SendParameters();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_Create1D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp0;
  vtkPixelBufferObject  *temp1;
  PyObject *tempH1;
  bool   temp2;
  bool   temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"iOb", &temp0, &tempH1, &temp2);
  if (op)
    {
    temp1 = (vtkPixelBufferObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPixelBufferObject");
    if (!temp1 && tempH1 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::Create1D(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Create1D(temp0,temp1,temp2);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkTextureObject_Create2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  unsigned int      temp0;
  unsigned int      temp1;
  int      temp2;
  vtkPixelBufferObject  *temp3;
  PyObject *tempH3;
  bool   temp4;
  bool   temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"iiiOb", &temp0, &temp1, &temp2, &tempH3, &temp4);
  if (op)
    {
    temp3 = (vtkPixelBufferObject *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkPixelBufferObject");
    if (!temp3 && tempH3 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::Create2D(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->Create2D(temp0,temp1,temp2,temp3,temp4);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break18:
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  unsigned int      temp0;
  unsigned int      temp1;
  int      temp2;
  int      temp3;
  bool   temp4;
  bool   temp20;
  PyErr_Clear();
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"iiiib", &temp0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::Create2D(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->Create2D(temp0,temp1,temp2,temp3,temp4);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_CreateDepth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  unsigned int      temp0;
  unsigned int      temp1;
  int      temp2;
  vtkPixelBufferObject  *temp3;
  PyObject *tempH3;
  bool   temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"iiiO", &temp0, &temp1, &temp2, &tempH3);
  if (op)
    {
    temp3 = (vtkPixelBufferObject *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkPixelBufferObject");
    if (!temp3 && tempH3 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::CreateDepth(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->CreateDepth(temp0,temp1,temp2,temp3);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkTextureObject_CreateDepthFromRaw(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  unsigned int      temp0;
  unsigned int      temp1;
  int      temp2;
  int      temp3;
  void    *temp4;
  int      size4;
  bool   temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"iiiis#", &temp0, &temp1, &temp2, &temp3, &temp4, &size4);
  if (op)
    {
    temp4 = vtkPythonUnmanglePointer((char *)temp4,&size4,(char*)"void_p");
    if (size4 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to CreateDepthFromRaw in vtkTextureObject was of incorrect type.");
      return NULL;
      }
    else if (size4 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to CreateDepthFromRaw in vtkTextureObject was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::CreateDepthFromRaw(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->CreateDepthFromRaw(temp0,temp1,temp2,temp3,temp4);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_AllocateDepth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  unsigned int      temp0;
  unsigned int      temp1;
  int      temp2;
  bool   temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::AllocateDepth(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->AllocateDepth(temp0,temp1,temp2);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_Allocate1D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  unsigned int      temp0;
  int      temp1;
  int      temp2;
  bool   temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::Allocate1D(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Allocate1D(temp0,temp1,temp2);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_Allocate2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  unsigned int      temp0;
  unsigned int      temp1;
  int      temp2;
  int      temp3;
  bool   temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::Allocate2D(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Allocate2D(temp0,temp1,temp2,temp3);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_Allocate3D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  unsigned int      temp0;
  unsigned int      temp1;
  unsigned int      temp2;
  int      temp3;
  int      temp4;
  bool   temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"iiiii", &temp0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::Allocate3D(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->Allocate3D(temp0,temp1,temp2,temp3,temp4);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_Create3D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  unsigned int      temp0;
  unsigned int      temp1;
  unsigned int      temp2;
  int      temp3;
  vtkPixelBufferObject  *temp4;
  PyObject *tempH4;
  bool   temp5;
  bool   temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"iiiiOb", &temp0, &temp1, &temp2, &temp3, &tempH4, &temp5);
  if (op)
    {
    temp4 = (vtkPixelBufferObject *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPixelBufferObject");
    if (!temp4 && tempH4 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::Create3D(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      temp20 = op->Create3D(temp0,temp1,temp2,temp3,temp4,temp5);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break25:
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  unsigned int      temp0;
  unsigned int      temp1;
  unsigned int      temp2;
  int      temp3;
  int      temp4;
  bool   temp5;
  bool   temp20;
  PyErr_Clear();
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"iiiiib", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::Create3D(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      temp20 = op->Create3D(temp0,temp1,temp2,temp3,temp4,temp5);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_Download(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  vtkPixelBufferObject  *temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::Download();
      }
    else
      {
      temp20 = op->Download();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetDataType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetDataType();
      }
    else
      {
      temp20 = op->GetDataType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetInternalFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp0;
  int      temp1;
  bool   temp2;
  unsigned int      temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"iib", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetInternalFormat(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetInternalFormat(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp0;
  int      temp1;
  bool   temp2;
  unsigned int      temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"iib", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetFormat(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetFormat(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetWrapS(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetWrapS();
      }
    else
      {
      temp20 = op->GetWrapS();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_SetWrapS(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp0;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::SetWrapS(temp0);
      }
    else
      {
      op->SetWrapS(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetWrapT(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetWrapT();
      }
    else
      {
      temp20 = op->GetWrapT();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_SetWrapT(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp0;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::SetWrapT(temp0);
      }
    else
      {
      op->SetWrapT(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetWrapR(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetWrapR();
      }
    else
      {
      temp20 = op->GetWrapR();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_SetWrapR(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp0;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::SetWrapR(temp0);
      }
    else
      {
      op->SetWrapR(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetMinificationFilter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetMinificationFilter();
      }
    else
      {
      temp20 = op->GetMinificationFilter();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_SetMinificationFilter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp0;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::SetMinificationFilter(temp0);
      }
    else
      {
      op->SetMinificationFilter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetLinearMagnification(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  bool   temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetLinearMagnification();
      }
    else
      {
      temp20 = op->GetLinearMagnification();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_SetLinearMagnification(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  bool   temp0;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::SetLinearMagnification(temp0);
      }
    else
      {
      op->SetLinearMagnification(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_SetBorderColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"ffff", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::SetBorderColor(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetBorderColor(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  float  temp0[4];
  PyErr_Clear();
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"(ffff)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::SetBorderColor(temp0);
      }
    else
      {
      op->SetBorderColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetBorderColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  float   *temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetBorderColor();
      }
    else
      {
      temp20 = op->GetBorderColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ffff",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_SetPriority(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  float    temp0;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::SetPriority(temp0);
      }
    else
      {
      op->SetPriority(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetPriority(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  float    temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetPriority();
      }
    else
      {
      temp20 = op->GetPriority();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_SetMinLOD(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  float    temp0;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::SetMinLOD(temp0);
      }
    else
      {
      op->SetMinLOD(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetMinLOD(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  float    temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetMinLOD();
      }
    else
      {
      temp20 = op->GetMinLOD();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_SetMaxLOD(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  float    temp0;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::SetMaxLOD(temp0);
      }
    else
      {
      op->SetMaxLOD(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetMaxLOD(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  float    temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetMaxLOD();
      }
    else
      {
      temp20 = op->GetMaxLOD();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_SetBaseLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp0;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::SetBaseLevel(temp0);
      }
    else
      {
      op->SetBaseLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetBaseLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetBaseLevel();
      }
    else
      {
      temp20 = op->GetBaseLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_SetMaxLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp0;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::SetMaxLevel(temp0);
      }
    else
      {
      op->SetMaxLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetMaxLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetMaxLevel();
      }
    else
      {
      temp20 = op->GetMaxLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetDepthTextureCompare(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  bool   temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetDepthTextureCompare();
      }
    else
      {
      temp20 = op->GetDepthTextureCompare();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_SetDepthTextureCompare(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  bool   temp0;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::SetDepthTextureCompare(temp0);
      }
    else
      {
      op->SetDepthTextureCompare(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetDepthTextureCompareFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetDepthTextureCompareFunction();
      }
    else
      {
      temp20 = op->GetDepthTextureCompareFunction();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_SetDepthTextureCompareFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp0;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::SetDepthTextureCompareFunction(temp0);
      }
    else
      {
      op->SetDepthTextureCompareFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetDepthTextureMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetDepthTextureMode();
      }
    else
      {
      temp20 = op->GetDepthTextureMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_SetDepthTextureMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp0;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::SetDepthTextureMode(temp0);
      }
    else
      {
      op->SetDepthTextureMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_GetGenerateMipmap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  bool   temp20;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureObject::GetGenerateMipmap();
      }
    else
      {
      temp20 = op->GetGenerateMipmap();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_SetGenerateMipmap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  bool   temp0;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::SetGenerateMipmap(temp0);
      }
    else
      {
      op->SetGenerateMipmap(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_IsSupported(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  bool   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break63;
      {
      temp20 = vtkTextureObject::IsSupported(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break63:
  return NULL;
}


static PyObject *PyvtkTextureObject_CopyToFrameBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  int      temp7;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"iiiiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::CopyToFrameBuffer(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    else
      {
      op->CopyToFrameBuffer(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureObject_CopyFromFrameBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureObject *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkTextureObject *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureObject::CopyFromFrameBuffer(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->CopyFromFrameBuffer(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTextureObjectMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTextureObject_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTextureObject_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTextureObject_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTextureObject\nC++: vtkTextureObject *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTextureObject_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTextureObject\nC++: vtkTextureObject *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetContext",                (PyCFunction)PyvtkTextureObject_SetContext, 1,
   (char*)"V.SetContext(vtkRenderWindow)\nC++: void SetContext (vtkRenderWindow *);\n\n Get/Set the context. This does not increase the reference count of the \n context to avoid reference loops.\n SetContext() may raise an error is the OpenGL context does not support the\n required OpenGL extensions.\n"},
  {(char*)"GetContext",                (PyCFunction)PyvtkTextureObject_GetContext, 1,
   (char*)"V.GetContext() -> vtkRenderWindow\nC++: vtkRenderWindow *GetContext ();\n\n Get/Set the context. This does not increase the reference count of the \n context to avoid reference loops.\n SetContext() may raise an error is the OpenGL context does not support the\n required OpenGL extensions.\n"},
  {(char*)"GetWidth",                (PyCFunction)PyvtkTextureObject_GetWidth, 1,
   (char*)"V.GetWidth() -> int\nC++: int unsigned GetWidth ();\n\n Get the texture dimensions.\n These are the properties of the OpenGL texture this instance represents.\n"},
  {(char*)"GetHeight",                (PyCFunction)PyvtkTextureObject_GetHeight, 1,
   (char*)"V.GetHeight() -> int\nC++: int unsigned GetHeight ();\n\n Get the texture dimensions.\n These are the properties of the OpenGL texture this instance represents.\n"},
  {(char*)"GetDepth",                (PyCFunction)PyvtkTextureObject_GetDepth, 1,
   (char*)"V.GetDepth() -> int\nC++: int unsigned GetDepth ();\n\n Get the texture dimensions.\n These are the properties of the OpenGL texture this instance represents.\n"},
  {(char*)"GetComponents",                (PyCFunction)PyvtkTextureObject_GetComponents, 1,
   (char*)"V.GetComponents() -> int\nC++: int GetComponents ();\n\n Get the texture dimensions.\n These are the properties of the OpenGL texture this instance represents.\n"},
  {(char*)"GetNumberOfDimensions",                (PyCFunction)PyvtkTextureObject_GetNumberOfDimensions, 1,
   (char*)"V.GetNumberOfDimensions() -> int\nC++: int GetNumberOfDimensions ();\n\n"},
  {(char*)"GetTarget",                (PyCFunction)PyvtkTextureObject_GetTarget, 1,
   (char*)"V.GetTarget() -> int\nC++: int unsigned GetTarget ();\n\n Returns OpenGL texture target to which the texture is/can be bound.\n"},
  {(char*)"GetHandle",                (PyCFunction)PyvtkTextureObject_GetHandle, 1,
   (char*)"V.GetHandle() -> int\nC++: int unsigned GetHandle ();\n\n Returns the OpenGL handle.\n"},
  {(char*)"Bind",                (PyCFunction)PyvtkTextureObject_Bind, 1,
   (char*)"V.Bind()\nC++: void Bind ();\n\n Activate the texture. The texture must have been created using Create().\n RenderWindow must be set before calling this. \n"},
  {(char*)"UnBind",                (PyCFunction)PyvtkTextureObject_UnBind, 1,
   (char*)"V.UnBind()\nC++: void UnBind ();\n\n Activate the texture. The texture must have been created using Create().\n RenderWindow must be set before calling this. \n"},
  {(char*)"IsBound",                (PyCFunction)PyvtkTextureObject_IsBound, 1,
   (char*)"V.IsBound() -> bool\nC++: bool IsBound ();\n\n Tells if the texture object is bound to the active texture image unit.\n (a texture object can be bound to multiple texture image unit).\n"},
  {(char*)"SendParameters",                (PyCFunction)PyvtkTextureObject_SendParameters, 1,
   (char*)"V.SendParameters()\nC++: void SendParameters ();\n\n Send all the texture object parameters to the hardware if not done yet.\n \\pre is_bound: IsBound()\n"},
  {(char*)"Create1D",                (PyCFunction)PyvtkTextureObject_Create1D, 1,
   (char*)"V.Create1D(int, vtkPixelBufferObject, bool) -> bool\nC++: bool Create1D (int numComps, vtkPixelBufferObject *pbo, bool shaderSupportsTextureInt);\n\n Create a 1D texture using the PBO.\n Eventually we may start supporting creating a texture from subset of data\n in the PBO, but for simplicity we'll begin with entire PBO data.\n numComps must be in [1-4].\n shaderSupportsTextureInt is true if the shader has an alternate\n implementation supporting sampler with integer values.\n Even if the card supports texture int, it does not mean that\n the implementor of the shader made a version that supports texture int.\n"},
  {(char*)"Create2D",                (PyCFunction)PyvtkTextureObject_Create2D, 1,
   (char*)"V.Create2D(int, int, int, vtkPixelBufferObject, bool) -> bool\nC++: bool Create2D (unsigned int width, unsigned int height, int numComps, vtkPixelBufferObject *pbo, bool shaderSupportsTextureInt);\nV.Create2D(int, int, int, int, bool) -> bool\nC++: bool Create2D (unsigned int width, unsigned int height, int numComps, int vtktype, bool shaderSupportsTextureInt);\n\n Create a 2D texture using the PBO.\n Eventually we may start supporting creating a texture from subset of data\n in the PBO, but for simplicity we'll begin with entire PBO data.\n numComps must be in [1-4].\n"},
  {(char*)"CreateDepth",                (PyCFunction)PyvtkTextureObject_CreateDepth, 1,
   (char*)"V.CreateDepth(int, int, int, vtkPixelBufferObject) -> bool\nC++: bool CreateDepth (unsigned int width, unsigned int height, int internalFormat, vtkPixelBufferObject *pbo);\n\n Create a 2D depth texture using a PBO.\n \\pre: valid_internalFormat: internalFormat>=0 && internalFormat<NumberOfDepthFormats\n"},
  {(char*)"CreateDepthFromRaw",                (PyCFunction)PyvtkTextureObject_CreateDepthFromRaw, 1,
   (char*)"V.CreateDepthFromRaw(int, int, int, int, string) -> bool\nC++: bool CreateDepthFromRaw (unsigned int width, unsigned int height, int internalFormat, int rawType, void *raw);\n\n Create a 2D depth texture using a raw pointer.\n This is a blocking call. If you can, use PBO instead.\n"},
  {(char*)"AllocateDepth",                (PyCFunction)PyvtkTextureObject_AllocateDepth, 1,
   (char*)"V.AllocateDepth(int, int, int) -> bool\nC++: bool AllocateDepth (unsigned int width, unsigned int height, int internalFormat);\n\n Create a 2D depth texture but does not initialize its values.\n"},
  {(char*)"Allocate1D",                (PyCFunction)PyvtkTextureObject_Allocate1D, 1,
   (char*)"V.Allocate1D(int, int, int) -> bool\nC++: bool Allocate1D (unsigned int width, int numComps, int vtkType);\n\n Create a 1D color texture but does not initialize its values.\n Internal format is deduced from numComps and vtkType.\n"},
  {(char*)"Allocate2D",                (PyCFunction)PyvtkTextureObject_Allocate2D, 1,
   (char*)"V.Allocate2D(int, int, int, int) -> bool\nC++: bool Allocate2D (unsigned int width, unsigned int height, int numComps, int vtkType);\n\n Create a 2D color texture but does not initialize its values.\n Internal format is deduced from numComps and vtkType.\n"},
  {(char*)"Allocate3D",                (PyCFunction)PyvtkTextureObject_Allocate3D, 1,
   (char*)"V.Allocate3D(int, int, int, int, int) -> bool\nC++: bool Allocate3D (unsigned int width, unsigned int height, unsigned int depth, int numComps, int vtkType);\n\n Create a 3D color texture but does not initialize its values.\n Internal format is deduced from numComps and vtkType.\n"},
  {(char*)"Create3D",                (PyCFunction)PyvtkTextureObject_Create3D, 1,
   (char*)"V.Create3D(int, int, int, int, vtkPixelBufferObject, bool) -> bool\nC++: bool Create3D (unsigned int width, unsigned int height, unsigned int depth, int numComps, vtkPixelBufferObject *pbo, bool shaderSupportsTextureInt);\nV.Create3D(int, int, int, int, int, bool) -> bool\nC++: bool Create3D (unsigned int width, unsigned int height, unsigned int depth, int numComps, int vtktype, bool shaderSupportsTextureInt);\n\n Create a 3D texture using the PBO.\n Eventually we may start supporting creating a texture from subset of data\n in the PBO, but for simplicity we'll begin with entire PBO data.\n numComps must be in [1-4].\n"},
  {(char*)"Download",                (PyCFunction)PyvtkTextureObject_Download, 1,
   (char*)"V.Download() -> vtkPixelBufferObject\nC++: vtkPixelBufferObject *Download ();\n\n This is used to download raw data from the texture into a pixel bufer. The\n pixel buffer API can then be used to download the pixel buffer data to CPU\n arrays. The caller takes on the responsibility of deleting the returns\n vtkPixelBufferObject once it done with it.\n"},
  {(char*)"GetDataType",                (PyCFunction)PyvtkTextureObject_GetDataType, 1,
   (char*)"V.GetDataType() -> int\nC++: int GetDataType ();\n\n Get the data type for the texture as a vtk type int i.e. VTK_INT etc.\n"},
  {(char*)"GetInternalFormat",                (PyCFunction)PyvtkTextureObject_GetInternalFormat, 1,
   (char*)"V.GetInternalFormat(int, int, bool) -> int\nC++: unsigned int GetInternalFormat (int vtktype, int numComps, bool shaderSupportsTextureInt);\n\n"},
  {(char*)"GetFormat",                (PyCFunction)PyvtkTextureObject_GetFormat, 1,
   (char*)"V.GetFormat(int, int, bool) -> int\nC++: unsigned int GetFormat (int vtktype, int numComps, bool shaderSupportsTextureInt);\n\n"},
  {(char*)"GetWrapS",                (PyCFunction)PyvtkTextureObject_GetWrapS, 1,
   (char*)"V.GetWrapS() -> int\nC++: int GetWrapS ();\n\n Wrap mode for the first texture coordinate \"s\"\n Valid values are:\n - Clamp\n - ClampToEdge\n - Repeat\n - ClampToBorder\n - MirroredRepeat\n Initial value is Repeat (as in OpenGL spec)\n"},
  {(char*)"SetWrapS",                (PyCFunction)PyvtkTextureObject_SetWrapS, 1,
   (char*)"V.SetWrapS(int)\nC++: void SetWrapS (int );\n\n Wrap mode for the first texture coordinate \"s\"\n Valid values are:\n - Clamp\n - ClampToEdge\n - Repeat\n - ClampToBorder\n - MirroredRepeat\n Initial value is Repeat (as in OpenGL spec)\n"},
  {(char*)"GetWrapT",                (PyCFunction)PyvtkTextureObject_GetWrapT, 1,
   (char*)"V.GetWrapT() -> int\nC++: int GetWrapT ();\n\n Wrap mode for the first texture coordinate \"t\"\n Valid values are:\n - Clamp\n - ClampToEdge\n - Repeat\n - ClampToBorder\n - MirroredRepeat\n Initial value is Repeat (as in OpenGL spec)\n"},
  {(char*)"SetWrapT",                (PyCFunction)PyvtkTextureObject_SetWrapT, 1,
   (char*)"V.SetWrapT(int)\nC++: void SetWrapT (int );\n\n Wrap mode for the first texture coordinate \"t\"\n Valid values are:\n - Clamp\n - ClampToEdge\n - Repeat\n - ClampToBorder\n - MirroredRepeat\n Initial value is Repeat (as in OpenGL spec)\n"},
  {(char*)"GetWrapR",                (PyCFunction)PyvtkTextureObject_GetWrapR, 1,
   (char*)"V.GetWrapR() -> int\nC++: int GetWrapR ();\n\n Wrap mode for the first texture coordinate \"r\"\n Valid values are:\n - Clamp\n - ClampToEdge\n - Repeat\n - ClampToBorder\n - MirroredRepeat\n Initial value is Repeat (as in OpenGL spec)\n"},
  {(char*)"SetWrapR",                (PyCFunction)PyvtkTextureObject_SetWrapR, 1,
   (char*)"V.SetWrapR(int)\nC++: void SetWrapR (int );\n\n Wrap mode for the first texture coordinate \"r\"\n Valid values are:\n - Clamp\n - ClampToEdge\n - Repeat\n - ClampToBorder\n - MirroredRepeat\n Initial value is Repeat (as in OpenGL spec)\n"},
  {(char*)"GetMinificationFilter",                (PyCFunction)PyvtkTextureObject_GetMinificationFilter, 1,
   (char*)"V.GetMinificationFilter() -> int\nC++: int GetMinificationFilter ();\n\n Minification filter mode.\n Valid values are:\n - Nearest\n - Linear\n - NearestMipmapNearest\n - NearestMipmapLinear\n - LinearMipmapNearest\n - LinearMipmapLinear\n Initial value is Nearest (note initial value in OpenGL spec\n is NearestMipMapLinear but this is error-prone because it makes the\n texture object incomplete. ).\n"},
  {(char*)"SetMinificationFilter",                (PyCFunction)PyvtkTextureObject_SetMinificationFilter, 1,
   (char*)"V.SetMinificationFilter(int)\nC++: void SetMinificationFilter (int );\n\n Minification filter mode.\n Valid values are:\n - Nearest\n - Linear\n - NearestMipmapNearest\n - NearestMipmapLinear\n - LinearMipmapNearest\n - LinearMipmapLinear\n Initial value is Nearest (note initial value in OpenGL spec\n is NearestMipMapLinear but this is error-prone because it makes the\n texture object incomplete. ).\n"},
  {(char*)"GetLinearMagnification",                (PyCFunction)PyvtkTextureObject_GetLinearMagnification, 1,
   (char*)"V.GetLinearMagnification() -> bool\nC++: bool GetLinearMagnification ();\n\n Tells if the magnification mode is linear (true) or nearest (false).\n Initial value is false (initial value in OpenGL spec is true).\n"},
  {(char*)"SetLinearMagnification",                (PyCFunction)PyvtkTextureObject_SetLinearMagnification, 1,
   (char*)"V.SetLinearMagnification(bool)\nC++: void SetLinearMagnification (bool );\n\n Tells if the magnification mode is linear (true) or nearest (false).\n Initial value is false (initial value in OpenGL spec is true).\n"},
  {(char*)"SetBorderColor",                (PyCFunction)PyvtkTextureObject_SetBorderColor, 1,
   (char*)"V.SetBorderColor(float, float, float, float)\nC++: void SetBorderColor (float , float , float , float );\nV.SetBorderColor((float, float, float, float))\nC++: void SetBorderColor (float  a[4]);\n\n Border Color (RGBA). Each component is in [0.0f,1.0f].\n Initial value is (0.0f,0.0f,0.0f,0.0f), as in OpenGL spec.\n"},
  {(char*)"GetBorderColor",                (PyCFunction)PyvtkTextureObject_GetBorderColor, 1,
   (char*)"V.GetBorderColor() -> (float, float, float, float)\nC++: float  *GetBorderColor ();\n\n Border Color (RGBA). Each component is in [0.0f,1.0f].\n Initial value is (0.0f,0.0f,0.0f,0.0f), as in OpenGL spec.\n"},
  {(char*)"SetPriority",                (PyCFunction)PyvtkTextureObject_SetPriority, 1,
   (char*)"V.SetPriority(float)\nC++: void SetPriority (float );\n\n Priority of the texture object to be resident on the card for higher\n performance in the range [0.0f,1.0f].\n Initial value is 1.0f, as in OpenGL spec.\n"},
  {(char*)"GetPriority",                (PyCFunction)PyvtkTextureObject_GetPriority, 1,
   (char*)"V.GetPriority() -> float\nC++: float GetPriority ();\n\n Priority of the texture object to be resident on the card for higher\n performance in the range [0.0f,1.0f].\n Initial value is 1.0f, as in OpenGL spec.\n"},
  {(char*)"SetMinLOD",                (PyCFunction)PyvtkTextureObject_SetMinLOD, 1,
   (char*)"V.SetMinLOD(float)\nC++: void SetMinLOD (float );\n\n Lower-clamp the computed LOD against this value. Any float value is valid.\n Initial value is -1000.0f, as in OpenGL spec.\n"},
  {(char*)"GetMinLOD",                (PyCFunction)PyvtkTextureObject_GetMinLOD, 1,
   (char*)"V.GetMinLOD() -> float\nC++: float GetMinLOD ();\n\n Lower-clamp the computed LOD against this value. Any float value is valid.\n Initial value is -1000.0f, as in OpenGL spec.\n"},
  {(char*)"SetMaxLOD",                (PyCFunction)PyvtkTextureObject_SetMaxLOD, 1,
   (char*)"V.SetMaxLOD(float)\nC++: void SetMaxLOD (float );\n\n Upper-clamp the computed LOD against this value. Any float value is valid.\n Initial value is 1000.0f, as in OpenGL spec.\n"},
  {(char*)"GetMaxLOD",                (PyCFunction)PyvtkTextureObject_GetMaxLOD, 1,
   (char*)"V.GetMaxLOD() -> float\nC++: float GetMaxLOD ();\n\n Upper-clamp the computed LOD against this value. Any float value is valid.\n Initial value is 1000.0f, as in OpenGL spec.\n"},
  {(char*)"SetBaseLevel",                (PyCFunction)PyvtkTextureObject_SetBaseLevel, 1,
   (char*)"V.SetBaseLevel(int)\nC++: void SetBaseLevel (int );\n\n Level of detail of the first texture image. A texture object is a list of\n texture images. It is a non-negative integer value.\n Initial value is 0, as in OpenGL spec.\n"},
  {(char*)"GetBaseLevel",                (PyCFunction)PyvtkTextureObject_GetBaseLevel, 1,
   (char*)"V.GetBaseLevel() -> int\nC++: int GetBaseLevel ();\n\n Level of detail of the first texture image. A texture object is a list of\n texture images. It is a non-negative integer value.\n Initial value is 0, as in OpenGL spec.\n"},
  {(char*)"SetMaxLevel",                (PyCFunction)PyvtkTextureObject_SetMaxLevel, 1,
   (char*)"V.SetMaxLevel(int)\nC++: void SetMaxLevel (int );\n\n Level of detail of the first texture image. A texture object is a list of\n texture images. It is a non-negative integer value.\n Initial value is 1000, as in OpenGL spec.\n"},
  {(char*)"GetMaxLevel",                (PyCFunction)PyvtkTextureObject_GetMaxLevel, 1,
   (char*)"V.GetMaxLevel() -> int\nC++: int GetMaxLevel ();\n\n Level of detail of the first texture image. A texture object is a list of\n texture images. It is a non-negative integer value.\n Initial value is 1000, as in OpenGL spec.\n"},
  {(char*)"GetDepthTextureCompare",                (PyCFunction)PyvtkTextureObject_GetDepthTextureCompare, 1,
   (char*)"V.GetDepthTextureCompare() -> bool\nC++: bool GetDepthTextureCompare ();\n\n Tells if the output of a texture unit with a depth texture uses\n comparison or not.\n Comparison happens between D_t the depth texture value in the range [0,1]\n and with R the interpolated third texture coordinate clamped to range\n [0,1]. The result of the comparison is noted `r'. If this flag is false,\n r=D_t.\n Initial value is false, as in OpenGL spec.\n Ignored if the texture object is not a depth texture.\n"},
  {(char*)"SetDepthTextureCompare",                (PyCFunction)PyvtkTextureObject_SetDepthTextureCompare, 1,
   (char*)"V.SetDepthTextureCompare(bool)\nC++: void SetDepthTextureCompare (bool );\n\n Tells if the output of a texture unit with a depth texture uses\n comparison or not.\n Comparison happens between D_t the depth texture value in the range [0,1]\n and with R the interpolated third texture coordinate clamped to range\n [0,1]. The result of the comparison is noted `r'. If this flag is false,\n r=D_t.\n Initial value is false, as in OpenGL spec.\n Ignored if the texture object is not a depth texture.\n"},
  {(char*)"GetDepthTextureCompareFunction",                (PyCFunction)PyvtkTextureObject_GetDepthTextureCompareFunction, 1,
   (char*)"V.GetDepthTextureCompareFunction() -> int\nC++: int GetDepthTextureCompareFunction ();\n\n In case DepthTextureCompare is true, specify the comparison function in\n use. The result of the comparison is noted `r'.\n Valid values are:\n - Value\n - Lequal: r=R<=Dt ? 1.0 : 0.0\n - Gequal: r=R>=Dt ? 1.0 : 0.0\n - Less: r=R<D_t ? 1.0 : 0.0\n - Greater: r=R>Dt ? 1.0 : 0.0\n - Equal: r=R==Dt ? 1.0 : 0.0\n - NotEqual: r=R!=Dt ? 1.0 : 0.0\n - AlwaysTrue: r=1.0\n - Never: r=0.0\n If the magnification of minification factor are not nearest, percentage\n closer filtering (PCF) is used: R is compared to several D_t and r is\n the average of the comparisons (it is NOT the average of D_t compared\n once to R).\n Initial value is Lequal, as in OpenGL spec.\n Ignored if the texture object is not a depth texture.\n"},
  {(char*)"SetDepthTextureCompareFunction",                (PyCFunction)PyvtkTextureObject_SetDepthTextureCompareFunction, 1,
   (char*)"V.SetDepthTextureCompareFunction(int)\nC++: void SetDepthTextureCompareFunction (int );\n\n In case DepthTextureCompare is true, specify the comparison function in\n use. The result of the comparison is noted `r'.\n Valid values are:\n - Value\n - Lequal: r=R<=Dt ? 1.0 : 0.0\n - Gequal: r=R>=Dt ? 1.0 : 0.0\n - Less: r=R<D_t ? 1.0 : 0.0\n - Greater: r=R>Dt ? 1.0 : 0.0\n - Equal: r=R==Dt ? 1.0 : 0.0\n - NotEqual: r=R!=Dt ? 1.0 : 0.0\n - AlwaysTrue: r=1.0\n - Never: r=0.0\n If the magnification of minification factor are not nearest, percentage\n closer filtering (PCF) is used: R is compared to several D_t and r is\n the average of the comparisons (it is NOT the average of D_t compared\n once to R).\n Initial value is Lequal, as in OpenGL spec.\n Ignored if the texture object is not a depth texture.\n"},
  {(char*)"GetDepthTextureMode",                (PyCFunction)PyvtkTextureObject_GetDepthTextureMode, 1,
   (char*)"V.GetDepthTextureMode() -> int\nC++: int GetDepthTextureMode ();\n\n Defines the mapping from depth component `r' to RGBA components.\n Ignored if the texture object is not a depth texture.\n Valid modes are:\n - Luminance: (R,G,B,A)=(r,r,r,1)\n - Intensity: (R,G,B,A)=(r,r,r,r)\n - Alpha: (R.G.B.A)=(0,0,0,r)\n Initial value is Luminance, as in OpenGL spec.\n"},
  {(char*)"SetDepthTextureMode",                (PyCFunction)PyvtkTextureObject_SetDepthTextureMode, 1,
   (char*)"V.SetDepthTextureMode(int)\nC++: void SetDepthTextureMode (int );\n\n Defines the mapping from depth component `r' to RGBA components.\n Ignored if the texture object is not a depth texture.\n Valid modes are:\n - Luminance: (R,G,B,A)=(r,r,r,1)\n - Intensity: (R,G,B,A)=(r,r,r,r)\n - Alpha: (R.G.B.A)=(0,0,0,r)\n Initial value is Luminance, as in OpenGL spec.\n"},
  {(char*)"GetGenerateMipmap",                (PyCFunction)PyvtkTextureObject_GetGenerateMipmap, 1,
   (char*)"V.GetGenerateMipmap() -> bool\nC++: bool GetGenerateMipmap ();\n\n Tells the hardware to generate mipmap textures from the first texture\n image at BaseLevel.\n Initial value is false, as in OpenGL spec.\n"},
  {(char*)"SetGenerateMipmap",                (PyCFunction)PyvtkTextureObject_SetGenerateMipmap, 1,
   (char*)"V.SetGenerateMipmap(bool)\nC++: void SetGenerateMipmap (bool );\n\n Tells the hardware to generate mipmap textures from the first texture\n image at BaseLevel.\n Initial value is false, as in OpenGL spec.\n"},
  {(char*)"IsSupported",                (PyCFunction)PyvtkTextureObject_IsSupported, 1,
   (char*)"V.IsSupported(vtkRenderWindow) -> bool\nC++: static bool IsSupported (vtkRenderWindow *renWin);\n\n Returns if the context supports the required extensions.\n"},
  {(char*)"CopyToFrameBuffer",                (PyCFunction)PyvtkTextureObject_CopyToFrameBuffer, 1,
   (char*)"V.CopyToFrameBuffer(int, int, int, int, int, int, int, int)\nC++: void CopyToFrameBuffer (int srcXmin, int srcYmin, int srcXmax, int srcYmax, int dstXmin, int dstYmin, int width, int height);\n\n Copy a sub-part of the texture (src) in the current framebuffer\n at location (dstXmin,dstYmin). (dstXmin,dstYmin) is the location of the\n lower left corner of the rectangle. width and height are the dimensions\n of the framebuffer.\n - texture coordinates are sent on texture coordinate processing unit 0.\n - if the fixed-pipeline fragment shader is used, texturing has to be set\n on texture image unit 0 and the texture object has to be bound on texture\n image unit 0.\n - if a customized fragment shader is used, you are free to pick the\n texture image unit you want. You can even have multiple texture objects\n attached on multiple texture image units. In this case, you call this\n method only on one of them.\n \\pre positive_srcXmin: srcXmin>=0\n \\pre max_srcXmax: srcXmax<this->GetWidth()\n \\pre increasing_x: srcXmin<=srcXmax\n \\pre positive_srcYmin: srcYmin>=0\n \\pre max_srcYmax: srcYmax<this->GetHeight()\n \\pre increasing_y: srcYmin<=srcYmax\n \\pre posi ...\n [Truncated]\n"},
  {(char*)"CopyFromFrameBuffer",                (PyCFunction)PyvtkTextureObject_CopyFromFrameBuffer, 1,
   (char*)"V.CopyFromFrameBuffer(int, int, int, int, int, int)\nC++: void CopyFromFrameBuffer (int srcXmin, int srcYmin, int dstXmin, int dstYmin, int width, int height);\n\n Copy a sub-part of a logical buffer of the framebuffer (color or depth)\n to the texture object. src is the framebuffer, dst is the texture.\n (srcXmin,srcYmin) is the location of the lower left corner of the\n rectangle in the framebuffer. (dstXmin,dstYmin) is the location of the\n lower left corner of the rectangle in the texture. width and height\n specifies the size of the rectangle in pixels.\n If the logical buffer is a color buffer, it has to be selected first with\n glReadBuffer().\n \\pre is2D: GetNumberOfDimensions()==2\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTextureObjectDoc[] = {
  (char*)"vtkTextureObject - abstracts an OpenGL texture object.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkTextureObject represents an OpenGL texture object. It provides API to\n create textures using data already loaded into pixel buffer objects. It can\n also be used to create textures without uploading any data.\n\n",
  "Caveats:\n\n DON'T PLAY WITH IT YET.\n\n",
  NULL
};

static vtkObjectBase *vtkTextureObjectStaticNew()
{
  return vtkTextureObject::New();
}

PyObject *PyVTKClass_vtkTextureObjectNew(char *modulename)
{
  return PyVTKClass_New(&vtkTextureObjectStaticNew,
                        PyvtkTextureObjectMethods,
                        (char*)"vtkTextureObject",modulename,
                        (char**)vtkTextureObjectDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

