// python wrapper for vtkUniformVariables object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkUniformVariables.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUniformVariablesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUniformVariablesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkUniformVariables_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformVariables *op;

  const char    *temp20;
  op = (vtkUniformVariables *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUniformVariables::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformVariables_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformVariables *op;

  char    *temp0;
  int      temp20;
  op = (vtkUniformVariables *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUniformVariables::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformVariables_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformVariables *op;

  vtkUniformVariables  *temp20;
  op = (vtkUniformVariables *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUniformVariables::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformVariables_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkUniformVariables  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkUniformVariables::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkUniformVariables_RemoveUniform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformVariables *op;

  char    *temp0;
  op = (vtkUniformVariables *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformVariables::RemoveUniform(temp0);
      }
    else
      {
      op->RemoveUniform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformVariables_RemoveAllUniforms(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformVariables *op;

  op = (vtkUniformVariables *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformVariables::RemoveAllUniforms();
      }
    else
      {
      op->RemoveAllUniforms();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformVariables_Send(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformVariables *op;

  char    *temp0;
  int      temp1;
  op = (vtkUniformVariables *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformVariables::Send(temp0,temp1);
      }
    else
      {
      op->Send(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformVariables_Start(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformVariables *op;

  op = (vtkUniformVariables *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformVariables::Start();
      }
    else
      {
      op->Start();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformVariables_IsAtEnd(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformVariables *op;

  bool   temp20;
  op = (vtkUniformVariables *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUniformVariables::IsAtEnd();
      }
    else
      {
      temp20 = op->IsAtEnd();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformVariables_GetCurrentName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformVariables *op;

  const char    *temp20;
  op = (vtkUniformVariables *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUniformVariables::GetCurrentName();
      }
    else
      {
      temp20 = op->GetCurrentName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformVariables_SendCurrentUniform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformVariables *op;

  int      temp0;
  op = (vtkUniformVariables *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformVariables::SendCurrentUniform(temp0);
      }
    else
      {
      op->SendCurrentUniform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformVariables_Next(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformVariables *op;

  op = (vtkUniformVariables *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformVariables::Next();
      }
    else
      {
      op->Next();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformVariables_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformVariables *op;

  vtkUniformVariables  *temp0;
  PyObject *tempH0;
  op = (vtkUniformVariables *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkUniformVariables *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUniformVariables");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformVariables::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkUniformVariables_Merge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformVariables *op;

  vtkUniformVariables  *temp0;
  PyObject *tempH0;
  op = (vtkUniformVariables *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkUniformVariables *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUniformVariables");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformVariables::Merge(temp0);
      }
    else
      {
      op->Merge(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}

static PyMethodDef PyvtkUniformVariablesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUniformVariables_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUniformVariables_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUniformVariables_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUniformVariables\nC++: vtkUniformVariables *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkUniformVariables_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkUniformVariables\nC++: vtkUniformVariables *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RemoveUniform",                (PyCFunction)PyvtkUniformVariables_RemoveUniform, 1,
   (char*)"V.RemoveUniform(string)\nC++: void RemoveUniform (const char *name);\n\n Remove uniform `name' from the list.\n"},
  {(char*)"RemoveAllUniforms",                (PyCFunction)PyvtkUniformVariables_RemoveAllUniforms, 1,
   (char*)"V.RemoveAllUniforms()\nC++: void RemoveAllUniforms ();\n\n Remove all uniforms from the list.\n"},
  {(char*)"Send",                (PyCFunction)PyvtkUniformVariables_Send, 1,
   (char*)"V.Send(string, int)\nC++: void Send (const char *name, int uniformIndex);\n\n \\pre need a valid OpenGL context and a shader program in use.\n"},
  {(char*)"Start",                (PyCFunction)PyvtkUniformVariables_Start, 1,
   (char*)"V.Start()\nC++: void Start ();\n\n Place the internal cursor on the first uniform.\n"},
  {(char*)"IsAtEnd",                (PyCFunction)PyvtkUniformVariables_IsAtEnd, 1,
   (char*)"V.IsAtEnd() -> bool\nC++: bool IsAtEnd ();\n\n Is the iteration done?\n"},
  {(char*)"GetCurrentName",                (PyCFunction)PyvtkUniformVariables_GetCurrentName, 1,
   (char*)"V.GetCurrentName() -> string\nC++: const char *GetCurrentName ();\n\n Name of the uniform at the current cursor position.\n \\pre not_done: !this->IsAtEnd()\n"},
  {(char*)"SendCurrentUniform",                (PyCFunction)PyvtkUniformVariables_SendCurrentUniform, 1,
   (char*)"V.SendCurrentUniform(int)\nC++: void SendCurrentUniform (int uniformIndex);\n\n \\pre need a valid OpenGL context and a shader program in use.\n \\pre not_done: !this->IsAtEnd()\n"},
  {(char*)"Next",                (PyCFunction)PyvtkUniformVariables_Next, 1,
   (char*)"V.Next()\nC++: void Next ();\n\n Move the cursor to the next uniform.\n \\pre not_done: !this->IsAtEnd()\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkUniformVariables_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkUniformVariables)\nC++: void DeepCopy (vtkUniformVariables *other);\n\n Copy all the variables from `other'. Any existing variable will be\n deleted first.\n \\pre other_exists: other!=0\n \\pre not_self: other!=this\n"},
  {(char*)"Merge",                (PyCFunction)PyvtkUniformVariables_Merge, 1,
   (char*)"V.Merge(vtkUniformVariables)\nC++: void Merge (vtkUniformVariables *other);\n\n Copy all the variables from `other'. Any existing variable will be\n overwritten.\n \\pre other_exists: other!=0\n \\pre not_self: other!=this\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUniformVariablesDoc[] = {
  (char*)"vtkUniformVariables - GLSL uniform variables\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkUniformVariables is a list of uniform variables attached to either a\n vtkShader2 object or to a vtkShaderProgram2. Uniform variables on\n a vtkShaderProgram2 override values of uniform variables on a vtkShader2.\n\n",
  "See Also:\n\n vtkShader2 vtkShaderProgram2\n\n",
  NULL
};

static vtkObjectBase *vtkUniformVariablesStaticNew()
{
  return vtkUniformVariables::New();
}

PyObject *PyVTKClass_vtkUniformVariablesNew(char *modulename)
{
  return PyVTKClass_New(&vtkUniformVariablesStaticNew,
                        PyvtkUniformVariablesMethods,
                        (char*)"vtkUniformVariables",modulename,
                        (char**)vtkUniformVariablesDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

