// python wrapper for vtkDataRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPassInputTypeAlgorithmNew(char *); }

static PyObject *PyvtkDataRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  const char    *temp20;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkDataRepresentation  *temp20;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataRepresentation_GetInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  int      temp0;
  int      temp1;
  vtkAlgorithmOutput  *temp20;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::GetInputConnection(temp0,temp1);
      }
    else
      {
      temp20 = op->GetInputConnection(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_GetAnnotationLink(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkAnnotationLink  *temp20;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::GetAnnotationLink();
      }
    else
      {
      temp20 = op->GetAnnotationLink();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_SetAnnotationLink(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkAnnotationLink  *temp0;
  PyObject *tempH0;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAnnotationLink *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAnnotationLink");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataRepresentation::SetAnnotationLink(temp0);
      }
    else
      {
      op->SetAnnotationLink(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkDataRepresentation_ApplyViewTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkViewTheme  *temp0;
  PyObject *tempH0;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewTheme *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewTheme");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataRepresentation::ApplyViewTheme(temp0);
      }
    else
      {
      op->ApplyViewTheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkDataRepresentation_Select(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkView  *temp0;
  PyObject *tempH0;
  vtkSelection  *temp1;
  PyObject *tempH1;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkView *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkView");
    if (!temp0 && tempH0 != Py_None) goto break8;
    temp1 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkSelection");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataRepresentation::Select(temp0,temp1);
      }
    else
      {
      op->Select(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkView  *temp0;
  PyObject *tempH0;
  vtkSelection  *temp1;
  PyObject *tempH1;
  bool   temp2;
  PyErr_Clear();
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"OOb", &tempH0, &tempH1, &temp2);
  if (op)
    {
    temp0 = (vtkView *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkView");
    if (!temp0 && tempH0 != Py_None) goto break9;
    temp1 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkSelection");
    if (!temp1 && tempH1 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataRepresentation::Select(temp0,temp1,temp2);
      }
    else
      {
      op->Select(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkDataRepresentation_SetSelectable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  bool   temp0;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataRepresentation::SetSelectable(temp0);
      }
    else
      {
      op->SetSelectable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_GetSelectable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  bool   temp20;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::GetSelectable();
      }
    else
      {
      temp20 = op->GetSelectable();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_SelectableOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataRepresentation::SelectableOn();
      }
    else
      {
      op->SelectableOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_SelectableOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataRepresentation::SelectableOff();
      }
    else
      {
      op->SelectableOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_UpdateSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkSelection  *temp0;
  PyObject *tempH0;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataRepresentation::UpdateSelection(temp0);
      }
    else
      {
      op->UpdateSelection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkSelection  *temp0;
  PyObject *tempH0;
  bool   temp1;
  PyErr_Clear();
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"Ob", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataRepresentation::UpdateSelection(temp0,temp1);
      }
    else
      {
      op->UpdateSelection(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkDataRepresentation_GetInternalAnnotationOutputPort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkAlgorithmOutput  *temp20;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::GetInternalAnnotationOutputPort();
      }
    else
      {
      temp20 = op->GetInternalAnnotationOutputPort();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  int      temp0;
  vtkAlgorithmOutput  *temp20;
  PyErr_Clear();
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::GetInternalAnnotationOutputPort(temp0);
      }
    else
      {
      temp20 = op->GetInternalAnnotationOutputPort(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  int      temp0;
  int      temp1;
  vtkAlgorithmOutput  *temp20;
  PyErr_Clear();
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::GetInternalAnnotationOutputPort(temp0,temp1);
      }
    else
      {
      temp20 = op->GetInternalAnnotationOutputPort(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_GetInternalSelectionOutputPort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkAlgorithmOutput  *temp20;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::GetInternalSelectionOutputPort();
      }
    else
      {
      temp20 = op->GetInternalSelectionOutputPort();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  int      temp0;
  vtkAlgorithmOutput  *temp20;
  PyErr_Clear();
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::GetInternalSelectionOutputPort(temp0);
      }
    else
      {
      temp20 = op->GetInternalSelectionOutputPort(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  int      temp0;
  int      temp1;
  vtkAlgorithmOutput  *temp20;
  PyErr_Clear();
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::GetInternalSelectionOutputPort(temp0,temp1);
      }
    else
      {
      temp20 = op->GetInternalSelectionOutputPort(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_GetInternalOutputPort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkAlgorithmOutput  *temp20;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::GetInternalOutputPort();
      }
    else
      {
      temp20 = op->GetInternalOutputPort();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  int      temp0;
  vtkAlgorithmOutput  *temp20;
  PyErr_Clear();
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::GetInternalOutputPort(temp0);
      }
    else
      {
      temp20 = op->GetInternalOutputPort(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  int      temp0;
  int      temp1;
  vtkAlgorithmOutput  *temp20;
  PyErr_Clear();
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::GetInternalOutputPort(temp0,temp1);
      }
    else
      {
      temp20 = op->GetInternalOutputPort(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_SetSelectionType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  int      temp0;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataRepresentation::SetSelectionType(temp0);
      }
    else
      {
      op->SetSelectionType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_GetSelectionType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  int      temp20;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::GetSelectionType();
      }
    else
      {
      temp20 = op->GetSelectionType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_SetSelectionArrayNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkStringArray  *temp0;
  PyObject *tempH0;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkStringArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStringArray");
    if (!temp0 && tempH0 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataRepresentation::SetSelectionArrayNames(temp0);
      }
    else
      {
      op->SetSelectionArrayNames(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break27:
  return NULL;
}


static PyObject *PyvtkDataRepresentation_GetSelectionArrayNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  vtkStringArray  *temp20;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::GetSelectionArrayNames();
      }
    else
      {
      temp20 = op->GetSelectionArrayNames();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_SetSelectionArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  char    *temp0;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataRepresentation::SetSelectionArrayName(temp0);
      }
    else
      {
      op->SetSelectionArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataRepresentation_GetSelectionArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataRepresentation *op;

  const char    *temp20;
  op = (vtkDataRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataRepresentation::GetSelectionArrayName();
      }
    else
      {
      temp20 = op->GetSelectionArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataRepresentation\nC++: vtkDataRepresentation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataRepresentation\nC++: vtkDataRepresentation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetInputConnection",                (PyCFunction)PyvtkDataRepresentation_GetInputConnection, 1,
   (char*)"V.GetInputConnection(int, int) -> vtkAlgorithmOutput\nC++: vtkAlgorithmOutput *GetInputConnection (int port, int index);return this Superclass GetInputConnection port index \n\n The annotation link for this representation.\n To link annotations, set the same vtkAnnotationLink object in\n multiple representations.\n"},
  {(char*)"GetAnnotationLink",                (PyCFunction)PyvtkDataRepresentation_GetAnnotationLink, 1,
   (char*)"V.GetAnnotationLink() -> vtkAnnotationLink\nC++: vtkAnnotationLink *GetAnnotationLink ();return this AnnotationLinkInternal \n\n The annotation link for this representation.\n To link annotations, set the same vtkAnnotationLink object in\n multiple representations.\n"},
  {(char*)"SetAnnotationLink",                (PyCFunction)PyvtkDataRepresentation_SetAnnotationLink, 1,
   (char*)"V.SetAnnotationLink(vtkAnnotationLink)\nC++: void SetAnnotationLink (vtkAnnotationLink *link);\n\n The annotation link for this representation.\n To link annotations, set the same vtkAnnotationLink object in\n multiple representations.\n"},
  {(char*)"ApplyViewTheme",                (PyCFunction)PyvtkDataRepresentation_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme (vtkViewTheme *);\n\n The view calls this method when a selection occurs.\n The representation takes this selection and converts it into\n a selection on its data by calling ConvertSelection,\n then calls UpdateSelection with the converted selection.\n Subclasses should not overrride this method, but should instead\n override ConvertSelection.\n The optional third argument specifies whether the selection should be\n added to the previous selection on this representation.\n"},
  {(char*)"Select",                (PyCFunction)PyvtkDataRepresentation_Select, 1,
   (char*)"V.Select(vtkView, vtkSelection)\nC++: void Select (vtkView *view, vtkSelection *selection);this Select view selection false \nV.Select(vtkView, vtkSelection, bool)\nC++: void Select (vtkView *view, vtkSelection *selection, bool extend);\n\n The view calls this method when a selection occurs.\n The representation takes this selection and converts it into\n a selection on its data by calling ConvertSelection,\n then calls UpdateSelection with the converted selection.\n Subclasses should not overrride this method, but should instead\n override ConvertSelection.\n The optional third argument specifies whether the selection should be\n added to the previous selection on this representation.\n"},
  {(char*)"SetSelectable",                (PyCFunction)PyvtkDataRepresentation_SetSelectable, 1,
   (char*)"V.SetSelectable(bool)\nC++: void SetSelectable (bool );\n\n Whether this representation is able to handle a selection.\n Default is true.\n"},
  {(char*)"GetSelectable",                (PyCFunction)PyvtkDataRepresentation_GetSelectable, 1,
   (char*)"V.GetSelectable() -> bool\nC++: bool GetSelectable ();\n\n Whether this representation is able to handle a selection.\n Default is true.\n"},
  {(char*)"SelectableOn",                (PyCFunction)PyvtkDataRepresentation_SelectableOn, 1,
   (char*)"V.SelectableOn()\nC++: void SelectableOn ();\n\n Whether this representation is able to handle a selection.\n Default is true.\n"},
  {(char*)"SelectableOff",                (PyCFunction)PyvtkDataRepresentation_SelectableOff, 1,
   (char*)"V.SelectableOff()\nC++: void SelectableOff ();\n\n Whether this representation is able to handle a selection.\n Default is true.\n"},
  {(char*)"UpdateSelection",                (PyCFunction)PyvtkDataRepresentation_UpdateSelection, 1,
   (char*)"V.UpdateSelection(vtkSelection)\nC++: void UpdateSelection (vtkSelection *selection);this UpdateSelection selection false \nV.UpdateSelection(vtkSelection, bool)\nC++: void UpdateSelection (vtkSelection *selection, bool extend);\n\n Updates the selection in the selection link and fires a selection\n change event. Subclasses should not overrride this method,\n but should instead override ConvertSelection.\n The optional second argument specifies whether the selection should be\n added to the previous selection on this representation.\n"},
  {(char*)"GetInternalAnnotationOutputPort",                (PyCFunction)PyvtkDataRepresentation_GetInternalAnnotationOutputPort, 1,
   (char*)"V.GetInternalAnnotationOutputPort() -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetInternalAnnotationOutputPort ();return this GetInternalAnnotationOutputPort \nV.GetInternalAnnotationOutputPort(int) -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetInternalAnnotationOutputPort (int port);return this GetInternalAnnotationOutputPort port \nV.GetInternalAnnotationOutputPort(int, int) -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetInternalAnnotationOutputPort (int port, int conn);\n\n The output port that contains the annotations whose selections are\n localized for a particular input data object.\n This should be used when connecting the internal pipelines.\n"},
  {(char*)"GetInternalSelectionOutputPort",                (PyCFunction)PyvtkDataRepresentation_GetInternalSelectionOutputPort, 1,
   (char*)"V.GetInternalSelectionOutputPort() -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetInternalSelectionOutputPort ();return this GetInternalSelectionOutputPort \nV.GetInternalSelectionOutputPort(int) -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetInternalSelectionOutputPort (int port);return this GetInternalSelectionOutputPort port \nV.GetInternalSelectionOutputPort(int, int) -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetInternalSelectionOutputPort (int port, int conn);\n\n The output port that contains the selection associated with the\n current annotation (normally the interactive selection).\n This should be used when connecting the internal pipelines.\n"},
  {(char*)"GetInternalOutputPort",                (PyCFunction)PyvtkDataRepresentation_GetInternalOutputPort, 1,
   (char*)"V.GetInternalOutputPort() -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetInternalOutputPort ();return this GetInternalOutputPort \nV.GetInternalOutputPort(int) -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetInternalOutputPort (int port);return this GetInternalOutputPort port \nV.GetInternalOutputPort(int, int) -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetInternalOutputPort (int port, int conn);\n\n Retrieves an output port for the input data object at the specified port\n and connection index. This may be connected to the representation's\n internal pipeline.\n"},
  {(char*)"SetSelectionType",                (PyCFunction)PyvtkDataRepresentation_SetSelectionType, 1,
   (char*)"V.SetSelectionType(int)\nC++: void SetSelectionType (int );\n\n Set the selection type produced by this view.\n This should be one of the content type constants defined in\n vtkSelectionNode.h. Common values are\n vtkSelectionNode::INDICES\n vtkSelectionNode::PEDIGREEIDS\n vtkSelectionNode::VALUES\n"},
  {(char*)"GetSelectionType",                (PyCFunction)PyvtkDataRepresentation_GetSelectionType, 1,
   (char*)"V.GetSelectionType() -> int\nC++: int GetSelectionType ();\n\n Set the selection type produced by this view.\n This should be one of the content type constants defined in\n vtkSelectionNode.h. Common values are\n vtkSelectionNode::INDICES\n vtkSelectionNode::PEDIGREEIDS\n vtkSelectionNode::VALUES\n"},
  {(char*)"SetSelectionArrayNames",                (PyCFunction)PyvtkDataRepresentation_SetSelectionArrayNames, 1,
   (char*)"V.SetSelectionArrayNames(vtkStringArray)\nC++: virtual void SetSelectionArrayNames (vtkStringArray *names);\n\n If a VALUES selection, the arrays used to produce a selection.\n"},
  {(char*)"GetSelectionArrayNames",                (PyCFunction)PyvtkDataRepresentation_GetSelectionArrayNames, 1,
   (char*)"V.GetSelectionArrayNames() -> vtkStringArray\nC++: vtkStringArray *GetSelectionArrayNames ();\n\n If a VALUES selection, the arrays used to produce a selection.\n"},
  {(char*)"SetSelectionArrayName",                (PyCFunction)PyvtkDataRepresentation_SetSelectionArrayName, 1,
   (char*)"V.SetSelectionArrayName(string)\nC++: virtual void SetSelectionArrayName (const char *name);\n\n If a VALUES selection, the array used to produce a selection.\n"},
  {(char*)"GetSelectionArrayName",                (PyCFunction)PyvtkDataRepresentation_GetSelectionArrayName, 1,
   (char*)"V.GetSelectionArrayName() -> string\nC++: virtual const char *GetSelectionArrayName ();\n\n If a VALUES selection, the array used to produce a selection.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataRepresentationDoc[] = {
  (char*)"vtkDataRepresentation - The superclass for all representations\n\n",
  "Super Class:\n\n vtkPassInputTypeAlgorithm\n\n",
  (char*)" vtkDataRepresentation the superclass for representations of data objects.\n This class itself may be instantiated and used as a representation\n that simply holds a connection to a pipeline.\n\n If there are multiple representations present in a view, you should use\n a subclass of vtkDataRepresentation.  The representation is\n responsible for taking the input pipeline connection and converting it\n to",
  (char*)" an object usable by a view.  In the most common case, the representation\n will contain the pipeline necessary to convert a data object into an actor\n or set of actors.\n\n The representation has a concept of a selection.  If the user performs a\n selection operation on the view, the view forwards this on to its\n representations.  The representation is responsible for displaying that\n selection in an",
  (char*)" appropriate way.\n\n Representation selections may also be linked.  The representation shares\n the selection by converting it into a view-independent format, then\n setting the selection on its vtkAnnotationLink.  Other representations\n sharing the same selection link instance will get the same selection\n from the selection link when the view is updated.  The application is\n responsible for linking ",
  (char*)"representations as appropriate by setting the\n same vtkAnnotationLink on each linked representation.\n\n",
  NULL
};

static vtkObjectBase *vtkDataRepresentationStaticNew()
{
  return vtkDataRepresentation::New();
}

PyObject *PyVTKClass_vtkDataRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataRepresentationStaticNew,
                        PyvtkDataRepresentationMethods,
                        (char*)"vtkDataRepresentation",modulename,
                        (char**)vtkDataRepresentationDoc,
                        PyVTKClass_vtkPassInputTypeAlgorithmNew(modulename));
}

