// python wrapper for vtkHierarchicalGraphPipeline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHierarchicalGraphPipeline.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHierarchicalGraphPipelineNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHierarchicalGraphPipelineNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkHierarchicalGraphPipeline_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  const char    *temp20;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphPipeline::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  char    *temp0;
  int      temp20;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphPipeline::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  vtkHierarchicalGraphPipeline  *temp20;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphPipeline::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHierarchicalGraphPipeline  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHierarchicalGraphPipeline::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_GetActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  vtkActor  *temp20;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphPipeline::GetActor();
      }
    else
      {
      temp20 = op->GetActor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_GetLabelActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  vtkActor2D  *temp20;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphPipeline::GetLabelActor();
      }
    else
      {
      temp20 = op->GetLabelActor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_SetBundlingStrength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  double   temp0;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphPipeline::SetBundlingStrength(temp0);
      }
    else
      {
      op->SetBundlingStrength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_GetBundlingStrength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  double   temp20;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphPipeline::GetBundlingStrength();
      }
    else
      {
      temp20 = op->GetBundlingStrength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_SetLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  char    *temp0;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphPipeline::SetLabelArrayName(temp0);
      }
    else
      {
      op->SetLabelArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_GetLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  const char    *temp20;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphPipeline::GetLabelArrayName();
      }
    else
      {
      temp20 = op->GetLabelArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_SetLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  bool   temp0;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphPipeline::SetLabelVisibility(temp0);
      }
    else
      {
      op->SetLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_GetLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  bool   temp20;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphPipeline::GetLabelVisibility();
      }
    else
      {
      temp20 = op->GetLabelVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_LabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphPipeline::LabelVisibilityOn();
      }
    else
      {
      op->LabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_LabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphPipeline::LabelVisibilityOff();
      }
    else
      {
      op->LabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_SetLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphPipeline::SetLabelTextProperty(temp0);
      }
    else
      {
      op->SetLabelTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_GetLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  vtkTextProperty  *temp20;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphPipeline::GetLabelTextProperty();
      }
    else
      {
      temp20 = op->GetLabelTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_SetColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  char    *temp0;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphPipeline::SetColorArrayName(temp0);
      }
    else
      {
      op->SetColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_GetColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  const char    *temp20;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphPipeline::GetColorArrayName();
      }
    else
      {
      temp20 = op->GetColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_SetColorEdgesByArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  bool   temp0;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphPipeline::SetColorEdgesByArray(temp0);
      }
    else
      {
      op->SetColorEdgesByArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_GetColorEdgesByArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  bool   temp20;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphPipeline::GetColorEdgesByArray();
      }
    else
      {
      temp20 = op->GetColorEdgesByArray();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_ColorEdgesByArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphPipeline::ColorEdgesByArrayOn();
      }
    else
      {
      op->ColorEdgesByArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_ColorEdgesByArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphPipeline::ColorEdgesByArrayOff();
      }
    else
      {
      op->ColorEdgesByArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_SetVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  bool   temp0;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphPipeline::SetVisibility(temp0);
      }
    else
      {
      op->SetVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_GetVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  bool   temp20;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphPipeline::GetVisibility();
      }
    else
      {
      temp20 = op->GetVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_VisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphPipeline::VisibilityOn();
      }
    else
      {
      op->VisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_VisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphPipeline::VisibilityOff();
      }
    else
      {
      op->VisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_ConvertSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  vtkDataRepresentation  *temp0;
  PyObject *tempH0;
  vtkSelection  *temp1;
  PyObject *tempH1;
  vtkSelection  *temp20;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkDataRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break26;
    temp1 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkSelection");
    if (!temp1 && tempH1 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphPipeline::ConvertSelection(temp0,temp1);
      }
    else
      {
      temp20 = op->ConvertSelection(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_PrepareInputConnections(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  vtkAlgorithmOutput  *temp1;
  PyObject *tempH1;
  vtkAlgorithmOutput  *temp2;
  PyObject *tempH2;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"OOO", &tempH0, &tempH1, &tempH2);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break27;
    temp1 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAlgorithmOutput");
    if (!temp1 && tempH1 != Py_None) goto break27;
    temp2 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAlgorithmOutput");
    if (!temp2 && tempH2 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphPipeline::PrepareInputConnections(temp0,temp1,temp2);
      }
    else
      {
      op->PrepareInputConnections(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break27:
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_ApplyViewTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  vtkViewTheme  *temp0;
  PyObject *tempH0;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewTheme *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewTheme");
    if (!temp0 && tempH0 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphPipeline::ApplyViewTheme(temp0);
      }
    else
      {
      op->ApplyViewTheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_SetHoverArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  char    *temp0;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphPipeline::SetHoverArrayName(temp0);
      }
    else
      {
      op->SetHoverArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_GetHoverArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  char    *temp20;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphPipeline::GetHoverArrayName();
      }
    else
      {
      temp20 = op->GetHoverArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_SetSplineType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  int      temp0;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphPipeline::SetSplineType(temp0);
      }
    else
      {
      op->SetSplineType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_GetSplineType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  int      temp20;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphPipeline::GetSplineType();
      }
    else
      {
      temp20 = op->GetSplineType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphPipeline_RegisterProgress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphPipeline *op;

  vtkRenderView  *temp0;
  PyObject *tempH0;
  op = (vtkHierarchicalGraphPipeline *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderView *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderView");
    if (!temp0 && tempH0 != Py_None) goto break33;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphPipeline::RegisterProgress(temp0);
      }
    else
      {
      op->RegisterProgress(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break33:
  return NULL;
}

static PyMethodDef PyvtkHierarchicalGraphPipelineMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHierarchicalGraphPipeline_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHierarchicalGraphPipeline_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHierarchicalGraphPipeline_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHierarchicalGraphPipeline\nC++: vtkHierarchicalGraphPipeline *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHierarchicalGraphPipeline_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHierarchicalGraphPipeline\nC++: vtkHierarchicalGraphPipeline *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetActor",                (PyCFunction)PyvtkHierarchicalGraphPipeline_GetActor, 1,
   (char*)"V.GetActor() -> vtkActor\nC++: vtkActor *GetActor ();\n\n The actor associated with the hierarchical graph.\n"},
  {(char*)"GetLabelActor",                (PyCFunction)PyvtkHierarchicalGraphPipeline_GetLabelActor, 1,
   (char*)"V.GetLabelActor() -> vtkActor2D\nC++: vtkActor2D *GetLabelActor ();\n\n The actor associated with the hierarchical graph.\n"},
  {(char*)"SetBundlingStrength",                (PyCFunction)PyvtkHierarchicalGraphPipeline_SetBundlingStrength, 1,
   (char*)"V.SetBundlingStrength(float)\nC++: virtual void SetBundlingStrength (double strength);\n\n The bundling strength for the bundled edges.\n"},
  {(char*)"GetBundlingStrength",                (PyCFunction)PyvtkHierarchicalGraphPipeline_GetBundlingStrength, 1,
   (char*)"V.GetBundlingStrength() -> float\nC++: virtual double GetBundlingStrength ();\n\n The bundling strength for the bundled edges.\n"},
  {(char*)"SetLabelArrayName",                (PyCFunction)PyvtkHierarchicalGraphPipeline_SetLabelArrayName, 1,
   (char*)"V.SetLabelArrayName(string)\nC++: virtual void SetLabelArrayName (const char *name);\n\n The edge label array name.\n"},
  {(char*)"GetLabelArrayName",                (PyCFunction)PyvtkHierarchicalGraphPipeline_GetLabelArrayName, 1,
   (char*)"V.GetLabelArrayName() -> string\nC++: virtual const char *GetLabelArrayName ();\n\n The edge label array name.\n"},
  {(char*)"SetLabelVisibility",                (PyCFunction)PyvtkHierarchicalGraphPipeline_SetLabelVisibility, 1,
   (char*)"V.SetLabelVisibility(bool)\nC++: virtual void SetLabelVisibility (bool vis);\n\n The edge label visibility.\n"},
  {(char*)"GetLabelVisibility",                (PyCFunction)PyvtkHierarchicalGraphPipeline_GetLabelVisibility, 1,
   (char*)"V.GetLabelVisibility() -> bool\nC++: virtual bool GetLabelVisibility ();\n\n The edge label visibility.\n"},
  {(char*)"LabelVisibilityOn",                (PyCFunction)PyvtkHierarchicalGraphPipeline_LabelVisibilityOn, 1,
   (char*)"V.LabelVisibilityOn()\nC++: void LabelVisibilityOn ();\n\n The edge label visibility.\n"},
  {(char*)"LabelVisibilityOff",                (PyCFunction)PyvtkHierarchicalGraphPipeline_LabelVisibilityOff, 1,
   (char*)"V.LabelVisibilityOff()\nC++: void LabelVisibilityOff ();\n\n The edge label visibility.\n"},
  {(char*)"SetLabelTextProperty",                (PyCFunction)PyvtkHierarchicalGraphPipeline_SetLabelTextProperty, 1,
   (char*)"V.SetLabelTextProperty(vtkTextProperty)\nC++: virtual void SetLabelTextProperty (vtkTextProperty *prop);\n\n The edge label text property.\n"},
  {(char*)"GetLabelTextProperty",                (PyCFunction)PyvtkHierarchicalGraphPipeline_GetLabelTextProperty, 1,
   (char*)"V.GetLabelTextProperty() -> vtkTextProperty\nC++: virtual vtkTextProperty *GetLabelTextProperty ();\n\n The edge label text property.\n"},
  {(char*)"SetColorArrayName",                (PyCFunction)PyvtkHierarchicalGraphPipeline_SetColorArrayName, 1,
   (char*)"V.SetColorArrayName(string)\nC++: virtual void SetColorArrayName (const char *name);\n\n The edge color array.\n"},
  {(char*)"GetColorArrayName",                (PyCFunction)PyvtkHierarchicalGraphPipeline_GetColorArrayName, 1,
   (char*)"V.GetColorArrayName() -> string\nC++: virtual const char *GetColorArrayName ();\n\n The edge color array.\n"},
  {(char*)"SetColorEdgesByArray",                (PyCFunction)PyvtkHierarchicalGraphPipeline_SetColorEdgesByArray, 1,
   (char*)"V.SetColorEdgesByArray(bool)\nC++: virtual void SetColorEdgesByArray (bool vis);\n\n Whether to color the edges by an array.\n"},
  {(char*)"GetColorEdgesByArray",                (PyCFunction)PyvtkHierarchicalGraphPipeline_GetColorEdgesByArray, 1,
   (char*)"V.GetColorEdgesByArray() -> bool\nC++: virtual bool GetColorEdgesByArray ();\n\n Whether to color the edges by an array.\n"},
  {(char*)"ColorEdgesByArrayOn",                (PyCFunction)PyvtkHierarchicalGraphPipeline_ColorEdgesByArrayOn, 1,
   (char*)"V.ColorEdgesByArrayOn()\nC++: void ColorEdgesByArrayOn ();\n\n Whether to color the edges by an array.\n"},
  {(char*)"ColorEdgesByArrayOff",                (PyCFunction)PyvtkHierarchicalGraphPipeline_ColorEdgesByArrayOff, 1,
   (char*)"V.ColorEdgesByArrayOff()\nC++: void ColorEdgesByArrayOff ();\n\n Whether to color the edges by an array.\n"},
  {(char*)"SetVisibility",                (PyCFunction)PyvtkHierarchicalGraphPipeline_SetVisibility, 1,
   (char*)"V.SetVisibility(bool)\nC++: virtual void SetVisibility (bool vis);\n\n The visibility of this graph.\n"},
  {(char*)"GetVisibility",                (PyCFunction)PyvtkHierarchicalGraphPipeline_GetVisibility, 1,
   (char*)"V.GetVisibility() -> bool\nC++: virtual bool GetVisibility ();\n\n The visibility of this graph.\n"},
  {(char*)"VisibilityOn",                (PyCFunction)PyvtkHierarchicalGraphPipeline_VisibilityOn, 1,
   (char*)"V.VisibilityOn()\nC++: void VisibilityOn ();\n\n The visibility of this graph.\n"},
  {(char*)"VisibilityOff",                (PyCFunction)PyvtkHierarchicalGraphPipeline_VisibilityOff, 1,
   (char*)"V.VisibilityOff()\nC++: void VisibilityOff ();\n\n The visibility of this graph.\n"},
  {(char*)"ConvertSelection",                (PyCFunction)PyvtkHierarchicalGraphPipeline_ConvertSelection, 1,
   (char*)"V.ConvertSelection(vtkDataRepresentation, vtkSelection) -> vtkSelection\nC++: virtual vtkSelection *ConvertSelection (vtkDataRepresentation *rep, vtkSelection *sel);\n\n Returns a new selection relevant to this graph based on an input\n selection and the view that this graph is contained in.\n"},
  {(char*)"PrepareInputConnections",                (PyCFunction)PyvtkHierarchicalGraphPipeline_PrepareInputConnections, 1,
   (char*)"V.PrepareInputConnections(vtkAlgorithmOutput, vtkAlgorithmOutput, vtkAlgorithmOutput)\nC++: virtual void PrepareInputConnections (vtkAlgorithmOutput *graphConn, vtkAlgorithmOutput *treeConn, vtkAlgorithmOutput *annConn);\n\n Sets the input connections for this graph.\n graphConn is the input graph connection.\n treeConn is the input tree connection.\n annConn is the annotation link connection.\n"},
  {(char*)"ApplyViewTheme",                (PyCFunction)PyvtkHierarchicalGraphPipeline_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme (vtkViewTheme *theme);\n\n Applies the view theme to this graph.\n"},
  {(char*)"SetHoverArrayName",                (PyCFunction)PyvtkHierarchicalGraphPipeline_SetHoverArrayName, 1,
   (char*)"V.SetHoverArrayName(string)\nC++: void SetHoverArrayName (char *);\n\n The array to use while hovering over an edge.\n"},
  {(char*)"GetHoverArrayName",                (PyCFunction)PyvtkHierarchicalGraphPipeline_GetHoverArrayName, 1,
   (char*)"V.GetHoverArrayName() -> string\nC++: char *GetHoverArrayName ();\n\n The array to use while hovering over an edge.\n"},
  {(char*)"SetSplineType",                (PyCFunction)PyvtkHierarchicalGraphPipeline_SetSplineType, 1,
   (char*)"V.SetSplineType(int)\nC++: virtual void SetSplineType (int type);\n\n The spline mode to use in vtkSplineGraphEdges.\n vtkSplineGraphEdges::CUSTOM uses a vtkCardinalSpline.\n vtkSplineGraphEdges::BSPLINE uses a b-spline.\n The default is CUSTOM.\n"},
  {(char*)"GetSplineType",                (PyCFunction)PyvtkHierarchicalGraphPipeline_GetSplineType, 1,
   (char*)"V.GetSplineType() -> int\nC++: virtual int GetSplineType ();\n\n The spline mode to use in vtkSplineGraphEdges.\n vtkSplineGraphEdges::CUSTOM uses a vtkCardinalSpline.\n vtkSplineGraphEdges::BSPLINE uses a b-spline.\n The default is CUSTOM.\n"},
  {(char*)"RegisterProgress",                (PyCFunction)PyvtkHierarchicalGraphPipeline_RegisterProgress, 1,
   (char*)"V.RegisterProgress(vtkRenderView)\nC++: void RegisterProgress (vtkRenderView *view);\n\n Register progress with a view.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHierarchicalGraphPipelineDoc[] = {
  (char*)"vtkHierarchicalGraphPipeline - helper class for rendering graphs superimposed on a tree.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkHierarchicalGraphPipeline renders bundled edges that are meant to be\n viewed as an overlay on a tree. This class is not for general use, but\n is used in the internals of vtkRenderedHierarchyRepresentation and\n vtkRenderedTreeAreaRepresentation.\n\n",
  NULL
};

static vtkObjectBase *vtkHierarchicalGraphPipelineStaticNew()
{
  return vtkHierarchicalGraphPipeline::New();
}

PyObject *PyVTKClass_vtkHierarchicalGraphPipelineNew(char *modulename)
{
  return PyVTKClass_New(&vtkHierarchicalGraphPipelineStaticNew,
                        PyvtkHierarchicalGraphPipelineMethods,
                        (char*)"vtkHierarchicalGraphPipeline",modulename,
                        (char**)vtkHierarchicalGraphPipelineDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

