// python wrapper for vtkHierarchicalGraphView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHierarchicalGraphView.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHierarchicalGraphViewNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHierarchicalGraphViewNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphLayoutViewNew(char *); }

static PyObject *PyvtkHierarchicalGraphView_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  const char    *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  char    *temp0;
  int      temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  vtkHierarchicalGraphView  *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHierarchicalGraphView  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHierarchicalGraphView::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetHierarchyFromInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  vtkDataRepresentation  *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::SetHierarchyFromInputConnection(temp0);
      }
    else
      {
      temp20 = op->SetHierarchyFromInputConnection(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetHierarchyFromInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  vtkDataRepresentation  *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::SetHierarchyFromInput(temp0);
      }
    else
      {
      temp20 = op->SetHierarchyFromInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetGraphFromInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  vtkDataRepresentation  *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::SetGraphFromInputConnection(temp0);
      }
    else
      {
      temp20 = op->SetGraphFromInputConnection(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetGraphFromInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  vtkDataRepresentation  *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::SetGraphFromInput(temp0);
      }
    else
      {
      temp20 = op->SetGraphFromInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetGraphEdgeLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  char    *temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetGraphEdgeLabelArrayName(temp0);
      }
    else
      {
      op->SetGraphEdgeLabelArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetGraphEdgeLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  const char    *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetGraphEdgeLabelArrayName();
      }
    else
      {
      temp20 = op->GetGraphEdgeLabelArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetGraphEdgeLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetGraphEdgeLabelVisibility(temp0);
      }
    else
      {
      op->SetGraphEdgeLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetGraphEdgeLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetGraphEdgeLabelVisibility();
      }
    else
      {
      temp20 = op->GetGraphEdgeLabelVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GraphEdgeLabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::GraphEdgeLabelVisibilityOn();
      }
    else
      {
      op->GraphEdgeLabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GraphEdgeLabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::GraphEdgeLabelVisibilityOff();
      }
    else
      {
      op->GraphEdgeLabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetGraphEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  char    *temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetGraphEdgeColorArrayName(temp0);
      }
    else
      {
      op->SetGraphEdgeColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetGraphEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  const char    *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetGraphEdgeColorArrayName();
      }
    else
      {
      temp20 = op->GetGraphEdgeColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetGraphEdgeColorToSplineFraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetGraphEdgeColorToSplineFraction();
      }
    else
      {
      op->SetGraphEdgeColorToSplineFraction();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetColorGraphEdgesByArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetColorGraphEdgesByArray(temp0);
      }
    else
      {
      op->SetColorGraphEdgesByArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetColorGraphEdgesByArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetColorGraphEdgesByArray();
      }
    else
      {
      temp20 = op->GetColorGraphEdgesByArray();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_ColorGraphEdgesByArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::ColorGraphEdgesByArrayOn();
      }
    else
      {
      op->ColorGraphEdgesByArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_ColorGraphEdgesByArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::ColorGraphEdgesByArrayOff();
      }
    else
      {
      op->ColorGraphEdgesByArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetBundlingStrength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  double   temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetBundlingStrength(temp0);
      }
    else
      {
      op->SetBundlingStrength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetBundlingStrength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  double   temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetBundlingStrength();
      }
    else
      {
      temp20 = op->GetBundlingStrength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetGraphVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetGraphVisibility(temp0);
      }
    else
      {
      op->SetGraphVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetGraphVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetGraphVisibility();
      }
    else
      {
      temp20 = op->GetGraphVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GraphVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::GraphVisibilityOn();
      }
    else
      {
      op->GraphVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GraphVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::GraphVisibilityOff();
      }
    else
      {
      op->GraphVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetGraphEdgeLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  int      temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetGraphEdgeLabelFontSize(temp0);
      }
    else
      {
      op->SetGraphEdgeLabelFontSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetGraphEdgeLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  int      temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetGraphEdgeLabelFontSize();
      }
    else
      {
      temp20 = op->GetGraphEdgeLabelFontSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHierarchicalGraphViewMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHierarchicalGraphView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHierarchicalGraphView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHierarchicalGraphView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHierarchicalGraphView\nC++: vtkHierarchicalGraphView *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHierarchicalGraphView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHierarchicalGraphView\nC++: vtkHierarchicalGraphView *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetHierarchyFromInputConnection",                (PyCFunction)PyvtkHierarchicalGraphView_SetHierarchyFromInputConnection, 1,
   (char*)"V.SetHierarchyFromInputConnection(vtkAlgorithmOutput) -> vtkDataRepresentation\nC++: vtkDataRepresentation *SetHierarchyFromInputConnection (vtkAlgorithmOutput *conn);\n\n Set the tree and graph representations to the appropriate input ports.\n"},
  {(char*)"SetHierarchyFromInput",                (PyCFunction)PyvtkHierarchicalGraphView_SetHierarchyFromInput, 1,
   (char*)"V.SetHierarchyFromInput(vtkDataObject) -> vtkDataRepresentation\nC++: vtkDataRepresentation *SetHierarchyFromInput (vtkDataObject *input);\n\n Set the tree and graph representations to the appropriate input ports.\n"},
  {(char*)"SetGraphFromInputConnection",                (PyCFunction)PyvtkHierarchicalGraphView_SetGraphFromInputConnection, 1,
   (char*)"V.SetGraphFromInputConnection(vtkAlgorithmOutput) -> vtkDataRepresentation\nC++: vtkDataRepresentation *SetGraphFromInputConnection (vtkAlgorithmOutput *conn);\n\n Set the tree and graph representations to the appropriate input ports.\n"},
  {(char*)"SetGraphFromInput",                (PyCFunction)PyvtkHierarchicalGraphView_SetGraphFromInput, 1,
   (char*)"V.SetGraphFromInput(vtkDataObject) -> vtkDataRepresentation\nC++: vtkDataRepresentation *SetGraphFromInput (vtkDataObject *input);\n\n Set the tree and graph representations to the appropriate input ports.\n"},
  {(char*)"SetGraphEdgeLabelArrayName",                (PyCFunction)PyvtkHierarchicalGraphView_SetGraphEdgeLabelArrayName, 1,
   (char*)"V.SetGraphEdgeLabelArrayName(string)\nC++: virtual void SetGraphEdgeLabelArrayName (const char *name);\n\n The array to use for edge labeling.  Default is \"label\".\n"},
  {(char*)"GetGraphEdgeLabelArrayName",                (PyCFunction)PyvtkHierarchicalGraphView_GetGraphEdgeLabelArrayName, 1,
   (char*)"V.GetGraphEdgeLabelArrayName() -> string\nC++: virtual const char *GetGraphEdgeLabelArrayName ();\n\n The array to use for edge labeling.  Default is \"label\".\n"},
  {(char*)"SetGraphEdgeLabelVisibility",                (PyCFunction)PyvtkHierarchicalGraphView_SetGraphEdgeLabelVisibility, 1,
   (char*)"V.SetGraphEdgeLabelVisibility(bool)\nC++: virtual void SetGraphEdgeLabelVisibility (bool vis);\n\n Whether to show edge labels.  Default is off.\n"},
  {(char*)"GetGraphEdgeLabelVisibility",                (PyCFunction)PyvtkHierarchicalGraphView_GetGraphEdgeLabelVisibility, 1,
   (char*)"V.GetGraphEdgeLabelVisibility() -> bool\nC++: virtual bool GetGraphEdgeLabelVisibility ();\n\n Whether to show edge labels.  Default is off.\n"},
  {(char*)"GraphEdgeLabelVisibilityOn",                (PyCFunction)PyvtkHierarchicalGraphView_GraphEdgeLabelVisibilityOn, 1,
   (char*)"V.GraphEdgeLabelVisibilityOn()\nC++: void GraphEdgeLabelVisibilityOn ();\n\n Whether to show edge labels.  Default is off.\n"},
  {(char*)"GraphEdgeLabelVisibilityOff",                (PyCFunction)PyvtkHierarchicalGraphView_GraphEdgeLabelVisibilityOff, 1,
   (char*)"V.GraphEdgeLabelVisibilityOff()\nC++: void GraphEdgeLabelVisibilityOff ();\n\n Whether to show edge labels.  Default is off.\n"},
  {(char*)"SetGraphEdgeColorArrayName",                (PyCFunction)PyvtkHierarchicalGraphView_SetGraphEdgeColorArrayName, 1,
   (char*)"V.SetGraphEdgeColorArrayName(string)\nC++: virtual void SetGraphEdgeColorArrayName (const char *name);\n\n The array to use for coloring edges.  Default is \"color\".\n"},
  {(char*)"GetGraphEdgeColorArrayName",                (PyCFunction)PyvtkHierarchicalGraphView_GetGraphEdgeColorArrayName, 1,
   (char*)"V.GetGraphEdgeColorArrayName() -> string\nC++: virtual const char *GetGraphEdgeColorArrayName ();\n\n The array to use for coloring edges.  Default is \"color\".\n"},
  {(char*)"SetGraphEdgeColorToSplineFraction",                (PyCFunction)PyvtkHierarchicalGraphView_SetGraphEdgeColorToSplineFraction, 1,
   (char*)"V.SetGraphEdgeColorToSplineFraction()\nC++: virtual void SetGraphEdgeColorToSplineFraction ();\n\n Set the color to be the spline fraction\n"},
  {(char*)"SetColorGraphEdgesByArray",                (PyCFunction)PyvtkHierarchicalGraphView_SetColorGraphEdgesByArray, 1,
   (char*)"V.SetColorGraphEdgesByArray(bool)\nC++: virtual void SetColorGraphEdgesByArray (bool vis);\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"GetColorGraphEdgesByArray",                (PyCFunction)PyvtkHierarchicalGraphView_GetColorGraphEdgesByArray, 1,
   (char*)"V.GetColorGraphEdgesByArray() -> bool\nC++: virtual bool GetColorGraphEdgesByArray ();\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"ColorGraphEdgesByArrayOn",                (PyCFunction)PyvtkHierarchicalGraphView_ColorGraphEdgesByArrayOn, 1,
   (char*)"V.ColorGraphEdgesByArrayOn()\nC++: void ColorGraphEdgesByArrayOn ();\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"ColorGraphEdgesByArrayOff",                (PyCFunction)PyvtkHierarchicalGraphView_ColorGraphEdgesByArrayOff, 1,
   (char*)"V.ColorGraphEdgesByArrayOff()\nC++: void ColorGraphEdgesByArrayOff ();\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"SetBundlingStrength",                (PyCFunction)PyvtkHierarchicalGraphView_SetBundlingStrength, 1,
   (char*)"V.SetBundlingStrength(float)\nC++: virtual void SetBundlingStrength (double strength);\n\n Set the bundling strength.\n"},
  {(char*)"GetBundlingStrength",                (PyCFunction)PyvtkHierarchicalGraphView_GetBundlingStrength, 1,
   (char*)"V.GetBundlingStrength() -> float\nC++: virtual double GetBundlingStrength ();\n\n Set the bundling strength.\n"},
  {(char*)"SetGraphVisibility",                (PyCFunction)PyvtkHierarchicalGraphView_SetGraphVisibility, 1,
   (char*)"V.SetGraphVisibility(bool)\nC++: virtual void SetGraphVisibility (bool b);\n\n Whether the graph edges are visible (default off).\n"},
  {(char*)"GetGraphVisibility",                (PyCFunction)PyvtkHierarchicalGraphView_GetGraphVisibility, 1,
   (char*)"V.GetGraphVisibility() -> bool\nC++: virtual bool GetGraphVisibility ();\n\n Whether the graph edges are visible (default off).\n"},
  {(char*)"GraphVisibilityOn",                (PyCFunction)PyvtkHierarchicalGraphView_GraphVisibilityOn, 1,
   (char*)"V.GraphVisibilityOn()\nC++: void GraphVisibilityOn ();\n\n Whether the graph edges are visible (default off).\n"},
  {(char*)"GraphVisibilityOff",                (PyCFunction)PyvtkHierarchicalGraphView_GraphVisibilityOff, 1,
   (char*)"V.GraphVisibilityOff()\nC++: void GraphVisibilityOff ();\n\n Whether the graph edges are visible (default off).\n"},
  {(char*)"SetGraphEdgeLabelFontSize",                (PyCFunction)PyvtkHierarchicalGraphView_SetGraphEdgeLabelFontSize, 1,
   (char*)"V.SetGraphEdgeLabelFontSize(int)\nC++: virtual void SetGraphEdgeLabelFontSize (const int size);\n\n The size of the font used for edge labeling\n"},
  {(char*)"GetGraphEdgeLabelFontSize",                (PyCFunction)PyvtkHierarchicalGraphView_GetGraphEdgeLabelFontSize, 1,
   (char*)"V.GetGraphEdgeLabelFontSize() -> int\nC++: virtual int GetGraphEdgeLabelFontSize ();\n\n The size of the font used for edge labeling\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHierarchicalGraphViewDoc[] = {
  (char*)"vtkHierarchicalGraphView - Accepts a graph and a hierarchy - currently\n\n",
  "Super Class:\n\n vtkGraphLayoutView\n\n",
  (char*)" Takes a graph and a hierarchy (currently a tree) and lays out the graph \n vertices based on their categorization within the hierarchy.\n\n .SEE ALSO\n vtkGraphLayoutView\n\n .SECTION Thanks\n Thanks to the turtle with jets for feet, without you this class wouldn't \n have been possible.\n\n",
  NULL
};

static vtkObjectBase *vtkHierarchicalGraphViewStaticNew()
{
  return vtkHierarchicalGraphView::New();
}

PyObject *PyVTKClass_vtkHierarchicalGraphViewNew(char *modulename)
{
  return PyVTKClass_New(&vtkHierarchicalGraphViewStaticNew,
                        PyvtkHierarchicalGraphViewMethods,
                        (char*)"vtkHierarchicalGraphView",modulename,
                        (char**)vtkHierarchicalGraphViewDoc,
                        PyVTKClass_vtkGraphLayoutViewNew(modulename));
}

