// python wrapper for vtkRenderedRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRenderedRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRenderedRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRenderedRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataRepresentationNew(char *); }

static PyObject *PyvtkRenderedRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkRenderedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedRepresentation *op;

  vtkRenderedRepresentation  *temp20;
  op = (vtkRenderedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRenderedRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRenderedRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRenderedRepresentation_SetLabelRenderMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedRepresentation *op;

  int      temp0;
  op = (vtkRenderedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedRepresentation::SetLabelRenderMode(temp0);
      }
    else
      {
      op->SetLabelRenderMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedRepresentation_GetLabelRenderMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedRepresentation *op;

  int      temp20;
  op = (vtkRenderedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedRepresentation::GetLabelRenderMode();
      }
    else
      {
      temp20 = op->GetLabelRenderMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRenderedRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRenderedRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRenderedRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRenderedRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRenderedRepresentation\nC++: vtkRenderedRepresentation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRenderedRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRenderedRepresentation\nC++: vtkRenderedRepresentation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLabelRenderMode",                (PyCFunction)PyvtkRenderedRepresentation_SetLabelRenderMode, 1,
   (char*)"V.SetLabelRenderMode(int)\nC++: void SetLabelRenderMode (int );\n\n Set the label render mode.\n vtkRenderView::QT - Use Qt-based labeler with fitted labeling\n   and unicode support. Requires VTK_USE_QT to be on.\n vtkRenderView::FREETYPE - Use standard freetype text rendering.\n"},
  {(char*)"GetLabelRenderMode",                (PyCFunction)PyvtkRenderedRepresentation_GetLabelRenderMode, 1,
   (char*)"V.GetLabelRenderMode() -> int\nC++: int GetLabelRenderMode ();\n\n Set the label render mode.\n vtkRenderView::QT - Use Qt-based labeler with fitted labeling\n   and unicode support. Requires VTK_USE_QT to be on.\n vtkRenderView::FREETYPE - Use standard freetype text rendering.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRenderedRepresentationDoc[] = {
  (char*)"vtkRenderedRepresentation - \n\n",
  "Super Class:\n\n vtkDataRepresentation\n\n",
  NULL
};

static vtkObjectBase *vtkRenderedRepresentationStaticNew()
{
  return vtkRenderedRepresentation::New();
}

PyObject *PyVTKClass_vtkRenderedRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkRenderedRepresentationStaticNew,
                        PyvtkRenderedRepresentationMethods,
                        (char*)"vtkRenderedRepresentation",modulename,
                        (char**)vtkRenderedRepresentationDoc,
                        PyVTKClass_vtkDataRepresentationNew(modulename));
}

