// python wrapper for vtkRenderedTreeAreaRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRenderedTreeAreaRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRenderedTreeAreaRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRenderedTreeAreaRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderedRepresentationNew(char *); }

static PyObject *PyvtkRenderedTreeAreaRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  vtkRenderedTreeAreaRepresentation  *temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRenderedTreeAreaRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRenderedTreeAreaRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetLabelRenderMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  int      temp0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetLabelRenderMode(temp0);
      }
    else
      {
      op->SetLabelRenderMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetAreaLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  char    *temp0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetAreaLabelArrayName(temp0);
      }
    else
      {
      op->SetAreaLabelArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetAreaLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetAreaLabelArrayName();
      }
    else
      {
      temp20 = op->GetAreaLabelArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetAreaSizeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  char    *temp0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetAreaSizeArrayName(temp0);
      }
    else
      {
      op->SetAreaSizeArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetAreaSizeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetAreaSizeArrayName();
      }
    else
      {
      temp20 = op->GetAreaSizeArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetAreaLabelPriorityArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  char    *temp0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetAreaLabelPriorityArrayName(temp0);
      }
    else
      {
      op->SetAreaLabelPriorityArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetAreaLabelPriorityArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetAreaLabelPriorityArrayName();
      }
    else
      {
      temp20 = op->GetAreaLabelPriorityArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetGraphEdgeLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  char    *temp0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetGraphEdgeLabelArrayName(temp0);
      }
    else
      {
      op->SetGraphEdgeLabelArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetGraphEdgeLabelArrayName(temp0,temp1);
      }
    else
      {
      op->SetGraphEdgeLabelArrayName(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetGraphEdgeLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetGraphEdgeLabelArrayName();
      }
    else
      {
      temp20 = op->GetGraphEdgeLabelArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  int      temp0;
  const char    *temp20;
  PyErr_Clear();
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetGraphEdgeLabelArrayName(temp0);
      }
    else
      {
      temp20 = op->GetGraphEdgeLabelArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetGraphEdgeLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetGraphEdgeLabelTextProperty(temp0);
      }
    else
      {
      op->SetGraphEdgeLabelTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  int      temp1;
  PyErr_Clear();
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetGraphEdgeLabelTextProperty(temp0,temp1);
      }
    else
      {
      op->SetGraphEdgeLabelTextProperty(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetGraphEdgeLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  vtkTextProperty  *temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetGraphEdgeLabelTextProperty();
      }
    else
      {
      temp20 = op->GetGraphEdgeLabelTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  int      temp0;
  vtkTextProperty  *temp20;
  PyErr_Clear();
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetGraphEdgeLabelTextProperty(temp0);
      }
    else
      {
      temp20 = op->GetGraphEdgeLabelTextProperty(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetAreaHoverArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  char    *temp0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetAreaHoverArrayName(temp0);
      }
    else
      {
      op->SetAreaHoverArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetAreaHoverArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  char    *temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetAreaHoverArrayName();
      }
    else
      {
      temp20 = op->GetAreaHoverArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetAreaLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  bool   temp0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetAreaLabelVisibility(temp0);
      }
    else
      {
      op->SetAreaLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetAreaLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  bool   temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetAreaLabelVisibility();
      }
    else
      {
      temp20 = op->GetAreaLabelVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_AreaLabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::AreaLabelVisibilityOn();
      }
    else
      {
      op->AreaLabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_AreaLabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::AreaLabelVisibilityOff();
      }
    else
      {
      op->AreaLabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetAreaLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetAreaLabelTextProperty(temp0);
      }
    else
      {
      op->SetAreaLabelTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetAreaLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  vtkTextProperty  *temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetAreaLabelTextProperty();
      }
    else
      {
      temp20 = op->GetAreaLabelTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetGraphEdgeLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  bool   temp0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetGraphEdgeLabelVisibility(temp0);
      }
    else
      {
      op->SetGraphEdgeLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  bool   temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"bi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetGraphEdgeLabelVisibility(temp0,temp1);
      }
    else
      {
      op->SetGraphEdgeLabelVisibility(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetGraphEdgeLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  bool   temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetGraphEdgeLabelVisibility();
      }
    else
      {
      temp20 = op->GetGraphEdgeLabelVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  int      temp0;
  bool   temp20;
  PyErr_Clear();
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetGraphEdgeLabelVisibility(temp0);
      }
    else
      {
      temp20 = op->GetGraphEdgeLabelVisibility(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GraphEdgeLabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::GraphEdgeLabelVisibilityOn();
      }
    else
      {
      op->GraphEdgeLabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GraphEdgeLabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::GraphEdgeLabelVisibilityOff();
      }
    else
      {
      op->GraphEdgeLabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetAreaColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  char    *temp0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetAreaColorArrayName(temp0);
      }
    else
      {
      op->SetAreaColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetAreaColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetAreaColorArrayName();
      }
    else
      {
      temp20 = op->GetAreaColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetColorAreasByArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  bool   temp0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetColorAreasByArray(temp0);
      }
    else
      {
      op->SetColorAreasByArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetColorAreasByArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  bool   temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetColorAreasByArray();
      }
    else
      {
      temp20 = op->GetColorAreasByArray();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_ColorAreasByArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::ColorAreasByArrayOn();
      }
    else
      {
      op->ColorAreasByArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_ColorAreasByArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::ColorAreasByArrayOff();
      }
    else
      {
      op->ColorAreasByArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetGraphEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  char    *temp0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetGraphEdgeColorArrayName(temp0);
      }
    else
      {
      op->SetGraphEdgeColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetGraphEdgeColorArrayName(temp0,temp1);
      }
    else
      {
      op->SetGraphEdgeColorArrayName(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetGraphEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetGraphEdgeColorArrayName();
      }
    else
      {
      temp20 = op->GetGraphEdgeColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  int      temp0;
  const char    *temp20;
  PyErr_Clear();
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetGraphEdgeColorArrayName(temp0);
      }
    else
      {
      temp20 = op->GetGraphEdgeColorArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetGraphEdgeColorToSplineFraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetGraphEdgeColorToSplineFraction();
      }
    else
      {
      op->SetGraphEdgeColorToSplineFraction();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  int      temp0;
  PyErr_Clear();
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetGraphEdgeColorToSplineFraction(temp0);
      }
    else
      {
      op->SetGraphEdgeColorToSplineFraction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetColorGraphEdgesByArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  bool   temp0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetColorGraphEdgesByArray(temp0);
      }
    else
      {
      op->SetColorGraphEdgesByArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  bool   temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"bi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetColorGraphEdgesByArray(temp0,temp1);
      }
    else
      {
      op->SetColorGraphEdgesByArray(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetColorGraphEdgesByArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  bool   temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetColorGraphEdgesByArray();
      }
    else
      {
      temp20 = op->GetColorGraphEdgesByArray();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  int      temp0;
  bool   temp20;
  PyErr_Clear();
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetColorGraphEdgesByArray(temp0);
      }
    else
      {
      temp20 = op->GetColorGraphEdgesByArray(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_ColorGraphEdgesByArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::ColorGraphEdgesByArrayOn();
      }
    else
      {
      op->ColorGraphEdgesByArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_ColorGraphEdgesByArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::ColorGraphEdgesByArrayOff();
      }
    else
      {
      op->ColorGraphEdgesByArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetGraphHoverArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  char    *temp0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetGraphHoverArrayName(temp0);
      }
    else
      {
      op->SetGraphHoverArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetGraphHoverArrayName(temp0,temp1);
      }
    else
      {
      op->SetGraphHoverArrayName(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetGraphHoverArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  const char    *temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetGraphHoverArrayName();
      }
    else
      {
      temp20 = op->GetGraphHoverArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  int      temp0;
  const char    *temp20;
  PyErr_Clear();
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetGraphHoverArrayName(temp0);
      }
    else
      {
      temp20 = op->GetGraphHoverArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetShrinkPercentage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  double   temp0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetShrinkPercentage(temp0);
      }
    else
      {
      op->SetShrinkPercentage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetShrinkPercentage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  double   temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetShrinkPercentage();
      }
    else
      {
      temp20 = op->GetShrinkPercentage();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetGraphBundlingStrength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  double   temp0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetGraphBundlingStrength(temp0);
      }
    else
      {
      op->SetGraphBundlingStrength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  double   temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"di", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetGraphBundlingStrength(temp0,temp1);
      }
    else
      {
      op->SetGraphBundlingStrength(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetGraphBundlingStrength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  double   temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetGraphBundlingStrength();
      }
    else
      {
      temp20 = op->GetGraphBundlingStrength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  int      temp0;
  double   temp20;
  PyErr_Clear();
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetGraphBundlingStrength(temp0);
      }
    else
      {
      temp20 = op->GetGraphBundlingStrength(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetGraphSplineType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  int      temp0;
  int      temp1;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetGraphSplineType(temp0,temp1);
      }
    else
      {
      op->SetGraphSplineType(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetGraphSplineType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  int      temp0;
  int      temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetGraphSplineType(temp0);
      }
    else
      {
      temp20 = op->GetGraphSplineType(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetAreaLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  vtkAreaLayoutStrategy  *temp0;
  PyObject *tempH0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAreaLayoutStrategy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAreaLayoutStrategy");
    if (!temp0 && tempH0 != Py_None) goto break63;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetAreaLayoutStrategy(temp0);
      }
    else
      {
      op->SetAreaLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break63:
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetAreaLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  vtkAreaLayoutStrategy  *temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetAreaLayoutStrategy();
      }
    else
      {
      temp20 = op->GetAreaLayoutStrategy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetAreaToPolyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  vtkPolyDataAlgorithm  *temp0;
  PyObject *tempH0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyDataAlgorithm *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyDataAlgorithm");
    if (!temp0 && tempH0 != Py_None) goto break65;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetAreaToPolyData(temp0);
      }
    else
      {
      op->SetAreaToPolyData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break65:
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetAreaToPolyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  vtkPolyDataAlgorithm  *temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetAreaToPolyData();
      }
    else
      {
      temp20 = op->GetAreaToPolyData();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetUseRectangularCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  bool   temp0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetUseRectangularCoordinates(temp0);
      }
    else
      {
      op->SetUseRectangularCoordinates(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetUseRectangularCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  bool   temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetUseRectangularCoordinates();
      }
    else
      {
      temp20 = op->GetUseRectangularCoordinates();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_UseRectangularCoordinatesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::UseRectangularCoordinatesOn();
      }
    else
      {
      op->UseRectangularCoordinatesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_UseRectangularCoordinatesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::UseRectangularCoordinatesOff();
      }
    else
      {
      op->UseRectangularCoordinatesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetAreaLabelMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  vtkLabeledDataMapper  *temp0;
  PyObject *tempH0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkLabeledDataMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLabeledDataMapper");
    if (!temp0 && tempH0 != Py_None) goto break71;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetAreaLabelMapper(temp0);
      }
    else
      {
      op->SetAreaLabelMapper(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break71:
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetAreaLabelMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  vtkLabeledDataMapper  *temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetAreaLabelMapper();
      }
    else
      {
      temp20 = op->GetAreaLabelMapper();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_ApplyViewTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  vtkViewTheme  *temp0;
  PyObject *tempH0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewTheme *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewTheme");
    if (!temp0 && tempH0 != Py_None) goto break73;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::ApplyViewTheme(temp0);
      }
    else
      {
      op->ApplyViewTheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break73:
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_SetEdgeScalarBarVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  bool   temp0;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderedTreeAreaRepresentation::SetEdgeScalarBarVisibility(temp0);
      }
    else
      {
      op->SetEdgeScalarBarVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderedTreeAreaRepresentation_GetEdgeScalarBarVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderedTreeAreaRepresentation *op;

  bool   temp20;
  op = (vtkRenderedTreeAreaRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderedTreeAreaRepresentation::GetEdgeScalarBarVisibility();
      }
    else
      {
      temp20 = op->GetEdgeScalarBarVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRenderedTreeAreaRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRenderedTreeAreaRepresentation\nC++: vtkRenderedTreeAreaRepresentation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRenderedTreeAreaRepresentation\nC++: vtkRenderedTreeAreaRepresentation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLabelRenderMode",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetLabelRenderMode, 1,
   (char*)"V.SetLabelRenderMode(int)\nC++: virtual void SetLabelRenderMode (int mode);\n\n Set the label render mode.\n QT - Use vtkQtTreeRingLabeler with fitted labeling\n   and unicode support. Requires VTK_USE_QT to be on.\n FREETYPE - Use standard freetype text rendering.\n"},
  {(char*)"SetAreaLabelArrayName",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetAreaLabelArrayName, 1,
   (char*)"V.SetAreaLabelArrayName(string)\nC++: virtual void SetAreaLabelArrayName (const char *name);\n\n The array to use for area labeling.  Default is \"label\".\n"},
  {(char*)"GetAreaLabelArrayName",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetAreaLabelArrayName, 1,
   (char*)"V.GetAreaLabelArrayName() -> string\nC++: virtual const char *GetAreaLabelArrayName ();\n\n The array to use for area labeling.  Default is \"label\".\n"},
  {(char*)"SetAreaSizeArrayName",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetAreaSizeArrayName, 1,
   (char*)"V.SetAreaSizeArrayName(string)\nC++: virtual void SetAreaSizeArrayName (const char *name);\n\n The array to use for area sizes. Default is \"size\".\n"},
  {(char*)"GetAreaSizeArrayName",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetAreaSizeArrayName, 1,
   (char*)"V.GetAreaSizeArrayName() -> string\nC++: virtual const char *GetAreaSizeArrayName ();\n\n The array to use for area sizes. Default is \"size\".\n"},
  {(char*)"SetAreaLabelPriorityArrayName",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetAreaLabelPriorityArrayName, 1,
   (char*)"V.SetAreaLabelPriorityArrayName(string)\nC++: virtual void SetAreaLabelPriorityArrayName (const char *name);\n\n The array to use for area labeling priority.\n Default is \"GraphVertexDegree\".\n"},
  {(char*)"GetAreaLabelPriorityArrayName",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetAreaLabelPriorityArrayName, 1,
   (char*)"V.GetAreaLabelPriorityArrayName() -> string\nC++: virtual const char *GetAreaLabelPriorityArrayName ();\n\n The array to use for area labeling priority.\n Default is \"GraphVertexDegree\".\n"},
  {(char*)"SetGraphEdgeLabelArrayName",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetGraphEdgeLabelArrayName, 1,
   (char*)"V.SetGraphEdgeLabelArrayName(string)\nC++: virtual void SetGraphEdgeLabelArrayName (const char *name);this SetGraphEdgeLabelArrayName name \nV.SetGraphEdgeLabelArrayName(string, int)\nC++: virtual void SetGraphEdgeLabelArrayName (const char *name, int idx);\n\n The array to use for edge labeling.  Default is \"label\".\n"},
  {(char*)"GetGraphEdgeLabelArrayName",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetGraphEdgeLabelArrayName, 1,
   (char*)"V.GetGraphEdgeLabelArrayName() -> string\nC++: virtual const char *GetGraphEdgeLabelArrayName ();return this GetGraphEdgeLabelArrayName \nV.GetGraphEdgeLabelArrayName(int) -> string\nC++: virtual const char *GetGraphEdgeLabelArrayName (int idx);\n\n The array to use for edge labeling.  Default is \"label\".\n"},
  {(char*)"SetGraphEdgeLabelTextProperty",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetGraphEdgeLabelTextProperty, 1,
   (char*)"V.SetGraphEdgeLabelTextProperty(vtkTextProperty)\nC++: virtual void SetGraphEdgeLabelTextProperty (vtkTextProperty *tp);this SetGraphEdgeLabelTextProperty tp \nV.SetGraphEdgeLabelTextProperty(vtkTextProperty, int)\nC++: virtual void SetGraphEdgeLabelTextProperty (vtkTextProperty *tp, int idx);\n\n The text property for the graph edge labels.\n"},
  {(char*)"GetGraphEdgeLabelTextProperty",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetGraphEdgeLabelTextProperty, 1,
   (char*)"V.GetGraphEdgeLabelTextProperty() -> vtkTextProperty\nC++: virtual vtkTextProperty *GetGraphEdgeLabelTextProperty ();return this GetGraphEdgeLabelTextProperty \nV.GetGraphEdgeLabelTextProperty(int) -> vtkTextProperty\nC++: virtual vtkTextProperty *GetGraphEdgeLabelTextProperty (int idx);\n\n The text property for the graph edge labels.\n"},
  {(char*)"SetAreaHoverArrayName",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetAreaHoverArrayName, 1,
   (char*)"V.SetAreaHoverArrayName(string)\nC++: void SetAreaHoverArrayName (char *);\n\n The name of the array whose value appears when the mouse hovers\n over a rectangle in the treemap.\n"},
  {(char*)"GetAreaHoverArrayName",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetAreaHoverArrayName, 1,
   (char*)"V.GetAreaHoverArrayName() -> string\nC++: char *GetAreaHoverArrayName ();\n\n The name of the array whose value appears when the mouse hovers\n over a rectangle in the treemap.\n"},
  {(char*)"SetAreaLabelVisibility",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetAreaLabelVisibility, 1,
   (char*)"V.SetAreaLabelVisibility(bool)\nC++: virtual void SetAreaLabelVisibility (bool vis);\n\n Whether to show area labels.  Default is off.\n"},
  {(char*)"GetAreaLabelVisibility",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetAreaLabelVisibility, 1,
   (char*)"V.GetAreaLabelVisibility() -> bool\nC++: virtual bool GetAreaLabelVisibility ();\n\n Whether to show area labels.  Default is off.\n"},
  {(char*)"AreaLabelVisibilityOn",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_AreaLabelVisibilityOn, 1,
   (char*)"V.AreaLabelVisibilityOn()\nC++: void AreaLabelVisibilityOn ();\n\n Whether to show area labels.  Default is off.\n"},
  {(char*)"AreaLabelVisibilityOff",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_AreaLabelVisibilityOff, 1,
   (char*)"V.AreaLabelVisibilityOff()\nC++: void AreaLabelVisibilityOff ();\n\n Whether to show area labels.  Default is off.\n"},
  {(char*)"SetAreaLabelTextProperty",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetAreaLabelTextProperty, 1,
   (char*)"V.SetAreaLabelTextProperty(vtkTextProperty)\nC++: virtual void SetAreaLabelTextProperty (vtkTextProperty *tp);\n\n The text property for the area labels.\n"},
  {(char*)"GetAreaLabelTextProperty",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetAreaLabelTextProperty, 1,
   (char*)"V.GetAreaLabelTextProperty() -> vtkTextProperty\nC++: virtual vtkTextProperty *GetAreaLabelTextProperty ();\n\n The text property for the area labels.\n"},
  {(char*)"SetGraphEdgeLabelVisibility",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetGraphEdgeLabelVisibility, 1,
   (char*)"V.SetGraphEdgeLabelVisibility(bool)\nC++: virtual void SetGraphEdgeLabelVisibility (bool vis);this SetGraphEdgeLabelVisibility vis \nV.SetGraphEdgeLabelVisibility(bool, int)\nC++: virtual void SetGraphEdgeLabelVisibility (bool vis, int idx);\n\n Whether to show edge labels.  Default is off.\n"},
  {(char*)"GetGraphEdgeLabelVisibility",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetGraphEdgeLabelVisibility, 1,
   (char*)"V.GetGraphEdgeLabelVisibility() -> bool\nC++: virtual bool GetGraphEdgeLabelVisibility ();return this GetGraphEdgeLabelVisibility \nV.GetGraphEdgeLabelVisibility(int) -> bool\nC++: virtual bool GetGraphEdgeLabelVisibility (int idx);\n\n Whether to show edge labels.  Default is off.\n"},
  {(char*)"GraphEdgeLabelVisibilityOn",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GraphEdgeLabelVisibilityOn, 1,
   (char*)"V.GraphEdgeLabelVisibilityOn()\nC++: void GraphEdgeLabelVisibilityOn ();\n\n Whether to show edge labels.  Default is off.\n"},
  {(char*)"GraphEdgeLabelVisibilityOff",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GraphEdgeLabelVisibilityOff, 1,
   (char*)"V.GraphEdgeLabelVisibilityOff()\nC++: void GraphEdgeLabelVisibilityOff ();\n\n Whether to show edge labels.  Default is off.\n"},
  {(char*)"SetAreaColorArrayName",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetAreaColorArrayName, 1,
   (char*)"V.SetAreaColorArrayName(string)\nC++: void SetAreaColorArrayName (const char *name);\n\n The array to use for coloring vertices.  Default is \"color\".\n"},
  {(char*)"GetAreaColorArrayName",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetAreaColorArrayName, 1,
   (char*)"V.GetAreaColorArrayName() -> string\nC++: const char *GetAreaColorArrayName ();\n\n The array to use for coloring vertices.  Default is \"color\".\n"},
  {(char*)"SetColorAreasByArray",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetColorAreasByArray, 1,
   (char*)"V.SetColorAreasByArray(bool)\nC++: virtual void SetColorAreasByArray (bool vis);\n\n Whether to color vertices.  Default is off.\n"},
  {(char*)"GetColorAreasByArray",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetColorAreasByArray, 1,
   (char*)"V.GetColorAreasByArray() -> bool\nC++: virtual bool GetColorAreasByArray ();\n\n Whether to color vertices.  Default is off.\n"},
  {(char*)"ColorAreasByArrayOn",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_ColorAreasByArrayOn, 1,
   (char*)"V.ColorAreasByArrayOn()\nC++: void ColorAreasByArrayOn ();\n\n Whether to color vertices.  Default is off.\n"},
  {(char*)"ColorAreasByArrayOff",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_ColorAreasByArrayOff, 1,
   (char*)"V.ColorAreasByArrayOff()\nC++: void ColorAreasByArrayOff ();\n\n Whether to color vertices.  Default is off.\n"},
  {(char*)"SetGraphEdgeColorArrayName",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetGraphEdgeColorArrayName, 1,
   (char*)"V.SetGraphEdgeColorArrayName(string)\nC++: virtual void SetGraphEdgeColorArrayName (const char *name);this SetGraphEdgeColorArrayName name \nV.SetGraphEdgeColorArrayName(string, int)\nC++: virtual void SetGraphEdgeColorArrayName (const char *name, int idx);\n\n The array to use for coloring edges.  Default is \"color\".\n"},
  {(char*)"GetGraphEdgeColorArrayName",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetGraphEdgeColorArrayName, 1,
   (char*)"V.GetGraphEdgeColorArrayName() -> string\nC++: virtual const char *GetGraphEdgeColorArrayName ();return this GetGraphEdgeColorArrayName \nV.GetGraphEdgeColorArrayName(int) -> string\nC++: virtual const char *GetGraphEdgeColorArrayName (int idx);\n\n The array to use for coloring edges.  Default is \"color\".\n"},
  {(char*)"SetGraphEdgeColorToSplineFraction",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetGraphEdgeColorToSplineFraction, 1,
   (char*)"V.SetGraphEdgeColorToSplineFraction()\nC++: virtual void SetGraphEdgeColorToSplineFraction ();this SetGraphEdgeColorToSplineFraction \nV.SetGraphEdgeColorToSplineFraction(int)\nC++: virtual void SetGraphEdgeColorToSplineFraction (int idx);\n\n Set the color to be the spline fraction\n"},
  {(char*)"SetColorGraphEdgesByArray",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetColorGraphEdgesByArray, 1,
   (char*)"V.SetColorGraphEdgesByArray(bool)\nC++: virtual void SetColorGraphEdgesByArray (bool vis);this SetColorGraphEdgesByArray vis \nV.SetColorGraphEdgesByArray(bool, int)\nC++: virtual void SetColorGraphEdgesByArray (bool vis, int idx);\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"GetColorGraphEdgesByArray",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetColorGraphEdgesByArray, 1,
   (char*)"V.GetColorGraphEdgesByArray() -> bool\nC++: virtual bool GetColorGraphEdgesByArray ();return this GetColorGraphEdgesByArray \nV.GetColorGraphEdgesByArray(int) -> bool\nC++: virtual bool GetColorGraphEdgesByArray (int idx);\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"ColorGraphEdgesByArrayOn",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_ColorGraphEdgesByArrayOn, 1,
   (char*)"V.ColorGraphEdgesByArrayOn()\nC++: void ColorGraphEdgesByArrayOn ();\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"ColorGraphEdgesByArrayOff",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_ColorGraphEdgesByArrayOff, 1,
   (char*)"V.ColorGraphEdgesByArrayOff()\nC++: void ColorGraphEdgesByArrayOff ();\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"SetGraphHoverArrayName",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetGraphHoverArrayName, 1,
   (char*)"V.SetGraphHoverArrayName(string)\nC++: virtual void SetGraphHoverArrayName (const char *name);this SetGraphHoverArrayName name \nV.SetGraphHoverArrayName(string, int)\nC++: virtual void SetGraphHoverArrayName (const char *name, int idx);\n\n The name of the array whose value appears when the mouse hovers\n over a graph edge.\n"},
  {(char*)"GetGraphHoverArrayName",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetGraphHoverArrayName, 1,
   (char*)"V.GetGraphHoverArrayName() -> string\nC++: virtual const char *GetGraphHoverArrayName ();return this GetGraphHoverArrayName \nV.GetGraphHoverArrayName(int) -> string\nC++: virtual const char *GetGraphHoverArrayName (int idx);\n\n The name of the array whose value appears when the mouse hovers\n over a graph edge.\n"},
  {(char*)"SetShrinkPercentage",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetShrinkPercentage, 1,
   (char*)"V.SetShrinkPercentage(float)\nC++: virtual void SetShrinkPercentage (double value);\n\n Set the region shrink percentage between 0.0 and 1.0.\n"},
  {(char*)"GetShrinkPercentage",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetShrinkPercentage, 1,
   (char*)"V.GetShrinkPercentage() -> float\nC++: virtual double GetShrinkPercentage ();\n\n Set the region shrink percentage between 0.0 and 1.0.\n"},
  {(char*)"SetGraphBundlingStrength",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetGraphBundlingStrength, 1,
   (char*)"V.SetGraphBundlingStrength(float)\nC++: virtual void SetGraphBundlingStrength (double strength);this SetGraphBundlingStrength strength \nV.SetGraphBundlingStrength(float, int)\nC++: virtual void SetGraphBundlingStrength (double strength, int idx);\n\n Set the bundling strength.\n"},
  {(char*)"GetGraphBundlingStrength",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetGraphBundlingStrength, 1,
   (char*)"V.GetGraphBundlingStrength() -> float\nC++: virtual double GetGraphBundlingStrength ();return this GetGraphBundlingStrength \nV.GetGraphBundlingStrength(int) -> float\nC++: virtual double GetGraphBundlingStrength (int idx);\n\n Set the bundling strength.\n"},
  {(char*)"SetGraphSplineType",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetGraphSplineType, 1,
   (char*)"V.SetGraphSplineType(int, int)\nC++: virtual void SetGraphSplineType (int type, int idx);\n\n Sets the spline type for the graph edges.\n vtkSplineGraphEdges::CUSTOM uses a vtkCardinalSpline.\n vtkSplineGraphEdges::BSPLINE uses a b-spline.\n The default is CUSTOM.\n"},
  {(char*)"GetGraphSplineType",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetGraphSplineType, 1,
   (char*)"V.GetGraphSplineType(int) -> int\nC++: virtual int GetGraphSplineType (int idx);\n\n Sets the spline type for the graph edges.\n vtkSplineGraphEdges::CUSTOM uses a vtkCardinalSpline.\n vtkSplineGraphEdges::BSPLINE uses a b-spline.\n The default is CUSTOM.\n"},
  {(char*)"SetAreaLayoutStrategy",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetAreaLayoutStrategy, 1,
   (char*)"V.SetAreaLayoutStrategy(vtkAreaLayoutStrategy)\nC++: virtual void SetAreaLayoutStrategy (vtkAreaLayoutStrategy *strategy);\n\n The layout strategy for producing spatial regions for the tree.\n"},
  {(char*)"GetAreaLayoutStrategy",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetAreaLayoutStrategy, 1,
   (char*)"V.GetAreaLayoutStrategy() -> vtkAreaLayoutStrategy\nC++: virtual vtkAreaLayoutStrategy *GetAreaLayoutStrategy ();\n\n The layout strategy for producing spatial regions for the tree.\n"},
  {(char*)"SetAreaToPolyData",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetAreaToPolyData, 1,
   (char*)"V.SetAreaToPolyData(vtkPolyDataAlgorithm)\nC++: virtual void SetAreaToPolyData (vtkPolyDataAlgorithm *areaToPoly);\n\n The filter for converting areas to polydata. This may e.g. be\n vtkTreeMapToPolyData or vtkTreeRingToPolyData.\n The filter must take a vtkTree as input and produce vtkPolyData.\n"},
  {(char*)"GetAreaToPolyData",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetAreaToPolyData, 1,
   (char*)"V.GetAreaToPolyData() -> vtkPolyDataAlgorithm\nC++: vtkPolyDataAlgorithm *GetAreaToPolyData ();\n\n The filter for converting areas to polydata. This may e.g. be\n vtkTreeMapToPolyData or vtkTreeRingToPolyData.\n The filter must take a vtkTree as input and produce vtkPolyData.\n"},
  {(char*)"SetUseRectangularCoordinates",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetUseRectangularCoordinates, 1,
   (char*)"V.SetUseRectangularCoordinates(bool)\nC++: void SetUseRectangularCoordinates (bool );\n\n Whether the area represents radial or rectangular coordinates.\n"},
  {(char*)"GetUseRectangularCoordinates",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetUseRectangularCoordinates, 1,
   (char*)"V.GetUseRectangularCoordinates() -> bool\nC++: bool GetUseRectangularCoordinates ();\n\n Whether the area represents radial or rectangular coordinates.\n"},
  {(char*)"UseRectangularCoordinatesOn",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_UseRectangularCoordinatesOn, 1,
   (char*)"V.UseRectangularCoordinatesOn()\nC++: void UseRectangularCoordinatesOn ();\n\n Whether the area represents radial or rectangular coordinates.\n"},
  {(char*)"UseRectangularCoordinatesOff",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_UseRectangularCoordinatesOff, 1,
   (char*)"V.UseRectangularCoordinatesOff()\nC++: void UseRectangularCoordinatesOff ();\n\n Whether the area represents radial or rectangular coordinates.\n"},
  {(char*)"SetAreaLabelMapper",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetAreaLabelMapper, 1,
   (char*)"V.SetAreaLabelMapper(vtkLabeledDataMapper)\nC++: virtual void SetAreaLabelMapper (vtkLabeledDataMapper *mapper);\n\n The mapper for rendering labels on areas. This may e.g. be\n vtkDynamic2DLabelMapper or vtkTreeMapLabelMapper.\n"},
  {(char*)"GetAreaLabelMapper",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetAreaLabelMapper, 1,
   (char*)"V.GetAreaLabelMapper() -> vtkLabeledDataMapper\nC++: vtkLabeledDataMapper *GetAreaLabelMapper ();\n\n The mapper for rendering labels on areas. This may e.g. be\n vtkDynamic2DLabelMapper or vtkTreeMapLabelMapper.\n"},
  {(char*)"ApplyViewTheme",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme (vtkViewTheme *theme);\n\n Apply the theme to this view.\n"},
  {(char*)"SetEdgeScalarBarVisibility",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_SetEdgeScalarBarVisibility, 1,
   (char*)"V.SetEdgeScalarBarVisibility(bool)\nC++: virtual void SetEdgeScalarBarVisibility (bool b);\n\n Visibility of scalar bar actor for edges.\n"},
  {(char*)"GetEdgeScalarBarVisibility",                (PyCFunction)PyvtkRenderedTreeAreaRepresentation_GetEdgeScalarBarVisibility, 1,
   (char*)"V.GetEdgeScalarBarVisibility() -> bool\nC++: virtual bool GetEdgeScalarBarVisibility ();\n\n Visibility of scalar bar actor for edges.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRenderedTreeAreaRepresentationDoc[] = {
  (char*)"vtkRenderedTreeAreaRepresentation - \n\n",
  "Super Class:\n\n vtkRenderedRepresentation\n\n",
  NULL
};

static vtkObjectBase *vtkRenderedTreeAreaRepresentationStaticNew()
{
  return vtkRenderedTreeAreaRepresentation::New();
}

PyObject *PyVTKClass_vtkRenderedTreeAreaRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkRenderedTreeAreaRepresentationStaticNew,
                        PyvtkRenderedTreeAreaRepresentationMethods,
                        (char*)"vtkRenderedTreeAreaRepresentation",modulename,
                        (char**)vtkRenderedTreeAreaRepresentationDoc,
                        PyVTKClass_vtkRenderedRepresentationNew(modulename));
}

