// python wrapper for vtkTreeAreaView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTreeAreaView.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeAreaViewNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeAreaViewNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderViewNew(char *); }

static PyObject *PyvtkTreeAreaView_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  const char    *temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  char    *temp0;
  int      temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  vtkTreeAreaView  *temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTreeAreaView  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTreeAreaView::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetTreeFromInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  vtkDataRepresentation  *temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::SetTreeFromInputConnection(temp0);
      }
    else
      {
      temp20 = op->SetTreeFromInputConnection(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetTreeFromInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  vtkTree  *temp0;
  PyObject *tempH0;
  vtkDataRepresentation  *temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTree *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTree");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::SetTreeFromInput(temp0);
      }
    else
      {
      temp20 = op->SetTreeFromInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetGraphFromInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  vtkDataRepresentation  *temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::SetGraphFromInputConnection(temp0);
      }
    else
      {
      temp20 = op->SetGraphFromInputConnection(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetGraphFromInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  vtkGraph  *temp0;
  PyObject *tempH0;
  vtkDataRepresentation  *temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraph");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::SetGraphFromInput(temp0);
      }
    else
      {
      temp20 = op->SetGraphFromInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetAreaLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  char    *temp0;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::SetAreaLabelArrayName(temp0);
      }
    else
      {
      op->SetAreaLabelArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_GetAreaLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  const char    *temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::GetAreaLabelArrayName();
      }
    else
      {
      temp20 = op->GetAreaLabelArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetAreaSizeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  char    *temp0;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::SetAreaSizeArrayName(temp0);
      }
    else
      {
      op->SetAreaSizeArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_GetAreaSizeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  const char    *temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::GetAreaSizeArrayName();
      }
    else
      {
      temp20 = op->GetAreaSizeArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetLabelPriorityArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  char    *temp0;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::SetLabelPriorityArrayName(temp0);
      }
    else
      {
      op->SetLabelPriorityArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_GetLabelPriorityArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  const char    *temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::GetLabelPriorityArrayName();
      }
    else
      {
      temp20 = op->GetLabelPriorityArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetEdgeLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  char    *temp0;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::SetEdgeLabelArrayName(temp0);
      }
    else
      {
      op->SetEdgeLabelArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_GetEdgeLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  const char    *temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::GetEdgeLabelArrayName();
      }
    else
      {
      temp20 = op->GetEdgeLabelArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetAreaHoverArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  char    *temp0;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::SetAreaHoverArrayName(temp0);
      }
    else
      {
      op->SetAreaHoverArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_GetAreaHoverArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  const char    *temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::GetAreaHoverArrayName();
      }
    else
      {
      temp20 = op->GetAreaHoverArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetAreaLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  bool   temp0;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::SetAreaLabelVisibility(temp0);
      }
    else
      {
      op->SetAreaLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_GetAreaLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  bool   temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::GetAreaLabelVisibility();
      }
    else
      {
      temp20 = op->GetAreaLabelVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_AreaLabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::AreaLabelVisibilityOn();
      }
    else
      {
      op->AreaLabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_AreaLabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::AreaLabelVisibilityOff();
      }
    else
      {
      op->AreaLabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetEdgeLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  bool   temp0;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::SetEdgeLabelVisibility(temp0);
      }
    else
      {
      op->SetEdgeLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_GetEdgeLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  bool   temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::GetEdgeLabelVisibility();
      }
    else
      {
      temp20 = op->GetEdgeLabelVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_EdgeLabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::EdgeLabelVisibilityOn();
      }
    else
      {
      op->EdgeLabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_EdgeLabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::EdgeLabelVisibilityOff();
      }
    else
      {
      op->EdgeLabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetAreaColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  char    *temp0;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::SetAreaColorArrayName(temp0);
      }
    else
      {
      op->SetAreaColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_GetAreaColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  const char    *temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::GetAreaColorArrayName();
      }
    else
      {
      temp20 = op->GetAreaColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetColorAreas(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  bool   temp0;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::SetColorAreas(temp0);
      }
    else
      {
      op->SetColorAreas(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_GetColorAreas(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  bool   temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::GetColorAreas();
      }
    else
      {
      temp20 = op->GetColorAreas();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_ColorAreasOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::ColorAreasOn();
      }
    else
      {
      op->ColorAreasOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_ColorAreasOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::ColorAreasOff();
      }
    else
      {
      op->ColorAreasOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  char    *temp0;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::SetEdgeColorArrayName(temp0);
      }
    else
      {
      op->SetEdgeColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_GetEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  const char    *temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::GetEdgeColorArrayName();
      }
    else
      {
      temp20 = op->GetEdgeColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetEdgeColorToSplineFraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::SetEdgeColorToSplineFraction();
      }
    else
      {
      op->SetEdgeColorToSplineFraction();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetShrinkPercentage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  double   temp0;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::SetShrinkPercentage(temp0);
      }
    else
      {
      op->SetShrinkPercentage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_GetShrinkPercentage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  double   temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::GetShrinkPercentage();
      }
    else
      {
      temp20 = op->GetShrinkPercentage();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetColorEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  bool   temp0;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::SetColorEdges(temp0);
      }
    else
      {
      op->SetColorEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_GetColorEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  bool   temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::GetColorEdges();
      }
    else
      {
      temp20 = op->GetColorEdges();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_ColorEdgesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::ColorEdgesOn();
      }
    else
      {
      op->ColorEdgesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_ColorEdgesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::ColorEdgesOff();
      }
    else
      {
      op->ColorEdgesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetBundlingStrength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  double   temp0;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::SetBundlingStrength(temp0);
      }
    else
      {
      op->SetBundlingStrength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_GetBundlingStrength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  double   temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::GetBundlingStrength();
      }
    else
      {
      temp20 = op->GetBundlingStrength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetAreaLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  int      temp0;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::SetAreaLabelFontSize(temp0);
      }
    else
      {
      op->SetAreaLabelFontSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_GetAreaLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  int      temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::GetAreaLabelFontSize();
      }
    else
      {
      temp20 = op->GetAreaLabelFontSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetEdgeLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  int      temp0;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::SetEdgeLabelFontSize(temp0);
      }
    else
      {
      op->SetEdgeLabelFontSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_GetEdgeLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  int      temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::GetEdgeLabelFontSize();
      }
    else
      {
      temp20 = op->GetEdgeLabelFontSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  vtkAreaLayoutStrategy  *temp0;
  PyObject *tempH0;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAreaLayoutStrategy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAreaLayoutStrategy");
    if (!temp0 && tempH0 != Py_None) goto break47;
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::SetLayoutStrategy(temp0);
      }
    else
      {
      op->SetLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break47:
  return NULL;
}


static PyObject *PyvtkTreeAreaView_GetLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  vtkAreaLayoutStrategy  *temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::GetLayoutStrategy();
      }
    else
      {
      temp20 = op->GetLayoutStrategy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetUseRectangularCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  bool   temp0;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::SetUseRectangularCoordinates(temp0);
      }
    else
      {
      op->SetUseRectangularCoordinates(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_GetUseRectangularCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  bool   temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::GetUseRectangularCoordinates();
      }
    else
      {
      temp20 = op->GetUseRectangularCoordinates();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_UseRectangularCoordinatesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::UseRectangularCoordinatesOn();
      }
    else
      {
      op->UseRectangularCoordinatesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_UseRectangularCoordinatesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::UseRectangularCoordinatesOff();
      }
    else
      {
      op->UseRectangularCoordinatesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_SetEdgeScalarBarVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  bool   temp0;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeAreaView::SetEdgeScalarBarVisibility(temp0);
      }
    else
      {
      op->SetEdgeScalarBarVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeAreaView_GetEdgeScalarBarVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeAreaView *op;

  bool   temp20;
  op = (vtkTreeAreaView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeAreaView::GetEdgeScalarBarVisibility();
      }
    else
      {
      temp20 = op->GetEdgeScalarBarVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTreeAreaViewMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTreeAreaView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTreeAreaView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTreeAreaView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTreeAreaView\nC++: vtkTreeAreaView *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTreeAreaView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTreeAreaView\nC++: vtkTreeAreaView *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetTreeFromInputConnection",                (PyCFunction)PyvtkTreeAreaView_SetTreeFromInputConnection, 1,
   (char*)"V.SetTreeFromInputConnection(vtkAlgorithmOutput) -> vtkDataRepresentation\nC++: vtkDataRepresentation *SetTreeFromInputConnection (vtkAlgorithmOutput *conn);\n\n Set the tree and graph representations to the appropriate input ports.\n"},
  {(char*)"SetTreeFromInput",                (PyCFunction)PyvtkTreeAreaView_SetTreeFromInput, 1,
   (char*)"V.SetTreeFromInput(vtkTree) -> vtkDataRepresentation\nC++: vtkDataRepresentation *SetTreeFromInput (vtkTree *input);\n\n Set the tree and graph representations to the appropriate input ports.\n"},
  {(char*)"SetGraphFromInputConnection",                (PyCFunction)PyvtkTreeAreaView_SetGraphFromInputConnection, 1,
   (char*)"V.SetGraphFromInputConnection(vtkAlgorithmOutput) -> vtkDataRepresentation\nC++: vtkDataRepresentation *SetGraphFromInputConnection (vtkAlgorithmOutput *conn);\n\n Set the tree and graph representations to the appropriate input ports.\n"},
  {(char*)"SetGraphFromInput",                (PyCFunction)PyvtkTreeAreaView_SetGraphFromInput, 1,
   (char*)"V.SetGraphFromInput(vtkGraph) -> vtkDataRepresentation\nC++: vtkDataRepresentation *SetGraphFromInput (vtkGraph *input);\n\n Set the tree and graph representations to the appropriate input ports.\n"},
  {(char*)"SetAreaLabelArrayName",                (PyCFunction)PyvtkTreeAreaView_SetAreaLabelArrayName, 1,
   (char*)"V.SetAreaLabelArrayName(string)\nC++: void SetAreaLabelArrayName (const char *name);\n\n The array to use for area labeling.  Default is \"label\".\n"},
  {(char*)"GetAreaLabelArrayName",                (PyCFunction)PyvtkTreeAreaView_GetAreaLabelArrayName, 1,
   (char*)"V.GetAreaLabelArrayName() -> string\nC++: const char *GetAreaLabelArrayName ();\n\n The array to use for area labeling.  Default is \"label\".\n"},
  {(char*)"SetAreaSizeArrayName",                (PyCFunction)PyvtkTreeAreaView_SetAreaSizeArrayName, 1,
   (char*)"V.SetAreaSizeArrayName(string)\nC++: void SetAreaSizeArrayName (const char *name);\n\n The array to use for area sizes. Default is \"size\".\n"},
  {(char*)"GetAreaSizeArrayName",                (PyCFunction)PyvtkTreeAreaView_GetAreaSizeArrayName, 1,
   (char*)"V.GetAreaSizeArrayName() -> string\nC++: const char *GetAreaSizeArrayName ();\n\n The array to use for area sizes. Default is \"size\".\n"},
  {(char*)"SetLabelPriorityArrayName",                (PyCFunction)PyvtkTreeAreaView_SetLabelPriorityArrayName, 1,
   (char*)"V.SetLabelPriorityArrayName(string)\nC++: void SetLabelPriorityArrayName (const char *name);\n\n The array to use for area labeling priority.\n Default is \"GraphVertexDegree\".\n"},
  {(char*)"GetLabelPriorityArrayName",                (PyCFunction)PyvtkTreeAreaView_GetLabelPriorityArrayName, 1,
   (char*)"V.GetLabelPriorityArrayName() -> string\nC++: const char *GetLabelPriorityArrayName ();\n\n The array to use for area labeling priority.\n Default is \"GraphVertexDegree\".\n"},
  {(char*)"SetEdgeLabelArrayName",                (PyCFunction)PyvtkTreeAreaView_SetEdgeLabelArrayName, 1,
   (char*)"V.SetEdgeLabelArrayName(string)\nC++: void SetEdgeLabelArrayName (const char *name);\n\n The array to use for edge labeling.  Default is \"label\".\n"},
  {(char*)"GetEdgeLabelArrayName",                (PyCFunction)PyvtkTreeAreaView_GetEdgeLabelArrayName, 1,
   (char*)"V.GetEdgeLabelArrayName() -> string\nC++: const char *GetEdgeLabelArrayName ();\n\n The array to use for edge labeling.  Default is \"label\".\n"},
  {(char*)"SetAreaHoverArrayName",                (PyCFunction)PyvtkTreeAreaView_SetAreaHoverArrayName, 1,
   (char*)"V.SetAreaHoverArrayName(string)\nC++: void SetAreaHoverArrayName (const char *name);\n\n The name of the array whose value appears when the mouse hovers\n over a rectangle in the treemap.\n This must be a string array.\n"},
  {(char*)"GetAreaHoverArrayName",                (PyCFunction)PyvtkTreeAreaView_GetAreaHoverArrayName, 1,
   (char*)"V.GetAreaHoverArrayName() -> string\nC++: const char *GetAreaHoverArrayName ();\n\n The name of the array whose value appears when the mouse hovers\n over a rectangle in the treemap.\n This must be a string array.\n"},
  {(char*)"SetAreaLabelVisibility",                (PyCFunction)PyvtkTreeAreaView_SetAreaLabelVisibility, 1,
   (char*)"V.SetAreaLabelVisibility(bool)\nC++: void SetAreaLabelVisibility (bool vis);\n\n Whether to show area labels.  Default is off.\n"},
  {(char*)"GetAreaLabelVisibility",                (PyCFunction)PyvtkTreeAreaView_GetAreaLabelVisibility, 1,
   (char*)"V.GetAreaLabelVisibility() -> bool\nC++: bool GetAreaLabelVisibility ();\n\n Whether to show area labels.  Default is off.\n"},
  {(char*)"AreaLabelVisibilityOn",                (PyCFunction)PyvtkTreeAreaView_AreaLabelVisibilityOn, 1,
   (char*)"V.AreaLabelVisibilityOn()\nC++: void AreaLabelVisibilityOn ();\n\n Whether to show area labels.  Default is off.\n"},
  {(char*)"AreaLabelVisibilityOff",                (PyCFunction)PyvtkTreeAreaView_AreaLabelVisibilityOff, 1,
   (char*)"V.AreaLabelVisibilityOff()\nC++: void AreaLabelVisibilityOff ();\n\n Whether to show area labels.  Default is off.\n"},
  {(char*)"SetEdgeLabelVisibility",                (PyCFunction)PyvtkTreeAreaView_SetEdgeLabelVisibility, 1,
   (char*)"V.SetEdgeLabelVisibility(bool)\nC++: void SetEdgeLabelVisibility (bool vis);\n\n Whether to show edge labels.  Default is off.\n"},
  {(char*)"GetEdgeLabelVisibility",                (PyCFunction)PyvtkTreeAreaView_GetEdgeLabelVisibility, 1,
   (char*)"V.GetEdgeLabelVisibility() -> bool\nC++: bool GetEdgeLabelVisibility ();\n\n Whether to show edge labels.  Default is off.\n"},
  {(char*)"EdgeLabelVisibilityOn",                (PyCFunction)PyvtkTreeAreaView_EdgeLabelVisibilityOn, 1,
   (char*)"V.EdgeLabelVisibilityOn()\nC++: void EdgeLabelVisibilityOn ();\n\n Whether to show edge labels.  Default is off.\n"},
  {(char*)"EdgeLabelVisibilityOff",                (PyCFunction)PyvtkTreeAreaView_EdgeLabelVisibilityOff, 1,
   (char*)"V.EdgeLabelVisibilityOff()\nC++: void EdgeLabelVisibilityOff ();\n\n Whether to show edge labels.  Default is off.\n"},
  {(char*)"SetAreaColorArrayName",                (PyCFunction)PyvtkTreeAreaView_SetAreaColorArrayName, 1,
   (char*)"V.SetAreaColorArrayName(string)\nC++: void SetAreaColorArrayName (const char *name);\n\n The array to use for coloring vertices.  Default is \"color\".\n"},
  {(char*)"GetAreaColorArrayName",                (PyCFunction)PyvtkTreeAreaView_GetAreaColorArrayName, 1,
   (char*)"V.GetAreaColorArrayName() -> string\nC++: const char *GetAreaColorArrayName ();\n\n The array to use for coloring vertices.  Default is \"color\".\n"},
  {(char*)"SetColorAreas",                (PyCFunction)PyvtkTreeAreaView_SetColorAreas, 1,
   (char*)"V.SetColorAreas(bool)\nC++: void SetColorAreas (bool vis);\n\n Whether to color vertices.  Default is off.\n"},
  {(char*)"GetColorAreas",                (PyCFunction)PyvtkTreeAreaView_GetColorAreas, 1,
   (char*)"V.GetColorAreas() -> bool\nC++: bool GetColorAreas ();\n\n Whether to color vertices.  Default is off.\n"},
  {(char*)"ColorAreasOn",                (PyCFunction)PyvtkTreeAreaView_ColorAreasOn, 1,
   (char*)"V.ColorAreasOn()\nC++: void ColorAreasOn ();\n\n Whether to color vertices.  Default is off.\n"},
  {(char*)"ColorAreasOff",                (PyCFunction)PyvtkTreeAreaView_ColorAreasOff, 1,
   (char*)"V.ColorAreasOff()\nC++: void ColorAreasOff ();\n\n Whether to color vertices.  Default is off.\n"},
  {(char*)"SetEdgeColorArrayName",                (PyCFunction)PyvtkTreeAreaView_SetEdgeColorArrayName, 1,
   (char*)"V.SetEdgeColorArrayName(string)\nC++: void SetEdgeColorArrayName (const char *name);\n\n The array to use for coloring edges.  Default is \"color\".\n"},
  {(char*)"GetEdgeColorArrayName",                (PyCFunction)PyvtkTreeAreaView_GetEdgeColorArrayName, 1,
   (char*)"V.GetEdgeColorArrayName() -> string\nC++: const char *GetEdgeColorArrayName ();\n\n The array to use for coloring edges.  Default is \"color\".\n"},
  {(char*)"SetEdgeColorToSplineFraction",                (PyCFunction)PyvtkTreeAreaView_SetEdgeColorToSplineFraction, 1,
   (char*)"V.SetEdgeColorToSplineFraction()\nC++: void SetEdgeColorToSplineFraction ();\n\n Set the color to be the spline fraction\n"},
  {(char*)"SetShrinkPercentage",                (PyCFunction)PyvtkTreeAreaView_SetShrinkPercentage, 1,
   (char*)"V.SetShrinkPercentage(float)\nC++: void SetShrinkPercentage (double value);\n\n Set the region shrink percentage between 0.0 and 1.0.\n"},
  {(char*)"GetShrinkPercentage",                (PyCFunction)PyvtkTreeAreaView_GetShrinkPercentage, 1,
   (char*)"V.GetShrinkPercentage() -> float\nC++: double GetShrinkPercentage ();\n\n Set the region shrink percentage between 0.0 and 1.0.\n"},
  {(char*)"SetColorEdges",                (PyCFunction)PyvtkTreeAreaView_SetColorEdges, 1,
   (char*)"V.SetColorEdges(bool)\nC++: void SetColorEdges (bool vis);\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"GetColorEdges",                (PyCFunction)PyvtkTreeAreaView_GetColorEdges, 1,
   (char*)"V.GetColorEdges() -> bool\nC++: bool GetColorEdges ();\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"ColorEdgesOn",                (PyCFunction)PyvtkTreeAreaView_ColorEdgesOn, 1,
   (char*)"V.ColorEdgesOn()\nC++: void ColorEdgesOn ();\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"ColorEdgesOff",                (PyCFunction)PyvtkTreeAreaView_ColorEdgesOff, 1,
   (char*)"V.ColorEdgesOff()\nC++: void ColorEdgesOff ();\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"SetBundlingStrength",                (PyCFunction)PyvtkTreeAreaView_SetBundlingStrength, 1,
   (char*)"V.SetBundlingStrength(float)\nC++: void SetBundlingStrength (double strength);\n\n Set the bundling strength.\n"},
  {(char*)"GetBundlingStrength",                (PyCFunction)PyvtkTreeAreaView_GetBundlingStrength, 1,
   (char*)"V.GetBundlingStrength() -> float\nC++: double GetBundlingStrength ();\n\n Set the bundling strength.\n"},
  {(char*)"SetAreaLabelFontSize",                (PyCFunction)PyvtkTreeAreaView_SetAreaLabelFontSize, 1,
   (char*)"V.SetAreaLabelFontSize(int)\nC++: virtual void SetAreaLabelFontSize (const int size);\n\n The size of the font used for area labeling\n"},
  {(char*)"GetAreaLabelFontSize",                (PyCFunction)PyvtkTreeAreaView_GetAreaLabelFontSize, 1,
   (char*)"V.GetAreaLabelFontSize() -> int\nC++: virtual int GetAreaLabelFontSize ();\n\n The size of the font used for area labeling\n"},
  {(char*)"SetEdgeLabelFontSize",                (PyCFunction)PyvtkTreeAreaView_SetEdgeLabelFontSize, 1,
   (char*)"V.SetEdgeLabelFontSize(int)\nC++: virtual void SetEdgeLabelFontSize (const int size);\n\n The size of the font used for edge labeling\n"},
  {(char*)"GetEdgeLabelFontSize",                (PyCFunction)PyvtkTreeAreaView_GetEdgeLabelFontSize, 1,
   (char*)"V.GetEdgeLabelFontSize() -> int\nC++: virtual int GetEdgeLabelFontSize ();\n\n The size of the font used for edge labeling\n"},
  {(char*)"SetLayoutStrategy",                (PyCFunction)PyvtkTreeAreaView_SetLayoutStrategy, 1,
   (char*)"V.SetLayoutStrategy(vtkAreaLayoutStrategy)\nC++: virtual void SetLayoutStrategy (vtkAreaLayoutStrategy *strategy);\n\n The layout strategy for producing spatial regions for the tree.\n"},
  {(char*)"GetLayoutStrategy",                (PyCFunction)PyvtkTreeAreaView_GetLayoutStrategy, 1,
   (char*)"V.GetLayoutStrategy() -> vtkAreaLayoutStrategy\nC++: virtual vtkAreaLayoutStrategy *GetLayoutStrategy ();\n\n The layout strategy for producing spatial regions for the tree.\n"},
  {(char*)"SetUseRectangularCoordinates",                (PyCFunction)PyvtkTreeAreaView_SetUseRectangularCoordinates, 1,
   (char*)"V.SetUseRectangularCoordinates(bool)\nC++: virtual void SetUseRectangularCoordinates (bool rect);\n\n Whether the area represents radial or rectangular coordinates.\n"},
  {(char*)"GetUseRectangularCoordinates",                (PyCFunction)PyvtkTreeAreaView_GetUseRectangularCoordinates, 1,
   (char*)"V.GetUseRectangularCoordinates() -> bool\nC++: virtual bool GetUseRectangularCoordinates ();\n\n Whether the area represents radial or rectangular coordinates.\n"},
  {(char*)"UseRectangularCoordinatesOn",                (PyCFunction)PyvtkTreeAreaView_UseRectangularCoordinatesOn, 1,
   (char*)"V.UseRectangularCoordinatesOn()\nC++: void UseRectangularCoordinatesOn ();\n\n Whether the area represents radial or rectangular coordinates.\n"},
  {(char*)"UseRectangularCoordinatesOff",                (PyCFunction)PyvtkTreeAreaView_UseRectangularCoordinatesOff, 1,
   (char*)"V.UseRectangularCoordinatesOff()\nC++: void UseRectangularCoordinatesOff ();\n\n Whether the area represents radial or rectangular coordinates.\n"},
  {(char*)"SetEdgeScalarBarVisibility",                (PyCFunction)PyvtkTreeAreaView_SetEdgeScalarBarVisibility, 1,
   (char*)"V.SetEdgeScalarBarVisibility(bool)\nC++: virtual void SetEdgeScalarBarVisibility (bool b);\n\n Visibility of scalar bar actor for edges.\n"},
  {(char*)"GetEdgeScalarBarVisibility",                (PyCFunction)PyvtkTreeAreaView_GetEdgeScalarBarVisibility, 1,
   (char*)"V.GetEdgeScalarBarVisibility() -> bool\nC++: virtual bool GetEdgeScalarBarVisibility ();\n\n Visibility of scalar bar actor for edges.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTreeAreaViewDoc[] = {
  (char*)"vtkTreeAreaView - Accepts a graph and a hierarchy - currently\n\n",
  "Super Class:\n\n vtkRenderView\n\n",
  (char*)" Takes a graph and a hierarchy (currently a tree) and lays out the graph\n vertices based on their categorization within the hierarchy.\n\n .SEE ALSO\n vtkGraphLayoutView\n\n .SECTION Thanks\n Thanks to Jason Shepherd for implementing this class\n\n",
  NULL
};

static vtkObjectBase *vtkTreeAreaViewStaticNew()
{
  return vtkTreeAreaView::New();
}

PyObject *PyVTKClass_vtkTreeAreaViewNew(char *modulename)
{
  return PyVTKClass_New(&vtkTreeAreaViewStaticNew,
                        PyvtkTreeAreaViewMethods,
                        (char*)"vtkTreeAreaView",modulename,
                        (char**)vtkTreeAreaViewDoc,
                        PyVTKClass_vtkRenderViewNew(modulename));
}

