// python wrapper for vtkTreeRingView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTreeRingView.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeRingViewNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeRingViewNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTreeAreaViewNew(char *); }

static PyObject *PyvtkTreeRingView_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingView *op;

  const char    *temp20;
  op = (vtkTreeRingView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeRingView::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeRingView_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingView *op;

  char    *temp0;
  int      temp20;
  op = (vtkTreeRingView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeRingView::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeRingView_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingView *op;

  vtkTreeRingView  *temp20;
  op = (vtkTreeRingView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeRingView::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeRingView_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTreeRingView  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTreeRingView::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTreeRingView_SetRootAngles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingView *op;

  double   temp0;
  double   temp1;
  op = (vtkTreeRingView *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeRingView::SetRootAngles(temp0,temp1);
      }
    else
      {
      op->SetRootAngles(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeRingView_SetRootAtCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingView *op;

  bool   temp0;
  op = (vtkTreeRingView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeRingView::SetRootAtCenter(temp0);
      }
    else
      {
      op->SetRootAtCenter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeRingView_GetRootAtCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingView *op;

  bool   temp20;
  op = (vtkTreeRingView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeRingView::GetRootAtCenter();
      }
    else
      {
      temp20 = op->GetRootAtCenter();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeRingView_RootAtCenterOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingView *op;

  op = (vtkTreeRingView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeRingView::RootAtCenterOn();
      }
    else
      {
      op->RootAtCenterOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeRingView_RootAtCenterOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingView *op;

  op = (vtkTreeRingView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeRingView::RootAtCenterOff();
      }
    else
      {
      op->RootAtCenterOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeRingView_SetLayerThickness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingView *op;

  double   temp0;
  op = (vtkTreeRingView *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeRingView::SetLayerThickness(temp0);
      }
    else
      {
      op->SetLayerThickness(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeRingView_GetLayerThickness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingView *op;

  double   temp20;
  op = (vtkTreeRingView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeRingView::GetLayerThickness();
      }
    else
      {
      temp20 = op->GetLayerThickness();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeRingView_SetInteriorRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingView *op;

  double   temp0;
  op = (vtkTreeRingView *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeRingView::SetInteriorRadius(temp0);
      }
    else
      {
      op->SetInteriorRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeRingView_GetInteriorRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingView *op;

  double   temp20;
  op = (vtkTreeRingView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeRingView::GetInteriorRadius();
      }
    else
      {
      temp20 = op->GetInteriorRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeRingView_SetInteriorLogSpacingValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingView *op;

  double   temp0;
  op = (vtkTreeRingView *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeRingView::SetInteriorLogSpacingValue(temp0);
      }
    else
      {
      op->SetInteriorLogSpacingValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeRingView_GetInteriorLogSpacingValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeRingView *op;

  double   temp20;
  op = (vtkTreeRingView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeRingView::GetInteriorLogSpacingValue();
      }
    else
      {
      temp20 = op->GetInteriorLogSpacingValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTreeRingViewMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTreeRingView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTreeRingView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTreeRingView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTreeRingView\nC++: vtkTreeRingView *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTreeRingView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTreeRingView\nC++: vtkTreeRingView *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetRootAngles",                (PyCFunction)PyvtkTreeRingView_SetRootAngles, 1,
   (char*)"V.SetRootAngles(float, float)\nC++: void SetRootAngles (double start, double end);\n\n Set the root angles for laying out the hierarchy.\n"},
  {(char*)"SetRootAtCenter",                (PyCFunction)PyvtkTreeRingView_SetRootAtCenter, 1,
   (char*)"V.SetRootAtCenter(bool)\nC++: virtual void SetRootAtCenter (bool value);\n\n Sets whether the root is at the center or around the outside.\n"},
  {(char*)"GetRootAtCenter",                (PyCFunction)PyvtkTreeRingView_GetRootAtCenter, 1,
   (char*)"V.GetRootAtCenter() -> bool\nC++: virtual bool GetRootAtCenter ();\n\n Sets whether the root is at the center or around the outside.\n"},
  {(char*)"RootAtCenterOn",                (PyCFunction)PyvtkTreeRingView_RootAtCenterOn, 1,
   (char*)"V.RootAtCenterOn()\nC++: void RootAtCenterOn ();\n\n Sets whether the root is at the center or around the outside.\n"},
  {(char*)"RootAtCenterOff",                (PyCFunction)PyvtkTreeRingView_RootAtCenterOff, 1,
   (char*)"V.RootAtCenterOff()\nC++: void RootAtCenterOff ();\n\n Sets whether the root is at the center or around the outside.\n"},
  {(char*)"SetLayerThickness",                (PyCFunction)PyvtkTreeRingView_SetLayerThickness, 1,
   (char*)"V.SetLayerThickness(float)\nC++: virtual void SetLayerThickness (double thickness);\n\n Set the thickness of each layer.\n"},
  {(char*)"GetLayerThickness",                (PyCFunction)PyvtkTreeRingView_GetLayerThickness, 1,
   (char*)"V.GetLayerThickness() -> float\nC++: virtual double GetLayerThickness ();\n\n Set the thickness of each layer.\n"},
  {(char*)"SetInteriorRadius",                (PyCFunction)PyvtkTreeRingView_SetInteriorRadius, 1,
   (char*)"V.SetInteriorRadius(float)\nC++: virtual void SetInteriorRadius (double thickness);\n\n Set the interior radius of the tree\n (i.e. the size of the \"hole\" in the center).\n"},
  {(char*)"GetInteriorRadius",                (PyCFunction)PyvtkTreeRingView_GetInteriorRadius, 1,
   (char*)"V.GetInteriorRadius() -> float\nC++: virtual double GetInteriorRadius ();\n\n Set the interior radius of the tree\n (i.e. the size of the \"hole\" in the center).\n"},
  {(char*)"SetInteriorLogSpacingValue",                (PyCFunction)PyvtkTreeRingView_SetInteriorLogSpacingValue, 1,
   (char*)"V.SetInteriorLogSpacingValue(float)\nC++: virtual void SetInteriorLogSpacingValue (double thickness);\n\n Set the log spacing factor for the invisible interior tree\n used for routing edges of the overlaid graph.\n"},
  {(char*)"GetInteriorLogSpacingValue",                (PyCFunction)PyvtkTreeRingView_GetInteriorLogSpacingValue, 1,
   (char*)"V.GetInteriorLogSpacingValue() -> float\nC++: virtual double GetInteriorLogSpacingValue ();\n\n Set the log spacing factor for the invisible interior tree\n used for routing edges of the overlaid graph.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTreeRingViewDoc[] = {
  (char*)"vtkTreeRingView - Displays a tree in concentric rings.\n\n",
  "Super Class:\n\n vtkTreeAreaView\n\n",
  (char*)" Accepts a graph and a hierarchy - currently\n a tree - and provides a hierarchy-aware display.  Currently, this means\n displaying the hierarchy using a tree ring layout, then rendering the graph\n vertices as leaves of the tree with curved graph edges between leaves.\n\n .SEE ALSO\n vtkGraphLayoutView\n\n .SECTION Thanks\n Thanks to Jason Shepherd for implementing this class\n\n",
  NULL
};

static vtkObjectBase *vtkTreeRingViewStaticNew()
{
  return vtkTreeRingView::New();
}

PyObject *PyVTKClass_vtkTreeRingViewNew(char *modulename)
{
  return PyVTKClass_New(&vtkTreeRingViewStaticNew,
                        PyvtkTreeRingViewMethods,
                        (char*)"vtkTreeRingView",modulename,
                        (char**)vtkTreeRingViewDoc,
                        PyVTKClass_vtkTreeAreaViewNew(modulename));
}

