// python wrapper for vtkViewUpdater object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkViewUpdater.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkViewUpdaterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkViewUpdaterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkViewUpdater_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewUpdater *op;

  const char    *temp20;
  op = (vtkViewUpdater *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewUpdater::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewUpdater_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewUpdater *op;

  char    *temp0;
  int      temp20;
  op = (vtkViewUpdater *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewUpdater::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewUpdater_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewUpdater *op;

  vtkViewUpdater  *temp20;
  op = (vtkViewUpdater *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewUpdater::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewUpdater_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkViewUpdater  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkViewUpdater::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkViewUpdater_AddView(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewUpdater *op;

  vtkView  *temp0;
  PyObject *tempH0;
  op = (vtkViewUpdater *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkView *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkView");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkViewUpdater::AddView(temp0);
      }
    else
      {
      op->AddView(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkViewUpdater_AddAnnotationLink(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewUpdater *op;

  vtkAnnotationLink  *temp0;
  PyObject *tempH0;
  op = (vtkViewUpdater *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAnnotationLink *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAnnotationLink");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkViewUpdater::AddAnnotationLink(temp0);
      }
    else
      {
      op->AddAnnotationLink(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkViewUpdaterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkViewUpdater_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkViewUpdater_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkViewUpdater_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkViewUpdater\nC++: vtkViewUpdater *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkViewUpdater_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkViewUpdater\nC++: vtkViewUpdater *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddView",                (PyCFunction)PyvtkViewUpdater_AddView, 1,
   (char*)"V.AddView(vtkView)\nC++: void AddView (vtkView *view);\n\n"},
  {(char*)"AddAnnotationLink",                (PyCFunction)PyvtkViewUpdater_AddAnnotationLink, 1,
   (char*)"V.AddAnnotationLink(vtkAnnotationLink)\nC++: void AddAnnotationLink (vtkAnnotationLink *link);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkViewUpdaterDoc[] = {
  (char*)"vtkViewUpdater - Updates views automatically\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkViewUpdater registers with annotation change events for a set of\n annotation links, and updates all views when an annotation link fires an \n annotation changed event. This is often needed when multiple views share \n a selection with vtkAnnotationLink. \n\n",
  NULL
};

static vtkObjectBase *vtkViewUpdaterStaticNew()
{
  return vtkViewUpdater::New();
}

PyObject *PyVTKClass_vtkViewUpdaterNew(char *modulename)
{
  return PyVTKClass_New(&vtkViewUpdaterStaticNew,
                        PyvtkViewUpdaterMethods,
                        (char*)"vtkViewUpdater",modulename,
                        (char**)vtkViewUpdaterDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

