// python wrapper for vtkVolumePicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkVolumePicker.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVolumePickerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVolumePickerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCellPickerNew(char *); }

static PyObject *PyvtkVolumePicker_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumePicker *op;

  const char    *temp20;
  op = (vtkVolumePicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumePicker::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumePicker_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumePicker *op;

  char    *temp0;
  int      temp20;
  op = (vtkVolumePicker *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumePicker::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumePicker_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumePicker *op;

  vtkVolumePicker  *temp20;
  op = (vtkVolumePicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumePicker::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumePicker_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVolumePicker  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVolumePicker::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVolumePicker_SetPickCroppingPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumePicker *op;

  int      temp0;
  op = (vtkVolumePicker *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumePicker::SetPickCroppingPlanes(temp0);
      }
    else
      {
      op->SetPickCroppingPlanes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumePicker_PickCroppingPlanesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumePicker *op;

  op = (vtkVolumePicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumePicker::PickCroppingPlanesOn();
      }
    else
      {
      op->PickCroppingPlanesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumePicker_PickCroppingPlanesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumePicker *op;

  op = (vtkVolumePicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumePicker::PickCroppingPlanesOff();
      }
    else
      {
      op->PickCroppingPlanesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumePicker_GetPickCroppingPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumePicker *op;

  int      temp20;
  op = (vtkVolumePicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumePicker::GetPickCroppingPlanes();
      }
    else
      {
      temp20 = op->GetPickCroppingPlanes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumePicker_GetCroppingPlaneId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumePicker *op;

  int      temp20;
  op = (vtkVolumePicker *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumePicker::GetCroppingPlaneId();
      }
    else
      {
      temp20 = op->GetCroppingPlaneId();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVolumePickerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVolumePicker_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVolumePicker_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVolumePicker_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVolumePicker\nC++: vtkVolumePicker *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVolumePicker_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVolumePicker\nC++: vtkVolumePicker *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPickCroppingPlanes",                (PyCFunction)PyvtkVolumePicker_SetPickCroppingPlanes, 1,
   (char*)"V.SetPickCroppingPlanes(int)\nC++: void SetPickCroppingPlanes (int );\n\n Set whether to pick the cropping planes of props that have them.\n If this is set, then the pick will be done on the cropping planes\n rather than on the data. The GetCroppingPlaneId() method will return\n the index of the cropping plane of the volume that was picked.  This\n setting is only relevant to the picking of volumes.\n"},
  {(char*)"PickCroppingPlanesOn",                (PyCFunction)PyvtkVolumePicker_PickCroppingPlanesOn, 1,
   (char*)"V.PickCroppingPlanesOn()\nC++: void PickCroppingPlanesOn ();\n\n Set whether to pick the cropping planes of props that have them.\n If this is set, then the pick will be done on the cropping planes\n rather than on the data. The GetCroppingPlaneId() method will return\n the index of the cropping plane of the volume that was picked.  This\n setting is only relevant to the picking of volumes.\n"},
  {(char*)"PickCroppingPlanesOff",                (PyCFunction)PyvtkVolumePicker_PickCroppingPlanesOff, 1,
   (char*)"V.PickCroppingPlanesOff()\nC++: void PickCroppingPlanesOff ();\n\n Set whether to pick the cropping planes of props that have them.\n If this is set, then the pick will be done on the cropping planes\n rather than on the data. The GetCroppingPlaneId() method will return\n the index of the cropping plane of the volume that was picked.  This\n setting is only relevant to the picking of volumes.\n"},
  {(char*)"GetPickCroppingPlanes",                (PyCFunction)PyvtkVolumePicker_GetPickCroppingPlanes, 1,
   (char*)"V.GetPickCroppingPlanes() -> int\nC++: int GetPickCroppingPlanes ();\n\n Set whether to pick the cropping planes of props that have them.\n If this is set, then the pick will be done on the cropping planes\n rather than on the data. The GetCroppingPlaneId() method will return\n the index of the cropping plane of the volume that was picked.  This\n setting is only relevant to the picking of volumes.\n"},
  {(char*)"GetCroppingPlaneId",                (PyCFunction)PyvtkVolumePicker_GetCroppingPlaneId, 1,
   (char*)"V.GetCroppingPlaneId() -> int\nC++: int GetCroppingPlaneId ();\n\n Get the index of the cropping plane that the pick ray passed\n through on its way to the prop. This will be set regardless\n of whether PickCroppingPlanes is on.  The crop planes are ordered\n as follows: xmin, xmax, ymin, ymax, zmin, zmax.  If the volume is\n not cropped, the value will bet set to -1.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVolumePickerDoc[] = {
  (char*)"vtkVolumePicker - ray-cast picker enhanced for volumes\n\n",
  "Super Class:\n\n vtkCellPicker\n\n",
  (char*)" vtkVolumePicker is a subclass of vtkCellPicker.  It has one\n advantage over vtkCellPicker for volumes: it will be able to\n correctly perform picking when CroppingPlanes are present.  This\n isn't possible for vtkCellPicker since it doesn't link to\n the VolumeRendering classes and hence cannot access information\n about the CroppingPlanes.\n\n\n",
  "See Also:\n\n vtkPicker vtkPointPicker vtkCellPicker\n\n .SECTION Thanks\n This class was contributed to VTK by David Gobbi on behalf of Atamai Inc.\n\n",
  NULL
};

static vtkObjectBase *vtkVolumePickerStaticNew()
{
  return vtkVolumePicker::New();
}

PyObject *PyVTKClass_vtkVolumePickerNew(char *modulename)
{
  return PyVTKClass_New(&vtkVolumePickerStaticNew,
                        PyvtkVolumePickerMethods,
                        (char*)"vtkVolumePicker",modulename,
                        (char**)vtkVolumePickerDoc,
                        PyVTKClass_vtkCellPickerNew(modulename));
}

