// python wrapper for vtkDijkstraImageContourLineInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDijkstraImageContourLineInterpolator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDijkstraImageContourLineInterpolatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDijkstraImageContourLineInterpolatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkContourLineInterpolatorNew(char *); }

static PyObject *PyvtkDijkstraImageContourLineInterpolator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDijkstraImageContourLineInterpolator *op;

  const char    *temp20;
  op = (vtkDijkstraImageContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDijkstraImageContourLineInterpolator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDijkstraImageContourLineInterpolator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDijkstraImageContourLineInterpolator *op;

  char    *temp0;
  int      temp20;
  op = (vtkDijkstraImageContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDijkstraImageContourLineInterpolator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDijkstraImageContourLineInterpolator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDijkstraImageContourLineInterpolator *op;

  vtkDijkstraImageContourLineInterpolator  *temp20;
  op = (vtkDijkstraImageContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDijkstraImageContourLineInterpolator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDijkstraImageContourLineInterpolator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDijkstraImageContourLineInterpolator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDijkstraImageContourLineInterpolator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDijkstraImageContourLineInterpolator_InterpolateLine(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDijkstraImageContourLineInterpolator *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkContourRepresentation  *temp1;
  PyObject *tempH1;
  int      temp2;
  int      temp3;
  int      temp20;
  op = (vtkDijkstraImageContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"OOii", &tempH0, &tempH1, &temp2, &temp3);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkContourRepresentation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkContourRepresentation");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDijkstraImageContourLineInterpolator::InterpolateLine(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->InterpolateLine(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkDijkstraImageContourLineInterpolator_SetCostImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDijkstraImageContourLineInterpolator *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkDijkstraImageContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkDijkstraImageContourLineInterpolator::SetCostImage(temp0);
      }
    else
      {
      op->SetCostImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkDijkstraImageContourLineInterpolator_GetCostImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDijkstraImageContourLineInterpolator *op;

  vtkImageData  *temp20;
  op = (vtkDijkstraImageContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDijkstraImageContourLineInterpolator::GetCostImage();
      }
    else
      {
      temp20 = op->GetCostImage();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDijkstraImageContourLineInterpolator_GetDijkstraImageGeodesicPath(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDijkstraImageContourLineInterpolator *op;

  vtkDijkstraImageGeodesicPath  *temp20;
  op = (vtkDijkstraImageContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDijkstraImageContourLineInterpolator::GetDijkstraImageGeodesicPath();
      }
    else
      {
      temp20 = op->GetDijkstraImageGeodesicPath();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDijkstraImageContourLineInterpolatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDijkstraImageContourLineInterpolator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDijkstraImageContourLineInterpolator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDijkstraImageContourLineInterpolator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDijkstraImageContourLineInterpolator\nC++: vtkDijkstraImageContourLineInterpolator *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDijkstraImageContourLineInterpolator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDijkstraImageContourLineInterpolator\nC++: vtkDijkstraImageContourLineInterpolator *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"InterpolateLine",                (PyCFunction)PyvtkDijkstraImageContourLineInterpolator_InterpolateLine, 1,
   (char*)"V.InterpolateLine(vtkRenderer, vtkContourRepresentation, int, int) -> int\nC++: virtual int InterpolateLine (vtkRenderer *ren, vtkContourRepresentation *rep, int idx1, int idx2);\n\n Subclasses that wish to interpolate a line segment must implement this.\n For instance vtkBezierContourLineInterpolator adds nodes between idx1\n and idx2, that allow the contour to adhere to a bezier curve.\n"},
  {(char*)"SetCostImage",                (PyCFunction)PyvtkDijkstraImageContourLineInterpolator_SetCostImage, 1,
   (char*)"V.SetCostImage(vtkImageData)\nC++: virtual void SetCostImage (vtkImageData *);\n\n Set the image data for the vtkDijkstraImageGeodesicPath.\n If not set, the interpolator uses the image data input to the image actor.\n The image actor is obtained from the expected vtkImageActorPointPlacer.\n"},
  {(char*)"GetCostImage",                (PyCFunction)PyvtkDijkstraImageContourLineInterpolator_GetCostImage, 1,
   (char*)"V.GetCostImage() -> vtkImageData\nC++: vtkImageData *GetCostImage ();\n\n Set the image data for the vtkDijkstraImageGeodesicPath.\n If not set, the interpolator uses the image data input to the image actor.\n The image actor is obtained from the expected vtkImageActorPointPlacer.\n"},
  {(char*)"GetDijkstraImageGeodesicPath",                (PyCFunction)PyvtkDijkstraImageContourLineInterpolator_GetDijkstraImageGeodesicPath, 1,
   (char*)"V.GetDijkstraImageGeodesicPath() -> vtkDijkstraImageGeodesicPath\nC++: vtkDijkstraImageGeodesicPath *GetDijkstraImageGeodesicPath ();\n\n access to the internal dijkstra path\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDijkstraImageContourLineInterpolatorDoc[] = {
  (char*)"vtkDijkstraImageContourLineInterpolator - Contour interpolator for placing points on an image.\n\n",
  "Super Class:\n\n vtkContourLineInterpolator\n\n",
  (char*)" vtkDijkstraImageContourLineInterpolator interpolates and places\n contour points on images. The class interpolates nodes by\n computing a graph lying on the image data. By graph, we mean \n that the line interpolating the two end points traverses along \n pixels so as to form a shortest path. A Dijkstra algorithm is \n used to compute the path.\n \n The class is meant to be used in conjunction with \n vt",
  (char*)"kImageActorPointPlacer. One reason for this coupling is a \n performance issue: both classes need to perform a cell pick, and \n coupling avoids multiple cell picks (cell picks are slow).  Another\n issue is that the interpolator may need to set the image input to \n its vtkDijkstraImageGeodesicPath ivar.\n\n\n",
  "See Also:\n\n vtkContourWidget vtkContourLineInterpolator vtkDijkstraImageGeodesicPath\n\n",
  NULL
};

static vtkObjectBase *vtkDijkstraImageContourLineInterpolatorStaticNew()
{
  return vtkDijkstraImageContourLineInterpolator::New();
}

PyObject *PyVTKClass_vtkDijkstraImageContourLineInterpolatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkDijkstraImageContourLineInterpolatorStaticNew,
                        PyvtkDijkstraImageContourLineInterpolatorMethods,
                        (char*)"vtkDijkstraImageContourLineInterpolator",modulename,
                        (char**)vtkDijkstraImageContourLineInterpolatorDoc,
                        PyVTKClass_vtkContourLineInterpolatorNew(modulename));
}

